*-------------------------------------------------------------------------*
 |                                                                         
 |                    SAS SETUP FILE FOR ICPSR 03404
 |       DRUG ABUSE TREATMENT OUTCOME STUDY--ADOLESCENT (DATOS-A),
 |                       1993-1995: [UNITED STATES]
 |                (DATASET 0005:  12-MONTH FOLLOW-UP DATA)
 |
 |
 | SAS setup sections are provided for the ASCII version of this data
 | collection.  These sections are listed below:
 |
 | PROC FORMAT:  creates user-defined formats for the variables. Formats
 | replace original value codes with value code descriptions. Only
 | variables with user-defined formats are included in this section.
 |
 | DATA:  begins a SAS data step and names an output SAS data set.
 |
 | INFILE:  identifies the input file to be read with the input statement.
 | Users must replace the "data-filename" with a filename specifying the
 | directory on the user's computer system in which the downloaded and
 | unzipped data file is physically located (e.g.,
 | "c:\temp\03404-0005-data.txt").
 |
 | INPUT:  assigns the name, type, decimal specification (if any), and
 | specifies the beginning and ending column locations for each variable
 | in the data file.
 |
 | LABEL:  assigns descriptive labels to all variables. Variable labels
 | and variable names may be identical for some variables.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | FORMAT:  associates the formats created by the PROC FORMAT step with
 | the variables named in the INPUT statement.
 |
 | NOTE:  Users should modify this setup file to suit their specific needs.
 | Sections for PROC FORMAT, FORMAT, and MISSING VALUE RECODES have been
 | commented out (i.e., '/*'). To include these sections in the final SAS
 | setup, users should remove the SAS comment indicators from the desired
 | section(s).
 |
 *------------------------------------------------------------------------;

* SAS PROC FORMAT;

/*
PROC FORMAT;
  VALUE caseid    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mav_mst   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MARRIED'
                  2='(2) LEGALLY SEPARATED' 3='(3) DIVORCED' 4='(4) WIDOWED'
                  5='(5) LIVING AS MARRIED' 6='(6) NEVER MARRIED' ;
  VALUE mav_race  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WHITE/CAUCASIAN' 2='(2) BLACK/AFRICAN AMERICAN'
                  3='(3) OF HISPANIC/SPANISH ORIGIN OR DESCENT' 4='(4) OTHER' ;
  VALUE mav_cjs   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO CRIMINAL JUSTICE STATUS' 1='(1) IN JAIL / DETENTION'
                  2='(2) PROBATION' 3='(3) PAROLE' 4='(4) CASE PENDING/OTHER STATUS' ;
  VALUE mbv_term  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) STILL IN TREATMENT (DATOS FOLLOWUP ONLY)'
                  1='(1) COMPLETED TREATMENT' 2='(2) INVOLUNTARILY DISCHARGED'
                  3='(3) TRANSFERRED' 4='(4) QUIT - PERSONAL REASONS'
                  5='(5) QUIT - FINANCIAL REASONS'
                  6='(6) QUIT - DISSATISFIED WITH PROGRAM' 7='(7) OTHER REASON' ;
  VALUE mcv_halc  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT A HEAVY USER' 1='(1) HEAVY ALCOHOL USER' ;
  VALUE mcv_suic  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO SUICIDAL THOUGHTS OR ATTEMPTS' 1='(1) SUICIDAL THOUGHTS'
                  2='(2) SUICIDAL ATTEMPTS' ;
  VALUE mcv_pdt   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO DRUG TREATMENT PRIOR TO INDEX TREATMENT'
                  1='(1) 1 PRIOR DRUG TREATMENT ADMISSION'
                  2='(2) 2-3 PRIOR ADMISSIONS' 3='(3) 4 OR MORE PRIOR ADMISSIONS' ;
  VALUE mcv_cjs   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO CRIMINAL JUSTICE STATUS' 1='(1) IN JAIL / DETENTION'
                  2='(2) PROBATION' 3='(3) PAROLE' 4='(4) CASE PENDING/OTHER STATUS' ;
  VALUE mcv_dr    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) 1 TO 2 ARRESTS' 2='(2) 3 OR MORE ARRESTS' ;
  VALUE mcv_dwi   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) 1 TO 2 ARRESTS' 2='(2) 3 OR MORE ARRESTS' ;
  VALUE mcv_ndr   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) 1 TO 2 ARRESTS' 2='(2) 3 OR MORE ARRESTS' ;
  VALUE mcv_emp   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) WORKING'
                  2='(2) LOOKING FOR WORK/GOING TO SCHOOL' 3='(3) KEEPING HOUSE'
                  4='(4) DISABLED/RETIRED'
                  5='(5) IN JAIL, RESIDENTIAL TREATMENT, OTHER INSTITUTION'
                  6='(6) DRUG RELATED OR ILLEGAL ACTIVITIES' 7='(7) OTHER, MULTIPLE' ;
  VALUE mcv_alc   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE mcv_hal   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE mcv_mrj   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE mcv_coc   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE mcv_crk   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE mcv_her   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE mcv_nar   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE mcv_sed   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE mcv_amp   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE mcv_sui   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO SUICIDAL THOUGHTS OR ATTEMPTS' 1='(1) SUICIDAL THOUGHTS'
                  2='(2) SUICIDAL ATTEMPTS' ;
  VALUE mdv_edyr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) GRADE SCHOOL (1-8 GRADES)' 2='(2) SOME HIGH SCHOOL (9-11)'
                  3='(3) COMPLETED 12 GRADES' 4='(4) 13 TO 16 YEARS' 5='(5) 17 OR MORE' ;
  VALUE mdv_deg   0='(0) NONE' 1='(1) CERTIFICATE OR LICENSE'
                  2='(2) HIGH SCHOOL EQUIVALENCY/GED' 3='(3) HIGH SCHOOL DEGREE'
                  4='(4) JR COLLEGE OR AA DEGREE' 5='(5) BACHELORS DEGREE'
                  6='(6) ADVANCED DEGREE' ;
  VALUE mdv_enrl  0='(0) NONE' 1='(1) JOB CORPS OR SPECIAL EDUCATION OR OTHER'
                  2='(2) MIDDLE SCHOOL' 3='(3) ADULT BASIC EDUCATION'
                  4='(4) TECHNICAL OR TRADE SCHOOL'
                  5='(5) HIGH SCHOOL EQUIVALENCY GED' 6='(6) HIGH SCHOOL'
                  7='(7) JR COLLEGE' 8='(8) COLLEGE OR GRADUATE SCHOOL' ;
  VALUE mev_halc  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO HEAVY USE' 1='(1) HEAVY ALCOHOL USE' ;
  VALUE mev_inj   0='(0) NO INJECTION DRUG USE' 1='(1) INJECTION DRUG USE' ;
  VALUE mev_alc   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE mev_mrj   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE mev_hal   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE mev_coc   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE mev_crk   0='(0) NO USE' 1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE mev_her   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE mev_nar   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE mev_sed   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE mev_amp   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE mev_pat   1='(1) HEROIN/NARCOTIC/NO COKE' 2='(2) COKE W/HEROIN OR NARCOTICS'
                  3='(3) COKE ONLY' 4='(4) COKE AND ALCOHOL'
                  5='(5) COKE PLUS OTHER DRUGS' 6='(6) MARIJUANA AND/OR ALCOHOL'
                  7='(7) RESIDUAL' ;
  VALUE mev_pdrg  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  10='(10) ALCOHOL' 20='(20) MARIJUANA' 30='(30) HALLUCINOGENS' 40='(40) COCAINE'
                  41='(41) CRACK' 50='(50) HEROIN/SPEEDBALL' 60='(60) NARCOTICS OR OPIATES'
                  70='(70) SEDATIVE/BARBITURATES' 80='(80) AMPHETAMINES'
                  90='(90) OTHER DRUGS' ;
  VALUE mfv_suic  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO SUICIDAL THOUGHTS OR ATTEMPTS' 1='(1) SUICIDAL THOUGHTS'
                  2='(2) SUICIDAL ATTEMPTS' ;
  VALUE mgv_dr    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO ARRESTS'
                  1='(1) 1 TO 2 ARRESTS' 2='(2) 3 OR MORE ARRESTS' ;
  VALUE mgv_dwi   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO ARRESTS'
                  1='(1) 1 TO 2 ARRESTS' 2='(2) 3 OR MORE ARRESTS' ;
  VALUE mgv_ndr   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO ARRESTS'
                  1='(1) 1 TO 2 ARRESTS' 2='(2) 3 OR MORE ARRESTS' ;
  VALUE mgv_jail  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) 1 TO 10 DAYS' 2='(2) 11 TO 30 DAYS' 3='(3) 31 TO 91 DAYS'
                  4='(4) 92 TO 182 DAYS' 5='(5) 183 DAYS OR MORE' ;
  VALUE mhv_ftwk  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) 1 TO 13 WEEKS' 2='(2) 14 TO 39 WEEKS' 3='(3) 40 TO 52 WEEKS' ;
  VALUE mhv_emp   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) WORKING'
                  2='(2) LOOKING FOR WORK/GOING TO SCHOOL' 3='(3) KEEPING HOUSE'
                  4='(4) DISABLED/RETIRED'
                  5='(5) IN JAIL, RESIDENTIAL TREATMENT, OTHER INSTITUTION'
                  6='(6) DRUG RELATED OR ILLEGAL ACTIVITIES' 7='(7) OTHER, MULTIPLE' ;
  VALUE mjv_src   0='(0) NO INCOME' 1='(1) LEGAL WORK' 2='(2) PUBLIC ASSISTANCE'
                  3='(3) SOCIAL SECURITY' 4='(4) FAMILY,FRIENDS' 5='(5) ILLEGAL SOURCES'
                  6='(6) OTHER SOURCES' ;
  VALUE mlv_rskf  0='(0) NO' 1='(1) YES' ;
  VALUE mlv_rs0f  0='(0) NO' 1='(1) YES' ;
  VALUE mlv_rs1f  0='(0) NO' 1='(1) YES' ;
  VALUE mlv_rs2f  0='(0) NO' 1='(1) YES' ;
  VALUE mlv_rs3f  0='(0) NO' 1='(1) YES' ;
  VALUE mlv_sexb  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT ACTIVE'
                  1='(1) 1 PARTNER, ALWAYS USE CONDOMS'
                  2='(2) 1-PARTNER,SOME/NEVER USE CONDOMS'
                  3='(3) 2-4 PARTNERS, ALWAYS USE CONDOMS'
                  4='(4) 2-4 PARTNERS, SOME/NEVER USE CONDOMS'
                  5='(5) 5 OR MORE PARTNERS, ALWAYS USE CONDOMS'
                  6='(6) 5 OR MORE PARTNERS, SOMETIMES/NEVER USE CONDOMS' ;
  VALUE mlv_rs4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO' 1='(1) YES' ;
  VALUE mmv_dt    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) 1 ADMISSION' 2='(2) 2 TO 3 ADMISSIONS'
                  3='(3) 4 OR MORE ADMISSIONS' ;
  VALUE mgv_sia   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) 1 TO 2 ACTS' 2='(2) 3 TO 5 ACTS' 3='(3) 6 TO 10 ACTS'
                  4='(4) 11 TO 25 ACTS' 5='(5) OVER 25 ACTS' ;
  VALUE modality  1='(1) RESIDENTIAL' 2='(2) SHORT-TERM INPATIENT'
                  3='(3) METHADONE MAINTENANCE' 4='(4) OUTPATIENT DRUG FREE' ;
  VALUE sex       1='(1) MALE' 2='(2) FEMALE' ;
  VALUE age       -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  12='(12) 12 OR YOUNGER' 18='(18) 18 OR OLDER' ;
  VALUE hlthins   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) PRIVATE /OTHER' 2='(2) PUBLIC' 3='(3) UNKNOWN TYPE' ;
  VALUE ftwork    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) 1 TO 13 WEEKS' 2='(2) 14 TO 39 WEEKS' 3='(3) 40 TO 52 WEEKS' ;
  VALUE mstat     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LEGALLY MARRIED' 2='(2) SEPARATED' 3='(3) DIVORCED OR WIDOWED'
                  5='(5) LIVING AS MARRIED' 6='(6) NEVER MARRIED' ;
  VALUE inschool  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT ENROLLED' 1='(1) ENROLLED' ;
  VALUE race      1='(1) CAUCASIAN/WHITE' 2='(2) AFRO-AMERICAN/BLACK' 3='(3) HISPANIC'
                  4='(4) OTHER' ;
  VALUE edlev     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) GRADE SCHOOL' 2='(2) MIDDLE SCHOOL' 3='(3) GRADE 9' 4='(4) GRADE 10'
                  5='(5) GRADE 11' 6='(6) GRADE 12' 7='(7) HS GRADUATE/GED' ;
  VALUE racesex   1='(1) CAUCASIAN/WHITE MALE' 2='(2) AFRO-AMERICAN/BLACK MALE'
                  3='(3) HISPANIC MALE' 4='(4) OTHER MALE' 5='(5) CAUCASIAN/WHITE FEMALE'
                  6='(6) AFRO-AMERICAN/BLACK FEMALE' 7='(7) HISPANIC FEMALE'
                  8='(8) OTHER FEMALE' ;
  VALUE hvy_alc   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT A HEAVY USER' 1='(1) HEAVY ALCOHOL USER' ;
  VALUE alcr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY USE' 2='(2) WEEKLY USE' 3='(3) DAILY USE' ;
  VALUE mrjr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY USE' 2='(2) WEEKLY USE' 3='(3) DAILY USE' ;
  VALUE cocr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY USE' 2='(2) WEEKLY USE' 3='(3) DAILY USE' ;
  VALUE herr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY USE' 2='(2) WEEKLY USE' 3='(3) DAILY USE' ;
  VALUE narr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY USE' 2='(2) WEEKLY USE' 3='(3) DAILY USE' ;
  VALUE sedr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY USE' 2='(2) WEEKLY USE' 3='(3) DAILY USE' ;
  VALUE ampr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY USE' 2='(2) WEEKLY USE' 3='(3) DAILY USE' ;
  VALUE halr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY USE' 2='(2) WEEKLY USE' 3='(3) DAILY USE' ;
  VALUE inhr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY USE' 2='(2) WEEKLY USE' 3='(3) DAILY USE' ;
  VALUE alcwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE mrjwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE cocwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE herwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE narwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE sedwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE ampwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE halwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) MONTHLY USE' ;
  VALUE inhwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) MONTHLY USE' ;
  VALUE mrj_ev    0='(0) NO USE' 1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE coc_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE her_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE nar_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE sed_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE amp_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE hal_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE inh_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) 1 - 5 TIMES' 2='(2) MORE THAN 5 TIMES' ;
  VALUE cj_stat   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO LEGAL STATUS' 1='(1) IN JAIL/DETENTION' 2='(2) PROBATION'
                  3='(3) PAROLE' 4='(4) CASE PENDING' ;
  VALUE iay_sia   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) 1-2 ACTS' 2='(2) 3-10 ACTS' 3='(3) 10 OR MORE ACTS' ;
  VALUE majsrc    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO INCOME'
                  1='(1) LEGAL WORK' 2='(2) PUBLIC ASSISTANCE' 3='(3) SOCIAL SECURITY'
                  4='(4) FAMILY,FRIENDS' 5='(5) ILLEGAL SOURCES' 6='(6) OTHER SOURCES' ;
  VALUE refer     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) SELF (ONLY IF NO OTHER PRIMARY OR SECONDARY MENTIONED)'
                  1='(1) MEDICAL SERVICE' 2='(2) COMMUNITY AGENCY' 3='(3) LEGAL SYSTEM'
                  4='(4) FAMILY OR FRIENDS' 5='(5) SCHOOL OR EMPLOYER' 6='(6) OTHER' ;
  VALUE restrict  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO WEEKS RESTRICTED' 1='(1) 1 TO 4 WEEKS RESTRICTED'
                  2='(2) 5 TO 13 WEEKS RESTRICTED' 3='(3) 14 TO 26 WEEKS RESTRICTED'
                  4='(4) 27 TO 39 WEEKS RESTRICTED' 5='(5) 40 TO 50 WEEKS RESTRICTED'
                  6='(6) 51 TO 52 WEEKS RESTRICTED' ;
  VALUE drugtx    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) 4 OR MORE' ;
  VALUE school    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT IN SCHOOL' 1='(1) SPECIAL EDUCATION' 2='(2) MIDDLE SCHOOL'
                  3='(3) HIGH SCHOOL' 4='(4) POST-SECONDARY' 5='(5) OTHER' ;
  VALUE dep_yr    0='(0) NO SIGNS OF DEPRESSION' 1='(1) FELT DEPRESSED'
                  2='(2) SUICIDAL THOUGHTS' 3='(3) SUICIDAL ATTEMPT (S)' ;
  VALUE empstat   1='(1) WORKING' 2='(2) LOOKING FOR WORK/GOING TO SCHOOL'
                  3='(3) KEEPING HOUSE' 4='(4) DISABLED/RETIRED'
                  5='(5) IN JAIL, RESIDENTIAL TX, OTHER INST'
                  6='(6) DRUG RELATED OR ILLEGAL ACTIVITIES' 7='(7) OTHER, MULTIPLE' ;
  VALUE iapy      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE pdt       -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) 1-2' 2='(2) 3 OR MORE' ;
  VALUE crkr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY USE' 2='(2) WEEKLY USE' 3='(3) DAILY USE' ;
  VALUE crkwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE mia1_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mia1_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mia2_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mia2_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mia3_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mia3_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mia4_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mia4_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mia5_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mia5_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mia6_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mia6_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mia7_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mia7_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mia8_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mia8_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mia9_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mia9_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mia10_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mia10_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE musa      1='(1) NO URINE SAMPLE' 2='(2) URINE SAMPLE' ;
  VALUE mda_mo    1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE mda_yr    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mfire     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 50='(50) COMPLETED'
                  51='(51) PARTIAL' 52='(52) DECEASED' 60='(60) UNABLE TO LOCATE'
                  70='(70) REFUSAL' 80='(80) PHYSICALLY/MENTALLY' 81='(81) LANGUAGE BARRIER'
                  82='(82) INCARCERATED/ETC.' 90='(90) OTHER' ;
  VALUE mtole     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ma2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) 12 OR LESS'
                  21='(21) 21 OR MORE' ;
  VALUE ma5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) A ONE-FAMILY HOUSE/DUPLEX/CONDO'
                  2='(2) A MOBILE HOME OR TRAILER'
                  3='(3) APARTMENT/MULTIPLE FAMILY BLDING'
                  4='(4) HOTEL/ROOMING/BOARDING HOUSE'
                  5='(5) A HOSPITAL/MEDICAL INSTITUTION'
                  6='(6) IN JAIL/PRISON/DETENTION HOME'
                  7='(7) RESIDENTIAL DRUG TREATMENT CENTER'
                  8='(8) SOME OTHER GROUP RESIDENCE' 9='(9) IN A HOMELESS SHELTER'
                  10='(10) ON THE STREET' 11='(11) OTHER' ;
  VALUE ma6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ma7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MARRIED'
                  2='(2) LEGALLY SEPARATED' 3='(3) DIVORCED' 4='(4) WIDOWED'
                  5='(5) LIVING WITH SOMEONE AS MARRIED' 6='(6) NEVER MARRIED' ;
  VALUE ma8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) W/SPOUSE OR SEXUAL PARTNER/CHILDREN'
                  2='(2) WITH SPOUSE OR SEXUAL PARTNER ONLY'
                  3='(3) WITH CHILDREN ONLY' 4='(4) WITH BOTH PARENTS'
                  5='(5) WITH MOTHER ONLY' 6='(6) WITH FATHER ONLY'
                  7='(7) WITH PARENT(S) AND OWN CHILDREN'
                  8='(8) W/OTHER FAMILY ONLY/COMBINATN 01-07'
                  9='(9) WITH FOSTER PARENTS'
                  10='(10) W/FAMILY/FRIENDS/BOARDERS/ROOMMATE'
                  11='(11) WITH FRIENDS OR ROOMMATE ONLY' 12='(12) ALONE'
                  13='(13) INSTITUTION OR CLOSED FACILITY'
                  14='(14) NO STABLE ARRANGEMENTS' 15='(15) OTHER' ;
  VALUE ma9_0fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE ma9_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE ma9a_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY' ;
  VALUE ma9b_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma9c_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma9d_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma9_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE ma9a_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY' ;
  VALUE ma9b_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma9c_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma9d_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma9_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE ma9a_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY' ;
  VALUE ma9b_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma9c_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma9d_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma9_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE ma9a_4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY' ;
  VALUE ma9b_4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma9c_4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma9d_4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma9_5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE ma9a_5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY' ;
  VALUE ma9b_5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma9c_5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma9d_5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) ABOUT ONCE A MONTH'
                  3='(3) 2 TO 3 TIMES A MONTH' 4='(4) ONCE A WEEK'
                  5='(5) MORE THAN ONCE A WEEK' ;
  VALUE ma11a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) LESS THAN ONCE A WEEK' 3='(3) AT LEAST ONCE A WEEK'
                  4='(4) ALMOST DAILY' ;
  VALUE ma11b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) LESS THAN ONCE A WEEK' 3='(3) AT LEAST ONCE A WEEK'
                  4='(4) ALMOST DAILY' ;
  VALUE ma11c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) LESS THAN ONCE A WEEK' 3='(3) AT LEAST ONCE A WEEK'
                  4='(4) ALMOST DAILY' ;
  VALUE ma12a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) ONE OR A FEW' 2='(2) MANY' ;
  VALUE ma12b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) ONE OR A FEW' 2='(2) MANY' ;
  VALUE ma12c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) ONE OR A FEW' 2='(2) MANY' ;
  VALUE ma12d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) ONE OR A FEW' 2='(2) MANY' ;
  VALUE ma12e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) ONE OR A FEW' 2='(2) MANY' ;
  VALUE ma12f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) ONE OR A FEW' 2='(2) MANY' ;
  VALUE ma12g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) ONE OR A FEW' 2='(2) MANY' ;
  VALUE ma13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma14_0ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE ma14_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE ma14_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE ma14_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE ma14_4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE ma14_5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE ma14_6ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE ma14_7ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE ma14_8ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE ma14_9ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE ma15ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma15a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRETRIAL DIVERSION' 2='(2) PRETRIAL INTERVENTION'
                  3='(3) PRESENTENCE REFERRAL' 4='(4) CONDITIONAL PROBATION'
                  5='(5) CONDITIONAL PAROLE' 6='(6) OTHER SUPERVISION' ;
  VALUE ma16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma16a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ma16b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma16c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma16d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma17a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY SERIOUS' ;
  VALUE ma18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) SOME' 2='(2) A LOT' 93='(93) IF VOL: NO FAMILY/FRIEND' ;
  VALUE ma19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) NEVER/RARELY' 2='(2) SOME OF THE TIME' 3='(3) ALMOST ALWAYS' ;
  VALUE ma20ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) NEVER/RARELY' 2='(2) SOME OF THE TIME' 3='(3) ALMOST ALWAYS' ;
  VALUE ma21ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) NEVER/RARELY' 2='(2) SOME OF THE TIME' 3='(3) ALMOST ALWAYS' ;
  VALUE ma22ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) NEVER/RARELY' 2='(2) SOME OF THE TIME' 3='(3) ALMOST ALWAYS' ;
  VALUE ma23ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) NEVER/RARELY' 2='(2) SOME OF THE TIME' 3='(3) ALMOST ALWAYS' ;
  VALUE ma24ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) POOR'
                  2='(2) FAIR' 3='(3) WELL' ;
  VALUE ma25ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) VERY UNHAPPY' 2='(2) SOMEWHAT UNHAPPY' 3='(3) SOMEWHAT HAPPY'
                  4='(4) VERY HAPPY' ;
  VALUE ma26ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) WORSE'
                  2='(2) BETTER' ;
  VALUE ma27ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma28ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma28a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma28b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma29a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma29b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma29c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma29d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma29e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma29f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma29g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma29h     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma29i     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma29j     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma30ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) SOME' 2='(2) MOST' ;
  VALUE ma31a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma31b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma31c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma31d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma31e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma31f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma31g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma31h     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma31i     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma31j     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma31k     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma31l     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma31m     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma31n     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma32ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) SOME' 2='(2) MOST' ;
  VALUE ma33a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma33b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma33c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma33d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma33e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma33f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma34ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) SOME' 2='(2) MOST' ;
  VALUE ma35a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma35b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma35c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma35d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma35e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma35f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma35g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma35h     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma35i     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma35j     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma35k     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma35l     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma35m     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma35n     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE ma36a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TEENS LIKES WAY LEADING LIFE'
                  2='(2) TEENS DON''T LIKE WAY LEADING LIFE' ;
  VALUE ma37a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE ma36b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TEENS ENJOYABLE TO BE WITH'
                  2='(2) TEENS NOT SURE ENJOYABLE TO BE WITH' ;
  VALUE ma37b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE ma36c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TEENS HAPPY TO BE WAY THEY ARE'
                  2='(2) OTHER TEENS WOULD BE DIFFERENT' ;
  VALUE ma37c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE ma36d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) UNCOMFORTABLE MEETING NEW PEOPLE'
                  2='(2) LIKE TO MEET NEW PEOPLE' ;
  VALUE ma37d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE ma36e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TEENS QUESTION WHETHER WORTHWHILE'
                  2='(2) TEENS FEEL THEY ARE WORTHWHILE' ;
  VALUE ma37e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE ma36f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TEENS DISAPPOINTED WITH SELF'
                  2='(2) TEENS PLEASED WITH SELF' ;
  VALUE ma37f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE ma36g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TEENS FEEL AT EASE WITH OTHER'
                  2='(2) OTHER TEENS ARE QUITE SHY' ;
  VALUE ma37g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE ma36h     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TEENS DISSATISFIED WITH SELF'
                  2='(2) TEENS SATISFIED WITH SELF' ;
  VALUE ma37h     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE ma36i     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SOME TEENS ARE NOT SOCIABLE'
                  2='(2) OTHER TEENS ARE SOCIABLE' ;
  VALUE ma37i     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE ma36j     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SOME TEENS LIKE THEMSELVES'
                  2='(2) OTHER TEENS WOULD BE SOMEONE ELSE' ;
  VALUE ma37j     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE ma38ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma39ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma40ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma41ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma42ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma43ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma44ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma45ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma46ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma47ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma48ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma49ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ma50ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mb1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) DATE CORRECT' 2='(2) NO, DATE INCORRECT' ;
  VALUE mb1a_mo   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE mb1a_yr   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mb2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) COMPLETED'
                  2='(2) LEFT BEFORE COMPLETION' ;
  VALUE mb2a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WENT TO JAIL OR PRISON' 2='(2) WENT INTO HOSPITAL'
                  3='(3) NONCOMPLIANCE WITH RULES' 4='(4) POOR PERFORMANCE'
                  9='(9) OTHER DISCHARGE REASON'
                  11='(11) TRANSFERRED TO ANOTHER PROGRAM'
                  12='(12) TRANSFERRED TO ANOTHER AGENCY'
                  19='(19) OTHER TRANSFER REASON' 21='(21) MOVED FROM SERVICE AREA'
                  22='(22) CRIMINAL JUSTICE PRESSURE CEASED'
                  23='(23) COULD CONTROL DRUG USE MYSELF'
                  24='(24) DRUGS BECAME AVAILABLE ON STREET'
                  25='(25) STARTED USING COCAINE AGAIN'
                  26='(26) STARTED USING OTHER DRUGS/NOT COCAINE'
                  27='(27) DIFFICULTIES WITH TRANSPORTATION'
                  28='(28) DIFFICULTIES WITH CHILD CARE'
                  29='(29) OTHER PERSONAL REASON' 31='(31) INSURANCE COVERAGE RAN OUT'
                  32='(32) UNABLE TO PAY FOR TREATMENT'
                  33='(33) NEEDED TO GET BACK TO WORK'
                  34='(34) NEEDED TO GET BACK TO SCHOOL' 38='(38) OTHER SCHOOL REASON'
                  39='(39) OTHER FINANCIAL REASON' 41='(41) PROGRAM NOT HELPFUL'
                  42='(42) INADEQUATE SERVICES' 43='(43) CONFLICT WITH STAFF'
                  44='(44) PROGRAM WAS GOING TO TERMINATE CLIENT'
                  45='(45) INTAKE INTERVIEWS WERE TOO BURDENSOME'
                  49='(49) OTHER PROGRAM DISSATISFACTION' 59='(59) OTHER REASON' ;
  VALUE mb2b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mb2c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mb3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO'
                  3='(3) DON''T KNOW' ;
  VALUE mb3a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mb3b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mb3c_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE mb3c_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE mb3c_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE mb3c_4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE mb3c_5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE mb3c_6ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE mb3c_7ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE mb3c_8ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE mb4_0fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE mb4_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE mb4_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE mb4_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE mb4_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE mb4_5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE mb4_6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE mb4_7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE mb4_8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE mb4_9fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE mb5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO'
                  3='(3) DIFFERENT RELATIONSHIPS' ;
  VALUE mb6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) AS LITTLE AS POSSIBLE' 2='(2) TO SOME EXTENT'
                  3='(3) PRETTY CLOSELY' 4='(4) VERY CLOSELY' ;
  VALUE mb7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY SATISFIED' ;
  VALUE mb8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mb9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mb10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mb11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mb11a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE mb11a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE mb11a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE mb11a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE mb11a_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE mb11a_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE mb11a_7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE mb11a_8f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE mb11a_8s  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) NONE'
                  10='(10) STARTED RELATIONSHIP AND LEFT W/HIM' 11='(11) NEVER MARRIED'
                  12='(12) STARTED DATING PRESENT BOYFRIEND/GIRLFRIEND'
                  13='(13) STOPPED RELATIONSHIP AFTER TREATMENT'
                  14='(14) WORKING ON RECONCILIATION IN TREATMENT'
                  15='(15) SEVERAL RELATIONSHIPS'
                  16='(16) RECONCILED WITH HUSBAND/WIFE'
                  17='(17) BEGINNING NEW RELATIONSHIPS' 18='(18) CHANGED RELATIONSHIP' ;
  VALUE mb12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mb13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  999='(999) 999 OR MORE' ;
  VALUE mb14_10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL DURING THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERYDAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE mb14_20f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL DURING THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERYDAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE mb14_30f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL DURING THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERYDAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE mb14_40f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL DURING THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERYDAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE mb14_41f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL DURING THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERYDAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE mb14_42f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL DURING THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERYDAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE mb14_50f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL DURING THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERYDAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE mb14_60f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL DURING THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERYDAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE mb14_70f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL DURING THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERYDAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE mb14_80f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL DURING THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERYDAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE mb14_90f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL DURING THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERYDAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE mb15ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE mb16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mb17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mb18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mb18a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mb19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mb19a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mb19b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mb20ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mb21ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mb22ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mb23ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WORKING AT LEGITIMATE JOB'
                  2='(2) HAD A JOB BUT WAS NOT WORKING' 3='(3) LOOKING FOR WORK'
                  4='(4) KEEPING HOUSE FOR YOURSELF/FAMILY'
                  5='(5) GOING TO SCHOOL OR TRAINING PROGRAM'
                  6='(6) UNABLE TO WORK, DISABLED' 7='(7) RETIRED'
                  8='(8) IN JAIL, RESIDENTL TREATMENT PROGRAM'
                  9='(9) INVOLVED IN DRUG-RELATED ACTIVITIES'
                  10='(10) INVOLVED IN OTHER ILLEGAL ACTIVITIES'
                  11='(11) NOT WORKING/NOT INTERESTED IN WORK' 12='(12) OTHER' ;
  VALUE mb23_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) (01A) 35 HRS. OR MORE A WEEK' 2='(2) (01B) < 35 HRS. A WEEK' ;
  VALUE mb24ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mb25ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN 3 DAYS' 1='(1) 3 TO 7 DAYS' 99='(99) 99 OR MORE' ;
  VALUE mb26ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mb26a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO'
                  3='(3) PROGRAM CHARGES NO FEES' 4='(4) PARTIALLY COVERED' ;
  VALUE mc1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SHORTAGE OF AVAILABLE DRUGS' 2='(2) DRUGS OF POOR QUALITY'
                  3='(3) LOST DRUG CONNECTION'
                  9='(9) OTHER PROBLEMS WITH AVAILABILITY'
                  11='(11) DRUGS COST TOO MUCH' 12='(12) NOT ENOUGH MONEY TO BUY DRUGS'
                  13='(13) NOT ENOUGH MONEY TO BUY OTHER THINGS'
                  14='(14) WANTED TO BE SELF-SUPPORTING'
                  19='(19) OTHER FINANCIAL PROBLEMS' 21='(21) WANT TO GET OFF DRUGS'
                  22='(22) WANT TO CUT DOWN SIZE OF HABIT'
                  23='(23) GETTING DISGUSTED WITH LIFE-STYLE'
                  24='(24) WANT TO ENTER OR STAY IN SCHOOL'
                  25='(25) WANT TO FIND NEW FRIENDS' 26='(26) BECAME RELIGIOUS'
                  29='(29) OTHER DESIRE TO CHANGE LIFE-STYLE'
                  31='(31) HAVE DRUG-RELATED DISEASE'
                  32='(32) DRUGS (MAKE/MADE) ME SICK' 33='(33) AFRAID OF GETTING AIDS'
                  34='(34) HEALTH PROBLEMS UNRELATED TO DRUGS'
                  35='(35) PREGNANT OR WANT TO GET PREGNANT'
                  36='(36) WANT TO IMPROVE MY GENERAL HEALTH'
                  37='(37) WANT TO IMPROVE MY MENTAL HEALTH'
                  39='(39) OTHER HEALTH REASONS' 41='(41) WANT TO SAVE MY MARRIAGE'
                  42='(42) WANT TO IMPROVE RELATIONS W/FAMILY'
                  43='(43) WANT TO AVOID LOSING CHILD CUSTODY'
                  44='(44) WANT TO GET MY CHILDREN BACK'
                  49='(49) OTHER INTERPERSONAL REASONS'
                  51='(51) AVOID INVOLVEMENT CRIMINAL ACTIVITY'
                  52='(52) WANT TO AVOID ARREST' 53='(53) COURT MANDATE'
                  54='(54) HAVE AN UPCOMING COURT HEARING' 59='(59) OTHER LEGAL REASON'
                  61='(61) BECOME ELIGIBLE PUBLIC ASSISTANCE'
                  62='(62) BECOME ELIGIBLE MEDICAL SERVICES'
                  63='(63) BECOME ELIGIBLE FOR JOB SERVICES'
                  69='(69) OTHER ACCESS TO SERVICES'
                  71='(71) WANT TO KEEP JOB/FIND BETTER JOB'
                  72='(72) TO PREVENT PROBLEMS WITH MY BOSS'
                  73='(73) TO PREVENT PROBLEMS W/CO-WORKERS'
                  74='(74) OTHER JOB-RELATED PROBLEMS' 75='(75) DO BETTER IN SCHOOL'
                  76='(76) PREVENT PROBLEMS W/PRINCIPAL'
                  77='(77) PREVENT PROBLEMS W/OTHER STUDENTS'
                  78='(78) CONDITION OF SUSPENSION'
                  79='(79) OTHER SCHOOL-RELATED PROBLEMS' 81='(81) SPOUSE/PARTNER'
                  82='(82) FAMILY MEMBERS' 83='(83) FRIENDS' 84='(84) SCHOOL'
                  85='(85) JOB OR EMPLOYER' 86='(86) LEGAL (BESIDES COURT MANDATE)'
                  87='(87) TREATMENT STAFF' 88='(88) TREATMENT CLIENTS'
                  89='(89) OTHER PRESSURE' 91='(91) OTHER' ;
  VALUE mc2_0fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE mc2_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE mc2_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE mc2_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE mc2_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE mc2_5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE mc2_6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE mc2_7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE mc2_8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE mc2_9fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE mc3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NEITHER REQUIRED NOR SUGGESTED' 1='(1) REQUIRED/STIPULATED'
                  2='(2) SUGGESTED/ENCOURAGED' ;
  VALUE mc4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WORKING AT LEGITIMATE JOB'
                  2='(2) HAD A JOB BUT WAS NOT WORKING' 3='(3) LOOKING FOR WORK'
                  4='(4) KEEPING HOUSE FOR YOURSELF/FAMILY'
                  5='(5) GOING TO SCHOOL OR TRAINING PROGRAM'
                  6='(6) UNABLE TO WORK, DISABLED' 7='(7) RETIRED'
                  8='(8) IN JAIL, RESIDENTL TREATMENT PROGRAM'
                  9='(9) INVOLVED IN DRUG-RELATED ACTIVITIES'
                  10='(10) INVOLVED IN OTHER ILLEGAL ACTIVITIES'
                  11='(11) NOT WORKING/NOT INTERESTED IN WORK' 12='(12) OTHER' ;
  VALUE mc4_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) (01A) 35 HRS. OR MORE A WEEK' 2='(2) (01B) < 35 HRS. A WEEK' ;
  VALUE mc5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO JOB OR OCCUPATION' 1='(1) PROFESSIONAL AND TECHNICAL'
                  2='(2) MANAGER AND ADMINISTRATOR' 3='(3) SALES'
                  4='(4) CLERICAL OR OFFICE WORKER' 5='(5) CRAFT AND KINDRED'
                  6='(6) OPERATIVES' 7='(7) TRANSPORTATION EQUIPMENT OPERATIVES'
                  8='(8) LABORERS (FARM & NONFARM)' 10='(10) SERVICE WORKER'
                  30='(30) STUDENT' 86='(86) OTHER' ;
  VALUE mc6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL, NONE' 1='(1) LESS THAN 1 DAY A MONTH'
                  2='(2) 1 TO 3 DAYS A MONTH' 3='(3) 1 TO 2 DAYS A WEEK'
                  4='(4) 3 TO 4 DAYS A WEEK' 5='(5) 5 TO 6 DAYS A WEEK'
                  6='(6) DAILY OR ALMOST EVERY DAY' 7='(7) 2 TO 3 TIMES A DAY'
                  8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE mc6a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc9_20ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL DURING THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERYDAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE mc9_30ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL DURING THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERYDAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE mc9_40ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL DURING THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERYDAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE mc9_41ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL DURING THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERYDAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE mc9_42ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL DURING THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERYDAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE mc9_50ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL DURING THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERYDAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE mc9_60ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL DURING THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERYDAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE mc9_70ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL DURING THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERYDAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE mc9_80ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL DURING THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERYDAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE mc9_90ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT USED AT ALL DURING THE PERIOD'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERYDAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE mc10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE mc11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE mc12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc14a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc14aa    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc14ba    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc14b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc14ab    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc14bb    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc14c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc14ac    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc14bc    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc14d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc14ad    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc14bd    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE mc14e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc14ae    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc14be    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc14f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc14af    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc14bf    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc15_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc16_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc17_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc15_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc16_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc17_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc15_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc16_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc17_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc15_4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc16_4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc17_4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc15_5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc16_5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc17_5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc15_7ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc16_7ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc17_7ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc15_8ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc16_8ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc17_8ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc15_9ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc16_9ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc17_9ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc15_10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc16_10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc17_10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc15_11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc16_11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc17_11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc15_12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc16_12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mc17_12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE mc18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) LESS THAN ONE DAY A MONTH' 2='(2) 1 TO 3 DAYS A MONTH'
                  3='(3) 1 TO 2 DAYS A WEEK' 4='(4) 3 TO 4 DAYS A WEEK'
                  5='(5) 5 TO 6 DAYS A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE mc19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc20ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc21ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc22ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mc22a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE md5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) DRIVE'
                  2='(2) PUBLIC TRANSPORTATION' 3='(3) RIDE FROM FAMILY/FRIEND'
                  4='(4) TAXICAB' 5='(5) OTHER' ;
  VALUE md6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE md6a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE md6b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE md6d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) EXPIRED'
                  2='(2) SUSPENDED' 3='(3) REVOKED'
                  4='(4) OBTAINED LICENSE < 12 MNTS AGO' ;
  VALUE md7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) SOME' 2='(2) ALL OF THE TIME' ;
  VALUE md8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE md8a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE md9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE md9a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE md9b1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE md9b2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE md9b3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE md9b4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE md9b5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE md9b6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE md9b7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE md9b8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE md9b9fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE md9b10ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 10='(10) CIRCLED' ;
  VALUE md9b11ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE md9c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE md9d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LEARNING DISABILITIES' 3='(3) EMOTIONAL DISTURBANCES'
                  4='(4) EDUCABLE MENTAL RETARDATION'
                  5='(5) TRAINABLE MENTAL RETARDATION'
                  6='(6) SEVERE/PROFOUND MENTAL RETARDATION'
                  7='(7) DEAF/HEARING IMPAIRMENTS' 8='(8) BLIND/VISUAL IMPAIRMENTS'
                  9='(9) DEAF-BLIND' 10='(10) AUTISM' 11='(11) TRAUMATIC BRAIN INJURIES'
                  12='(12) PHYSICAL DISABILITIES' 13='(13) MULTIPLE DISABILITIES'
                  14='(14) HEALTH IMPAIRMENTS' 16='(16) PRESCHOOL DISABILITIES'
                  18='(18) OTHER' ;
  VALUE md9e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BETTER THAN AVERAGE' 2='(2) AVERAGE' 3='(3) NOT SO GOOD' ;
  VALUE md9f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) BETTER'
                  2='(2) ABOUT THE SAME' 3='(3) WORSE' ;
  VALUE md9g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE md9h      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE md9i      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE md9j      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE md9k      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE md10_0ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE md10_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE md10_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE md10_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE md10_4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE md10_5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE md10_6ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE md10_7ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE md10_8ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE md11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE md11a1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE md11a2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE md11a3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE md11a4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE md11a5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE md11a6ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE md11a7ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE md11a8ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE md11a9ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE md11a10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 10='(10) CIRCLED' ;
  VALUE md11a11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE md11b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE md11c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LEARNING DISABILITIES' 3='(3) EMOTIONAL DISTURBANCES'
                  4='(4) EDUCABLE MENTAL RETARDATION'
                  5='(5) TRAINABLE MENTAL RETARDATION'
                  6='(6) SEVERE/PROFOUND MENTAL RETARDATION'
                  7='(7) DEAF/HEARING IMPAIRMENTS' 8='(8) BLIND/VISUAL IMPAIRMENTS'
                  9='(9) DEAF-BLIND' 10='(10) AUTISM' 11='(11) TRAUMATIC BRAIN INJURIES'
                  12='(12) PHYSICAL DISABILITIES' 13='(13) MULTIPLE DISABILITIES'
                  14='(14) HEALTH IMPAIRMENTS' 15='(15) DEVELOPMENTAL DELAYS'
                  16='(16) PRESCHOOL DISABILITIES' 18='(18) OTHER' ;
  VALUE me1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE me3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL, NONE' 1='(1) LESS THAN 1 DAY A MONTH'
                  2='(2) 1 TO 3 DAYS A MONTH' 3='(3) 1 TO 2 DAYS A WEEK'
                  4='(4) 3 TO 4 DAYS A WEEK' 5='(5) 5 TO 6 DAYS A WEEK'
                  6='(6) DAILY OR ALMOST EVERY DAY' 7='(7) 2 TO 3 TIMES A DAY'
                  8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE me5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE me6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE me7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE me8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SLIGHTLY' 2='(2) MODERATELY' 3='(3) CONSIDERABLY' 4='(4) EXTREMELY' ;
  VALUE me13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SLIGHTLY' 2='(2) MODERATELY' 3='(3) CONSIDERABLY' 4='(4) EXTREMELY' ;
  VALUE me14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me14a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN 1/2 PACK A DAY' 2='(2) ABOUT 1/2 PACK A DAY'
                  3='(3) ABOUT A PACK A DAY' 4='(4) ABOUT 1 1/2 PACKS A DAY'
                  5='(5) ABOUT 2 PACKS OR MORE A DAY' ;
  VALUE me15_0ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE me15_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE me15_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE me15_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE me16_20f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me17_20f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE me18_20f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) BY MOUTH'
                  2='(2) BY SMOKING IT' 3='(3) BY INHALING,SNORTING,OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE me19_20f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me20_20f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) PAST WEEK USE' 99='(99) 99 OR MORE' ;
  VALUE me21_20f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me16_30f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me17_30f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE me18_30f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) BY MOUTH'
                  2='(2) BY SMOKING IT' 3='(3) BY INHALING,SNORTING,OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE me19_30f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me20_30f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) PAST WEEK USE' ;
  VALUE me21_30f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me16_31f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me20_31f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) PAST WEEK USE' ;
  VALUE me21_31f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me16_32f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me20_32f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) PAST WEEK USE' ;
  VALUE me21_32f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me16_40f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me17_40f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE me18_40f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) BY MOUTH'
                  2='(2) BY SMOKING IT' 3='(3) BY INHALING,SNORTING,OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE me19_40f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me20_40f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) PAST WEEK USE' ;
  VALUE me21_40f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me16_41f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me20_41f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) PAST WEEK USE' ;
  VALUE me21_41f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me16_42f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me20_42f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) PAST WEEK USE' ;
  VALUE me21_42f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me16_50f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me17_50f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE me18_50f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) BY MOUTH'
                  2='(2) BY SMOKING IT' 3='(3) BY INHALING,SNORTING,OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE me19_50f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me20_50f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) PAST WEEK USE' ;
  VALUE me21_50f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me16_51f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me20_51f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) PAST WEEK USE' ;
  VALUE me21_51f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me16_60f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me17_60f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE me18_60f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) BY MOUTH'
                  2='(2) BY SMOKING IT' 3='(3) BY INHALING,SNORTING,OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE me19_60f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me20_60f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) PAST WEEK USE' ;
  VALUE me21_60f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me16_61f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me20_61f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) PAST WEEK USE' ;
  VALUE me21_61f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me16_62f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me20_62f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) PAST WEEK USE' ;
  VALUE me21_62f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me16_70f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me17_70f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE me18_70f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) BY MOUTH'
                  2='(2) BY SMOKING IT' 3='(3) BY INHALING,SNORTING,OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE me19_70f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me20_70f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) PAST WEEK USE' 99='(99) 99 OR MORE' ;
  VALUE me21_70f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me16_71f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me16_72f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me16_73f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me16_74f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me16_75f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me16_80f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me17_80f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE me18_80f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) BY MOUTH'
                  2='(2) BY SMOKING IT' 3='(3) BY INHALING,SNORTING,OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE me19_80f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me20_80f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) PAST WEEK USE' ;
  VALUE me21_80f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me16_81f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me20_81f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) PAST WEEK USE' ;
  VALUE me21_81f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me16_90f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me17_90f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE me18_90f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) BY MOUTH'
                  2='(2) BY SMOKING IT' 3='(3) BY INHALING,SNORTING,OR SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE me19_90f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me20_90f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) PAST WEEK USE' ;
  VALUE me21_90f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me16_91f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me20_91f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) PAST WEEK USE' ;
  VALUE me21_91f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me16_92f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me20_92f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) PAST WEEK USE' ;
  VALUE me21_92f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE A MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 TO 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' 9='(9) OTHER' ;
  VALUE me22_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE me22_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE me22_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE me22_4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE me23ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE me24ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) BY YOURSELF'
                  2='(2) WITH 1 OR 2 OTHER PEOPLE' 3='(3) IN A GROUP' ;
  VALUE me25ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) AT HOME'
                  2='(2) AT FRIEND''S/RELATIVE''S HOME' 3='(3) AT A SHOOTING GALLERY'
                  4='(4) ON THE STREET' 5='(5) IN A MOTOR VEHICLE'
                  6='(6) SOME OTHER PLACE' ;
  VALUE me27ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me27a1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE me27a2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE me27a3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE me28ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE me29ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me29a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE me30ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me30a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE me30a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE me30a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE me30a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE me30a_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE me30a_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE me31ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me31a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me31b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me32a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE me32b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE me32c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE me32d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE me32e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE me32f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE me33a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me33b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me33c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me33d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me33e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me33f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me33g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me34ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me35ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) VERY WEAK'
                  5='(5) MODERATE' 10='(10) VERY STRONG' ;
  VALUE me36ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) A FEW SECONDS' 2='(2) A FEW MINUTES' 3='(3) ABOUT 15 MINUTES'
                  4='(4) ABOUT 1/2 AN HOUR' 5='(5) CLOSE TO 1 HOUR'
                  6='(6) AN HOUR OR LONGER' ;
  VALUE me37ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SLIGHTLY' 2='(2) MODERATELY' 3='(3) CONSIDERABLY' 4='(4) EXTREMELY' ;
  VALUE me38ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY IMPORTANT' ;
  VALUE me39ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY IMPORTANT' ;
  VALUE me40ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY IMPORTANT' ;
  VALUE me41ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SHORTAGE OF AVAILABLE DRUGS' 2='(2) DRUGS OF POOR QUALITY'
                  3='(3) LOST DRUG CONNECTION'
                  9='(9) OTHER PROBLEMS WITH AVAILABILITY'
                  11='(11) DRUGS COST TOO MUCH' 12='(12) NOT ENOUGH MONEY TO BUY DRUGS'
                  13='(13) NOT ENOUGH MONEY TO BUY OTHER THINGS'
                  14='(14) WANTED TO BE SELF-SUPPORTING'
                  19='(19) OTHER FINANCIAL PROBLEMS' 21='(21) WANT TO GET OFF DRUGS'
                  22='(22) WANT TO CUT DOWN SIZE OF HABIT'
                  23='(23) GETTING DISGUSTED WITH LIFE-STYLE'
                  24='(24) WANT TO ENTER OR STAY IN SCHOOL'
                  25='(25) WANT TO FIND NEW FRIENDS' 26='(26) BECAME RELIGIOUS'
                  29='(29) OTHER DESIRE TO CHANGE LIFE-STYLE'
                  31='(31) HAVE DRUG-RELATED DISEASE'
                  32='(32) DRUGS (MAKE/MADE) ME SICK' 33='(33) AFRAID OF GETTING AIDS'
                  34='(34) HEALTH PROBLEMS UNRELATED TO DRUGS'
                  35='(35) PREGNANT OR WANT TO GET PREGNANT'
                  36='(36) WANT TO IMPROVE MY GENERAL HEALTH'
                  37='(37) WANT TO IMPROVE MY MENTAL HEALTH'
                  39='(39) OTHER HEALTH REASON' 41='(41) WANT TO SAVE MY MARRIAGE'
                  42='(42) WANT TO IMPROVE RELATIONS W/FAMILY'
                  43='(43) WANT TO AVOID LOSING CHILD CUSTODY'
                  44='(44) WANT TO GET MY CHILDREN BACK'
                  49='(49) OTHER INTERPERSONAL REASONS'
                  51='(51) AVOID INVOLVEMENT CRIMINAL ACTIVITY'
                  52='(52) WANT TO AVOID ARREST' 53='(53) COURT MANDATE'
                  54='(54) HAVE AN UPCOMING COURT HEARING' 59='(59) OTHER LEGAL REASON'
                  61='(61) BECOME ELIGIBLE PUBLIC ASSISTANCE'
                  62='(62) BECOME ELIGIBLE MEDICAL SERVICES'
                  63='(63) BECOME ELIGIBLE FOR JOB SERVICES'
                  69='(69) OTHER ACCESS TO SERVICES'
                  71='(71) WANT TO KEEP JOB/FIND BETTER JOB'
                  72='(72) TO PREVENT PROBLEMS WITH MY BOSS'
                  73='(73) TO PREVENT PROBLEMS W/CO-WORKERS'
                  74='(74) OTHER JOB-RELATED PROBLEMS' 75='(75) DO BETTER IN SCHOOL'
                  76='(76) PREVENT PROBLEMS W/PRINCIPAL'
                  77='(77) PREVENT PROBLEMS W/OTHER STUDENTS'
                  78='(78) CONDITION OF SUSPENSION'
                  79='(79) OTHER SCHOOL-RELATED PROBLEMS' 81='(81) SPOUSE/PARTNER'
                  82='(82) FAMILY MEMBERS' 83='(83) FRIENDS' 84='(84) SCHOOL'
                  85='(85) JOB OR EMPLOYER' 86='(86) LEGAL (BESIDES COURT MANDATE)'
                  87='(87) TREATMENT STAFF' 88='(88) TREATMENT CLIENTS'
                  89='(89) OTHER PRESSURE' 91='(91) OTHER' ;
  VALUE me41a1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SHORTAGE OF AVAILABLE DRUGS' 2='(2) DRUGS OF POOR QUALITY'
                  3='(3) LOST DRUG CONNECTION'
                  9='(9) OTHER PROBLEMS WITH AVAILABILITY'
                  11='(11) DRUGS COST TOO MUCH' 12='(12) NOT ENOUGH MONEY TO BUY DRUGS'
                  13='(13) NOT ENOUGH MONEY TO BUY OTHER THINGS'
                  14='(14) WANTED TO BE SELF-SUPPORTING'
                  19='(19) OTHER FINANCIAL PROBLEMS' 21='(21) WANT TO GET OFF DRUGS'
                  22='(22) WANT TO CUT DOWN SIZE OF HABIT'
                  23='(23) GETTING DISGUSTED WITH LIFE-STYLE'
                  24='(24) WANT TO ENTER OR STAY IN SCHOOL'
                  25='(25) WANT TO FIND NEW FRIENDS' 26='(26) BECAME RELIGIOUS'
                  29='(29) OTHER DESIRE TO CHANGE LIFE-STYLE'
                  31='(31) HAVE DRUG-RELATED DISEASE'
                  32='(32) DRUGS (MAKE/MADE) ME SICK' 33='(33) AFRAID OF GETTING AIDS'
                  34='(34) HEALTH PROBLEMS UNRELATED TO DRUGS'
                  35='(35) PREGNANT OR WANT TO GET PREGNANT'
                  36='(36) WANT TO IMPROVE MY GENERAL HEALTH'
                  37='(37) WANT TO IMPROVE MY MENTAL HEALTH'
                  39='(39) OTHER HEALTH REASON' 41='(41) WANT TO SAVE MY MARRIAGE'
                  42='(42) WANT TO IMPROVE RELATIONS W/FAMILY'
                  43='(43) WANT TO AVOID LOSING CHILD CUSTODY'
                  44='(44) WANT TO GET MY CHILDREN BACK'
                  49='(49) OTHER INTERPERSONAL REASONS'
                  51='(51) AVOID INVOLVEMENT CRIMINAL ACTIVITY'
                  52='(52) WANT TO AVOID ARREST' 53='(53) COURT MANDATE'
                  54='(54) HAVE AN UPCOMING COURT HEARING' 59='(59) OTHER LEGAL REASON'
                  61='(61) BECOME ELIGIBLE PUBLIC ASSISTANCE'
                  62='(62) BECOME ELIGIBLE MEDICAL SERVICES'
                  63='(63) BECOME ELIGIBLE FOR JOB SERVICES'
                  69='(69) OTHER ACCESS TO SERVICES'
                  71='(71) WANT TO KEEP JOB/FIND BETTER JOB'
                  72='(72) TO PREVENT PROBLEMS WITH MY BOSS'
                  73='(73) TO PREVENT PROBLEMS W/CO-WORKERS'
                  74='(74) OTHER JOB-RELATED PROBLEMS' 75='(75) DO BETTER IN SCHOOL'
                  76='(76) PREVENT PROBLEMS W/PRINCIPAL'
                  77='(77) PREVENT PROBLEMS W/OTHER STUDENTS'
                  78='(78) CONDITION OF SUSPENSION'
                  79='(79) OTHER SCHOOL-RELATED PROBLEMS' 81='(81) SPOUSE/PARTNER'
                  82='(82) FAMILY MEMBERS' 83='(83) FRIENDS' 84='(84) SCHOOL'
                  85='(85) JOB OR EMPLOYER' 86='(86) LEGAL (BESIDES COURT MANDATE)'
                  87='(87) TREATMENT STAFF' 88='(88) TREATMENT CLIENTS'
                  89='(89) OTHER PRESSURE' 91='(91) OTHER' ;
  VALUE me41a2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SHORTAGE OF AVAILABLE DRUGS' 2='(2) DRUGS OF POOR QUALITY'
                  3='(3) LOST DRUG CONNECTION'
                  9='(9) OTHER PROBLEMS WITH AVAILABILITY'
                  11='(11) DRUGS COST TOO MUCH' 12='(12) NOT ENOUGH MONEY TO BUY DRUGS'
                  13='(13) NOT ENOUGH MONEY TO BUY OTHER THINGS'
                  14='(14) WANTED TO BE SELF-SUPPORTING'
                  19='(19) OTHER FINANCIAL PROBLEMS' 21='(21) WANT TO GET OFF DRUGS'
                  22='(22) WANT TO CUT DOWN SIZE OF HABIT'
                  23='(23) GETTING DISGUSTED WITH LIFE-STYLE'
                  24='(24) WANT TO ENTER OR STAY IN SCHOOL'
                  25='(25) WANT TO FIND NEW FRIENDS' 26='(26) BECAME RELIGIOUS'
                  29='(29) OTHER DESIRE TO CHANGE LIFE-STYLE'
                  31='(31) HAVE DRUG-RELATED DISEASE'
                  32='(32) DRUGS (MAKE/MADE) ME SICK' 33='(33) AFRAID OF GETTING AIDS'
                  34='(34) HEALTH PROBLEMS UNRELATED TO DRUGS'
                  35='(35) PREGNANT OR WANT TO GET PREGNANT'
                  36='(36) WANT TO IMPROVE MY GENERAL HEALTH'
                  37='(37) WANT TO IMPROVE MY MENTAL HEALTH'
                  39='(39) OTHER HEALTH REASON' 41='(41) WANT TO SAVE MY MARRIAGE'
                  42='(42) WANT TO IMPROVE RELATIONS W/FAMILY'
                  43='(43) WANT TO AVOID LOSING CHILD CUSTODY'
                  44='(44) WANT TO GET MY CHILDREN BACK'
                  49='(49) OTHER INTERPERSONAL REASONS'
                  51='(51) AVOID INVOLVEMENT CRIMINAL ACTIVITY'
                  52='(52) WANT TO AVOID ARREST' 53='(53) COURT MANDATE'
                  54='(54) HAVE AN UPCOMING COURT HEARING' 59='(59) OTHER LEGAL REASON'
                  61='(61) BECOME ELIGIBLE PUBLIC ASSISTANCE'
                  62='(62) BECOME ELIGIBLE MEDICAL SERVICES'
                  63='(63) BECOME ELIGIBLE FOR JOB SERVICES'
                  69='(69) OTHER ACCESS TO SERVICES'
                  71='(71) WANT TO KEEP JOB/FIND BETTER JOB'
                  72='(72) TO PREVENT PROBLEMS WITH MY BOSS'
                  73='(73) TO PREVENT PROBLEMS W/CO-WORKERS'
                  74='(74) OTHER JOB-RELATED PROBLEMS' 75='(75) DO BETTER IN SCHOOL'
                  76='(76) PREVENT PROBLEMS W/PRINCIPAL'
                  77='(77) PREVENT PROBLEMS W/OTHER STUDENTS'
                  78='(78) CONDITION OF SUSPENSION'
                  79='(79) OTHER SCHOOL-RELATED PROBLEMS' 81='(81) SPOUSE/PARTNER'
                  82='(82) FAMILY MEMBERS' 83='(83) FRIENDS' 84='(84) SCHOOL'
                  85='(85) JOB OR EMPLOYER' 86='(86) LEGAL (BESIDES COURT MANDATE)'
                  87='(87) TREATMENT STAFF' 88='(88) TREATMENT CLIENTS'
                  89='(89) OTHER PRESSURE' 91='(91) OTHER' ;
  VALUE me41a3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SHORTAGE OF AVAILABLE DRUGS' 2='(2) DRUGS OF POOR QUALITY'
                  3='(3) LOST DRUG CONNECTION'
                  9='(9) OTHER PROBLEMS WITH AVAILABILITY'
                  11='(11) DRUGS COST TOO MUCH' 12='(12) NOT ENOUGH MONEY TO BUY DRUGS'
                  13='(13) NOT ENOUGH MONEY TO BUY OTHER THINGS'
                  14='(14) WANTED TO BE SELF-SUPPORTING'
                  19='(19) OTHER FINANCIAL PROBLEMS' 21='(21) WANT TO GET OFF DRUGS'
                  22='(22) WANT TO CUT DOWN SIZE OF HABIT'
                  23='(23) GETTING DISGUSTED WITH LIFE-STYLE'
                  24='(24) WANT TO ENTER OR STAY IN SCHOOL'
                  25='(25) WANT TO FIND NEW FRIENDS' 26='(26) BECAME RELIGIOUS'
                  29='(29) OTHER DESIRE TO CHANGE LIFE-STYLE'
                  31='(31) HAVE DRUG-RELATED DISEASE'
                  32='(32) DRUGS (MAKE/MADE) ME SICK' 33='(33) AFRAID OF GETTING AIDS'
                  34='(34) HEALTH PROBLEMS UNRELATED TO DRUGS'
                  35='(35) PREGNANT OR WANT TO GET PREGNANT'
                  36='(36) WANT TO IMPROVE MY GENERAL HEALTH'
                  37='(37) WANT TO IMPROVE MY MENTAL HEALTH'
                  39='(39) OTHER HEALTH REASON' 41='(41) WANT TO SAVE MY MARRIAGE'
                  42='(42) WANT TO IMPROVE RELATIONS W/FAMILY'
                  43='(43) WANT TO AVOID LOSING CHILD CUSTODY'
                  44='(44) WANT TO GET MY CHILDREN BACK'
                  49='(49) OTHER INTERPERSONAL REASONS'
                  51='(51) AVOID INVOLVEMENT CRIMINAL ACTIVITY'
                  52='(52) WANT TO AVOID ARREST' 53='(53) COURT MANDATE'
                  54='(54) HAVE AN UPCOMING COURT HEARING' 59='(59) OTHER LEGAL REASON'
                  61='(61) BECOME ELIGIBLE PUBLIC ASSISTANCE'
                  62='(62) BECOME ELIGIBLE MEDICAL SERVICES'
                  63='(63) BECOME ELIGIBLE FOR JOB SERVICES'
                  69='(69) OTHER ACCESS TO SERVICES'
                  71='(71) WANT TO KEEP JOB/FIND BETTER JOB'
                  72='(72) TO PREVENT PROBLEMS WITH MY BOSS'
                  73='(73) TO PREVENT PROBLEMS W/CO-WORKERS'
                  74='(74) OTHER JOB-RELATED PROBLEMS' 75='(75) DO BETTER IN SCHOOL'
                  76='(76) PREVENT PROBLEMS W/PRINCIPAL'
                  77='(77) PREVENT PROBLEMS W/OTHER STUDENTS'
                  78='(78) CONDITION OF SUSPENSION'
                  79='(79) OTHER SCHOOL-RELATED PROBLEMS' 81='(81) SPOUSE/PARTNER'
                  82='(82) FAMILY MEMBERS' 83='(83) FRIENDS' 84='(84) SCHOOL'
                  85='(85) JOB OR EMPLOYER' 86='(86) LEGAL (BESIDES COURT MANDATE)'
                  87='(87) TREATMENT STAFF' 88='(88) TREATMENT CLIENTS'
                  89='(89) OTHER PRESSURE' 91='(91) OTHER' ;
  VALUE me42a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me42b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me42c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me42d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me42e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me42f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me42g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me42h     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me42i     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me42j     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me42k     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me42l     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me42m     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me42n     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me42o     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me42p     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me42q     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me42r     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me42s     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me42t     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me42u     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me43ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me43a1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) FRIENDS'
                  2='(2) ANGER' 3='(3) BORED' 4='(4) CONVENIENCE' 5='(5) FAMILY'
                  6='(6) WORK PROBLEMS' 7='(7) SELLING OF DRUGS/FINANCIAL'
                  8='(8) ENVIRONMENT W/DRUGS/OTHERS USING/AVAILABILITY'
                  9='(9) LOSS OF JOB OR ASSETS' 10='(10) EXTRA MONEY' 11='(11) P.M.S.'
                  12='(12) WHEN THINGS ARE GOING GOOD'
                  13='(13) WHEN THINGS ARE GOING BAD' 14='(14) RELAXED'
                  15='(15) UNEXPECTED CRAVINGS'
                  16='(16) WHEN I WALK INTO A PUBLIC BATHROOM'
                  17='(17) AFTER DREAMING ABOUT DRUGS' 18='(18) ANYTIME'
                  19='(19) WHEN PEOPLE DRINK/SMOKE' 20='(20) DEPRESSION' 21='(21) PAIN/SICK'
                  22='(22) DEATH OF FRIEND/FAMILY'
                  23='(23) ARGUING WITH FAMILY/FRIENDS' 24='(24) (NOT IN CODE LIST)'
                  25='(25) LOSS OF HOPE'
                  26='(26) WHEN I HAVEN''T DONE DRUGS IN A WHILE' 27='(27) VACATION'
                  28='(28) STRESSED' 29='(29) TRAGEDY IN FAMILY' 30='(30) MIND IS WANDERING'
                  31='(31) GO BACK TO OLD NEIGHBORHOOD'
                  32='(32) WITH BOYFRIEND/GIRLFRIEND/HUSBAND/WIFE'
                  33='(33) WHEN I HAVE DRUGS/RUN UP ON DRUGS HIDDEN'
                  34='(34) WANT TO FEEL GOOD' 35='(35) REJECTION' 36='(36) FAMILY REUNION'
                  37='(37) PROBLEMS WITH SPOUSE' 38='(38) PARTY' 39='(39) HOLIDAYS'
                  40='(40) WHEN FEELING ON TOP OF THE WORLD'
                  41='(41) WHEN THINKING ABOUT DRUGS'
                  42='(42) WHEN ''RESPONDENT'' HAS THE MONEY' 43='(43) FLASHBACK'
                  44='(44) SEEING CRACK USED ON TV' 45='(45) BEING ALONE'
                  46='(46) ON THE WEEKEND'
                  47='(47) NEAR OR RIGHT AFTER PAY DAY NO MONEY LEFT'
                  48='(48) EVERYDAY' 49='(49) NOT WORKING' 50='(50) PROBLEMS'
                  51='(51) RELATIONSHIPS' 52='(52) WHEN I THINK I CAN RUN THE SHOW'
                  53='(53) GOING TO STORE' 54='(54) FAMILY PROBLEMS' 55='(55) AT A BAR'
                  56='(56) IF I HAVE A CAR' 57='(57) ALL THE TIME' 58='(58) FULL MOON'
                  59='(59) SOMEONE HANDED IT TO ME' 60='(60) THERE' 61='(61) HAPPY' 62='(62) SAD'
                  63='(63) END OF WORK WEEK' 64='(64) BAD SELF ESTEEM/LOW SELF ESTEEM'
                  65='(65) CAN''T COPE WITH THINGS' 66='(66) BILLS/DEBTS'
                  67='(67) CAN''T SLEEP' 68='(68) MOOD CHANGES'
                  69='(69) AN ATTRACTIVE WOMAN' 70='(70) WHEN I WAKE UP' 71='(71) AT WORK'
                  72='(72) 50% OF THE TIME' 73='(73) WANT A REWARD' 74='(74) SEXUALLY'
                  75='(75) MEDICAL REASONS' 76='(76) CONFUSION' 77='(77) NOISES'
                  78='(78) NIGHT TIME' 79='(79) UNDER PRESSURE' 80='(80) HOT DAY'
                  81='(81) GOING THRU CHANGES' 82='(82) THINKING ABOUT ILLNESS'
                  83='(83) GAMBLING' 84='(84) THINKING ABOUT CHILDHOOD ABUSE'
                  85='(85) REMEMBER HOW IT MADE ME FEEL' 86='(86) NO MONEY'
                  87='(87) IF I''M IN JAIL' 88='(88) (NOT IN CODE LIST)' 89='(89) KIDS'
                  90='(90) GIVING UP HOPE' 91='(91) IF I DON''T STAY IN THE PROGRAM'
                  92='(92) SPORTING EVENTS' 93='(93) WHEN FRIGHTENED'
                  94='(94) WHEN I LEAVE JAIL' 95='(95) WHEN I''M TIRED'
                  96='(96) PLAYING MUSIC' 97='(97) ATTITUDE' 98='(98) FREEBIES'
                  99='(99) GOING PAST DENTIST OFFICE' 100='(100) HYPER' 101='(101) DETOXING'
                  102='(102) BEING IN A PHARMACY'
                  103='(103) LOSS OF BOYFRIEND/GIRLFRIEND/BREAKUP' 104='(104) DISGUSTED'
                  105='(105) SNEAKY' 106='(106) AFTER HAVING MY BABY' 107='(107) CSD'
                  108='(108) NEED COMFORT/LOVE' 109='(109) TALKING ABOUT DRUGS'
                  110='(110) WHEN I DRINK/SMOKE'
                  111='(111) IN PRESENCE OF POLICE OFFICER'
                  112='(112) WHEN DENIED SOMETHING' 113='(113) PARAPHERNALIA'
                  114='(114) NERVOUS/EDGY/IRRITABLE' 115='(115) WHEN SATISFIED'
                  116='(116) TRIGGERS' 117='(117) CONCERTS' 118='(118) AFTER WORK DAY'
                  119='(119) KNOWING I''M NOT GOING TO BE TESTED' 120='(120) AT HOME'
                  121='(121) TO GET THE FEELING' 122='(122) LISTENING TO MUSIC'
                  123='(123) SCHOOL' 124='(124) ON MY BIRTHDAY' 125='(125) WHEN I''M MAD'
                  126='(126) WHEN I WAS GOING TO JAIL' 127='(127) GETTING OFF PROBATION'
                  128='(128) LEAVING TREATMENT' 129='(129) JUST TEMPTED SOMETIMES'
                  130='(130) DON''T KNOW- MAYBE IN THE FUTURE' 131='(131) FISHING'
                  132='(132) DON''T WANT TO SLEEP/STAY AWAKE'
                  133='(133) NOT SEEN FRIENDS IN A WHILE' ;
  VALUE me43a1ct  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) FAMILY/FRIENDS'
                  2='(2) ENVIRONMENTAL (SPECIFIC PLACES, SURROUNDINGS, OR EVENTS)'
                  3='(3) EMOTIONS (DEPRESSION, SAD, HAPPY, ANGRY, ETC.)'
                  4='(4) STRESSED/TIRED/NEED TO RELAX'
                  5='(5) PHYSICAL PROBLEMS (ILLNESS, PAIN, ETC.)'
                  6='(6) FINANCIAL (HAD MONEY, NEEDED MONEY, ETC.)'
                  7='(7) CRAVINGS, THOUGHT ABOUT DRUGS, ETC.' 8='(8) AVAILABILITY'
                  9='(9) OTHER' ;
  VALUE me43b1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me43a2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) FRIENDS'
                  2='(2) ANGER' 3='(3) BORED' 4='(4) CONVENIENCE' 5='(5) FAMILY'
                  6='(6) WORK PROBLEMS' 7='(7) SELLING OF DRUGS/FINANCIAL'
                  8='(8) ENVIRONMENT W/DRUGS/OTHERS USING/AVAILABILITY'
                  9='(9) LOSS OF JOB OR ASSETS' 10='(10) EXTRA MONEY' 11='(11) P.M.S.'
                  12='(12) WHEN THINGS ARE GOING GOOD'
                  13='(13) WHEN THINGS ARE GOING BAD' 14='(14) RELAXED'
                  15='(15) UNEXPECTED CRAVINGS'
                  16='(16) WHEN I WALK INTO A PUBLIC BATHROOM'
                  17='(17) AFTER DREAMING ABOUT DRUGS' 18='(18) ANYTIME'
                  19='(19) WHEN PEOPLE DRINK/SMOKE' 20='(20) DEPRESSION' 21='(21) PAIN/SICK'
                  22='(22) DEATH OF FRIEND/FAMILY'
                  23='(23) ARGUING WITH FAMILY/FRIENDS' 24='(24) (NOT IN CODE LIST)'
                  25='(25) LOSS OF HOPE'
                  26='(26) WHEN I HAVEN''T DONE DRUGS IN A WHILE' 27='(27) VACATION'
                  28='(28) STRESSED' 29='(29) TRAGEDY IN FAMILY' 30='(30) MIND IS WANDERING'
                  31='(31) GO BACK TO OLD NEIGHBORHOOD'
                  32='(32) WITH BOYFRIEND/GIRLFRIEND/HUSBAND/WIFE'
                  33='(33) WHEN I HAVE DRUGS/RUN UP ON DRUGS HIDDEN'
                  34='(34) WANT TO FEEL GOOD' 35='(35) REJECTION' 36='(36) FAMILY REUNION'
                  37='(37) PROBLEMS WITH SPOUSE' 38='(38) PARTY' 39='(39) HOLIDAYS'
                  40='(40) WHEN FEELING ON TOP OF THE WORLD'
                  41='(41) WHEN THINKING ABOUT DRUGS'
                  42='(42) WHEN ''RESPONDENT'' HAS THE MONEY' 43='(43) FLASHBACK'
                  44='(44) SEEING CRACK USED ON TV' 45='(45) BEING ALONE'
                  46='(46) ON THE WEEKEND'
                  47='(47) NEAR OR RIGHT AFTER PAY DAY NO MONEY LEFT'
                  48='(48) EVERYDAY' 49='(49) NOT WORKING' 50='(50) PROBLEMS'
                  51='(51) RELATIONSHIPS' 52='(52) WHEN I THINK I CAN RUN THE SHOW'
                  53='(53) GOING TO STORE' 54='(54) FAMILY PROBLEMS' 55='(55) AT A BAR'
                  56='(56) IF I HAVE A CAR' 57='(57) ALL THE TIME' 58='(58) FULL MOON'
                  59='(59) SOMEONE HANDED IT TO ME' 60='(60) THERE' 61='(61) HAPPY' 62='(62) SAD'
                  63='(63) END OF WORK WEEK' 64='(64) BAD SELF ESTEEM/LOW SELF ESTEEM'
                  65='(65) CAN''T COPE WITH THINGS' 66='(66) BILLS/DEBTS'
                  67='(67) CAN''T SLEEP' 68='(68) MOOD CHANGES'
                  69='(69) AN ATTRACTIVE WOMAN' 70='(70) WHEN I WAKE UP' 71='(71) AT WORK'
                  72='(72) 50% OF THE TIME' 73='(73) WANT A REWARD' 74='(74) SEXUALLY'
                  75='(75) MEDICAL REASONS' 76='(76) CONFUSION' 77='(77) NOISES'
                  78='(78) NIGHT TIME' 79='(79) UNDER PRESSURE' 80='(80) HOT DAY'
                  81='(81) GOING THRU CHANGES' 82='(82) THINKING ABOUT ILLNESS'
                  83='(83) GAMBLING' 84='(84) THINKING ABOUT CHILDHOOD ABUSE'
                  85='(85) REMEMBER HOW IT MADE ME FEEL' 86='(86) NO MONEY'
                  87='(87) IF I''M IN JAIL' 88='(88) (NOT IN CODE LIST)' 89='(89) KIDS'
                  90='(90) GIVING UP HOPE' 91='(91) IF I DON''T STAY IN THE PROGRAM'
                  92='(92) SPORTING EVENTS' 93='(93) WHEN FRIGHTENED'
                  94='(94) WHEN I LEAVE JAIL' 95='(95) WHEN I''M TIRED'
                  96='(96) PLAYING MUSIC' 97='(97) ATTITUDE' 98='(98) FREEBIES'
                  99='(99) GOING PAST DENTIST OFFICE' 100='(100) HYPER' 101='(101) DETOXING'
                  102='(102) BEING IN A PHARMACY'
                  103='(103) LOSS OF BOYFRIEND/GIRLFRIEND/BREAKUP' 104='(104) DISGUSTED'
                  105='(105) SNEAKY' 106='(106) AFTER HAVING MY BABY' 107='(107) CSD'
                  108='(108) NEED COMFORT/LOVE' 109='(109) TALKING ABOUT DRUGS'
                  110='(110) WHEN I DRINK/SMOKE'
                  111='(111) IN PRESENCE OF POLICE OFFICER'
                  112='(112) WHEN DENIED SOMETHING' 113='(113) PARAPHERNALIA'
                  114='(114) NERVOUS/EDGY/IRRITABLE' 115='(115) WHEN SATISFIED'
                  116='(116) TRIGGERS' 117='(117) CONCERTS' 118='(118) AFTER WORK DAY'
                  119='(119) KNOWING I''M NOT GOING TO BE TESTED' 120='(120) AT HOME'
                  121='(121) TO GET THE FEELING' 122='(122) LISTENING TO MUSIC'
                  123='(123) SCHOOL' 124='(124) ON MY BIRTHDAY' 125='(125) WHEN I''M MAD'
                  126='(126) WHEN I WAS GOING TO JAIL' 127='(127) GETTING OFF PROBATION'
                  128='(128) LEAVING TREATMENT' 129='(129) JUST TEMPTED SOMETIMES'
                  130='(130) DON''T KNOW- MAYBE IN THE FUTURE' 131='(131) FISHING'
                  132='(132) DON''T WANT TO SLEEP/STAY AWAKE'
                  133='(133) NOT SEEN FRIENDS IN A WHILE' ;
  VALUE me43a2ct  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) FAMILY/FRIENDS'
                  2='(2) ENVIRONMENTAL (SPECIFIC PLACES, SURROUNDINGS, OR EVENTS)'
                  3='(3) EMOTIONS (DEPRESSION, SAD, HAPPY, ANGRY, ETC.)'
                  4='(4) STRESSED/TIRED/NEED TO RELAX'
                  5='(5) PHYSICAL PROBLEMS (ILLNESS, PAIN, ETC.)'
                  6='(6) FINANCIAL (HAD MONEY, NEEDED MONEY, ETC.)'
                  7='(7) CRAVINGS, THOUGHT ABOUT DRUGS, ETC.' 8='(8) AVAILABILITY'
                  9='(9) OTHER' ;
  VALUE me43b2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me43a3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) FRIENDS'
                  2='(2) ANGER' 3='(3) BORED' 4='(4) CONVENIENCE' 5='(5) FAMILY'
                  6='(6) WORK PROBLEMS' 7='(7) SELLING OF DRUGS/FINANCIAL'
                  8='(8) ENVIRONMENT W/DRUGS/OTHERS USING/AVAILABILITY'
                  9='(9) LOSS OF JOB OR ASSETS' 10='(10) EXTRA MONEY' 11='(11) P.M.S.'
                  12='(12) WHEN THINGS ARE GOING GOOD'
                  13='(13) WHEN THINGS ARE GOING BAD' 14='(14) RELAXED'
                  15='(15) UNEXPECTED CRAVINGS'
                  16='(16) WHEN I WALK INTO A PUBLIC BATHROOM'
                  17='(17) AFTER DREAMING ABOUT DRUGS' 18='(18) ANYTIME'
                  19='(19) WHEN PEOPLE DRINK/SMOKE' 20='(20) DEPRESSION' 21='(21) PAIN/SICK'
                  22='(22) DEATH OF FRIEND/FAMILY'
                  23='(23) ARGUING WITH FAMILY/FRIENDS' 24='(24) (NOT IN CODE LIST)'
                  25='(25) LOSS OF HOPE'
                  26='(26) WHEN I HAVEN''T DONE DRUGS IN A WHILE' 27='(27) VACATION'
                  28='(28) STRESSED' 29='(29) TRAGEDY IN FAMILY' 30='(30) MIND IS WANDERING'
                  31='(31) GO BACK TO OLD NEIGHBORHOOD'
                  32='(32) WITH BOYFRIEND/GIRLFRIEND/HUSBAND/WIFE'
                  33='(33) WHEN I HAVE DRUGS/RUN UP ON DRUGS HIDDEN'
                  34='(34) WANT TO FEEL GOOD' 35='(35) REJECTION' 36='(36) FAMILY REUNION'
                  37='(37) PROBLEMS WITH SPOUSE' 38='(38) PARTY' 39='(39) HOLIDAYS'
                  40='(40) WHEN FEELING ON TOP OF THE WORLD'
                  41='(41) WHEN THINKING ABOUT DRUGS'
                  42='(42) WHEN ''RESPONDENT'' HAS THE MONEY' 43='(43) FLASHBACK'
                  44='(44) SEEING CRACK USED ON TV' 45='(45) BEING ALONE'
                  46='(46) ON THE WEEKEND'
                  47='(47) NEAR OR RIGHT AFTER PAY DAY NO MONEY LEFT'
                  48='(48) EVERYDAY' 49='(49) NOT WORKING' 50='(50) PROBLEMS'
                  51='(51) RELATIONSHIPS' 52='(52) WHEN I THINK I CAN RUN THE SHOW'
                  53='(53) GOING TO STORE' 54='(54) FAMILY PROBLEMS' 55='(55) AT A BAR'
                  56='(56) IF I HAVE A CAR' 57='(57) ALL THE TIME' 58='(58) FULL MOON'
                  59='(59) SOMEONE HANDED IT TO ME' 60='(60) THERE' 61='(61) HAPPY' 62='(62) SAD'
                  63='(63) END OF WORK WEEK' 64='(64) BAD SELF ESTEEM/LOW SELF ESTEEM'
                  65='(65) CAN''T COPE WITH THINGS' 66='(66) BILLS/DEBTS'
                  67='(67) CAN''T SLEEP' 68='(68) MOOD CHANGES'
                  69='(69) AN ATTRACTIVE WOMAN' 70='(70) WHEN I WAKE UP' 71='(71) AT WORK'
                  72='(72) 50% OF THE TIME' 73='(73) WANT A REWARD' 74='(74) SEXUALLY'
                  75='(75) MEDICAL REASONS' 76='(76) CONFUSION' 77='(77) NOISES'
                  78='(78) NIGHT TIME' 79='(79) UNDER PRESSURE' 80='(80) HOT DAY'
                  81='(81) GOING THRU CHANGES' 82='(82) THINKING ABOUT ILLNESS'
                  83='(83) GAMBLING' 84='(84) THINKING ABOUT CHILDHOOD ABUSE'
                  85='(85) REMEMBER HOW IT MADE ME FEEL' 86='(86) NO MONEY'
                  87='(87) IF I''M IN JAIL' 88='(88) (NOT IN CODE LIST)' 89='(89) KIDS'
                  90='(90) GIVING UP HOPE' 91='(91) IF I DON''T STAY IN THE PROGRAM'
                  92='(92) SPORTING EVENTS' 93='(93) WHEN FRIGHTENED'
                  94='(94) WHEN I LEAVE JAIL' 95='(95) WHEN I''M TIRED'
                  96='(96) PLAYING MUSIC' 97='(97) ATTITUDE' 98='(98) FREEBIES'
                  99='(99) GOING PAST DENTIST OFFICE' 100='(100) HYPER' 101='(101) DETOXING'
                  102='(102) BEING IN A PHARMACY'
                  103='(103) LOSS OF BOYFRIEND/GIRLFRIEND/BREAKUP' 104='(104) DISGUSTED'
                  105='(105) SNEAKY' 106='(106) AFTER HAVING MY BABY' 107='(107) CSD'
                  108='(108) NEED COMFORT/LOVE' 109='(109) TALKING ABOUT DRUGS'
                  110='(110) WHEN I DRINK/SMOKE'
                  111='(111) IN PRESENCE OF POLICE OFFICER'
                  112='(112) WHEN DENIED SOMETHING' 113='(113) PARAPHERNALIA'
                  114='(114) NERVOUS/EDGY/IRRITABLE' 115='(115) WHEN SATISFIED'
                  116='(116) TRIGGERS' 117='(117) CONCERTS' 118='(118) AFTER WORK DAY'
                  119='(119) KNOWING I''M NOT GOING TO BE TESTED' 120='(120) AT HOME'
                  121='(121) TO GET THE FEELING' 122='(122) LISTENING TO MUSIC'
                  123='(123) SCHOOL' 124='(124) ON MY BIRTHDAY' 125='(125) WHEN I''M MAD'
                  126='(126) WHEN I WAS GOING TO JAIL' 127='(127) GETTING OFF PROBATION'
                  128='(128) LEAVING TREATMENT' 129='(129) JUST TEMPTED SOMETIMES'
                  130='(130) DON''T KNOW- MAYBE IN THE FUTURE' 131='(131) FISHING'
                  132='(132) DON''T WANT TO SLEEP/STAY AWAKE'
                  133='(133) NOT SEEN FRIENDS IN A WHILE' ;
  VALUE me43a3ct  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) FAMILY/FRIENDS'
                  2='(2) ENVIRONMENTAL (SPECIFIC PLACES, SURROUNDINGS, OR EVENTS)'
                  3='(3) EMOTIONS (DEPRESSION, SAD, HAPPY, ANGRY, ETC.)'
                  4='(4) STRESSED/TIRED/NEED TO RELAX'
                  5='(5) PHYSICAL PROBLEMS (ILLNESS, PAIN, ETC.)'
                  6='(6) FINANCIAL (HAD MONEY, NEEDED MONEY, ETC.)'
                  7='(7) CRAVINGS, THOUGHT ABOUT DRUGS, ETC.' 8='(8) AVAILABILITY'
                  9='(9) OTHER' ;
  VALUE me43b3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE me44ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY DIFFICULT' ;
  VALUE me45ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) VERY POOR'
                  2='(2) FAIR' 3='(3) VERY GOOD' ;
  VALUE me46ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' 3='(3) NO TREATMENT RECEIVED' ;
  VALUE me47ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY DIFFICULT' ;
  VALUE me48ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) VERY POOR'
                  2='(2) FAIR' 3='(3) VERY GOOD' ;
  VALUE me49ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' 3='(3) NO TREATMENT RECEIVED' ;
  VALUE me50a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me50b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me50c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me50d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) N0' ;
  VALUE me51ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE me52ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) LESS THAN ONCE A MONTH' 3='(3) AT LEAST ONCE A WEEK'
                  4='(4) ALMOST DAILY' ;
  VALUE me53ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) LESS THAN ONCE A MONTH' 3='(3) AT LEAST ONCE A WEEK'
                  4='(4) ALMOST DAILY' ;
  VALUE mf1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mf1a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mf1b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE mf1c1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN 1 WEEK AFTER CONTACT'
                  2='(2) AT LEAST 1 WEEK AFTER CONTACT' ;
  VALUE mf1c_wk   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE mf1d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mf2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mf2a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mf2b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN 1 WEEK AFTER CONTACT'
                  2='(2) AT LEAST 1 WEEK AFTER CONTACT' ;
  VALUE mf2b_wk   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mf2c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mf3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mf3a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN 1 WEEK AFTER CONTACT'
                  2='(2) AT LEAST 1 WEEK AFTER CONTACT' ;
  VALUE mf3a_wk   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mf3b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mf4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mf4a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN 1 WEEK AFTER CONTACT'
                  2='(2) AT LEAST 1 WEEK AFTER CONTACT' ;
  VALUE mf4a_wk   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mf4b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mf5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mf5a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN 1 WEEK AFTER CONTACT'
                  2='(2) AT LEAST 1 WEEK AFTER CONTACT' ;
  VALUE mf5a_wk   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mf5b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mf6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mf6a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN 1 WEEK AFTER CONTACT'
                  2='(2) AT LEAST 1 WEEK AFTER CONTACT' ;
  VALUE mf6a_wk   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mf6b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mf7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mf7a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN 1 WEEK AFTER CONTACT'
                  2='(2) AT LEAST 1 WEEK AFTER CONTACT' ;
  VALUE mf7a_wk   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mf7b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mf8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mf9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mf9a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mf10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mf11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mf11a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY SERIOUS' ;
  VALUE mf12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SLIGHTLY' 2='(2) MODERATELY' 3='(3) CONSIDERABLY' 4='(4) EXTREMELY' ;
  VALUE mf12a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SLIGHTLY' 2='(2) MODERATELY' 3='(3) CONSIDERABLY' 4='(4) EXTREMELY' ;
  VALUE mf12b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SLIGHTLY' 2='(2) MODERATELY' 3='(3) CONSIDERABLY' 4='(4) EXTREMELY' ;
  VALUE mf13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE mf14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE mf15ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE mf16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE mf17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE mf18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE mf19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE mf20ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE mf21ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE mf22ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE mg1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mg2_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mg3_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg4_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg5_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg2_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mg3_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg4_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg5_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg2_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mg3_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg4_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg5_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg2_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mg3_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg4_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg5_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg2_5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mg3_5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg4_5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg5_5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg2_6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mg3_6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg4_6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg5_6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg2_7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mg3_7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg4_7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg5_7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg2_8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mg3_8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg4_8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg5_8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg2_9fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mg3_9fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg4_9fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg5_9fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg2_10ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mg3_10ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg4_10ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg5_10ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg2_11ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mg3_11ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg4_11ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg5_11ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg2_12ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mg3_12ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg4_12ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg5_12ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mg6a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) 1 OR 2 TIMES' 2='(2) 3 TO 5 TIMES' 3='(3) 6 TO 10 TIMES'
                  4='(4) 11 TO 49 TIMES' 5='(5) 50 OR MORE TIMES' ;
  VALUE mg6b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) 1 OR 2 TIMES' 2='(2) 3 TO 5 TIMES' 3='(3) 6 TO 10 TIMES'
                  4='(4) 11 TO 49 TIMES' 5='(5) 50 OR MORE TIMES' ;
  VALUE mg7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mg7a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY SERIOUS' ;
  VALUE mg8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO POLICE OR LEGAL PROBLEMS' 1='(1) NOT AT ALL SERIOUS'
                  2='(2) SLIGHTLY SERIOUS' 3='(3) MODERATELY SERIOUS'
                  4='(4) CONSIDERABLY SERIOUS' 5='(5) EXTREMELY SERIOUS' ;
  VALUE mg8a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO POLICE OR LEGAL PROBLEMS' 1='(1) NOT AT ALL SERIOUS'
                  2='(2) SLIGHTLY SERIOUS' 3='(3) MODERATELY SERIOUS'
                  4='(4) CONSIDERABLY SERIOUS' 5='(5) EXTREMELY SERIOUS' ;
  VALUE mg8b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO POLICE OR LEGAL PROBLEMS' 1='(1) NOT AT ALL SERIOUS'
                  2='(2) SLIGHTLY SERIOUS' 3='(3) MODERATELY SERIOUS'
                  4='(4) CONSIDERABLY SERIOUS' 5='(5) EXTREMELY SERIOUS' ;
  VALUE mg9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mg9a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mh1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WORKING AT A LEGITIMATE JOB'
                  2='(2) HAD A JOB BUT WAS NOT WORKING' 3='(3) LOOKING FOR WORK'
                  4='(4) KEEPING HOUSE FOR YOURSELF/FAMILY'
                  5='(5) GOING TO SCHOOL OR TRAINING'
                  6='(6) UNABLE TO WORK, DISABLED' 7='(7) RETIRED' 8='(8) IN JAIL'
                  9='(9) INVOLVED IN DRUG RELATED ACTS'
                  10='(10) INVOLVED IN OTHER ILLEGAL ACTIVITIES'
                  11='(11) NOT WORKING/NOT INTERESTED IN WORKING' 12='(12) OTHER' ;
  VALUE mh2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mh2a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mh2b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mh2c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mh2d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mh2e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SLACK WORK, LAYOFFS, STRIKE' 2='(2) SEASONAL WORKER'
                  3='(3) JOB TERMINATED DURING WEEK'
                  4='(4) NEW JOB STARTED DURING WEEK'
                  5='(5) COULD ONLY FIND PART-TIME WORK'
                  6='(6) DRUG OR ALCOHOL PROBLEM' 7='(7) ILLNESS' 8='(8) VACATION'
                  9='(9) BUSY WITH OTHER ACTIVITIES'
                  10='(10) DID NOT WANT/NEED FULL-TIME WORK'
                  11='(11) WORK WEEK USUALLY UNDER 35 HOURS' 12='(12) UNABLE TO WORK'
                  13='(13) RETIRED' 14='(14) IN JAIL, RESIDENTL TREATMENT PRGRM'
                  15='(15) INVOLVED IN ILLEGAL ACTIVITIES' 16='(16) OTHER (SPECIFY)' ;
  VALUE mh2f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mh2g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SLACK WORK, LAYOFFS, STRIKE' 2='(2) SEASONAL WORKER'
                  3='(3) JOB TERMINATED DURING WEEK'
                  4='(4) NEW JOB STARTED DURING WEEK'
                  5='(5) COULD ONLY FIND PART-TIME WORK'
                  6='(6) DRUG OR ALCOHOL PROBLEM' 7='(7) ILLNESS' 8='(8) VACATION'
                  9='(9) BUSY WITH OTHER ACTIVITIES'
                  10='(10) DID NOT WANT/NEED FULL-TIME WORK'
                  11='(11) WORK WEEK USUALLY UNDER 35 HOURS' 12='(12) UNABLE TO WORK'
                  13='(13) RETIRED' 14='(14) IN JAIL, RESIDENTL TREATMENT PRGRM'
                  15='(15) INVOLVED IN ILLEGAL ACTIVITIES' 16='(16) OTHER (SPECIFY)' ;
  VALUE mh3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO JOB OR OCCUPATION' 1='(1) PROFESSIONAL AND TECHNICAL'
                  2='(2) MANAGER AND ADMINISTRATOR' 3='(3) SALES'
                  4='(4) CLERICAL OR OFFICE WORKER' 5='(5) CRAFT AND KINDRED'
                  6='(6) OPERATIVES' 7='(7) TRANSPORTATION EQUIPMENT OPERATIVES'
                  8='(8) LABORERS (FARM & NONFARM)' 10='(10) SERVICE WORKER'
                  30='(30) STUDENT' 86='(86) OTHER' ;
  VALUE mh3a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) AGRICULTURE/FORESTRY/FISHERIES' 2='(2) CONSTRUCTION'
                  3='(3) MANUFACTURING'
                  4='(4) TRANSPORT./COMMUNIC./OTHER PUB UTILITIES'
                  5='(5) WHOLESALE TRADE' 6='(6) RETAIL TRADE'
                  7='(7) FINANCE/INSUR./REAL ESTATE' 8='(8) BUSINESS/REPAIR SERVICES'
                  9='(9) PERSONAL SERVICES' 10='(10) ENTERTAINMENT/REC. SVCS'
                  11='(11) PROF./RELATED SVCS' 12='(12) PUBLIC ADMIN.'
                  13='(13) INDUSTRY NOT REPORTED' ;
  VALUE mh3b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mh3b_sp   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO JOB OR OCCUPATION' 1='(1) PROFESSIONAL AND TECHNICAL'
                  2='(2) MANAGER AND ADMINISTRATOR' 3='(3) SALES'
                  4='(4) CLERICAL OR OFFICE WORKER' 5='(5) CRAFT AND KINDRED'
                  6='(6) OPERATIVES' 7='(7) TRANSPORTATION EQUIPMENT OPERATIVES'
                  8='(8) LABORERS (FARM & NONFARM)' 10='(10) SERVICE WORKER'
                  30='(30) STUDENT' 86='(86) OTHER' ;
  VALUE mh4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mh4a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mh4b1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE mh4b2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE mh4b3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE mh4b4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE mh4b5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE mh4b6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE mh4b7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE mh4c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mh4d1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE mh4d2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE mh4d3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE mh4d4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE mh4d5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE mh4d6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE mh4d7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE mh4d8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE mh4d9fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE mh4d10ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 10='(10) CIRCLED' ;
  VALUE mh4d11ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE mh5_0fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE mh5_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE mh5_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE mh5_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE mh5_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE mh5_5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE mh5_6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE mh5_7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE mh5_8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE mh5_9fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE mh5_10ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 10='(10) CIRCLED' ;
  VALUE mh5_11ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE mh5_12ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE mh5_13ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE mh5_14ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 14='(14) CIRCLED' ;
  VALUE mh5_15ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 15='(15) CIRCLED' ;
  VALUE mh5_16ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 16='(16) CIRCLED' ;
  VALUE mh6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mh7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN A WEEK' ;
  VALUE mh8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mh9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  99='(99) 99 OR MORE' ;
  VALUE mh9a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mh10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PROFESSIONAL AND TECHNICAL'
                  2='(2) MANAGER AND ADMINISTRATOR' 3='(3) SALES'
                  4='(4) CLERICAL OR OFFICE WORKER' 5='(5) CRAFT AND KINDRED'
                  6='(6) OPERATIVE' 7='(7) TRANSPORTATION EQUIPMENT OPERATIVE'
                  8='(8) NONFARM LABOR' 9='(9) PRIVATE HOUSEHOLD WORKER'
                  10='(10) SERVICE WORKER' 11='(11) FARMER AND FARM MANAGER'
                  12='(12) FARM LABORER' 20='(20) MILITARY SERVICE' 86='(86) OTHER' ;
  VALUE mh10a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) AGRICULTURE/FORESTRY/FISHERIES' 2='(2) CONSTRUCTION'
                  3='(3) MANUFACTURING'
                  4='(4) TRANSPORT./COMMUNIC./OTHER PUB UTILITIES'
                  5='(5) WHOLESALE TRADE' 6='(6) RETAIL TRADE'
                  7='(7) FINANCE/INSUR./REAL ESTATE' 8='(8) BUSINESS/REPAIR SERVICES'
                  9='(9) PERSONAL SERVICES' 10='(10) ENTERTAINMENT/REC. SVCS'
                  11='(11) PROF./RELATED SVCS' 12='(12) PUBLIC ADMIN.'
                  13='(13) INDUSTRY NOT REPORTED' ;
  VALUE mh10b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mh10b_sp  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PROFESSIONAL AND TECHNICAL'
                  2='(2) MANAGER AND ADMINISTRATOR' 3='(3) SALES'
                  4='(4) CLERICAL OR OFFICE WORKER' 5='(5) CRAFT AND KINDRED'
                  6='(6) OPERATIVE' 7='(7) TRANSPORTATION EQUIPMENT OPERATIVE'
                  8='(8) NONFARM LABOR' 9='(9) PRIVATE HOUSEHOLD WORKER'
                  10='(10) SERVICE WORKER' 11='(11) FARMER AND FARM MANAGER'
                  12='(12) FARM LABORER' 20='(20) MILITARY SERVICE' 86='(86) OTHER' ;
  VALUE mh11ffff  -9.0000='LEGITIMATE NONRESPONSE' -8.0000='MISSING'
                  -7.0000='REFUSAL' -6.0000='MULTIPLE RESPONSE'
                  -5.0000='BAD DATA' -4.0000='DON''T KNOW'
                  -3.0000='NOT APPLICABLE' -2.0000='RESPONSE ILLEGIBLE' ;
  VALUE mh11r     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) HOUR'
                  2='(2) WEEK' 3='(3) 2 WEEKS' 4='(4) MONTH' 5='(5) YEAR' 6='(6) OTHER' ;
  VALUE mh12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SLIGHTLY' 2='(2) MODERATELY' 3='(3) CONSIDERABLY' 4='(4) EXTREMELY' ;
  VALUE mh12a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SLIGHTLY' 2='(2) MODERATELY' 3='(3) CONSIDERABLY' 4='(4) EXTREMELY' ;
  VALUE mh12b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SLIGHTLY' 2='(2) MODERATELY' 3='(3) CONSIDERABLY' 4='(4) EXTREMELY' ;
  VALUE mh13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SLIGHTLY' 2='(2) MODERATELY' 3='(3) CONSIDERABLY' 4='(4) EXTREMELY' ;
  VALUE mh14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mj1a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mj2a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mj1b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mj2b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mj1c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mj2c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mj1d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mj2d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mj1e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mj2e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mj1f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mj1f_sp   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) OTHER' ;
  VALUE mj2f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mj2g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mj3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO INCOME'
                  1='(1) $ 1 - $ 499' 2='(2) $ 500 - $ 749' 3='(3) $ 750 - $ 999'
                  4='(4) $ 1,000 - $ 1,249' 5='(5) $ 1,250 - $ 1,499'
                  6='(6) $ 1,500 - $ 1,749' 7='(7) $ 1,750 - $ 1,999'
                  8='(8) $ 2,000 - $ 2,249' 9='(9) $ 2,250 - $ 2,499'
                  10='(10) $ 2,500 - $ 2,999' 12='(12) $ 3,000 - $ 3,499'
                  14='(14) $ 3,500 - $ 3,999' 16='(16) $ 4,000 - $ 4,499'
                  18='(18) $ 4,500 - $ 4,999' 20='(20) $ 5,000 - $ 5,999'
                  24='(24) $ 6,000 - $ 7,499' 30='(30) $ 7,500 - $ 9,999'
                  40='(40) $10,000 - $12,499' 50='(50) $12,500 - $24,999'
                  100='(100) $25,000 OR MORE' ;
  VALUE mj4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mj4a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mj5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO INCOME'
                  1='(1) $ 1 - $ 499' 2='(2) $ 500 - $ 749' 3='(3) $ 750 - $ 999'
                  4='(4) $ 1,000 - $ 1,249' 5='(5) $ 1,250 - $ 1,499'
                  6='(6) $ 1,500 - $ 1,749' 7='(7) $ 1,750 - $ 1,999'
                  8='(8) $ 2,000 - $ 2,249' 9='(9) $ 2,250 - $ 2,499'
                  10='(10) $ 2,500 - $ 2,999' 12='(12) $ 3,000 - $ 3,499'
                  14='(14) $ 3,500 - $ 3,999' 16='(16) $ 4,000 - $ 4,499'
                  18='(18) $ 4,500 - $ 4,999' 20='(20) $ 5,000 - $ 5,999'
                  24='(24) $ 6,000 - $ 7,499' 30='(30) $ 7,500 - $ 9,999'
                  40='(40) $10,000 - $12,499' 50='(50) $12,500 - $24,999'
                  100='(100) $25,000 OR MORE' ;
  VALUE mj6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mj7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mj8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY MUCH' ;
  VALUE mj9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SLIGHTLY' 2='(2) MODERATELY' 3='(3) CONSIDERABLY' 4='(4) EXTREMELY' ;
  VALUE mj9a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SLIGHTLY' 2='(2) MODERATELY' 3='(3) CONSIDERABLY' 4='(4) EXTREMELY' ;
  VALUE mj9b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SLIGHTLY' 2='(2) MODERATELY' 3='(3) CONSIDERABLY' 4='(4) EXTREMELY' ;
  VALUE mj10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SLIGHTLY' 2='(2) MODERATELY' 3='(3) CONSIDERABLY' 4='(4) EXTREMELY' ;
  VALUE mk1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) EXCELLENT'
                  2='(2) GOOD' 3='(3) FAIR' 4='(4) POOR' ;
  VALUE mk2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MUCH BETTER'
                  2='(2) BETTER' 3='(3) THE SAME' 4='(4) WORSE' 5='(5) MUCH WORSE' ;
  VALUE mk3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MUCH BETTER'
                  2='(2) BETTER' 3='(3) THE SAME' 4='(4) WORSE' 5='(5) MUCH WORSE' ;
  VALUE mk4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mk4a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mk4b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mk4c1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE mk4c2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE mk4c3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE mk4c4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE mk5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mk6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mk7a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mk8a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN 3 MONTHS' 2='(2) 3 MONTHS OR MORE' ;
  VALUE mk7b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mk8b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN 3 MONTHS' 2='(2) 3 MONTHS OR MORE' ;
  VALUE mk7c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mk8c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN 3 MONTHS' 2='(2) 3 MONTHS OR MORE' ;
  VALUE mk7d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mk8d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN 3 MONTHS' 2='(2) 3 MONTHS OR MORE' ;
  VALUE mk7e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mk8e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN 3 MONTHS' 2='(2) 3 MONTHS OR MORE' ;
  VALUE mk7f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mk8f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN 3 MONTHS' 2='(2) 3 MONTHS OR MORE' ;
  VALUE mk9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mk9a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mk10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mk11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mk12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mk13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mk14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mk14a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mk14b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mk14c1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) INH/ISONIAZID/RIMACTANE' 2='(2) VITAMINS'
                  3='(3) PILLS AND VITAMINS (B1 OR B6)' 4='(4) PRESCRIBED PILLS'
                  5='(5) RIFAMATE' 6='(6) GOT A SHOT' 7='(7) FORGOT NAME OF PILLS'
                  8='(8) IMH' 9='(9) ANTIBIOTICS-TB' 10='(10) TYLENOL PILLS'
                  11='(11) DON''T REMEMBER' 12='(12) NO MEDICATION' 13='(13) IRON PILLS' ;
  VALUE mk14c2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) INH/ISONIAZID/RIMACTANE' 2='(2) VITAMINS'
                  3='(3) PILLS AND VITAMINS (B1 OR B6)' 4='(4) PRESCRIBED PILLS'
                  5='(5) RIFAMATE' 6='(6) GOT A SHOT' 7='(7) FORGOT NAME OF PILLS'
                  8='(8) IMH' 9='(9) ANTIBIOTICS-TB' 10='(10) TYLENOL PILLS'
                  11='(11) DON''T REMEMBER' 12='(12) NO MEDICATION' 13='(13) IRON PILLS' ;
  VALUE mk14c3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) INH/ISONIAZID/RIMACTANE' 2='(2) VITAMINS'
                  3='(3) PILLS AND VITAMINS (B1 OR B6)' 4='(4) PRESCRIBED PILLS'
                  5='(5) RIFAMATE' 6='(6) GOT A SHOT' 7='(7) FORGOT NAME OF PILLS'
                  8='(8) IMH' 9='(9) ANTIBIOTICS-TB' 10='(10) TYLENOL PILLS'
                  11='(11) DON''T REMEMBER' 12='(12) NO MEDICATION' 13='(13) IRON PILLS' ;
  VALUE mk15ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mk16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SLIGHTLY' 2='(2) MODERATELY' 3='(3) CONSIDERABLY' 4='(4) EXTREMELY' ;
  VALUE mk16a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SLIGHTLY' 2='(2) MODERATELY' 3='(3) CONSIDERABLY' 4='(4) EXTREMELY' ;
  VALUE mk16b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SLIGHTLY' 2='(2) MODERATELY' 3='(3) CONSIDERABLY' 4='(4) EXTREMELY' ;
  VALUE mk17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SLIGHTLY' 2='(2) MODERATELY' 3='(3) CONSIDERABLY' 4='(4) EXTREMELY' ;
  VALUE ml0fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ml1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NEVER HAD VAGINAL SEX WITH A WOMAN' 1='(1) NONE' 2='(2) 1 WOMAN'
                  3='(3) 2 TO 4 WOMEN' 4='(4) 5 TO 9 WOMEN' 5='(5) 10 TO 20 WOMEN'
                  6='(6) 21 TO 99 WOMEN' 7='(7) 100 OR MORE WOMEN' ;
  VALUE ml1a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NEVER'
                  2='(2) SOMETIMES' 3='(3) USUALLY' 4='(4) EVERY TIME' ;
  VALUE ml2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NONE'
                  2='(2) 1 WOMAN' 3='(3) 2 TO 4 WOMEN' 4='(4) 5 TO 9 WOMEN'
                  5='(5) 10 TO 20 WOMEN' 6='(6) 21 TO 99 WOMEN' 7='(7) 100 OR MORE WOMEN' ;
  VALUE ml2a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NEVER'
                  2='(2) SOMETIMES' 3='(3) USUALLY' 4='(4) EVERY TIME' ;
  VALUE ml3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NONE'
                  2='(2) 1 WOMAN' 3='(3) 2 TO 4 WOMEN' 4='(4) 5 TO 9 WOMEN'
                  5='(5) 10 TO 20 WOMEN' 6='(6) 21 TO 99 WOMEN' 7='(7) 100 OR MORE WOMEN' ;
  VALUE ml3a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NEVER'
                  2='(2) SOMETIMES' 3='(3) USUALLY' 4='(4) EVERY TIME' ;
  VALUE ml4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ml5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ml6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ml7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ml8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NEVER HAD SEX WITH A MAN' 1='(1) NONE' 2='(2) 1 MAN'
                  3='(3) 2 TO 4 MEN' 4='(4) 5 TO 9 MEN' 5='(5) 10 TO 20 MEN'
                  6='(6) 21 TO 99 MEN' 7='(7) 100 OR MORE MEN' ;
  VALUE ml8a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NEVER'
                  2='(2) SOMETIMES' 3='(3) USUALLY' 4='(4) EVERY TIME' ;
  VALUE ml9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NONE'
                  2='(2) 1 MAN' 3='(3) 2 TO 4 MEN' 4='(4) 5 TO 9 MEN' 5='(5) 10 TO 20 MEN'
                  6='(6) 21 TO 99 MEN' 7='(7) 100 OR MORE MEN' ;
  VALUE ml9a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NEVER'
                  2='(2) SOMETIMES' 3='(3) USUALLY' 4='(4) EVERY TIME' ;
  VALUE ml10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ml11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ml12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ml13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ml13a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) 1 PERSON'
                  2='(2) 2 TO 4 PEOPLE' 3='(3) 5 OR MORE PEOPLE' ;
  VALUE ml14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NEVER HAD VAGINAL INTERCOURSE W/MAN' 1='(1) NONE' 2='(2) 1 MAN'
                  3='(3) 2 TO 4 MEN' 4='(4) 5 TO 9 MEN' 5='(5) 10 TO 20 MEN'
                  6='(6) 21 TO 99 MEN' 7='(7) 100 OR MORE MEN' ;
  VALUE ml14a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NEVER'
                  2='(2) SOMETIMES' 3='(3) USUALLY' 4='(4) EVERY TIME' ;
  VALUE ml15ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NEVER HAD ANAL SEX WITH A MAN' 1='(1) NONE' 2='(2) 1 MAN'
                  3='(3) 2 TO 4 MEN' 4='(4) 5 TO 9 MEN' 5='(5) 10 TO 20 MEN'
                  6='(6) 21 TO 99 MEN' 7='(7) 100 OR MORE MEN' ;
  VALUE ml15a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NEVER'
                  2='(2) SOMETIMES' 3='(3) USUALLY' 4='(4) EVERY TIME' ;
  VALUE ml16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NEVER HAD ORAL SEX WITH A MAN' 1='(1) NONE' 2='(2) 1 MAN'
                  3='(3) 2 TO 4 MEN' 4='(4) 5 TO 9 MEN' 5='(5) 10 TO 20 MEN'
                  6='(6) 21 TO 99 MEN' 7='(7) 100 OR MORE MEN' ;
  VALUE ml16a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NEVER'
                  2='(2) SOMETIMES' 3='(3) USUALLY' 4='(4) EVERY TIME' ;
  VALUE ml17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ml18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ml19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ml20ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ml21ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ml22ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ml22a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) 1 MAN'
                  2='(2) 2 TO 4 MEN' 3='(3) 5 OR MORE MEN' ;
  VALUE ml23ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE ml23a1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE ml23a2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE ml23a3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE ml23a4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE ml23b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE ml23c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE mm1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mm2a1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) 2 OR MORE TIMES' ;
  VALUE mm2a2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) 2 OR MORE TIMES' ;
  VALUE mm2a3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) 1 OR 2 TIMES' ;
  VALUE mm2a4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) 2 OR MORE TIMES' ;
  VALUE mm2a5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  2='(2) 2 OR MORE TIMES' ;
  VALUE mm3a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mm3aa     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm3ba     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm3ca_mo  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) STILL IN TREATMENT' 1='(1) JAN. - MARCH' 2='(2) APR. - JUNE'
                  3='(3) JULY - SEPT.' 4='(4) OCT. - DEC.' ;
  VALUE mm3ca_yr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) STILL IN TREATMENT' ;
  VALUE mm3da     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) COMPLETED TREATMENT'
                  2='(2) DISCHARGED BECAUSE OF HOSPITALIZATION'
                  3='(3) TRANSFERRED TO COMPONENT PROGRAM'
                  4='(4) TRANSFERRED TO ANOTHER SOCIAL SERVICE'
                  5='(5) INVOLUNTARILY DROPPED/NONCOMPLIANCE'
                  6='(6) VOLUNTARILY DROPPED OUT/PERSONAL'
                  7='(7) QUIT/DISSATISFIED WITH PROGRAM' 8='(8) OTHER' ;
  VALUE mm3b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mm3ab     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm3bb     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm3cb_mo  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) STILL IN TREATMENT' 1='(1) JAN. - MARCH' 2='(2) APR. - JUNE'
                  3='(3) JULY - SEPT.' 4='(4) OCT. - DEC.' ;
  VALUE mm3cb_yr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) STILL IN TREATMENT' ;
  VALUE mm3db     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) COMPLETED TREATMENT'
                  2='(2) DISCHARGED BECAUSE OF HOSPITALIZATION'
                  3='(3) TRANSFERRED TO COMPONENT PROGRAM'
                  4='(4) TRANSFERRED TO ANOTHER SOCIAL SERVICE'
                  5='(5) INVOLUNTARILY DROPPED/NONCOMPLIANCE'
                  6='(6) VOLUNTARILY DROPPED OUT/PERSONAL'
                  7='(7) QUIT/DISSATISFIED WITH PROGRAM' 8='(8) OTHER' ;
  VALUE mm3c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mm3ac     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm3bc     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm3cc_mo  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) STILL IN TREATMENT' 1='(1) JAN. - MARCH' 2='(2) APR. - JUNE'
                  3='(3) JULY - SEPT.' 4='(4) OCT. - DEC.' ;
  VALUE mm3cc_yr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) STILL IN TREATMENT' ;
  VALUE mm3dc     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) COMPLETED TREATMENT'
                  2='(2) DISCHARGED BECAUSE OF HOSPITALIZATION'
                  3='(3) TRANSFERRED TO COMPONENT PROGRAM'
                  4='(4) TRANSFERRED TO ANOTHER SOCIAL SERVICE'
                  5='(5) INVOLUNTARILY DROPPED/NONCOMPLIANCE'
                  6='(6) VOLUNTARILY DROPPED OUT/PERSONAL'
                  7='(7) QUIT/DISSATISFIED WITH PROGRAM' 8='(8) OTHER' ;
  VALUE mm3d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mm3ad     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm3bd     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm3cd_mo  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) STILL IN TREATMENT' 1='(1) JAN. - MARCH' 2='(2) APR. - JUNE'
                  3='(3) JULY - SEPT.' 4='(4) OCT. - DEC.' ;
  VALUE mm3cd_yr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) STILL IN TREATMENT' ;
  VALUE mm3dd     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) COMPLETED TREATMENT'
                  2='(2) DISCHARGED BECAUSE OF HOSPITALIZATION'
                  3='(3) TRANSFERRED TO COMPONENT PROGRAM'
                  4='(4) TRANSFERRED TO ANOTHER SOCIAL SERVICE'
                  5='(5) INVOLUNTARILY DROPPED/NONCOMPLIANCE'
                  6='(6) VOLUNTARILY DROPPED OUT/PERSONAL'
                  7='(7) QUIT/DISSATISFIED WITH PROGRAM' 8='(8) OTHER' ;
  VALUE mm3e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mm3ae     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm3be     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm3ce_mo  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) STILL IN TREATMENT' 1='(1) JAN. - MARCH' 2='(2) APR. - JUNE'
                  3='(3) JULY - SEPT.' 4='(4) OCT. - DEC.' ;
  VALUE mm3ce_yr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) STILL IN TREATMENT' ;
  VALUE mm3de     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) COMPLETED TREATMENT'
                  2='(2) DISCHARGED BECAUSE OF HOSPITALIZATION'
                  3='(3) TRANSFERRED TO COMPONENT PROGRAM'
                  4='(4) TRANSFERRED TO ANOTHER SOCIAL SERVICE'
                  5='(5) INVOLUNTARILY DROPPED/NONCOMPLIANCE'
                  6='(6) VOLUNTARILY DROPPED OUT/PERSONAL'
                  7='(7) QUIT/DISSATISFIED WITH PROGRAM' 8='(8) OTHER' ;
  VALUE mm3f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mm3af     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm3bf     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm3cf_mo  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) STILL IN TREATMENT' 1='(1) JAN. - MARCH' 2='(2) APR. - JUNE'
                  3='(3) JULY - SEPT.' 4='(4) OCT. - DEC.' ;
  VALUE mm3cf_yr  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) STILL IN TREATMENT' ;
  VALUE mm3df     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) COMPLETED TREATMENT'
                  2='(2) DISCHARGED BECAUSE OF HOSPITALIZATION'
                  3='(3) TRANSFERRED TO COMPONENT PROGRAM'
                  4='(4) TRANSFERRED TO ANOTHER SOCIAL SERVICE'
                  5='(5) INVOLUNTARILY DROPPED/NONCOMPLIANCE'
                  6='(6) VOLUNTARILY DROPPED OUT/PERSONAL'
                  7='(7) QUIT/DISSATISFIED WITH PROGRAM' 8='(8) OTHER' ;
  VALUE mm4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mm4a1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE mm4a2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE mm4a3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE mm4a4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE mm4a5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE mm4a6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE mm5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mm5a1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE mm5a2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE mm5a3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE mm5a4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE mm5b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mm5c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  999='(999) 999 OR MORE' ;
  VALUE mm5d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN 1 WEEK AFTER DATE'
                  2='(2) AT LEAST 1 WEEK AFTER DATE' ;
  VALUE mm5d_wk   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE mm6a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE mm6b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE mm7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mm8_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE mm8_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE mm8_11ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE mm8_12ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE mm8_13ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE mm8_21ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE mm8_22ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE mm8_23ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE mm8_28ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE mm8_91ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE mm9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mm10a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm10b0ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE mm10b1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE mm10b2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE mm10b3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE mm10b4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE mm10b5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE mm10b6ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE mm10b7ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE mm10b8ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE mm10b9ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE mm10b10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 10='(10) CIRCLED' ;
  VALUE mm10b11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE mm10b12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE mm10b13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE mm11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mm12_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE mm12_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE mm12_22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE mm12_23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE mm12_24f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 24='(24) CIRCLED' ;
  VALUE mm12_25f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 25='(25) CIRCLED' ;
  VALUE mm12_26f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 26='(26) CIRCLED' ;
  VALUE mm12_91f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE mm13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mm15_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE mm15_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE mm15_11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE mm15_12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE mm15_13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE mm15_21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE mm15_22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE mm15_23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE mm15_28f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE mm15_91f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE mm16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY TROUBLED' ;
  VALUE mm18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mm19_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE mm19_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE mm19_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE mm19_4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE mm19_91f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE mm20ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm21ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mm22_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE mm22_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE mm22_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE mm22_4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE mm22_91f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE mm23ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm24ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mm25_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE mm25_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE mm25_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE mm25_9ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE mm26ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm27ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mm28_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE mm28_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE mm28_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE mm28_4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE mm28_9ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE mm29ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm30ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mm30a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mm30b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE mm31ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO SERVICES'
                  1='(1) REGULAR ADDICTION GROUP' 2='(2) OTHER GROUP COUNSELING'
                  3='(3) INDIVIDUAL COUNSELING' 4='(4) 12-STEP/SELF-HELP GROUP'
                  5='(5) CRISIS COUNSELING' 6='(6) UNSCHEDULED HELP'
                  7='(7) TALKS/FILMS/DISCUSSIONS' 8='(8) DRUG COUNSELING'
                  9='(9) ALCOHOL COUNSELING' 10='(10) DRUG TESTING'
                  11='(11) PSYCHOLOGICAL/MENTAL HEALTH'
                  12='(12) FAMILY/RELATIONSHIP COUNSELING' 13='(13) MEDICATION'
                  14='(14) MEDICAL' 15='(15) LEGAL' 16='(16) EDUCATION/JOB TRAINING'
                  17='(17) HELP FINDING A JOB' 18='(18) OTHER JOB ASSISTANCE'
                  19='(19) FINANCIAL ASSISTANCE' 91='(91) OTHER' ;
  VALUE mm32ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO SERVICES'
                  1='(1) REGULAR ADDICTION GROUP' 2='(2) OTHER GROUP COUNSELING'
                  3='(3) INDIVIDUAL COUNSELING' 4='(4) 12-STEP/SELF-HELP GROUP'
                  5='(5) CRISIS COUNSELING' 6='(6) UNSCHEDULED HELP'
                  7='(7) TALKS/FILMS/DISCUSSIONS' 8='(8) DRUG COUNSELING'
                  9='(9) ALCOHOL COUNSELING' 10='(10) DRUG TESTING'
                  11='(11) PSYCHOLOGICAL/MENTAL HEALTH'
                  12='(12) FAMILY/RELATIONSHIP COUNSELING' 13='(13) MEDICATION'
                  14='(14) MEDICAL' 15='(15) LEGAL' 16='(16) EDUCATION/JOB TRAINING'
                  17='(17) HELP FINDING A JOB' 18='(18) OTHER JOB ASSISTANCE'
                  19='(19) FINANCIAL ASSISTANCE' 91='(91) OTHER' ;
  VALUE mm33ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mm33a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) A LITTLE'
                  2='(2) A LOT' ;
  VALUE mm34ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE mm35ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mm35a1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) DEAL WITH A PARTNER WHO HAS A JOB'
                  2='(2) HAVE BECOME A BETTER PERSON/DEAL WITH PROBLEMS'
                  3='(3) MORE POSITIVE ATTITUDE/CONFIDENCE'
                  4='(4) MORE AWARE OF OWN FEELINGS/CARING/THINKING CLEARER'
                  5='(5) HONEST RELATIONSHIP (1 PARTNER)'
                  6='(6) ENJOY WORKING DEDICATED JOB/JOB SECURITY'
                  7='(7) ENJOY PHYSICAL ACTIVITIES SPORTS/OUTGOING'
                  8='(8) IMPROVEMENT IN FAMILY SETTING/RELATIONSHIP' 9='(9) HAPPIER'
                  10='(10) HIGHER SELF-ESTEEM RESPECT'
                  11='(11) ABLE TO COPE WITH DEPRESSION'
                  12='(12) MORE SELF-CONTROL/PATIENT/LESS ANGER'
                  13='(13) MARRIED/IN LOVE' 14='(14) BETTER LIFESTYLE'
                  15='(15) BETTER MENTAL HEALTH AND PHYSICAL'
                  16='(16) ABLE TO DEAL WITH OTHER PEOPLE/COMMUNICATE INTERACT BETTER'
                  17='(17) HAVE DREAMS'
                  18='(18) HONEST/DOES NOT STEAL/MORE TRUSTWORTHY'
                  19='(19) MORE UNDERSTANDING' 20='(20) MORE STRUCTURE' 21='(21) MORE MONEY'
                  22='(22) MORE PASSION' 23='(23) VERY INDEPENDENT'
                  24='(24) SELF EXPECTANCY/SET HIGHER GOALS'
                  25='(25) CHANGES IN MYSELF' 26='(26) GAINED WEIGHT'
                  27='(27) CHANGED BOYFRIEND/GIRLFRIEND' 28='(28) DO NOT USE DRUGS'
                  29='(29) CONFUSION/UNHAPPY WITH THINGS AT HOME' 30='(30) OPEN-MINDED'
                  31='(31) MORE RESPONSIBLE'
                  32='(32) DESIRE TO STAY OUT OF PRISON BECAUSE OF DRUGS'
                  33='(33) TIRED OF BEING A COUCH POTATO'
                  34='(34) BETTER QUALITY OF FRIENDS' 35='(35) THINK LESS ABOUT LUST'
                  36='(36) TEMPER' 37='(37) PERSONALITY'
                  38='(38) STOPPED DEALING WITH OLD FRIENDS'
                  39='(39) AWARE OF PAIN I''VE CAUSED' 40='(40) MORE SPIRITUALITY'
                  41='(41) FEEL BETTER' 42='(42) LESS DEPRESSED' 43='(43) MORE MOTIVATED'
                  44='(44) STILL HAVE MORE THINGS TO WORK OUT' 45='(45) LONESOME'
                  46='(46) BAD SELF ESTEEM' 47='(47) WORSE TEMPER' 48='(48) JUST SO SO'
                  49='(49) FEEL WANTED' 50='(50) ABLE TO CONCENTRATE MORE THINK BETTER'
                  51='(51) BEING SELFISH' 52='(52) GIVING' 53='(53) I FEEL GRATEFUL'
                  54='(54) THOUGHTS- LIVE DAY TO DAY'
                  55='(55) CHANGE IN DRINKING HABITS' 56='(56) MORE RELAXED'
                  57='(57) DEPRESSED ABOUT AIDS CONDITION' 58='(58) COUNSELOR'
                  59='(59) RECOGNIZING PAST PATTERN' 60='(60) HAVE A JOB'
                  61='(61) PARENTING SKILLS' 62='(62) CHANGING RELATIONSHIPS'
                  63='(63) HAPPY WITH SIMPLE THINGS' 64='(64) SLEEP BETTER'
                  65='(65) BAD THOUGHTS' 66='(66) DON''T GET EMOTIONALLY UPSET'
                  67='(67) I CAN CRY' 68='(68) STOP USING DRUGS' 69='(69) SEXUAL BEHAVIOR'
                  70='(70) POWERLESS' 71='(71) RELATIONSHIP W/FAMILY WORSE'
                  72='(72) GOING TO SCHOOL' 73='(73) PEOPLE ARE AFRAID OF ME'
                  74='(74) LESS ARGUING' 75='(75) CARE ABOUT APPEARANCE'
                  76='(76) BETTER BEHAVIOR ABOUT DRUGS' 77='(77) LOSS APPETITE'
                  78='(78) CAN GO TO SCHOOL' 79='(79) DON''T HAVE TO HAVE A MAN/WOMAN'
                  80='(80) DEPRESSED' 81='(81) DIVORCE' 82='(82) MORE HELPFUL'
                  83='(83) WEIGHT LOSS'
                  84='(84) FINANCIAL SITUATION/PAYING BACK TREATMENT'
                  85='(85) (NO CODE)' 86='(86) DON''T HAVE A RELATIONSHIP'
                  87='(87) JOB CHANGES' 88='(88) KEPT USING DRUGS'
                  89='(89) A LOT OF ANGER TOWARD CSD' 90='(90) FEAR' 91='(91) RESENTMENT'
                  92='(92) FORGETFUL' 93='(93) LESS PATIENT'
                  94='(94) LIVING IN A BETTER NEIGHBORHOOD' 95='(95) DISCOURAGED'
                  96='(96) DON''T GO TO THE SAME PLACES' 97='(97) LESS TRUSTING'
                  98='(98) NOT AS STRONG PHYSICALLY' 99='(99) LESS OPEN'
                  100='(100) LESS TALKATIVE' 101='(101) LESS EMOTIONAL' 102='(102) MORE SECURE'
                  103='(103) WANT TO GET HIGH' 104='(104) MORE MATURE' 105='(105) NEED CHANGES'
                  106='(106) INSECURE' 107='(107) MORE REALISTIC' 108='(108) LESS SUSPICIOUS'
                  109='(109) MORE INDEPENDENT' 110='(110) MORE FORGIVING' 111='(111) ANXIETY'
                  112='(112) THE PROGRAM' 113='(113) HAD BABY' 114='(114) BETTER GRADES NOW'
                  115='(115) MOVED OUT OF HOME' 116='(116) RELATIONSHIPS BETTER'
                  117='(117) NOTHING AT ALL' 118='(118) ONLY SMOKE MARIJUANA'
                  119='(119) LESS LEGAL TROUBLE'
                  120='(120) BETTER RELATIONSHIP WITH SISTER AND FRIENDS'
                  121='(121) DON''T KNOW' 122='(122) CAN''T REMEMBER THINGS' ;
  VALUE mm35a1ct  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) CONTINUED USING DRUGS' 2='(2) CRAVINGS'
                  3='(3) DECREASED DRUG/ALCOHOL USE'
                  4='(4) STOPPED USING DRUGS/ALCOHOL'
                  5='(5) POSITIVE EMOTIONS/ATTITUDE (HAPPIER, MORE SELF-ESTEEM)'
                  6='(6) NEGATIVE EMOTIONS/ATTITUDE (ANGRIER, FEARFUL, DEPRESSED)'
                  7='(7) BETTER RELATIONSHIPS W/FAMILY, FRIENDS, SPOUSE, PARTNER'
                  8='(8) WORSE RELATIONSHIPS W/FAMILY, FRIENDS, SPOUSE, PARTNER'
                  9='(9) FINANCIAL'
                  10='(10) POSITIVE CHANGES IN PHYSICAL/MENTAL CAPABILITIES'
                  11='(11) NEGATIVE CHANGES IN PHYSICAL/MENTAL CAPABILITIES'
                  12='(12) IMPROVEMENTS AT WORK/SCHOOL' 13='(13) OTHER' ;
  VALUE mm35b1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF'
                  2='(2) COUNSELOR OR CASE MANAGER' 3='(3) ANOTHER STAFF MEMBER'
                  4='(4) ANOTHER CLIENT/RESIDENT/PATIENT' 5='(5) THE PROGRAM OVERALL'
                  6='(6) SOMETHING/SOMEONE OUTSIDE PROGRAM' 7='(7) OTHER'
                  8='(8) BEING FREE OF CHEMICALS, DRUGS' 9='(9) FAMILY'
                  10='(10) OUTSIDE SPEAKER' 11='(11) MEDICATION' 12='(12) FIANCE'
                  13='(13) BETTER COMMUNICATION' 14='(14) MENTAL HEALTH COUNSELOR'
                  15='(15) SPIRITUAL-BIBLE/CHURCH/PREACHER & PRIEST/GOD'
                  16='(16) CRACK/COCAINE' 17='(17) ILLNESS' 18='(18) FACILITY'
                  19='(19) MORE POSITIVE' 20='(20) HUSBAND/WIFE'
                  21='(21) ABSENCE AND ABSTINENCE' 22='(22) 12-STEP PROGRAM'
                  23='(23) NOT USING AS MUCH' 24='(24) TALKING WITH PEOPLE'
                  25='(25) MORE RESPONSIBLE' 26='(26) JAIL SITUATION' 27='(27) HAVING AIDS'
                  28='(28) AWARENESS' 29='(29) MEMORIES OF 20 YEARS AGO'
                  30='(30) ALL OF THE ABOVE' 31='(31) (NOT IN CODE LIST)'
                  32='(32) PARENT BOYFRIEND/GIRLFRIEND' 33='(33) NOT SO DEPRESSED'
                  34='(34) FRIEND' 35='(35) THERAPY' 36='(36) LIVING SITUATION'
                  37='(37) USE OF DRUGS' 38='(38) PROBLEMS WITH WIFE'
                  39='(39) CSD SITUATION' 40='(40) MY CRIME' 41='(41) LEGAL SYSTEM'
                  42='(42) (NOT IN CODE LIST)' 43='(43) BEING AWAY FROM KIDS'
                  44='(44) TIME PASSING' 45='(45) SUPPORT FROM FRIENDS'
                  46='(46) GETTING OLDER' 47='(47) MONEY' 48='(48) ATTITUDE' 49='(49) ST. MARYS'
                  50='(50) SCHOOL' 51='(51) LACK OF DRUGS' 52='(52) OUTSIDE'
                  53='(53) DEATH OF FAMILY MEMBER' 54='(54) HOSPITAL' 55='(55) BEING LONELY'
                  56='(56) GIRLFRIEND/BOYFRIEND' 57='(57) DOCTOR/PHYSICIAN'
                  58='(58) EMOTIONAL PAIN' 59='(59) HALF-WAY HOUSE COUNSELOR'
                  60='(60) SPONSOR AT PROGRAM' 61='(61) BEING AWAY FROM FRIENDS/BAD'
                  62='(62) INDIVIDUAL COUNSELING' 63='(63) MY SPONSOR'
                  64='(64) GETTING ON PROBATION' 65='(65) LONG TERM TREATMENT'
                  66='(66) MOVING OUT' 67='(67) PREGNANT' 68='(68) NOT IN TREATMENT'
                  69='(69) MILITARY' 70='(70) FAMILY COUNSELOR' 71='(71) DON''T KNOW'
                  72='(72) ICLA' 73='(73) EVENTS' 74='(74) RELATIONSHIPS' 75='(75) BOOK'
                  76='(76) MATURITY' 77='(77) GETTING SHOT' ;
  VALUE mm35b1ct  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF'
                  2='(2) TX PROGRAM, COUNSELOR, SPONSOR' 3='(3) BEING DRUG-FREE'
                  4='(4) MEDICATION' 5='(5) FAMILY, FRIENDS, HUSBAND/WIFE, PARTNER'
                  6='(6) DRUG USE' 7='(7) DECREASED DRUG USE'
                  8='(8) NOT BEING IN TREATMENT'
                  9='(9) PHYSICAL ISSUES (ILLNESS, PAIN, PREGNANCY)'
                  10='(10) MORE MATURE/IMPROVED ATTITUDE OR MOOD'
                  11='(11) LEGAL ISSUES' 12='(12) OTHER' ;
  VALUE mm35a2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) DEAL WITH A PARTNER WHO HAS A JOB'
                  2='(2) HAVE BECOME A BETTER PERSON/DEAL WITH PROBLEMS'
                  3='(3) MORE POSITIVE ATTITUDE/CONFIDENCE'
                  4='(4) MORE AWARE OF OWN FEELINGS/CARING/THINKING CLEARER'
                  5='(5) HONEST RELATIONSHIP (1 PARTNER)'
                  6='(6) ENJOY WORKING DEDICATED JOB/JOB SECURITY'
                  7='(7) ENJOY PHYSICAL ACTIVITIES SPORTS/OUTGOING'
                  8='(8) IMPROVEMENT IN FAMILY SETTING/RELATIONSHIP' 9='(9) HAPPIER'
                  10='(10) HIGHER SELF-ESTEEM RESPECT'
                  11='(11) ABLE TO COPE WITH DEPRESSION'
                  12='(12) MORE SELF-CONTROL/PATIENT/LESS ANGER'
                  13='(13) MARRIED/IN LOVE' 14='(14) BETTER LIFESTYLE'
                  15='(15) BETTER MENTAL HEALTH AND PHYSICAL'
                  16='(16) ABLE TO DEAL WITH OTHER PEOPLE/COMMUNICATE INTERACT BETTER'
                  17='(17) HAVE DREAMS'
                  18='(18) HONEST/DOES NOT STEAL/MORE TRUSTWORTHY'
                  19='(19) MORE UNDERSTANDING' 20='(20) MORE STRUCTURE' 21='(21) MORE MONEY'
                  22='(22) MORE PASSION' 23='(23) VERY INDEPENDENT'
                  24='(24) SELF EXPECTANCY/SET HIGHER GOALS'
                  25='(25) CHANGES IN MYSELF' 26='(26) GAINED WEIGHT'
                  27='(27) CHANGED BOYFRIEND/GIRLFRIEND' 28='(28) DO NOT USE DRUGS'
                  29='(29) CONFUSION/UNHAPPY WITH THINGS AT HOME' 30='(30) OPEN-MINDED'
                  31='(31) MORE RESPONSIBLE'
                  32='(32) DESIRE TO STAY OUT OF PRISON BECAUSE OF DRUGS'
                  33='(33) TIRED OF BEING A COUCH POTATO'
                  34='(34) BETTER QUALITY OF FRIENDS' 35='(35) THINK LESS ABOUT LUST'
                  36='(36) TEMPER' 37='(37) PERSONALITY'
                  38='(38) STOPPED DEALING WITH OLD FRIENDS'
                  39='(39) AWARE OF PAIN I''VE CAUSED' 40='(40) MORE SPIRITUALITY'
                  41='(41) FEEL BETTER' 42='(42) LESS DEPRESSED' 43='(43) MORE MOTIVATED'
                  44='(44) STILL HAVE MORE THINGS TO WORK OUT' 45='(45) LONESOME'
                  46='(46) BAD SELF ESTEEM' 47='(47) WORSE TEMPER' 48='(48) JUST SO SO'
                  49='(49) FEEL WANTED' 50='(50) ABLE TO CONCENTRATE MORE THINK BETTER'
                  51='(51) BEING SELFISH' 52='(52) GIVING' 53='(53) I FEEL GRATEFUL'
                  54='(54) THOUGHTS- LIVE DAY TO DAY'
                  55='(55) CHANGE IN DRINKING HABITS' 56='(56) MORE RELAXED'
                  57='(57) DEPRESSED ABOUT AIDS CONDITION' 58='(58) COUNSELOR'
                  59='(59) RECOGNIZING PAST PATTERN' 60='(60) HAVE A JOB'
                  61='(61) PARENTING SKILLS' 62='(62) CHANGING RELATIONSHIPS'
                  63='(63) HAPPY WITH SIMPLE THINGS' 64='(64) SLEEP BETTER'
                  65='(65) BAD THOUGHTS' 66='(66) DON''T GET EMOTIONALLY UPSET'
                  67='(67) I CAN CRY' 68='(68) STOP USING DRUGS' 69='(69) SEXUAL BEHAVIOR'
                  70='(70) POWERLESS' 71='(71) RELATIONSHIP W/FAMILY WORSE'
                  72='(72) GOING TO SCHOOL' 73='(73) PEOPLE ARE AFRAID OF ME'
                  74='(74) LESS ARGUING' 75='(75) CARE ABOUT APPEARANCE'
                  76='(76) BETTER BEHAVIOR ABOUT DRUGS' 77='(77) LOSS APPETITE'
                  78='(78) CAN GO TO SCHOOL' 79='(79) DON''T HAVE TO HAVE A MAN/WOMAN'
                  80='(80) DEPRESSED' 81='(81) DIVORCE' 82='(82) MORE HELPFUL'
                  83='(83) WEIGHT LOSS'
                  84='(84) FINANCIAL SITUATION/PAYING BACK TREATMENT'
                  85='(85) (NO CODE)' 86='(86) DON''T HAVE A RELATIONSHIP'
                  87='(87) JOB CHANGES' 88='(88) KEPT USING DRUGS'
                  89='(89) A LOT OF ANGER TOWARD CSD' 90='(90) FEAR' 91='(91) RESENTMENT'
                  92='(92) FORGETFUL' 93='(93) LESS PATIENT'
                  94='(94) LIVING IN A BETTER NEIGHBORHOOD' 95='(95) DISCOURAGED'
                  96='(96) DON''T GO TO THE SAME PLACES' 97='(97) LESS TRUSTING'
                  98='(98) NOT AS STRONG PHYSICALLY' 99='(99) LESS OPEN'
                  100='(100) LESS TALKATIVE' 101='(101) LESS EMOTIONAL' 102='(102) MORE SECURE'
                  103='(103) WANT TO GET HIGH' 104='(104) MORE MATURE' 105='(105) NEED CHANGES'
                  106='(106) INSECURE' 107='(107) MORE REALISTIC' 108='(108) LESS SUSPICIOUS'
                  109='(109) MORE INDEPENDENT' 110='(110) MORE FORGIVING' 111='(111) ANXIETY'
                  112='(112) THE PROGRAM' 113='(113) HAD BABY' 114='(114) BETTER GRADES NOW'
                  115='(115) MOVED OUT OF HOME' 116='(116) RELATIONSHIPS BETTER'
                  117='(117) NOTHING AT ALL' 118='(118) ONLY SMOKE MARIJUANA'
                  119='(119) LESS LEGAL TROUBLE'
                  120='(120) BETTER RELATIONSHIP WITH SISTER AND FRIENDS'
                  121='(121) DON''T KNOW' 122='(122) CAN''T REMEMBER THINGS' ;
  VALUE mm35a2ct  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) CONTINUED USING DRUGS' 2='(2) CRAVINGS'
                  3='(3) DECREASED DRUG/ALCOHOL USE'
                  4='(4) STOPPED USING DRUGS/ALCOHOL'
                  5='(5) POSITIVE EMOTIONS/ATTITUDE (HAPPIER, MORE SELF-ESTEEM)'
                  6='(6) NEGATIVE EMOTIONS/ATTITUDE (ANGRIER, FEARFUL, DEPRESSED)'
                  7='(7) BETTER RELATIONSHIPS W/FAMILY, FRIENDS, SPOUSE, PARTNER'
                  8='(8) WORSE RELATIONSHIPS W/FAMILY, FRIENDS, SPOUSE, PARTNER'
                  9='(9) FINANCIAL'
                  10='(10) POSITIVE CHANGES IN PHYSICAL/MENTAL CAPABILITIES'
                  11='(11) NEGATIVE CHANGES IN PHYSICAL/MENTAL CAPABILITIES'
                  12='(12) IMPROVEMENTS AT WORK/SCHOOL' 13='(13) OTHER' ;
  VALUE mm35b2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF'
                  2='(2) COUNSELOR OR CASE MANAGER' 3='(3) ANOTHER STAFF MEMBER'
                  4='(4) ANOTHER CLIENT/RESIDENT/PATIENT' 5='(5) THE PROGRAM OVERALL'
                  6='(6) SOMETHING/SOMEONE OUTSIDE PROGRAM' 7='(7) OTHER'
                  8='(8) BEING FREE OF CHEMICALS, DRUGS' 9='(9) FAMILY'
                  10='(10) OUTSIDE SPEAKER' 11='(11) MEDICATION' 12='(12) FIANCE'
                  13='(13) BETTER COMMUNICATION' 14='(14) MENTAL HEALTH COUNSELOR'
                  15='(15) SPIRITUAL-BIBLE/CHURCH/PREACHER & PRIEST/GOD'
                  16='(16) CRACK/COCAINE' 17='(17) ILLNESS' 18='(18) FACILITY'
                  19='(19) MORE POSITIVE' 20='(20) HUSBAND/WIFE'
                  21='(21) ABSENCE AND ABSTINENCE' 22='(22) 12-STEP PROGRAM'
                  23='(23) NOT USING AS MUCH' 24='(24) TALKING WITH PEOPLE'
                  25='(25) MORE RESPONSIBLE' 26='(26) JAIL SITUATION' 27='(27) HAVING AIDS'
                  28='(28) AWARENESS' 29='(29) MEMORIES OF 20 YEARS AGO'
                  30='(30) ALL OF THE ABOVE' 31='(31) (NOT IN CODE LIST)'
                  32='(32) PARENT BOYFRIEND/GIRLFRIEND' 33='(33) NOT SO DEPRESSED'
                  34='(34) FRIEND' 35='(35) THERAPY' 36='(36) LIVING SITUATION'
                  37='(37) USE OF DRUGS' 38='(38) PROBLEMS WITH WIFE'
                  39='(39) CSD SITUATION' 40='(40) MY CRIME' 41='(41) LEGAL SYSTEM'
                  42='(42) (NOT IN CODE LIST)' 43='(43) BEING AWAY FROM KIDS'
                  44='(44) TIME PASSING' 45='(45) SUPPORT FROM FRIENDS'
                  46='(46) GETTING OLDER' 47='(47) MONEY' 48='(48) ATTITUDE' 49='(49) ST. MARYS'
                  50='(50) SCHOOL' 51='(51) LACK OF DRUGS' 52='(52) OUTSIDE'
                  53='(53) DEATH OF FAMILY MEMBER' 54='(54) HOSPITAL' 55='(55) BEING LONELY'
                  56='(56) GIRLFRIEND/BOYFRIEND' 57='(57) DOCTOR/PHYSICIAN'
                  58='(58) EMOTIONAL PAIN' 59='(59) HALF-WAY HOUSE COUNSELOR'
                  60='(60) SPONSOR AT PROGRAM' 61='(61) BEING AWAY FROM FRIENDS/BAD'
                  62='(62) INDIVIDUAL COUNSELING' 63='(63) MY SPONSOR'
                  64='(64) GETTING ON PROBATION' 65='(65) LONG TERM TREATMENT'
                  66='(66) MOVING OUT' 67='(67) PREGNANT' 68='(68) NOT IN TREATMENT'
                  69='(69) MILITARY' 70='(70) FAMILY COUNSELOR' 71='(71) DON''T KNOW'
                  72='(72) ICLA' 73='(73) EVENTS' 74='(74) RELATIONSHIPS' 75='(75) BOOK'
                  76='(76) MATURITY' 77='(77) GETTING SHOT' ;
  VALUE mm35b2ct  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF'
                  2='(2) TX PROGRAM, COUNSELOR, SPONSOR' 3='(3) BEING DRUG-FREE'
                  4='(4) MEDICATION' 5='(5) FAMILY, FRIENDS, HUSBAND/WIFE, PARTNER'
                  6='(6) DRUG USE' 7='(7) DECREASED DRUG USE'
                  8='(8) NOT BEING IN TREATMENT'
                  9='(9) PHYSICAL ISSUES (ILLNESS, PAIN, PREGNANCY)'
                  10='(10) MORE MATURE/IMPROVED ATTITUDE OR MOOD'
                  11='(11) LEGAL ISSUES' 12='(12) OTHER' ;
  VALUE mm35a3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) DEAL WITH A PARTNER WHO HAS A JOB'
                  2='(2) HAVE BECOME A BETTER PERSON/DEAL WITH PROBLEMS'
                  3='(3) MORE POSITIVE ATTITUDE/CONFIDENCE'
                  4='(4) MORE AWARE OF OWN FEELINGS/CARING/THINKING CLEARER'
                  5='(5) HONEST RELATIONSHIP (1 PARTNER)'
                  6='(6) ENJOY WORKING DEDICATED JOB/JOB SECURITY'
                  7='(7) ENJOY PHYSICAL ACTIVITIES SPORTS/OUTGOING'
                  8='(8) IMPROVEMENT IN FAMILY SETTING/RELATIONSHIP' 9='(9) HAPPIER'
                  10='(10) HIGHER SELF-ESTEEM RESPECT'
                  11='(11) ABLE TO COPE WITH DEPRESSION'
                  12='(12) MORE SELF-CONTROL/PATIENT/LESS ANGER'
                  13='(13) MARRIED/IN LOVE' 14='(14) BETTER LIFESTYLE'
                  15='(15) BETTER MENTAL HEALTH AND PHYSICAL'
                  16='(16) ABLE TO DEAL WITH OTHER PEOPLE/COMMUNICATE INTERACT BETTER'
                  17='(17) HAVE DREAMS'
                  18='(18) HONEST/DOES NOT STEAL/MORE TRUSTWORTHY'
                  19='(19) MORE UNDERSTANDING' 20='(20) MORE STRUCTURE' 21='(21) MORE MONEY'
                  22='(22) MORE PASSION' 23='(23) VERY INDEPENDENT'
                  24='(24) SELF EXPECTANCY/SET HIGHER GOALS'
                  25='(25) CHANGES IN MYSELF' 26='(26) GAINED WEIGHT'
                  27='(27) CHANGED BOYFRIEND/GIRLFRIEND' 28='(28) DO NOT USE DRUGS'
                  29='(29) CONFUSION/UNHAPPY WITH THINGS AT HOME' 30='(30) OPEN-MINDED'
                  31='(31) MORE RESPONSIBLE'
                  32='(32) DESIRE TO STAY OUT OF PRISON BECAUSE OF DRUGS'
                  33='(33) TIRED OF BEING A COUCH POTATO'
                  34='(34) BETTER QUALITY OF FRIENDS' 35='(35) THINK LESS ABOUT LUST'
                  36='(36) TEMPER' 37='(37) PERSONALITY'
                  38='(38) STOPPED DEALING WITH OLD FRIENDS'
                  39='(39) AWARE OF PAIN I''VE CAUSED' 40='(40) MORE SPIRITUALITY'
                  41='(41) FEEL BETTER' 42='(42) LESS DEPRESSED' 43='(43) MORE MOTIVATED'
                  44='(44) STILL HAVE MORE THINGS TO WORK OUT' 45='(45) LONESOME'
                  46='(46) BAD SELF ESTEEM' 47='(47) WORSE TEMPER' 48='(48) JUST SO SO'
                  49='(49) FEEL WANTED' 50='(50) ABLE TO CONCENTRATE MORE THINK BETTER'
                  51='(51) BEING SELFISH' 52='(52) GIVING' 53='(53) I FEEL GRATEFUL'
                  54='(54) THOUGHTS- LIVE DAY TO DAY'
                  55='(55) CHANGE IN DRINKING HABITS' 56='(56) MORE RELAXED'
                  57='(57) DEPRESSED ABOUT AIDS CONDITION' 58='(58) COUNSELOR'
                  59='(59) RECOGNIZING PAST PATTERN' 60='(60) HAVE A JOB'
                  61='(61) PARENTING SKILLS' 62='(62) CHANGING RELATIONSHIPS'
                  63='(63) HAPPY WITH SIMPLE THINGS' 64='(64) SLEEP BETTER'
                  65='(65) BAD THOUGHTS' 66='(66) DON''T GET EMOTIONALLY UPSET'
                  67='(67) I CAN CRY' 68='(68) STOP USING DRUGS' 69='(69) SEXUAL BEHAVIOR'
                  70='(70) POWERLESS' 71='(71) RELATIONSHIP W/FAMILY WORSE'
                  72='(72) GOING TO SCHOOL' 73='(73) PEOPLE ARE AFRAID OF ME'
                  74='(74) LESS ARGUING' 75='(75) CARE ABOUT APPEARANCE'
                  76='(76) BETTER BEHAVIOR ABOUT DRUGS' 77='(77) LOSS APPETITE'
                  78='(78) CAN GO TO SCHOOL' 79='(79) DON''T HAVE TO HAVE A MAN/WOMAN'
                  80='(80) DEPRESSED' 81='(81) DIVORCE' 82='(82) MORE HELPFUL'
                  83='(83) WEIGHT LOSS'
                  84='(84) FINANCIAL SITUATION/PAYING BACK TREATMENT'
                  85='(85) (NO CODE)' 86='(86) DON''T HAVE A RELATIONSHIP'
                  87='(87) JOB CHANGES' 88='(88) KEPT USING DRUGS'
                  89='(89) A LOT OF ANGER TOWARD CSD' 90='(90) FEAR' 91='(91) RESENTMENT'
                  92='(92) FORGETFUL' 93='(93) LESS PATIENT'
                  94='(94) LIVING IN A BETTER NEIGHBORHOOD' 95='(95) DISCOURAGED'
                  96='(96) DON''T GO TO THE SAME PLACES' 97='(97) LESS TRUSTING'
                  98='(98) NOT AS STRONG PHYSICALLY' 99='(99) LESS OPEN'
                  100='(100) LESS TALKATIVE' 101='(101) LESS EMOTIONAL' 102='(102) MORE SECURE'
                  103='(103) WANT TO GET HIGH' 104='(104) MORE MATURE' 105='(105) NEED CHANGES'
                  106='(106) INSECURE' 107='(107) MORE REALISTIC' 108='(108) LESS SUSPICIOUS'
                  109='(109) MORE INDEPENDENT' 110='(110) MORE FORGIVING' 111='(111) ANXIETY'
                  112='(112) THE PROGRAM' 113='(113) HAD BABY' 114='(114) BETTER GRADES NOW'
                  115='(115) MOVED OUT OF HOME' 116='(116) RELATIONSHIPS BETTER'
                  117='(117) NOTHING AT ALL' 118='(118) ONLY SMOKE MARIJUANA'
                  119='(119) LESS LEGAL TROUBLE'
                  120='(120) BETTER RELATIONSHIP WITH SISTER AND FRIENDS'
                  121='(121) DON''T KNOW' 122='(122) CAN''T REMEMBER THINGS' ;
  VALUE mm35a3ct  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) CONTINUED USING DRUGS' 2='(2) CRAVINGS'
                  3='(3) DECREASED DRUG/ALCOHOL USE'
                  4='(4) STOPPED USING DRUGS/ALCOHOL'
                  5='(5) POSITIVE EMOTIONS/ATTITUDE (HAPPIER, MORE SELF-ESTEEM)'
                  6='(6) NEGATIVE EMOTIONS/ATTITUDE (ANGRIER, FEARFUL, DEPRESSED)'
                  7='(7) BETTER RELATIONSHIPS W/FAMILY, FRIENDS, SPOUSE, PARTNER'
                  8='(8) WORSE RELATIONSHIPS W/FAMILY, FRIENDS, SPOUSE, PARTNER'
                  9='(9) FINANCIAL'
                  10='(10) POSITIVE CHANGES IN PHYSICAL/MENTAL CAPABILITIES'
                  11='(11) NEGATIVE CHANGES IN PHYSICAL/MENTAL CAPABILITIES'
                  12='(12) IMPROVEMENTS AT WORK/SCHOOL' 13='(13) OTHER' ;
  VALUE mm35b3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF'
                  2='(2) COUNSELOR OR CASE MANAGER' 3='(3) ANOTHER STAFF MEMBER'
                  4='(4) ANOTHER CLIENT/RESIDENT/PATIENT' 5='(5) THE PROGRAM OVERALL'
                  6='(6) SOMETHING/SOMEONE OUTSIDE PROGRAM' 7='(7) OTHER'
                  8='(8) BEING FREE OF CHEMICALS, DRUGS' 9='(9) FAMILY'
                  10='(10) OUTSIDE SPEAKER' 11='(11) MEDICATION' 12='(12) FIANCE'
                  13='(13) BETTER COMMUNICATION' 14='(14) MENTAL HEALTH COUNSELOR'
                  15='(15) SPIRITUAL-BIBLE/CHURCH/PREACHER & PRIEST/GOD'
                  16='(16) CRACK/COCAINE' 17='(17) ILLNESS' 18='(18) FACILITY'
                  19='(19) MORE POSITIVE' 20='(20) HUSBAND/WIFE'
                  21='(21) ABSENCE AND ABSTINENCE' 22='(22) 12-STEP PROGRAM'
                  23='(23) NOT USING AS MUCH' 24='(24) TALKING WITH PEOPLE'
                  25='(25) MORE RESPONSIBLE' 26='(26) JAIL SITUATION' 27='(27) HAVING AIDS'
                  28='(28) AWARENESS' 29='(29) MEMORIES OF 20 YEARS AGO'
                  30='(30) ALL OF THE ABOVE' 31='(31) (NOT IN CODE LIST)'
                  32='(32) PARENT BOYFRIEND/GIRLFRIEND' 33='(33) NOT SO DEPRESSED'
                  34='(34) FRIEND' 35='(35) THERAPY' 36='(36) LIVING SITUATION'
                  37='(37) USE OF DRUGS' 38='(38) PROBLEMS WITH WIFE'
                  39='(39) CSD SITUATION' 40='(40) MY CRIME' 41='(41) LEGAL SYSTEM'
                  42='(42) (NOT IN CODE LIST)' 43='(43) BEING AWAY FROM KIDS'
                  44='(44) TIME PASSING' 45='(45) SUPPORT FROM FRIENDS'
                  46='(46) GETTING OLDER' 47='(47) MONEY' 48='(48) ATTITUDE' 49='(49) ST. MARYS'
                  50='(50) SCHOOL' 51='(51) LACK OF DRUGS' 52='(52) OUTSIDE'
                  53='(53) DEATH OF FAMILY MEMBER' 54='(54) HOSPITAL' 55='(55) BEING LONELY'
                  56='(56) GIRLFRIEND/BOYFRIEND' 57='(57) DOCTOR/PHYSICIAN'
                  58='(58) EMOTIONAL PAIN' 59='(59) HALF-WAY HOUSE COUNSELOR'
                  60='(60) SPONSOR AT PROGRAM' 61='(61) BEING AWAY FROM FRIENDS/BAD'
                  62='(62) INDIVIDUAL COUNSELING' 63='(63) MY SPONSOR'
                  64='(64) GETTING ON PROBATION' 65='(65) LONG TERM TREATMENT'
                  66='(66) MOVING OUT' 67='(67) PREGNANT' 68='(68) NOT IN TREATMENT'
                  69='(69) MILITARY' 70='(70) FAMILY COUNSELOR' 71='(71) DON''T KNOW'
                  72='(72) ICLA' 73='(73) EVENTS' 74='(74) RELATIONSHIPS' 75='(75) BOOK'
                  76='(76) MATURITY' 77='(77) GETTING SHOT' ;
  VALUE mm35b3ct  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF'
                  2='(2) TX PROGRAM, COUNSELOR, SPONSOR' 3='(3) BEING DRUG-FREE'
                  4='(4) MEDICATION' 5='(5) FAMILY, FRIENDS, HUSBAND/WIFE, PARTNER'
                  6='(6) DRUG USE' 7='(7) DECREASED DRUG USE'
                  8='(8) NOT BEING IN TREATMENT'
                  9='(9) PHYSICAL ISSUES (ILLNESS, PAIN, PREGNANCY)'
                  10='(10) MORE MATURE/IMPROVED ATTITUDE OR MOOD'
                  11='(11) LEGAL ISSUES' 12='(12) OTHER' ;
  VALUE mm35a4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) DEAL WITH A PARTNER WHO HAS A JOB'
                  2='(2) HAVE BECOME A BETTER PERSON/DEAL WITH PROBLEMS'
                  3='(3) MORE POSITIVE ATTITUDE/CONFIDENCE'
                  4='(4) MORE AWARE OF OWN FEELINGS/CARING/THINKING CLEARER'
                  5='(5) HONEST RELATIONSHIP (1 PARTNER)'
                  6='(6) ENJOY WORKING DEDICATED JOB/JOB SECURITY'
                  7='(7) ENJOY PHYSICAL ACTIVITIES SPORTS/OUTGOING'
                  8='(8) IMPROVEMENT IN FAMILY SETTING/RELATIONSHIP' 9='(9) HAPPIER'
                  10='(10) HIGHER SELF-ESTEEM RESPECT'
                  11='(11) ABLE TO COPE WITH DEPRESSION'
                  12='(12) MORE SELF-CONTROL/PATIENT/LESS ANGER'
                  13='(13) MARRIED/IN LOVE' 14='(14) BETTER LIFESTYLE'
                  15='(15) BETTER MENTAL HEALTH AND PHYSICAL'
                  16='(16) ABLE TO DEAL WITH OTHER PEOPLE/COMMUNICATE INTERACT BETTER'
                  17='(17) HAVE DREAMS'
                  18='(18) HONEST/DOES NOT STEAL/MORE TRUSTWORTHY'
                  19='(19) MORE UNDERSTANDING' 20='(20) MORE STRUCTURE' 21='(21) MORE MONEY'
                  22='(22) MORE PASSION' 23='(23) VERY INDEPENDENT'
                  24='(24) SELF EXPECTANCY/SET HIGHER GOALS'
                  25='(25) CHANGES IN MYSELF' 26='(26) GAINED WEIGHT'
                  27='(27) CHANGED BOYFRIEND/GIRLFRIEND' 28='(28) DO NOT USE DRUGS'
                  29='(29) CONFUSION/UNHAPPY WITH THINGS AT HOME' 30='(30) OPEN-MINDED'
                  31='(31) MORE RESPONSIBLE'
                  32='(32) DESIRE TO STAY OUT OF PRISON BECAUSE OF DRUGS'
                  33='(33) TIRED OF BEING A COUCH POTATO'
                  34='(34) BETTER QUALITY OF FRIENDS' 35='(35) THINK LESS ABOUT LUST'
                  36='(36) TEMPER' 37='(37) PERSONALITY'
                  38='(38) STOPPED DEALING WITH OLD FRIENDS'
                  39='(39) AWARE OF PAIN I''VE CAUSED' 40='(40) MORE SPIRITUALITY'
                  41='(41) FEEL BETTER' 42='(42) LESS DEPRESSED' 43='(43) MORE MOTIVATED'
                  44='(44) STILL HAVE MORE THINGS TO WORK OUT' 45='(45) LONESOME'
                  46='(46) BAD SELF ESTEEM' 47='(47) WORSE TEMPER' 48='(48) JUST SO SO'
                  49='(49) FEEL WANTED' 50='(50) ABLE TO CONCENTRATE MORE THINK BETTER'
                  51='(51) BEING SELFISH' 52='(52) GIVING' 53='(53) I FEEL GRATEFUL'
                  54='(54) THOUGHTS- LIVE DAY TO DAY'
                  55='(55) CHANGE IN DRINKING HABITS' 56='(56) MORE RELAXED'
                  57='(57) DEPRESSED ABOUT AIDS CONDITION' 58='(58) COUNSELOR'
                  59='(59) RECOGNIZING PAST PATTERN' 60='(60) HAVE A JOB'
                  61='(61) PARENTING SKILLS' 62='(62) CHANGING RELATIONSHIPS'
                  63='(63) HAPPY WITH SIMPLE THINGS' 64='(64) SLEEP BETTER'
                  65='(65) BAD THOUGHTS' 66='(66) DON''T GET EMOTIONALLY UPSET'
                  67='(67) I CAN CRY' 68='(68) STOP USING DRUGS' 69='(69) SEXUAL BEHAVIOR'
                  70='(70) POWERLESS' 71='(71) RELATIONSHIP W/FAMILY WORSE'
                  72='(72) GOING TO SCHOOL' 73='(73) PEOPLE ARE AFRAID OF ME'
                  74='(74) LESS ARGUING' 75='(75) CARE ABOUT APPEARANCE'
                  76='(76) BETTER BEHAVIOR ABOUT DRUGS' 77='(77) LOSS APPETITE'
                  78='(78) CAN GO TO SCHOOL' 79='(79) DON''T HAVE TO HAVE A MAN/WOMAN'
                  80='(80) DEPRESSED' 81='(81) DIVORCE' 82='(82) MORE HELPFUL'
                  83='(83) WEIGHT LOSS'
                  84='(84) FINANCIAL SITUATION/PAYING BACK TREATMENT'
                  85='(85) (NO CODE)' 86='(86) DON''T HAVE A RELATIONSHIP'
                  87='(87) JOB CHANGES' 88='(88) KEPT USING DRUGS'
                  89='(89) A LOT OF ANGER TOWARD CSD' 90='(90) FEAR' 91='(91) RESENTMENT'
                  92='(92) FORGETFUL' 93='(93) LESS PATIENT'
                  94='(94) LIVING IN A BETTER NEIGHBORHOOD' 95='(95) DISCOURAGED'
                  96='(96) DON''T GO TO THE SAME PLACES' 97='(97) LESS TRUSTING'
                  98='(98) NOT AS STRONG PHYSICALLY' 99='(99) LESS OPEN'
                  100='(100) LESS TALKATIVE' 101='(101) LESS EMOTIONAL' 102='(102) MORE SECURE'
                  103='(103) WANT TO GET HIGH' 104='(104) MORE MATURE' 105='(105) NEED CHANGES'
                  106='(106) INSECURE' 107='(107) MORE REALISTIC' 108='(108) LESS SUSPICIOUS'
                  109='(109) MORE INDEPENDENT' 110='(110) MORE FORGIVING' 111='(111) ANXIETY'
                  112='(112) THE PROGRAM' 113='(113) HAD BABY' 114='(114) BETTER GRADES NOW'
                  115='(115) MOVED OUT OF HOME' 116='(116) RELATIONSHIPS BETTER'
                  117='(117) NOTHING AT ALL' 118='(118) ONLY SMOKE MARIJUANA'
                  119='(119) LESS LEGAL TROUBLE'
                  120='(120) BETTER RELATIONSHIP WITH SISTER AND FRIENDS'
                  121='(121) DON''T KNOW' 122='(122) CAN''T REMEMBER THINGS' ;
  VALUE mm35a4ct  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) CONTINUED USING DRUGS' 2='(2) CRAVINGS'
                  3='(3) DECREASED DRUG/ALCOHOL USE'
                  4='(4) STOPPED USING DRUGS/ALCOHOL'
                  5='(5) POSITIVE EMOTIONS/ATTITUDE (HAPPIER, MORE SELF-ESTEEM)'
                  6='(6) NEGATIVE EMOTIONS/ATTITUDE (ANGRIER, FEARFUL, DEPRESSED)'
                  7='(7) BETTER RELATIONSHIPS W/FAMILY, FRIENDS, SPOUSE, PARTNER'
                  8='(8) WORSE RELATIONSHIPS W/FAMILY, FRIENDS, SPOUSE, PARTNER'
                  9='(9) FINANCIAL'
                  10='(10) POSITIVE CHANGES IN PHYSICAL/MENTAL CAPABILITIES'
                  11='(11) NEGATIVE CHANGES IN PHYSICAL/MENTAL CAPABILITIES'
                  12='(12) IMPROVEMENTS AT WORK/SCHOOL' 13='(13) OTHER' ;
  VALUE mm35b4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF'
                  2='(2) COUNSELOR OR CASE MANAGER' 3='(3) ANOTHER STAFF MEMBER'
                  4='(4) ANOTHER CLIENT/RESIDENT/PATIENT' 5='(5) THE PROGRAM OVERALL'
                  6='(6) SOMETHING/SOMEONE OUTSIDE PROGRAM' 7='(7) OTHER'
                  8='(8) BEING FREE OF CHEMICALS, DRUGS' 9='(9) FAMILY'
                  10='(10) OUTSIDE SPEAKER' 11='(11) MEDICATION' 12='(12) FIANCE'
                  13='(13) BETTER COMMUNICATION' 14='(14) MENTAL HEALTH COUNSELOR'
                  15='(15) SPIRITUAL-BIBLE/CHURCH/PREACHER/PRIEST/GOD'
                  16='(16) CRACK/COCAINE' 17='(17) ILLNESS' 18='(18) FACILITY'
                  19='(19) MORE POSITIVE' 20='(20) HUSBAND/WIFE'
                  21='(21) ABSENCE AND ABSTINENCE' 22='(22) 12-STEP PROGRAM'
                  23='(23) NOT USING AS MUCH' 24='(24) TALKING WITH PEOPLE'
                  25='(25) MORE RESPONSIBLE' 26='(26) JAIL SITUATION' 27='(27) HAVING AIDS'
                  28='(28) AWARENESS' 29='(29) MEMORIES OF 20 YEARS AGO'
                  30='(30) ALL OF THE ABOVE' 31='(31) (NOT IN CODE LIST)'
                  32='(32) PARENT BOYFRIEND/GIRLFRIEND' 33='(33) NOT SO DEPRESSED'
                  34='(34) FRIEND' 35='(35) THERAPY' 36='(36) LIVING SITUATION'
                  37='(37) USE OF DRUGS' 38='(38) PROBLEMS WITH WIFE'
                  39='(39) CSD SITUATION' 40='(40) MY CRIME' 41='(41) LEGAL SYSTEM'
                  42='(42) (NOT IN CODE LIST)' 43='(43) BEING AWAY FROM KIDS'
                  44='(44) TIME PASSING' 45='(45) SUPPORT FROM FRIENDS'
                  46='(46) GETTING OLDER' 47='(47) MONEY' 48='(48) ATTITUDE' 49='(49) ST. MARYS'
                  50='(50) SCHOOL' 51='(51) LACK OF DRUGS' 52='(52) OUTSIDE'
                  53='(53) DEATH OF FAMILY MEMBER' 54='(54) HOSPITAL' 55='(55) BEING LONELY'
                  56='(56) GIRLFRIEND/BOYFRIEND' 57='(57) DOCTOR/PHYSICIAN'
                  58='(58) EMOTIONAL PAIN' 59='(59) HALF-WAY HOUSE COUNSELOR'
                  60='(60) SPONSOR AT PROGRAM' 61='(61) BEING AWAY FROM FRIENDS/BAD'
                  62='(62) INDIVIDUAL COUNSELING' 63='(63) MY SPONSOR'
                  64='(64) GETTING ON PROBATION' 65='(65) LONG TERM TREATMENT'
                  66='(66) MOVING OUT' 67='(67) PREGNANT' 68='(68) NOT IN TREATMENT'
                  69='(69) MILITARY' 70='(70) FAMILY COUNSELOR' 71='(71) DON''T KNOW'
                  72='(72) ICLA' 73='(73) EVENTS' 74='(74) RELATIONSHIPS' 75='(75) BOOK'
                  76='(76) MATURITY' 77='(77) GETTING SHOT' ;
  VALUE mm35b4ct  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF'
                  2='(2) TX PROGRAM, COUNSELOR, SPONSOR' 3='(3) BEING DRUG-FREE'
                  4='(4) MEDICATION' 5='(5) FAMILY, FRIENDS, HUSBAND/WIFE, PARTNER'
                  6='(6) DRUG USE' 7='(7) DECREASED DRUG USE'
                  8='(8) NOT BEING IN TREATMENT'
                  9='(9) PHYSICAL ISSUES (ILLNESS, PAIN, PREGNANCY)'
                  10='(10) MORE MATURE/IMPROVED ATTITUDE OR MOOD'
                  11='(11) LEGAL ISSUES' 12='(12) OTHER' ;
  VALUE mm35a5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) DEAL WITH A PARTNER WHO HAS A JOB'
                  2='(2) HAVE BECOME A BETTER PERSON/DEAL WITH PROBLEMS'
                  3='(3) MORE POSITIVE ATTITUDE/CONFIDENCE'
                  4='(4) MORE AWARE OF OWN FEELINGS/CARING/THINKING CLEARER'
                  5='(5) HONEST RELATIONSHIP (1 PARTNER)'
                  6='(6) ENJOY WORKING DEDICATED JOB/JOB SECURITY'
                  7='(7) ENJOY PHYSICAL ACTIVITIES SPORTS/OUTGOING'
                  8='(8) IMPROVEMENT IN FAMILY SETTING/RELATIONSHIP' 9='(9) HAPPIER'
                  10='(10) HIGHER SELF-ESTEEM RESPECT'
                  11='(11) ABLE TO COPE WITH DEPRESSION'
                  12='(12) MORE SELF-CONTROL/PATIENT/LESS ANGER'
                  13='(13) MARRIED/IN LOVE' 14='(14) BETTER LIFESTYLE'
                  15='(15) BETTER MENTAL HEALTH AND PHYSICAL'
                  16='(16) ABLE TO DEAL WITH OTHER PEOPLE/COMMUNICATE INTERACT BETTER'
                  17='(17) HAVE DREAMS'
                  18='(18) HONEST/DOES NOT STEAL/MORE TRUSTWORTHY'
                  19='(19) MORE UNDERSTANDING' 20='(20) MORE STRUCTURE' 21='(21) MORE MONEY'
                  22='(22) MORE PASSION' 23='(23) VERY INDEPENDENT'
                  24='(24) SELF EXPECTANCY/SET HIGHER GOALS'
                  25='(25) CHANGES IN MYSELF' 26='(26) GAINED WEIGHT'
                  27='(27) CHANGED BOYFRIEND/GIRLFRIEND' 28='(28) DO NOT USE DRUGS'
                  29='(29) CONFUSION/UNHAPPY WITH THINGS AT HOME' 30='(30) OPEN-MINDED'
                  31='(31) MORE RESPONSIBLE'
                  32='(32) DESIRE TO STAY OUT OF PRISON BECAUSE OF DRUGS'
                  33='(33) TIRED OF BEING A COUCH POTATO'
                  34='(34) BETTER QUALITY OF FRIENDS' 35='(35) THINK LESS ABOUT LUST'
                  36='(36) TEMPER' 37='(37) PERSONALITY'
                  38='(38) STOPPED DEALING WITH OLD FRIENDS'
                  39='(39) AWARE OF PAIN I''VE CAUSED' 40='(40) MORE SPIRITUALITY'
                  41='(41) FEEL BETTER' 42='(42) LESS DEPRESSED' 43='(43) MORE MOTIVATED'
                  44='(44) STILL HAVE MORE THINGS TO WORK OUT' 45='(45) LONESOME'
                  46='(46) BAD SELF ESTEEM' 47='(47) WORSE TEMPER' 48='(48) JUST SO SO'
                  49='(49) FEEL WANTED' 50='(50) ABLE TO CONCENTRATE MORE THINK BETTER'
                  51='(51) BEING SELFISH' 52='(52) GIVING' 53='(53) I FEEL GRATEFUL'
                  54='(54) THOUGHTS- LIVE DAY TO DAY'
                  55='(55) CHANGE IN DRINKING HABITS' 56='(56) MORE RELAXED'
                  57='(57) DEPRESSED ABOUT AIDS CONDITION' 58='(58) COUNSELOR'
                  59='(59) RECOGNIZING PAST PATTERN' 60='(60) HAVE A JOB'
                  61='(61) PARENTING SKILLS' 62='(62) CHANGING RELATIONSHIPS'
                  63='(63) HAPPY WITH SIMPLE THINGS' 64='(64) SLEEP BETTER'
                  65='(65) BAD THOUGHTS' 66='(66) DON''T GET EMOTIONALLY UPSET'
                  67='(67) I CAN CRY' 68='(68) STOP USING DRUGS' 69='(69) SEXUAL BEHAVIOR'
                  70='(70) POWERLESS' 71='(71) RELATIONSHIP W/FAMILY WORSE'
                  72='(72) GOING TO SCHOOL' 73='(73) PEOPLE ARE AFRAID OF ME'
                  74='(74) LESS ARGUING' 75='(75) CARE ABOUT APPEARANCE'
                  76='(76) BETTER BEHAVIOR ABOUT DRUGS' 77='(77) LOSS APPETITE'
                  78='(78) CAN GO TO SCHOOL' 79='(79) DON''T HAVE TO HAVE A MAN/WOMAN'
                  80='(80) DEPRESSED' 81='(81) DIVORCE' 82='(82) MORE HELPFUL'
                  83='(83) WEIGHT LOSS'
                  84='(84) FINANCIAL SITUATION/PAYING BACK TREATMENT'
                  85='(85) (NO CODE)' 86='(86) DON''T HAVE A RELATIONSHIP'
                  87='(87) JOB CHANGES' 88='(88) KEPT USING DRUGS'
                  89='(89) A LOT OF ANGER TOWARD CSD' 90='(90) FEAR' 91='(91) RESENTMENT'
                  92='(92) FORGETFUL' 93='(93) LESS PATIENT'
                  94='(94) LIVING IN A BETTER NEIGHBORHOOD' 95='(95) DISCOURAGED'
                  96='(96) DON''T GO TO THE SAME PLACES' 97='(97) LESS TRUSTING'
                  98='(98) NOT AS STRONG PHYSICALLY' 99='(99) LESS OPEN'
                  100='(100) LESS TALKATIVE' 101='(101) LESS EMOTIONAL' 102='(102) MORE SECURE'
                  103='(103) WANT TO GET HIGH' 104='(104) MORE MATURE' 105='(105) NEED CHANGES'
                  106='(106) INSECURE' 107='(107) MORE REALISTIC' 108='(108) LESS SUSPICIOUS'
                  109='(109) MORE INDEPENDENT' 110='(110) MORE FORGIVING' 111='(111) ANXIETY'
                  112='(112) THE PROGRAM' 113='(113) HAD BABY' 114='(114) BETTER GRADES NOW'
                  115='(115) MOVED OUT OF HOME' 116='(116) RELATIONSHIPS BETTER'
                  117='(117) NOTHING AT ALL' 118='(118) ONLY SMOKE MARIJUANA'
                  119='(119) LESS LEGAL TROUBLE'
                  120='(120) BETTER RELATIONSHIP WITH SISTER AND FRIENDS'
                  121='(121) DON''T KNOW' 122='(122) CAN''T REMEMBER THINGS' ;
  VALUE mm35a5ct  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) CONTINUED USING DRUGS' 2='(2) CRAVINGS'
                  3='(3) DECREASED DRUG/ALCOHOL USE'
                  4='(4) STOPPED USING DRUGS/ALCOHOL'
                  5='(5) POSITIVE EMOTIONS/ATTITUDE (HAPPIER, MORE SELF-ESTEEM)'
                  6='(6) NEGATIVE EMOTIONS/ATTITUDE (ANGRIER, FEARFUL, DEPRESSED)'
                  7='(7) BETTER RELATIONSHIPS W/FAMILY, FRIENDS, SPOUSE, PARTNER'
                  8='(8) WORSE RELATIONSHIPS W/FAMILY, FRIENDS, SPOUSE, PARTNER'
                  9='(9) FINANCIAL'
                  10='(10) POSITIVE CHANGES IN PHYSICAL/MENTAL CAPABILITIES'
                  11='(11) NEGATIVE CHANGES IN PHYSICAL/MENTAL CAPABILITIES'
                  12='(12) IMPROVEMENTS AT WORK/SCHOOL' 13='(13) OTHER' ;
  VALUE mm35b5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF'
                  2='(2) COUNSELOR OR CASE MANAGER' 3='(3) ANOTHER STAFF MEMBER'
                  4='(4) ANOTHER CLIENT/RESIDENT/PATIENT' 5='(5) THE PROGRAM OVERALL'
                  6='(6) SOMETHING/SOMEONE OUTSIDE PROGRAM' 7='(7) OTHER'
                  8='(8) BEING FREE OF CHEMICALS, DRUGS' 9='(9) FAMILY'
                  10='(10) OUTSIDE SPEAKER' 11='(11) MEDICATION' 12='(12) FIANCE'
                  13='(13) BETTER COMMUNICATION' 14='(14) MENTAL HEALTH COUNSELOR'
                  15='(15) SPIRITUAL-BIBLE/CHURCH/PREACHER/PRIEST/GOD'
                  16='(16) CRACK/COCAINE' 17='(17) ILLNESS' 18='(18) FACILITY'
                  19='(19) MORE POSITIVE' 20='(20) HUSBAND/WIFE'
                  21='(21) ABSENCE AND ABSTINENCE' 22='(22) 12-STEP PROGRAM'
                  23='(23) NOT USING AS MUCH' 24='(24) TALKING WITH PEOPLE'
                  25='(25) MORE RESPONSIBLE' 26='(26) JAIL SITUATION' 27='(27) HAVING AIDS'
                  28='(28) AWARENESS' 29='(29) MEMORIES OF 20 YEARS AGO'
                  30='(30) ALL OF THE ABOVE' 31='(31) (NOT IN CODE LIST)'
                  32='(32) PARENT BOYFRIEND/GIRLFRIEND' 33='(33) NOT SO DEPRESSED'
                  34='(34) FRIEND' 35='(35) THERAPY' 36='(36) LIVING SITUATION'
                  37='(37) USE OF DRUGS' 38='(38) PROBLEMS WITH WIFE'
                  39='(39) CSD SITUATION' 40='(40) MY CRIME' 41='(41) LEGAL SYSTEM'
                  42='(42) (NOT IN CODE LIST)' 43='(43) BEING AWAY FROM KIDS'
                  44='(44) TIME PASSING' 45='(45) SUPPORT FROM FRIENDS'
                  46='(46) GETTING OLDER' 47='(47) MONEY' 48='(48) ATTITUDE' 49='(49) ST. MARYS'
                  50='(50) SCHOOL' 51='(51) LACK OF DRUGS' 52='(52) OUTSIDE'
                  53='(53) DEATH OF FAMILY MEMBER' 54='(54) HOSPITAL' 55='(55) BEING LONELY'
                  56='(56) GIRLFRIEND/BOYFRIEND' 57='(57) DOCTOR/PHYSICIAN'
                  58='(58) EMOTIONAL PAIN' 59='(59) HALF-WAY HOUSE COUNSELOR'
                  60='(60) SPONSOR AT PROGRAM' 61='(61) BEING AWAY FROM FRIENDS/BAD'
                  62='(62) INDIVIDUAL COUNSELING' 63='(63) MY SPONSOR'
                  64='(64) GETTING ON PROBATION' 65='(65) LONG TERM TREATMENT'
                  66='(66) MOVING OUT' 67='(67) PREGNANT' 68='(68) NOT IN TREATMENT'
                  69='(69) MILITARY' 70='(70) FAMILY COUNSELOR' 71='(71) DON''T KNOW'
                  72='(72) ICLA' 73='(73) EVENTS' 74='(74) RELATIONSHIPS' 75='(75) BOOK'
                  76='(76) MATURITY' 77='(77) GETTING SHOT' ;
  VALUE mm35b5ct  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF'
                  2='(2) TX PROGRAM, COUNSELOR, SPONSOR' 3='(3) BEING DRUG-FREE'
                  4='(4) MEDICATION' 5='(5) FAMILY, FRIENDS, HUSBAND/WIFE, PARTNER'
                  6='(6) DRUG USE' 7='(7) DECREASED DRUG USE'
                  8='(8) NOT BEING IN TREATMENT'
                  9='(9) PHYSICAL ISSUES (ILLNESS, PAIN, PREGNANCY)'
                  10='(10) MORE MATURE/IMPROVED ATTITUDE OR MOOD'
                  11='(11) LEGAL ISSUES' 12='(12) OTHER' ;
  VALUE mmd_mo    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) STILL IN TREATMENT' 1='(1) JAN. - MARCH' 2='(2) APR. - JUNE'
                  3='(3) JULY - SEPT.' 4='(4) OCT. - DEC.' ;
  VALUE mmt_hh    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mmt_mm    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mmampm    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) AM' 2='(2) PM' ;
  VALUE mn1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mn2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mn2a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mn3_1_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE mn3_1_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MILD'
                  2='(2) MODERATE' 3='(3) EXTREME' ;
  VALUE mn3_2_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE mn3_2_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MILD'
                  2='(2) MODERATE' 3='(3) EXTREME' ;
  VALUE mn3_3_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE mn3_3_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MILD'
                  2='(2) MODERATE' 3='(3) EXTREME' ;
  VALUE mn3_4_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE mn3_4_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MILD'
                  2='(2) MODERATE' 3='(3) EXTREME' ;
  VALUE mn4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mn4a1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE mn4a2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE mn4a3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE mn4a4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE mn4a5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE mn4a6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE mn5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) EAGER'
                  2='(2) RECEPTIVE' 3='(3) NO REACTION' 4='(4) RELUCTANT' 5='(5) REFUSED'
                  6='(6) NOT DISCUSSED' ;
  VALUE mn6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mn6a1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mn6a2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mp1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mp2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE mp3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE mp4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE mp5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE mp6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE mp7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE mp8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE mp9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE mp10a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE mp10b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE mp11a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE mp11b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE mp11c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE mp12a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR' 7='(7) SAYS CAN''T DO' ;
  VALUE mp12b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR' 7='(7) SAYS CAN''T DO' ;
  VALUE mp12c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR' 7='(7) SAYS CAN''T DO' ;
  VALUE mp12d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR' 7='(7) SAYS CAN''T DO' ;
  VALUE mp12e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR' 7='(7) SAYS CAN''T DO' ;
  VALUE mp13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO ERROR'
                  1='(1) 1 ERROR' 2='(2) 2 ERRORS' 3='(3) 3 ERRORS' 4='(4) 4 ERRORS'
                  5='(5) 5 ERRORS' ;
  VALUE mp14a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE mp14b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE mp14c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE mp15a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE mp15b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE mp16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE mp17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP'
                  7='(7) CAN''T READ ENGLISH' ;
  VALUE mp18a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE mp18b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE mp18c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE mp19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO' 6='(6) HANDICAP' 7='(7) CAN''T WRITE (ENGLISH)' ;
  VALUE mp20ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO' 6='(6) HANDICAP' ;
  VALUE mp21ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE mpdm      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) STILL IN TREATMENT' 1='(1) JAN. - MARCH' 2='(2) APR. - JUNE'
                  3='(3) JULY - SEPT.' 4='(4) OCT. - DEC.' ;
  VALUE mpth      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mptm      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mpampm    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) AM' 2='(2) PM' ;
  VALUE md6c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE me26ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE mg1a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
*/


* SAS DATA, INFILE, INPUT STATEMENTS;

DATA;
INFILE "data-filename" LRECL=2491;
INPUT
        CASEID 1-4              MAV_MST 5-6             MAV_RACE 7-8
        MAV_CJS 9-10            MBV_TERM 11-12          MCV_HALC 13-14
        MCV_SUIC 15-16          MCV_PDT 17-18           MCV_CJS 19-20
        MCV_DR 21-22            MCV_DWI 23-24           MCV_NDR 25-26
        MCV_EMP 27-28           MCV_ALC 29-30           MCV_HAL 31-32
        MCV_MRJ 33-34           MCV_COC 35-36           MCV_CRK 37-38
        MCV_HER 39-40           MCV_NAR 41-42           MCV_SED 43-44
        MCV_AMP 45-46           MCV_SUI 47-48           MDV_EDYR 49-50
        MDV_DEG 51              MDV_ENRL 52             MEV_HALC 53-54
        MEV_INJ 55              MEV_ALC 56-57           MEV_MRJ 58-59
        MEV_HAL 60-61           MEV_COC 62-63           MEV_CRK 64
        MEV_HER 65-66           MEV_NAR 67-68           MEV_SED 69-70
        MEV_AMP 71-72           MEV_NDRG 73             MEV_PAT 74
        MEV_PDRG 75-76          MFV_SUIC 77-78          MGV_DR 79-80
        MGV_DWI 81-82           MGV_NDR 83-84           MGV_JAIL 85-86
        MHV_FTWK 87-88          MHV_EMP 89-90           MJV_SRC 91
        MLV_RSK1 92             MLV_RSK2 93             MLV_RSK3 94
        MLV_RSK4 95             MLV_RSK6 96             MLV_SEXB 97-98
        MLV_RSK5 99-100         MMV_DT 101-102          MGV_SIA 103-104
        MODALITY 105            SEX 106                 AGE 107-108
        HLTHINS 109-110         FTWORK 111-112          MSTAT 113-114
        INSCHOOL 115-116        RACE 117                EDLEV 118-119
        RACESEX 120             HVY_ALC 121-122         ALCR 123-124
        MRJR 125-126            COCR 127-128            HERR 129-130
        NARR 131-132            SEDR 133-134            AMPR 135-136
        HALR 137-138            INHR 139-140            ALCWK 141-142
        MRJWK 143-144           COCWK 145-146           HERWK 147-148
        NARWK 149-150           SEDWK 151-152           AMPWK 153-154
        HALWK 155-156           INHWK 157-158           MRJ_EV 159
        COC_EV 160-161          HER_EV 162-163          NAR_EV 164-165
        SED_EV 166-167          AMP_EV 168-169          HAL_EV 170-171
        INH_EV 172-173          CJ_STAT 174-175         IAY_SIA 176-177
        MAJSRC 178-179          REFER 180-181           RESTRICT 182-183
        DRUGTX 184-185          SCHOOL 186-187          DEP_YR 188
        EMPSTAT 189             IAPY 190-191            PDT 192-193
        CRKR 194-195            CRKWK 196-197           MIA1_1 198-199
        MIA1_2 200-202          MIA2_1 203-204          MIA2_2 205-207
        MIA3_1 208-209          MIA3_2 210-212          MIA4_1 213-214
        MIA4_2 215-217          MIA5_1 218-219          MIA5_2 220-222
        MIA6_1 223-224          MIA6_2 225-227          MIA7_1 228-229
        MIA7_2 230-232          MIA8_1 233-234          MIA8_2 235-237
        MIA9_1 238-239          MIA9_2 240-242          MIA10_1 243-244
        MIA10_2 245-247         MUSA 248                MDA_MO 249
        MDA_YR 250-251          MFIRE 252-253           MTOLE 254-256
        MA2 257-258             MA5 259-260             MA6 261-263
        MA7 264-265             MA8 266-267             MA9_0 268-269
        MA9_1 270-271           MA9A_1 272-273          MA9B_1 274-275
        MA9C_1 276-277          MA9D_1 278-279          MA9_2 280-281
        MA9A_2 282-283          MA9B_2 284-285          MA9C_2 286-287
        MA9D_2 288-289          MA9_3 290-291           MA9A_3 292-293
        MA9B_3 294-295          MA9C_3 296-297          MA9D_3 298-299
        MA9_4 300-301           MA9A_4 302-303          MA9B_4 304-305
        MA9C_4 306-307          MA9D_4 308-309          MA9_5 310-311
        MA9A_5 312-313          MA9B_5 314-315          MA9C_5 316-317
        MA9D_5 318-319          MA10 320-321            MA11A 322-323
        MA11B 324-325           MA11C 326-327           MA12A 328-329
        MA12B 330-331           MA12C 332-333           MA12D 334-335
        MA12E 336-337           MA12F 338-339           MA12G 340-341
        MA13 342-343            MA14_0 344-345          MA14_1 346-347
        MA14_2 348-349          MA14_3 350-351          MA14_4 352-353
        MA14_5 354-355          MA14_6 356-357          MA14_7 358-359
        MA14_8 360-361          MA14_9 362-363          MA15 364-365
        MA15A 366-367           MA16 368-369            MA16A 370-371
        MA16B 372-373           MA16C 374-375           MA16D 376-377
        MA17 378-379            MA17A 380-381           MA18 382-383
        MA19 384-385            MA20 386-387            MA21 388-389
        MA22 390-391            MA23 392-393            MA24 394-395
        MA25 396-397            MA26 398-399            MA27 400-401
        MA28 402-403            MA28A 404-405           MA28B 406-407
        MA29A 408-409           MA29B 410-411           MA29C 412-413
        MA29D 414-415           MA29E 416-417           MA29F 418-419
        MA29G 420-421           MA29H 422-423           MA29I 424-425
        MA29J 426-427           MA30 428-429            MA31A 430-431
        MA31B 432-433           MA31C 434-435           MA31D 436-437
        MA31E 438-439           MA31F 440-441           MA31G 442-443
        MA31H 444-445           MA31I 446-447           MA31J 448-449
        MA31K 450-451           MA31L 452-453           MA31M 454-455
        MA31N 456-457           MA32 458-459            MA33A 460-461
        MA33B 462-463           MA33C 464-465           MA33D 466-467
        MA33E 468-469           MA33F 470-471           MA34 472-473
        MA35A 474-475           MA35B 476-477           MA35C 478-479
        MA35D 480-481           MA35E 482-483           MA35F 484-485
        MA35G 486-487           MA35H 488-489           MA35I 490-491
        MA35J 492-493           MA35K 494-495           MA35L 496-497
        MA35M 498-499           MA35N 500-501           MA36A 502-503
        MA37A 504-505           MA36B 506-507           MA37B 508-509
        MA36C 510-511           MA37C 512-513           MA36D 514-515
        MA37D 516-517           MA36E 518-519           MA37E 520-521
        MA36F 522-523           MA37F 524-525           MA36G 526-527
        MA37G 528-529           MA36H 530-531           MA37H 532-533
        MA36I 534-535           MA37I 536-537           MA36J 538-539
        MA37J 540-541           MA38 542-543            MA39 544-545
        MA40 546-547            MA41 548-549            MA42 550-551
        MA43 552-553            MA44 554-555            MA45 556-557
        MA46 558-559            MA47 560-561            MA48 562-563
        MA49 564-565            MA50 566-567            MB1 568-569
        MB1A_MO 570-571         MB1A_YR 572-573         MB2 574-575
        MB2A 576-577            MB2B 578-579            MB2C 580-581
        MB3 582-583             MB3A 584-585            MB3B 586-587
        MB3C_1 588-589          MB3C_2 590-591          MB3C_3 592-593
        MB3C_4 594-595          MB3C_5 596-597          MB3C_6 598-599
        MB3C_7 600-601          MB3C_8 602-603          MB4_0 604-605
        MB4_1 606-607           MB4_2 608-609           MB4_3 610-611
        MB4_4 612-613           MB4_5 614-615           MB4_6 616-617
        MB4_7 618-619           MB4_8 620-621           MB4_9 622-623
        MB5 624-625             MB6 626-627             MB7 628-629
        MB8 630-631             MB9 632-633             MB10 634-635
        MB11 636-637            MB11A_1 638-639         MB11A_2 640-641
        MB11A_3 642-643         MB11A_4 644-645         MB11A_5 646-647
        MB11A_6 648-649         MB11A_7 650-651         MB11A_8 652-653
        MB11A_8S 654-655        MB12 656-657            MB13 658-660
        MB14_10 661-662         MB14_20 663-664         MB14_30 665-666
        MB14_40 667-668         MB14_41 669-670         MB14_42 671-672
        MB14_50 673-674         MB14_60 675-676         MB14_70 677-678
        MB14_80 679-680         MB14_90 681-682         MB15 683-684
        MB16 685-686            MB17 687-688            MB18 689-690
        MB18A 691-692           MB19 693-694            MB19A 695-696
        MB19B 697-698           MB20 699-700            MB21 701-702
        MB22 703-704            MB23 705-706            MB23_1 707-708
        MB24 709-710            MB25 711-712            MB26 713-714
        MB26A 715-716           MC1 717-718             MC2_0 719-720
        MC2_1 721-722           MC2_2 723-724           MC2_3 725-726
        MC2_4 727-728           MC2_5 729-730           MC2_6 731-732
        MC2_7 733-734           MC2_8 735-736           MC2_9 737-738
        MC3 739-740             MC4 741-742             MC4_1 743-744
        MC5 745-746             MC6 747-748             MC6A 749-750
        MC7 751-752             MC8 753-754             MC9_20 755-756
        MC9_30 757-758          MC9_40 759-760          MC9_41 761-762
        MC9_42 763-764          MC9_50 765-766          MC9_60 767-768
        MC9_70 769-770          MC9_80 771-772          MC9_90 773-774
        MC10 775-776            MC11 777-778            MC12 779-780
        MC13 781-782            MC14A 783-784           MC14AA 785-786
        MC14BA 787-788          MC14B 789-790           MC14AB 791-792
        MC14BB 793-794          MC14C 795-796           MC14AC 797-798
        MC14BC 799-800          MC14D 801-802           MC14AD 803-804
        MC14BD 805-806          MC14E 807-808           MC14AE 809-810
        MC14BE 811-812          MC14F 813-814           MC14AF 815-816
        MC14BF 817-818          MC15_1 819-820          MC16_1 821-822
        MC17_1 823-824          MC15_2 825-826          MC16_2 827-828
        MC17_2 829-830          MC15_3 831-832          MC16_3 833-834
        MC17_3 835-836          MC15_4 837-838          MC16_4 839-840
        MC17_4 841-842          MC15_5 843-844          MC16_5 845-846
        MC17_5 847-848          MC15_7 849-850          MC16_7 851-852
        MC17_7 853-854          MC15_8 855-856          MC16_8 857-858
        MC17_8 859-860          MC15_9 861-862          MC16_9 863-864
        MC17_9 865-866          MC15_10 867-868         MC16_10 869-870
        MC17_10 871-872         MC15_11 873-874         MC16_11 875-877
        MC17_11 878-879         MC15_12 880-881         MC16_12 882-884
        MC17_12 885-886         MC18 887-888            MC19 889-890
        MC20 891-892            MC21 893-894            MC22 895-896
        MC22A 897-898           MD5 899-900             MD6 901-902
        MD6A 903-904            MD6B 905-906            MD6D 907-908
        MD7 909-910             MD8 911-912             MD8A 913-914
        MD9 915-916             MD9A 917-918            MD9B1 919-920
        MD9B2 921-922           MD9B3 923-924           MD9B4 925-926
        MD9B5 927-928           MD9B6 929-930           MD9B7 931-932
        MD9B8 933-934           MD9B9 935-936           MD9B10 937-938
        MD9B11 939-940          MD9C 941-942            MD9D 943-944
        MD9E 945-946            MD9F 947-948            MD9G 949-950
        MD9H 951-952            MD9I 953-954            MD9J 955-956
        MD9K 957-959            MD10_0 960-961          MD10_1 962-963
        MD10_2 964-965          MD10_3 966-967          MD10_4 968-969
        MD10_5 970-971          MD10_6 972-973          MD10_7 974-975
        MD10_8 976-977          MD11 978-979            MD11A1 980-981
        MD11A2 982-983          MD11A3 984-985          MD11A4 986-987
        MD11A5 988-989          MD11A6 990-991          MD11A7 992-993
        MD11A8 994-995          MD11A9 996-997          MD11A10 998-999
        MD11A11 1000-1001       MD11B 1002-1003         MD11C 1004-1005
        ME1 1006-1007           ME2 1008-1009           ME3 1010-1011
        ME4 1012-1013           ME5 1014-1015           ME6 1016-1018
        ME7 1019-1021           ME8 1022-1023           ME9 1024-1025
        ME10 1026-1027          ME11 1028-1029          ME12 1030-1031
        ME13 1032-1033          ME14 1034-1035          ME14A 1036-1037
        ME15_0 1038-1039        ME15_1 1040-1041        ME15_2 1042-1043
        ME15_3 1044-1045        ME16_20 1046-1047       ME17_20 1048-1049
        ME18_20 1050-1051       ME19_20 1052-1053       ME20_20 1054-1055
        ME21_20 1056-1057       ME16_30 1058-1059       ME17_30 1060-1061
        ME18_30 1062-1063       ME19_30 1064-1065       ME20_30 1066-1067
        ME21_30 1068-1069       ME16_31 1070-1071       ME20_31 1072-1073
        ME21_31 1074-1075       ME16_32 1076-1077       ME20_32 1078-1079
        ME21_32 1080-1081       ME16_40 1082-1083       ME17_40 1084-1085
        ME18_40 1086-1087       ME19_40 1088-1089       ME20_40 1090-1091
        ME21_40 1092-1093       ME16_41 1094-1095       ME20_41 1096-1097
        ME21_41 1098-1099       ME16_42 1100-1101       ME20_42 1102-1103
        ME21_42 1104-1105       ME16_50 1106-1107       ME17_50 1108-1109
        ME18_50 1110-1111       ME19_50 1112-1113       ME20_50 1114-1115
        ME21_50 1116-1117       ME16_51 1118-1119       ME20_51 1120-1121
        ME21_51 1122-1123       ME16_60 1124-1125       ME17_60 1126-1127
        ME18_60 1128-1129       ME19_60 1130-1131       ME20_60 1132-1133
        ME21_60 1134-1135       ME16_61 1136-1137       ME20_61 1138-1139
        ME21_61 1140-1141       ME16_62 1142-1143       ME20_62 1144-1145
        ME21_62 1146-1147       ME16_70 1148-1149       ME17_70 1150-1151
        ME18_70 1152-1153       ME19_70 1154-1155       ME20_70 1156-1157
        ME21_70 1158-1159       ME16_71 1160-1161       ME16_72 1162-1163
        ME16_73 1164-1165       ME16_74 1166-1167       ME16_75 1168-1169
        ME16_80 1170-1171       ME17_80 1172-1173       ME18_80 1174-1175
        ME19_80 1176-1177       ME20_80 1178-1179       ME21_80 1180-1181
        ME16_81 1182-1183       ME20_81 1184-1185       ME21_81 1186-1187
        ME16_90 1188-1189       ME17_90 1190-1191       ME18_90 1192-1193
        ME19_90 1194-1195       ME20_90 1196-1197       ME21_90 1198-1199
        ME16_91 1200-1201       ME20_91 1202-1203       ME21_91 1204-1205
        ME16_92 1206-1207       ME20_92 1208-1209       ME21_92 1210-1211
        ME22_1 1212-1213        ME22_2 1214-1215        ME22_3 1216-1217
        ME22_4 1218-1219        ME23 1220-1221          ME24 1222-1223
        ME25 1224-1225          ME27 1226-1227          ME27A1 1228-1229
        ME27A2 1230-1231        ME27A3 1232-1233        ME28 1234-1239
        ME29 1240-1241          ME29A 1242-1243         ME30 1244-1245
        ME30A_1 1246-1248       ME30A_2 1249-1250       ME30A_3 1251-1252
        ME30A_4 1253-1254       ME30A_5 1255-1256       ME30A_6 1257-1258
        ME31 1259-1260          ME31A 1261-1262         ME31B 1263-1264
        ME32A 1265-1266         ME32B 1267-1268         ME32C 1269-1270
        ME32D 1271-1272         ME32E 1273-1274         ME32F 1275-1276
        ME33A 1277-1278         ME33B 1279-1280         ME33C 1281-1282
        ME33D 1283-1284         ME33E 1285-1286         ME33F 1287-1288
        ME33G 1289-1290         ME34 1291-1292          ME35 1293-1294
        ME36 1295-1296          ME37 1297-1298          ME38 1299-1300
        ME39 1301-1302          ME40 1303-1304          ME41 1305-1306
        ME41A1 1307-1308        ME41A2 1309-1310        ME41A3 1311-1312
        ME42A 1313-1314         ME42B 1315-1316         ME42C 1317-1318
        ME42D 1319-1320         ME42E 1321-1322         ME42F 1323-1324
        ME42G 1325-1326         ME42H 1327-1328         ME42I 1329-1330
        ME42J 1331-1332         ME42K 1333-1334         ME42L 1335-1336
        ME42M 1337-1338         ME42N 1339-1340         ME42O 1341-1342
        ME42P 1343-1344         ME42Q 1345-1346         ME42R 1347-1348
        ME42S 1349-1350         ME42T 1351-1352         ME42U 1353-1354
        ME43 1355-1356          ME43A1 1357-1359        ME43A1CT 1360-1361
        ME43B1 1362-1363        ME43A2 1364-1366        ME43A2CT 1367-1368
        ME43B2 1369-1370        ME43A3 1371-1373        ME43A3CT 1374-1375
        ME43B3 1376-1377        ME44 1378-1379          ME45 1380-1381
        ME46 1382-1383          ME47 1384-1385          ME48 1386-1387
        ME49 1388-1389          ME50A 1390-1391         ME50B 1392-1393
        ME50C 1394-1395         ME50D 1396-1397         ME51 1398-1399
        ME52 1400-1401          ME53 1402-1403          MF1 1404-1405
        MF1A 1406-1407          MF1B 1408-1409          MF1C1 1410-1411
        MF1C_WK 1412-1413       MF1D 1414-1415          MF2 1416-1417
        MF2A 1418-1419          MF2B 1420-1421          MF2B_WK 1422-1423
        MF2C 1424-1425          MF3 1426-1427           MF3A 1428-1429
        MF3A_WK 1430-1431       MF3B 1432-1433          MF4 1434-1435
        MF4A 1436-1437          MF4A_WK 1438-1439       MF4B 1440-1441
        MF5 1442-1443           MF5A 1444-1445          MF5A_WK 1446-1447
        MF5B 1448-1449          MF6 1450-1451           MF6A 1452-1453
        MF6A_WK 1454-1455       MF6B 1456-1457          MF7 1458-1459
        MF7A 1460-1461          MF7A_WK 1462-1463       MF7B 1464-1465
        MF8 1466-1467           MF9 1468-1469           MF9A 1470-1472
        MF10 1473-1474          MF11 1475-1476          MF11A 1477-1478
        MF12 1479-1480          MF12A 1481-1482         MF12B 1483-1484
        MF13 1485-1486          MF14 1487-1488          MF15 1489-1490
        MF16 1491-1492          MF17 1493-1494          MF18 1495-1496
        MF19 1497-1498          MF20 1499-1500          MF21 1501-1502
        MF22 1503-1504          MG1 1505-1506           MG2_1 1507-1508
        MG3_1 1509-1510         MG4_1 1511-1512         MG5_1 1513-1514
        MG2_2 1515-1516         MG3_2 1517-1518         MG4_2 1519-1520
        MG5_2 1521-1522         MG2_3 1523-1524         MG3_3 1525-1526
        MG4_3 1527-1528         MG5_3 1529-1530         MG2_4 1531-1532
        MG3_4 1533-1534         MG4_4 1535-1536         MG5_4 1537-1538
        MG2_5 1539-1540         MG3_5 1541-1542         MG4_5 1543-1544
        MG5_5 1545-1546         MG2_6 1547-1548         MG3_6 1549-1550
        MG4_6 1551-1552         MG5_6 1553-1554         MG2_7 1555-1556
        MG3_7 1557-1558         MG4_7 1559-1560         MG5_7 1561-1562
        MG2_8 1563-1564         MG3_8 1565-1566         MG4_8 1567-1568
        MG5_8 1569-1570         MG2_9 1571-1572         MG3_9 1573-1574
        MG4_9 1575-1576         MG5_9 1577-1578         MG2_10 1579-1580
        MG3_10 1581-1582        MG4_10 1583-1584        MG5_10 1585-1586
        MG2_11 1587-1588        MG3_11 1589-1590        MG4_11 1591-1592
        MG5_11 1593-1594        MG2_12 1595-1596        MG3_12 1597-1598
        MG4_12 1599-1600        MG5_12 1601-1602        MG6 1603-1604
        MG6A 1605-1606          MG6B 1607-1608          MG7 1609-1610
        MG7A 1611-1612          MG8 1613-1614           MG8A 1615-1616
        MG8B 1617-1618          MG9 1619-1620           MG9A 1621-1622
        MH1 1623-1624           MH2 1625-1626           MH2A 1627-1628
        MH2B 1629-1630          MH2C 1631-1632          MH2D 1633-1634
        MH2E 1635-1636          MH2F 1637-1638          MH2G 1639-1640
        MH3 1641-1642           MH3A 1643-1644          MH3B 1645-1646
        MH3B_SP 1647-1648       MH4 1649-1650           MH4A 1651-1652
        MH4B1 1653-1654         MH4B2 1655-1656         MH4B3 1657-1658
        MH4B4 1659-1660         MH4B5 1661-1662         MH4B6 1663-1664
        MH4B7 1665-1666         MH4C 1667-1668          MH4D1 1669-1670
        MH4D2 1671-1672         MH4D3 1673-1674         MH4D4 1675-1676
        MH4D5 1677-1678         MH4D6 1679-1680         MH4D7 1681-1682
        MH4D8 1683-1684         MH4D9 1685-1686         MH4D10 1687-1688
        MH4D11 1689-1690        MH5_0 1691-1692         MH5_1 1693-1694
        MH5_2 1695-1696         MH5_3 1697-1698         MH5_4 1699-1700
        MH5_5 1701-1702         MH5_6 1703-1704         MH5_7 1705-1706
        MH5_8 1707-1708         MH5_9 1709-1710         MH5_10 1711-1712
        MH5_11 1713-1714        MH5_12 1715-1716        MH5_13 1717-1718
        MH5_14 1719-1720        MH5_15 1721-1722        MH5_16 1723-1724
        MH6 1725-1726           MH7 1727-1728           MH8 1729-1730
        MH9 1731-1732           MH9A 1733-1734          MH10 1735-1736
        MH10A 1737-1738         MH10B 1739-1740         MH10B_SP 1741-1742
        MH11 1743-1752 .4       MH11R 1753-1754         MH12 1755-1756
        MH12A 1757-1758         MH12B 1759-1760         MH13 1761-1762
        MH14 1763-1764          MJ1A 1765-1766          MJ2A 1767-1771
        MJ1B 1772-1773          MJ2B 1774-1778          MJ1C 1779-1780
        MJ2C 1781-1785          MJ1D 1786-1787          MJ2D 1788-1792
        MJ1E 1793-1794          MJ2E 1795-1800          MJ1F 1801-1802
        MJ1F_SP 1803-1804       MJ2F 1805-1810          MJ2G 1811-1816
        MJ3 1817-1819           MJ4 1820-1821           MJ4A 1822-1823
        MJ5 1824-1826           MJ6 1827-1828           MJ7 1829-1830
        MJ8 1831-1832           MJ9 1833-1834           MJ9A 1835-1836
        MJ9B 1837-1838          MJ10 1839-1840          MK1 1841-1842
        MK2 1843-1844           MK3 1845-1846           MK4 1847-1848
        MK4A 1849-1850          MK4B 1851-1852          MK4C1 1853-1854
        MK4C2 1855-1856         MK4C3 1857-1858         MK4C4 1859-1860
        MK5 1861-1862           MK6 1863-1864           MK7A 1865-1866
        MK8A 1867-1868          MK7B 1869-1870          MK8B 1871-1872
        MK7C 1873-1874          MK8C 1875-1876          MK7D 1877-1878
        MK8D 1879-1880          MK7E 1881-1882          MK8E 1883-1884
        MK7F 1885-1886          MK8F 1887-1888          MK9 1889-1890
        MK9A 1891-1893          MK10 1894-1895          MK11 1896-1897
        MK12 1898-1900          MK13 1901-1903          MK14 1904-1905
        MK14A 1906-1907         MK14B 1908-1909         MK14C1 1910-1911
        MK14C2 1912-1913        MK14C3 1914-1915        MK15 1916-1917
        MK16 1918-1919          MK16A 1920-1921         MK16B 1922-1923
        MK17 1924-1925          ML0 1926-1927           ML1 1928-1929
        ML1A 1930-1931          ML2 1932-1933           ML2A 1934-1935
        ML3 1936-1937           ML3A 1938-1939          ML4 1940-1941
        ML5 1942-1943           ML6 1944-1945           ML7 1946-1947
        ML8 1948-1949           ML8A 1950-1951          ML9 1952-1953
        ML9A 1954-1955          ML10 1956-1957          ML11 1958-1959
        ML12 1960-1961          ML13 1962-1963          ML13A 1964-1965
        ML14 1966-1967          ML14A 1968-1969         ML15 1970-1971
        ML15A 1972-1973         ML16 1974-1975          ML16A 1976-1977
        ML17 1978-1979          ML18 1980-1981          ML19 1982-1983
        ML20 1984-1985          ML21 1986-1987          ML22 1988-1989
        ML22A 1990-1991         ML23 1992-1993          ML23A1 1994-1995
        ML23A2 1996-1997        ML23A3 1998-1999        ML23A4 2000-2001
        ML23B 2002-2003         ML23C 2004-2005         MM1 2006-2008
        MM2 2009-2010           MM2A1 2011-2012         MM2A2 2013-2014
        MM2A3 2015-2016         MM2A4 2017-2018         MM2A5 2019-2020
        MM3A 2021-2022          MM3AA 2023-2024         MM3BA 2025-2026
        MM3CA_MO 2027-2028      MM3CA_YR 2029-2030      MM3DA 2031-2032
        MM3B 2033-2034          MM3AB 2035-2036         MM3BB 2037-2038
        MM3CB_MO 2039-2040      MM3CB_YR 2041-2042      MM3DB 2043-2044
        MM3C 2045-2046          MM3AC 2047-2048         MM3BC 2049-2050
        MM3CC_MO 2051-2052      MM3CC_YR 2053-2054      MM3DC 2055-2056
        MM3D 2057-2058          MM3AD 2059-2060         MM3BD 2061-2062
        MM3CD_MO 2063-2064      MM3CD_YR 2065-2066      MM3DD 2067-2068
        MM3E 2069-2070          MM3AE 2071-2072         MM3BE 2073-2074
        MM3CE_MO 2075-2076      MM3CE_YR 2077-2078      MM3DE 2079-2080
        MM3F 2081-2082          MM3AF 2083-2084         MM3BF 2085-2086
        MM3CF_MO 2087-2088      MM3CF_YR 2089-2090      MM3DF 2091-2092
        MM4 2093-2094           MM4A1 2095-2096         MM4A2 2097-2098
        MM4A3 2099-2100         MM4A4 2101-2102         MM4A5 2103-2104
        MM4A6 2105-2106         MM5 2107-2108           MM5A1 2109-2110
        MM5A2 2111-2112         MM5A3 2113-2114         MM5A4 2115-2116
        MM5B 2117-2118          MM5C 2119-2121          MM5D 2122-2123
        MM5D_WK 2124-2125       MM6A 2126-2127          MM6B 2128-2129
        MM7 2130-2131           MM8_1 2132-2133         MM8_2 2134-2135
        MM8_11 2136-2137        MM8_12 2138-2139        MM8_13 2140-2141
        MM8_21 2142-2143        MM8_22 2144-2145        MM8_23 2146-2147
        MM8_28 2148-2149        MM8_91 2150-2151        MM9 2152-2154
        MM10 2155-2156          MM10A 2157-2159         MM10B0 2160-2161
        MM10B1 2162-2163        MM10B2 2164-2165        MM10B3 2166-2167
        MM10B4 2168-2169        MM10B5 2170-2171        MM10B6 2172-2173
        MM10B7 2174-2175        MM10B8 2176-2177        MM10B9 2178-2179
        MM10B10 2180-2181       MM10B11 2182-2183       MM10B12 2184-2185
        MM10B13 2186-2187       MM11 2188-2189          MM12_1 2190-2191
        MM12_2 2192-2193        MM12_22 2194-2195       MM12_23 2196-2197
        MM12_24 2198-2199       MM12_25 2200-2201       MM12_26 2202-2203
        MM12_91 2204-2205       MM13 2206-2208          MM14 2209-2210
        MM15_1 2211-2212        MM15_2 2213-2214        MM15_11 2215-2216
        MM15_12 2217-2218       MM15_13 2219-2220       MM15_21 2221-2222
        MM15_22 2223-2224       MM15_23 2225-2226       MM15_28 2227-2228
        MM15_91 2229-2230       MM16 2231-2233          MM17 2234-2235
        MM18 2236-2237          MM19_1 2238-2239        MM19_2 2240-2241
        MM19_3 2242-2243        MM19_4 2244-2245        MM19_91 2246-2247
        MM20 2248-2250          MM21 2251-2252          MM22_1 2253-2254
        MM22_2 2255-2256        MM22_3 2257-2258        MM22_4 2259-2260
        MM22_91 2261-2262       MM23 2263-2265          MM24 2266-2267
        MM25_1 2268-2269        MM25_2 2270-2271        MM25_3 2272-2273
        MM25_9 2274-2275        MM26 2276-2278          MM27 2279-2280
        MM28_1 2281-2282        MM28_2 2283-2284        MM28_3 2285-2286
        MM28_4 2287-2288        MM28_9 2289-2290        MM29 2291-2292
        MM30 2293-2294          MM30A 2295-2297         MM30B 2298-2299
        MM31 2300-2301          MM32 2302-2303          MM33 2304-2305
        MM33A 2306-2307         MM34 2308-2309          MM35 2310-2311
        MM35A1 2312-2314        MM35A1CT 2315-2316      MM35B1 2317-2318
        MM35B1CT 2319-2320      MM35A2 2321-2323        MM35A2CT 2324-2325
        MM35B2 2326-2327        MM35B2CT 2328-2329      MM35A3 2330-2332
        MM35A3CT 2333-2334      MM35B3 2335-2336        MM35B3CT 2337-2338
        MM35A4 2339-2341        MM35A4CT 2342-2343      MM35B4 2344-2345
        MM35B4CT 2346-2347      MM35A5 2348-2350        MM35A5CT 2351-2352
        MM35B5 2353-2354        MM35B5CT 2355-2356      MMD_MO 2357-2358
        MMT_HH 2359-2360        MMT_MM 2361-2362        MMAMPM 2363-2364
        MN1 2365-2366           MN2 2367-2368           MN2A 2369-2370
        MN3_1_1 2371-2372       MN3_1_2 2373-2374       MN3_2_1 2375-2376
        MN3_2_2 2377-2378       MN3_3_1 2379-2380       MN3_3_2 2381-2382
        MN3_4_1 2383-2384       MN3_4_2 2385-2386       MN4 2387-2388
        MN4A1 2389-2390         MN4A2 2391-2392         MN4A3 2393-2394
        MN4A4 2395-2396         MN4A5 2397-2398         MN4A6 2399-2400
        MN5 2401-2402           MN6 2403-2404           MN6A1 2405-2406
        MN6A2 2407-2408         MP1 2409-2410           MP2 2411-2412
        MP3 2413-2414           MP4 2415-2416           MP5 2417-2418
        MP6 2419-2420           MP7 2421-2422           MP8 2423-2424
        MP9 2425-2426           MP10A 2427-2428         MP10B 2429-2430
        MP11A 2431-2432         MP11B 2433-2434         MP11C 2435-2436
        MP12A 2437-2438         MP12B 2439-2440         MP12C 2441-2442
        MP12D 2443-2444         MP12E 2445-2446         MP13 2447-2448
        MP14A 2449-2450         MP14B 2451-2452         MP14C 2453-2454
        MP15A 2455-2456         MP15B 2457-2458         MP16 2459-2460
        MP17 2461-2462          MP18A 2463-2464         MP18B 2465-2466
        MP18C 2467-2468         MP19 2469-2470          MP20 2471-2472
        MP21 2473-2474          MPDM 2475-2476          MPTH 2477-2478
        MPTM 2479-2480          MPAMPM 2481-2482        MD6C 2483-2485
        ME26 2486-2488          MG1A 2489-2491          ;


* SAS LABEL STATEMENT;

LABEL
   CASEID  = 'CASE IDENTIFICATION NUMBER'
   MAV_MST = 'MARITAL STATUS AT FOLLOW-UP'
   MAV_RACE= 'RACE/ETHNICITY'
   MAV_CJS = 'CRIMINAL JUSTICE STATUS'
   MBV_TERM= 'MAIN REASON LEFT TREATMENT'
   MCV_HALC= 'HEAVY ALCOHOL USE-YEAR BEFORE TREATMENT'
   MCV_SUIC= 'SUICIDAL T/A YEAR BEFORE TREATMENT'
   MCV_PDT = 'DRUG TREATMENT'
   MCV_CJS = 'CRIMINAL JUSTICE STATUS'
   MCV_DR  = 'DRUG RELATED ARRESTS'
   MCV_DWI = 'DWI/DUI ARRESTS'
   MCV_NDR = 'NON DRUG ARRESTS'
   MCV_EMP = 'EMPLOYMENT STATUS'
   MCV_ALC = 'ALCOHOL USE'
   MCV_HAL = 'HALLUCINOGEN USE'
   MCV_MRJ = 'MARIJUANA USE'
   MCV_COC = 'COCAINE USE'
   MCV_CRK = 'CRACK USE'
   MCV_HER = 'HEROIN USE'
   MCV_NAR = 'OPIOID USE'
   MCV_SED = 'SEDATIVE OR BARBITURATE USE'
   MCV_AMP = 'AMPHETAMINE USE'
   MCV_SUI = 'SUICIDAL IDEATION OR ATTEMPTS'
   MDV_EDYR= 'HIGHEST GRADE COMPLETED'
   MDV_DEG = 'HIGHEST DEGREE RECEIVED YEAR AFTER TREATMENT'
   MDV_ENRL= 'SCHOOL CURRENTLY ENROLLED IN'
   MEV_HALC= 'HEAVY ALCOHOL USE-YEAR AFTER TREATMENT'
   MEV_INJ = 'INJECTION DRUG USE-YEAR AFTER TREATMENT'
   MEV_ALC = 'ALCOHOL USE'
   MEV_MRJ = 'MARIJUANA USE'
   MEV_HAL = 'HALLUCINOGEN USE'
   MEV_COC = 'COCAINE USE'
   MEV_CRK = 'CRACK USE'
   MEV_HER = 'HEROIN USE'
   MEV_NAR = 'OTHER OPIOID USE'
   MEV_SED = 'SEDATIVE OR BARBITURATE USE'
   MEV_AMP = 'AMPHETAMINE USE'
   MEV_NDRG= 'NUMBER DRUGS USED WEEKLY'
   MEV_PAT = 'DRUG USE PATTERN-YEAR AFTER TREATMENT'
   MEV_PDRG= 'PRIMARY DRUG-YEAR AFTER TREATMENT'
   MFV_SUIC= 'SUICIDAL T/A YEAR AFTER TREATMENT'
   MGV_DR  = 'DRUG RELATED ARRESTS PAST YR'
   MGV_DWI = 'DWI/DUI ARRESTS PAST YR'
   MGV_NDR = 'NON DRUG ARRESTS PAST YR'
   MGV_JAIL= 'DAYS IN JAIL-YEAR AFTER TREATMENT'
   MHV_FTWK= 'WEEKS FULL-TIME WORK--YEAR AFTER TREATMENT'
   MHV_EMP = 'EMPLOYMENT STATUS AT FOLLOW-UP'
   MJV_SRC = 'MAJOR SOURCE OF INCOME-YEAR AFTER TREATMENT'
   MLV_RSK1= 'PARTNER EXCHANGED MONEY/DRUGS FOR SEX'
   MLV_RSK2= 'YOU TAKE MONEY/DRUGS FOR SEX'
   MLV_RSK3= 'SEX W/NEEDLE USER'
   MLV_RSK4= 'SEX W/HIV + PARTNER'
   MLV_RSK6= 'PARTNER HAD SEX W/PROSTITUTE'
   MLV_SEXB= 'PARTNERS /CONDOM USE'
   MLV_RSK5= 'MULTIPLE PARTNERS NO/LOW CONDOM USE'
   MMV_DT  = 'SUBSEQUENT DRUG TREATMENT'
   MGV_SIA = 'SERIOUS ILLEGAL ACTS--YEAR AFTER TREATMENT'
   MODALITY= 'TREATMENT MODALITY'
   SEX     = 'GENDER'
   AGE     = 'AGE AT INTAKE'
   HLTHINS = 'HEALTH INSURANCE'
   FTWORK  = 'WEEKS FULL-TIME WORK YEAR BEFORE TREATMENT'
   MSTAT   = 'MARITAL STATUS'
   INSCHOOL= 'CURRENTLY IN SCHOOL'
   RACE    = 'RACE & ETHNICITY'
   EDLEV   = 'HIGHEST GRADE ATTENDED'
   RACESEX = 'ETHNICITY & GENDER'
   HVY_ALC = 'HEAVY ALCOHOL USE'
   ALCR    = 'ALCOHOL USE YEAR BEFORE TREATMENT'
   MRJR    = 'MARIJUANA USE YEAR BEFORE TREATMENT'
   COCR    = 'COCAINE USE YEAR BEFORE TREATMENT'
   HERR    = 'HEROIN USE YEAR BEFORE TREATMENT'
   NARR    = 'OTHER OPIOID USE YEAR BEFORE TREATMENT'
   SEDR    = 'SEDATIVES YEAR BEFORE TREATMENT'
   AMPR    = 'AMPHETAMINE USE YEAR BEFORE TREATMENT'
   HALR    = 'HALLUCINOGENS YEAR BEFORE TREATMENT'
   INHR    = 'INHALANTS YEAR BEFORE TREATMENT'
   ALCWK   = 'ALCOHOL WEEKLY+ YEAR BEFORE TREATMENT'
   MRJWK   = 'MARIJUANA WEEKLY+ YEAR BEFORE TREATMENT'
   COCWK   = 'COCAINE WEEKLY+ YEAR BEFORE TREATMENT'
   HERWK   = 'HEROIN WEEKLY+ YEAR BEFORE TREATMENT'
   NARWK   = 'OTHER OPIOIDS WEEKLY+ YEAR BEFORE TREATMENT'
   SEDWK   = 'SEDATIVES WEEKLY+ YEAR BEFORE TREATMENT'
   AMPWK   = 'AMPHETAMINE WEEKLY+ YEAR BEFORE TREATMENT'
   HALWK   = 'HALLUCINOGEN WEEKLY+ YEAR BEFORE TREATMENT'
   INHWK   = 'INHALANTS WEEKLY+ YEAR BEFORE TREATMENT'
   MRJ_EV  = 'MARIJUANA - EVER USED'
   COC_EV  = 'COCAINE EVER USED'
   HER_EV  = 'HEROIN - EVER USED'
   NAR_EV  = 'OTHER OPIOIDS EVER USED'
   SED_EV  = 'SEDATIVES EVER USED'
   AMP_EV  = 'AMPHETAMINES EVER USED'
   HAL_EV  = 'HALLUCINOGENS - EVER USED'
   INH_EV  = 'INHALANTS - EVER USED'
   CJ_STAT = 'CRIMINAL JUSTICE STATUS'
   IAY_SIA = 'SERIOUS ILLEGAL ACTS YEAR BEFORE TREATMENT'
   MAJSRC  = 'MAJOR SOURCE OF INCOME'
   REFER   = 'REFERRAL SOURCE'
   RESTRICT= 'WEEKS RESTRICTED IN YEAR BEFORE TREATMENT'
   DRUGTX  = '# OF PRIOR DRUG TX'
   SCHOOL  = 'SCHOOL STATUS AT INTAKE'
   DEP_YR  = 'DEPRESSIVE SYMPTOMS YEAR BEFORE TREATMENT'
   EMPSTAT = 'EMPLOYMENT WK BF/ADMISSION'
   IAPY    = 'FREQUENCY OF ILLEGAL ACTIVITY YEAR BEFORE TREATMENT'
   PDT     = 'PRIOR DRUG TREATMENTS'
   CRKR    = 'CRACK USE YEAR BEFORE TREATMENT'
   CRKWK   = 'CRACK WEEKLY+ YEAR BEFORE TREATMENT'
   MIA1_1  = 'INVOLVED IN AGGRAVATED ASSAULT'
   MIA1_2  = '# OF DAYS HAVE DONE AGGRAVATED ASSAULT'
   MIA2_1  = 'INVOLVED IN BURGLARY'
   MIA2_2  = '# OF DAYS HAVE DONE BURGLARY'
   MIA3_1  = 'INVOLVED IN THEFT'
   MIA3_2  = '#OF DAYS HAVE DONE THEFT'
   MIA4_1  = 'INVOLVED IN ROBBERY'
   MIA4_2  = '# OF DAYS HAVE DONE ROBBERY'
   MIA5_1  = 'INVOLVED IN FORGERY'
   MIA5_2  = '# OF DAYS HAVE DONE FORGERY'
   MIA6_1  = 'INVOLVED DEALING IN STOLEN PROPERTY'
   MIA6_2  = '# OF DAYS HAVE DEALT WITH STOLEN PROPERTY'
   MIA7_1  = 'EVER INVOLVED IN GAMBLING'
   MIA7_2  = '# OF DAYS HAVE GAMBLED'
   MIA8_1  = 'INVOLVED IN PIMPING/PROSTITUTION'
   MIA8_2  = '# OF DAYS HAVE DONE PIMPING/PROSTITUTION'
   MIA9_1  = 'INVOLVED IN SELLING ILLEGAL DRUGS'
   MIA9_2  = '# OF DAYS HAVE SOLD ILLEGAL DRUGS'
   MIA10_1 = 'INVOLVED IN DRIVING WHILE INTOXICATED'
   MIA10_2 = '#DAYS DRIVEN WHILE INTOXICATED'
   MUSA    = 'URINE SAMPLE'
   MDA_MO  = 'DATE COMPLETED - MONTH'
   MDA_YR  = 'DATE COMPLETED - YEAR'
   MFIRE   = 'FINAL RESULT CODE'
   MTOLE   = 'TOTAL LENGTH OF INTERVIEW'
   MA2     = 'HOW OLD WERE YOU ON YOUR LAST BIRTHDAY?'
   MA5     = 'TYPE RESIDENCE LIVED IN PAST 12 MONTHS'
   MA6     = '# DAYS IN RESTRICTED PLACE LAST 12 MONTHS'
   MA7     = 'MARITAL STATUS'
   MA8     = 'LIVED WITH MOST OF TIME PAST 12 MONTHS'
   MA9_0   = 'CURRENTLY LIVE ALONE'
   MA9_1   = 'CURRENTLY LIVE W/SPOUSE/SEXUAL PARTNER'
   MA9A_1  = 'HOW SUPPORTIVE SPOUSE/PARTNER PAST 30 DAYS'
   MA9B_1  = 'SPOUSE HAVE ALCOHOL PROBLEM PAST 30 DAYS'
   MA9C_1  = 'SPOUSE USE DRUGS PAST 30 DAYS'
   MA9D_1  = 'PAST 12 MONTHS/SPOUSE RECEIVED DRUG TREATMENT'
   MA9_2   = 'CURRENTLY LIVE WITH CHILD(REN)'
   MA9A_2  = 'HOW SUPPORTIVE CHILDREN PAST 30 DAYS'
   MA9B_2  = 'CHILDREN HAVE ALCOHOL PROBLEM PAST 30 DAYS'
   MA9C_2  = 'CHILDREN USE DRUGS PAST 30 DAYS'
   MA9D_2  = 'PAST 12 MONTHS/CHILDREN RECEIVED DRUG TREATMENT'
   MA9_3   = 'CURRENTLY LIVE WITH PARENT(S)'
   MA9A_3  = 'HOW SUPPORTIVE PARENTS PAST 30 DAYS'
   MA9B_3  = 'PARENTS HAVE ALCOHOL PROBLEM PAST 30 DAYS'
   MA9C_3  = 'PARENTS USE DRUGS PAST 30 DAYS'
   MA9D_3  = 'PAST 12 MONTHS/PARENTS RECEIVED DRUG TREATMENT'
   MA9_4   = 'CURRENTLY LIVE W/OTHER FAMILY MEMBER(S)'
   MA9A_4  = 'HOW SUPPORTIVE OTHER FAMILY PAST 30 DAYS'
   MA9B_4  = 'OTHER FAMILY HAVE ALCOHOL PROBLEM PAST 30 DAYS'
   MA9C_4  = 'OTHER FAMILY USE DRUGS PAST 30 DAYS'
   MA9D_4  = 'PAST 12 MONTHS/OTHER FAMILY RECEIVED DRUG TREATMENT'
   MA9_5   = 'CURRENTLY LIVE W/FRIENDS/ROOMMATES/BOARDERS'
   MA9A_5  = 'HOW SUPPORTIVE FRIENDS PAST 30 DAYS'
   MA9B_5  = 'FRIENDS HAVE ALCOHOL PROBLEM PAST 30 DAYS'
   MA9C_5  = 'FRIENDS USE DRUGS PAST 30 DAYS'
   MA9D_5  = 'PAST 12 MONTHS/FRIENDS RECEIVED DRUG TREATMENT'
   MA10    = 'ATTENDED RELIGIOUS SERVICES PAST 12 MONTHS'
   MA11A   = 'DONE PHYSICAL EXERCISE PAST 12 MONTHS'
   MA11B   = 'READ OR DONE HOBBIES PAST 12 MONTHS'
   MA11C   = 'ATTENDED MEETINGS PAST 12 MONTHS'
   MA12A   = 'PAST 12 MONTHS FRIENDS USED DRUGS/NOT COCAINE'
   MA12B   = 'PAST 12 MONTHS FRIENDS USED CRACK/COCAINE'
   MA12C   = 'PAST 12 MONTHS FRIENDS DRANK ALCOHOL'
   MA12D   = 'PAST 12 MONTHS FRIENDS GOT ARRESTED'
   MA12E   = 'PAST 12 MONTHS FRIENDS ENTERED JAIL'
   MA12F   = 'PAST 12 MONTHS FRIENDS ENTERED TREATMENT'
   MA12G   = 'PAST 12 MONTHS FRIENDS QUIT USING DRUGS'
   MA13    = 'BELONG TO A HEALTH PLAN/HAVE INSURANCE'
   MA14_0  = 'NOT ON PROBATION/PAROLE/IN JAIL'
   MA14_1  = 'ON PROBATION'
   MA14_2  = 'ON PAROLE'
   MA14_3  = 'AWAITING TRIAL'
   MA14_4  = 'AWAITING SENTENCING'
   MA14_5  = 'SERVING A SENTENCE'
   MA14_6  = 'ON BAIL AWAITING TRIAL'
   MA14_7  = 'ON BAIL AWAITING SENTENCING'
   MA14_8  = 'RELEASED ON OWN RECOGNIZANCE'
   MA14_9  = 'OTHER STATUS'
   MA15    = 'CURRENTLY UNDER TASC SUPERVISION'
   MA15A   = 'TYPE OF TASC SUPERVISION'
   MA16    = 'PAST 12 MONTHS OTHER RELATIONSHIPS'
   MA16A   = '# PEOPLE HAD RELATIONSHIP WITH'
   MA16B   = 'PAST 12 MONTHS PROBLEM GETTING ALONG W/MOTHER'
   MA16C   = 'PAST 12 MONTHS PROBLEM GETTING ALONG W/FATHER'
   MA16D   = 'PAST 12 MONTHS PROBLEM GETTING ALONG W/FRIENDS'
   MA17    = 'PAST 12MONTHS PROBLEMS W/FAMILY DUE TO DRUGS'
   MA17A   = '12 MONTHS HOW SERIOUS PROBLEMS BECAUSE/DRUG USE'
   MA18    = 'HOW MUCH CONTACT W/FAMILY/FRIEND/12 MON'
   MA19    = 'HOW OFTEN/TALK DEEPEST PROBLEM W/FAMILY/FRIEND'
   MA20    = 'HOW OFTEN/FAMILY/FRIEND/HELP STOP USE DRUG'
   MA21    = 'HOW OFTEN/FAMILY/FRIEND HELP PROBLEM W/JOB/LAW'
   MA22    = 'HOW OFTEN/FAMILY/FRIEND HELP W/ERRAND/TRANSPORTATION'
   MA23    = 'HOW OFTEN/COUNT FAMILY/FRIEND IN EMERGENCY'
   MA24    = 'HOW YOU DID AS FAMILY MEMBER/FRIEND/BEFORE ADMISSION'
   MA25    = 'PAST 12 MONTHS HOW WAS LIFE'
   MA26    = 'THINGS BETTER/WORSE THAN 1 YR BEFORE'
   MA27    = 'GO W/OUT PHYSICAL/EMOTIONAL NEEDS MET'
   MA28    = 'EVER RUN AWAY FROM HOME PAST 12 MONTHS'
   MA28A   = 'RUN AWAY MORE THAN ONCE'
   MA28B   = 'RETURN HOME AFTER RUNNING AWAY'
   MA29A   = 'BOTHERED/NERVOUSNESS/SHAKINESS INSIDE'
   MA29B   = 'BOTHERED/TREMBLING'
   MA29C   = 'BOTHERED/SUDDENLY BEING SCARED/NO REASON'
   MA29D   = 'BOTHERED/FEELING FEARFUL'
   MA29E   = 'BOTHERED/HEART POUNDING'
   MA29F   = 'BOTHERED/FEELING TENSE'
   MA29G   = 'BOTHERED/SPELLS OF TERROR'
   MA29H   = 'BOTHERED/FEELING SO RESTLESS'
   MA29I   = 'BOTHERED/FEEL BAD THING GOING TO HAPPEN'
   MA29J   = 'BOTHERED/FRIGHTENING THOUGHTS'
   MA30    = 'PROBLEMS NONE/SOME/MST CAUSED BY DRUGS/ALCOHOL'
   MA31A   = 'BOTHERED/LOSS OF SEXUAL INTEREST'
   MA31B   = 'BOTHERED/FEELING LOW IN ENERGY'
   MA31C   = 'BOTHERED/CRYING EASILY'
   MA31D   = 'BOTHERED/FEELING OF BEING TRAPPED'
   MA31E   = 'BOTHERED/BLAME YOURSELF FOR THINGS'
   MA31F   = 'BOTHERED/FEELING LONELY'
   MA31G   = 'BOTHERED/FEELING BLUE'
   MA31H   = 'BOTHERED/WORRY TOO MUCH ABOUT THINGS'
   MA31I   = 'BOTHERED/FEEL NO INTEREST IN THINGS'
   MA31J   = 'BOTHERED/FEEL HOPELESS ABOUT FUTURE'
   MA31K   = 'BOTHERED/FEEL EVERYTHING IS AN EFFORT'
   MA31L   = 'BOTHERED/FEELING WORTHLESS'
   MA31M   = 'BOTHERED/FEEL GUILTY/NOT YOUR FAULT'
   MA31N   = 'BOTHERED/THOUGHTS OF ENDING YOUR LIFE'
   MA32    = 'PROBLEMS NONE/SOME/MST CAUSED BY DRUGS/ALCOHOL'
   MA33A   = 'BOTHERED/FEELING EASILY ANNOYED'
   MA33B   = 'BOTHERED/UNCONTROLLABLE TEMPER'
   MA33C   = 'BOTHERED/HAVING URGES TO BEAT/HURT ONE'
   MA33D   = 'BOTHERED/HAVING URGES TO BREAK THINGS'
   MA33E   = 'BOTHERED/GET INTO FREQUENT ARGUMENTS'
   MA33F   = 'BOTHERED/SHOUTING/THROWING THINGS'
   MA34    = 'PROBLEMS NONE/SOME/MST CAUSED BY DRUGS/ALCOHOL'
   MA35A   = 'FEELINGS FOR PEOPLE LESS FORTUNATE'
   MA35B   = 'FEELINGS FOR OTHERS POINT OF VIEW'
   MA35C   = 'DO NOT FEEL SORRY FOR OTHER PEOPLE'
   MA35D   = 'FEELING FOR OTHERS SIDE OF ARGUMENTS'
   MA35E   = 'PROTECTIVE FEELINGS FOR OTHERS'
   MA35F   = 'FEELING FOR OTHERS PERSPECTIVE'
   MA35G   = 'FEELINGS FOR OTHERS MISFORTUNES'
   MA35H   = 'FEELINGS FOR OTHERS ARGUMENTS'
   MA35I   = 'FEELINGS OF PITY FOR OTHERS'
   MA35J   = 'TOUCHED BY THINGS THAT HAPPEN'
   MA35K   = 'BELIEF THERE ARE 2 SIDES TO QUESTIONS'
   MA35L   = 'DESCRIBE MYSELF AS SOFT-HEARTED'
   MA35M   = 'WHEN UPSET TRY TO SEE OTHERS SIDE'
   MA35N   = 'FEELINGS FOR THOSE CRITICIZED'
   MA36A   = 'STATEMENT A FOR A36'
   MA37A   = 'STATEMENT A FOR A37'
   MA36B   = 'STATEMENT B FOR A36'
   MA37B   = 'STATEMENT B FOR A37'
   MA36C   = 'STATEMENT C FOR A36'
   MA37C   = 'STATEMENT C FOR A37'
   MA36D   = 'STATEMENT D FOR A36'
   MA37D   = 'STATEMENT D FOR A37'
   MA36E   = 'STATEMENT E FOR A36'
   MA37E   = 'STATEMENT E FOR A37'
   MA36F   = 'STATEMENT F FOR A36'
   MA37F   = 'STATEMENT F FOR A37'
   MA36G   = 'STATEMENT G FOR A36'
   MA37G   = 'STATEMENT G FOR A37'
   MA36H   = 'STATEMENT H FOR A36'
   MA37H   = 'STATEMENT H FOR A37'
   MA36I   = 'STATEMENT I FOR A36'
   MA37I   = 'STATEMENT I FOR A37'
   MA36J   = 'STATEMENT J FOR A36'
   MA37J   = 'STATEMENT J FOR A37'
   MA38    = 'MOST PROBLEMS SOLVE THEMSELVES'
   MA39    = 'ARE SOME KIDS JUST BORN LUCKY'
   MA40    = 'OFTEN BLAMED FOR THINGS NOT YOUR FAULT'
   MA41    = 'DOES NOT PAY TO TRY HARD'
   MA42    = 'PUNISHMENT RECEIVED FOR NO GOOD REASON'
   MA43    = 'LITTLE TO BE DONE TO CORRECT WRONGDOINGS'
   MA44    = 'HANDLE MOST PROBLEMS BY IGNORING THEM'
   MA45    = 'PEOPLE LIKE YOU BECAUSE OF WAY YOU ACT'
   MA46    = 'CHANGE TOMORROW BY WHAT YOU DO TODAY'
   MA47    = 'BAD THINGS HAPPEN NO MATTER WHAT'
   MA48    = 'GOOD THINGS HAPPEN BECAUSE OF HARD WORK'
   MA49    = 'EASY TO GET FRIENDS TO DO THINGS'
   MA50    = 'USELESS TO TRY IN SCHOOL'
   MB1     = 'DATE OF ADMISSION CORRECT'
   MB1A_MO = 'MONTH OF LAST PHYSICAL CONTACT'
   MB1A_YR = 'YEAR OF LAST PHYSICAL CONTACT'
   MB2     = 'DID YOU COMPLETE TREATMENT'
   MB2A    = 'MAIN REASON LEFT PROGRAM'
   MB2B    = '7 DAYS BETWEEN FIRST AND LAST CONTACT'
   MB2C    = 'RECEIVE TREATMENT DURING THAT ADMISSION'
   MB3     = 'DISCUSS CONTINUING CARE AFTER TREATMENT'
   MB3A    = 'PLAN INCLUDE 12-STEP/OTHR SUPPORT GROUPS'
   MB3B    = 'PLAN INVOLVED REFERRAL TO OTHER SERVICES'
   MB3C_1  = 'REFERRED TO DRUG TREATMENT'
   MB3C_2  = 'REFERRED TO ALCOHOL TREATMENT'
   MB3C_3  = 'REFERRED TO MENTAL HEALTH CENTER'
   MB3C_4  = 'REFERRED TO MEDICAL SERVICES'
   MB3C_5  = 'REFERRED TO VOCATIONAL SERVICES'
   MB3C_6  = 'REFERRED TO SOCIAL SERVICES'
   MB3C_7  = 'REFERRED TO LEGAL SERVICES'
   MB3C_8  = 'REFERRED TO OTHER SERVICES'
   MB4_0   = 'LAST CONTACT NOT ON PROBATION/PAROLE/JAIL'
   MB4_1   = 'LAST CONTACT ON PROBATION'
   MB4_2   = 'LAST CONTACT ON PAROLE'
   MB4_3   = 'LAST CONTACT AWAITING TRIAL'
   MB4_4   = 'LAST CONTACT AWAITING SENTENCING'
   MB4_5   = 'LAST CONTACT SERVING A SENTENCE'
   MB4_6   = 'LAST CONTACT ON BAIL AWAITING TRIAL'
   MB4_7   = 'LAST CONTACT ON BAIL AWAITING SENTENCING'
   MB4_8   = 'LAST CONTACT RELEASED ON OWN RECOGNIZANCE'
   MB4_9   = 'LAST CONTACT OTHER STATUS'
   MB5     = 'HAVE GOOD RELATIONSHIP W/PRIMARY COUNSELOR'
   MB6     = 'FOLLOW INSTRUCTIONS OF PROGRAM STAFF'
   MB7     = 'SATISFACTION W/TREATMENT RECEIVED'
   MB8     = 'ATTEND SCHOOL WHILE IN TREATMENT'
   MB9     = 'WHILE IN TREATMENT RECEIVE H.S. DIPLOMA'
   MB10    = 'WHILE IN TREATMENT WORK FULL/PART TIME'
   MB11    = 'MARRIED/SEPARATED/DIVORCED WHILE IN TREATMENT'
   MB11A_1 = 'GOT MARRIED WHILE IN TREATMENT'
   MB11A_2 = 'GOT SEPARATED WHILE IN TREATMENT'
   MB11A_3 = 'GOT DIVORCED WHILE IN TREATMENT'
   MB11A_4 = 'WAS WIDOWED WHILE IN TREATMENT'
   MB11A_5 = 'STARTED LIVING W/SOMEONE WHILE IN TREATMENT'
   MB11A_6 = 'STOPPED LIVING W/SOMEONE WHILE IN TREATMENT'
   MB11A_7 = 'HAD MARRIAGE ANNULLED WHILE IN TREATMENT'
   MB11A_8 = 'OTHER MARITAL STATUS WHILE IN TREATMENT'
   MB11A_8S= 'SPECIFY OTHER MARITAL STATUS'
   MB12    = 'NUMBER OF PLACES LIVED WHILE IN TREATMENT'
   MB13    = '#DAYS SPENT IN CONFINEMENT WHILE IN TREATMENT'
   MB14_10 = 'FREQUENCY/ALCOHOL'
   MB14_20 = 'FREQUENCY/MARIJUANA, HASHISH, OR THC'
   MB14_30 = 'FREQUENCY/HALLUCINOGENS OR PSYCHEDELICS'
   MB14_40 = 'FREQUENCY/COCAINE IN ANY FORM'
   MB14_41 = 'FREQUENCY/CRACK ONLY'
   MB14_42 = 'FREQUENCY/ANY COCAINE OTHER THAN CRACK'
   MB14_50 = 'FREQUENCY/HEROIN ALONE OR W/OTHER DRUGS'
   MB14_60 = 'FREQUENCY/NARCOTICS OR OPIATES'
   MB14_70 = 'FREQUENCY/DOWNERS OR DEPRESSANTS'
   MB14_80 = 'FREQUENCY/AMPHETAMINES/OTHER STIMULANTS'
   MB14_90 = 'FREQUENCY/ANY OTHER DRUGS'
   MB15    = 'DRUG WHICH CAUSED MOST SERIOUS PROBLEM'
   MB16    = 'RECEIVE ALCOHOL TREATMENT FROM PROGRAM'
   MB17    = 'RECEIVE TREATMENT FOR EMOTIONAL PROBLEMS'
   MB18    = 'THOUGHTS OF SUICIDE WHILE IN TREATMENT'
   MB18A   = 'SUICIDE THOUGHTS DUE TO ALCOHOL/DRUG USE'
   MB19    = 'EVER ATTEMPT SUICIDE WHILE IN TREATMENT'
   MB19A   = 'NUMBER OF SUICIDE ATTEMPTS'
   MB19B   = 'SUICIDE ATTEMPTS RESULT DRUG/ALCOHOL USE'
   MB20    = 'WHILE IN TREATMENT ARRESTED AND BOOKED'
   MB21    = 'WHILE IN TREATMENT CONVICTED OF CHARGES'
   MB22    = 'IN JAIL/PRISON/DETENTION WHILE IN TREATMENT'
   MB23    = 'DOING MOST OF WEEK BEFORE LAST CONTACT'
   MB23_1  = 'WORKING GREATER OR LESS THAN 35 HOURS'
   MB24    = 'LOOK FOR WORK WHILE STILL IN TREATMENT'
   MB25    = '# OF WEEKS EMPLOYED WHILE IN TREATMENT'
   MB26    = 'BELONG TO HEALTH PLAN WHILE IN TREATMENT'
   MB26A   = 'PROGRAM COST COVERED BY INSURANCE'
   MC1     = 'MOST IMPORTANT REASON ENROLLED-CODE'
   MC2_0   = 'WHEN ADMITTED NOT ON PROBATION/PAROLE/JAIL'
   MC2_1   = 'WHEN ADMITTED ON PROBATION'
   MC2_2   = 'WHEN ADMITTED ON PAROLE'
   MC2_3   = 'WHEN ADMITTED AWAITING TRIAL'
   MC2_4   = 'WHEN ADMITTED AWAITING SENTENCING'
   MC2_5   = 'WHEN ADMITTED SERVING A SENTENCE'
   MC2_6   = 'WHEN ADMITTED ON BAIL AWAITING TRIAL'
   MC2_7   = 'WHEN ADMITTED ON BAIL AWAITING SENTENCING'
   MC2_8   = 'WHEN ADMITTED RELEASED ON OWN RECOGNIZANCE'
   MC2_9   = 'WHEN ADMITTED ON OTHER STATUS'
   MC3     = 'ADMISSION REQUIRED/STIPULATED SUGGESTED/ENCOURAGED'
   MC4     = 'DOING MOST OF WEEK BEFORE ADMISSION'
   MC4_1   = 'WORKING GREATER OR LESS THAN 35 HOURS'
   MC5     = 'TYPE JOB/OCCUPATION YEAR BEFORE ADMISSION'
   MC6     = 'FREQUENCY ALCOHOL USE 12 MONTHS BEFORE ADMITTED'
   MC6A    = 'AVERAGE # OF DRINKS IN A 24-HOUR PERIOD'
   MC7     = 'OTHER PRIMARY TREATMENT FOR ALCOHOL USE'
   MC8     = '# OTHER TIMES ADMITTED FOR ALCOHOL PROBLEMS'
   MC9_20  = 'FREQUENCY/MARIJUANA, HASHISH, OR THC'
   MC9_30  = 'FREQUENCY/HALLUCINOGENS OR PSYCHEDELICS'
   MC9_40  = 'FREQUENCY/COCAINE IN ANY FORM'
   MC9_41  = 'FREQUENCY/CRACK ONLY'
   MC9_42  = 'FREQUENCY/ANY COCAINE OTHER THAN CRACK'
   MC9_50  = 'FREQUENCY/HEROIN ALONE OR W/OTHER DRUGS'
   MC9_60  = 'FREQUENCY/NARCOTICS OR OPIATES'
   MC9_70  = 'FREQUENCY/DOWNERS OR DEPRESSANTS'
   MC9_80  = 'FREQUENCY/AMPHETAMINES/OTHER STIMULANTS'
   MC9_90  = 'FREQUENCY/ANY OTHER DRUGS'
   MC10    = 'FAVORITE DRUG 12 MONTHS BEFORE ADMISSION'
   MC11    = 'PRIMARY PROBLEM DRUG 12 MONTHS BEFORE ADMISSION'
   MC12    = 'USE DRUGS W/NEEDLE 12 MONTHS BEFORE ADMISSION'
   MC13    = 'EVER RECEIVED ABUSE/ADDICTION TREATMENT'
   MC14A   = 'EVER TREATED: 28-DAY/SHORT TERM TREATMENT'
   MC14AA  = 'AGE 1ST TREATMENT: 28-DAY/SHOR TERM TREATMENT'
   MC14BA  = '# ADMISSIONS: 28-DAY/SHORT TERM TREATMENT'
   MC14B   = 'EVER TREATED: THERAPEUTIC PROGRAM'
   MC14AB  = 'AGE 1ST TREATMENT: THERAPEUTIC PROGRAM'
   MC14BB  = '# ADMISSIONS: THERAPEUTIC PROGRAM'
   MC14C   = 'EVER TREATED: A METHADONE PROGRAM'
   MC14AC  = 'AGE 1ST TREATMENT: A METHADONE PROGRAM'
   MC14BC  = '# ADMISSIONS: A METHADONE PROGRAM'
   MC14D   = 'EVER TREATED: OUTPATIENT DRUG PROGRAM'
   MC14AD  = 'AGE 1ST TREATMENT: OUTPATIENT DRUG TREATMENT'
   MC14BD  = '# ADMISSIONS: OUTPATIENT DRUG TREATMENT'
   MC14E   = 'EVER TREATED: OTHER TYPE DRUG TREATMENT'
   MC14AE  = 'AGE 1ST TREATMENT: OTHER TYPE DRUG TREATMENT'
   MC14BE  = '# ADMISSIONS: OTHER TYPE DRUG TREATMENT'
   MC14F   = 'EVER TREATED: SHORT-TERM DETOX PROGRAM'
   MC14AF  = 'AGE 1ST TREATMENT: SHORT-TERM DETOX PROGRAM'
   MC14BF  = '# ADMISSIONS: SHORT-TERM DETOX PROGRAM'
   MC15_1  = 'EVER ARRESTED: USE/POSSESSION DRUGS'
   MC16_1  = '# ARRESTS: USE/POSSESSION DRUGS'
   MC17_1  = '#ARRESTS 12MONTHS BEFORE: USE/POSSESSION DRUGS'
   MC15_2  = 'EVER ARRESTED: SALE/MANUFACTURE OF DRUGS'
   MC16_2  = '# ARRESTS: SALE/MANUFACTURE OF DRUGS'
   MC17_2  = '#ARRESTS 12MONTHS BEFORE: SALE/MANUFACTURE DRUGS'
   MC15_3  = 'EVER ARRESTED: FORGERY/FRAUD'
   MC16_3  = '# ARRESTS: FORGERY/FRAUD'
   MC17_3  = '# ARRESTS 12 MONTHS BEFORE: FORGERY/FRAUD'
   MC15_4  = 'EVER ARRESTED: BURGLARY'
   MC16_4  = '# ARRESTS: BURGLARY'
   MC17_4  = '# ARRESTS 12 MONTHS BEFORE: BURGLARY'
   MC15_5  = 'EVER ARRESTED: LARCENY'
   MC16_5  = '# ARRESTS: LARCENY'
   MC17_5  = '# ARRESTS 12 MONTHS BEFORE: LARCENY'
   MC15_7  = 'EVER ARRESTED: ROBBERY'
   MC16_7  = '# ARRESTS: ROBBERY'
   MC17_7  = '# ARRESTS 12 MONTHS BEFORE: ROBBERY'
   MC15_8  = 'EVER ARRESTED: ATTACKS OF PERSONS'
   MC16_8  = '# ARRESTS: ATTACKS ON PERSONS'
   MC17_8  = '#ARRESTS 12MONTHS BEFORE: ATTACKS ON PERSONS'
   MC15_9  = 'EVER ARRESTED: OTHER PEOPLE OFFENSES'
   MC16_9  = '# ARRESTS: OTHER PEOPLE OFFENSES'
   MC17_9  = '#ARRESTS 12MONTHS BEFORE: OTHER PEOPLE OFFENSES'
   MC15_10 = 'EVER ARRESTED: DRIVING WHILE INTOXICATED'
   MC16_10 = '# ARRESTS: DRIVING WHILE INTOXICATED'
   MC17_10 = '# ARRESTS 12MONTHS BEFORE: DRIVING INTOXICATED'
   MC15_11 = 'EVER ARRESTED: STATUS OFFENSES'
   MC16_11 = '# ARRESTS: STATUS OFFENSES'
   MC17_11 = '# ARRESTS 12 MONTHS BEFORE: STATUS OFFENSES'
   MC15_12 = 'EVER ARRESTED: OTHER OFFENSES'
   MC16_12 = '# ARRESTS: OTHER OFFENSES'
   MC17_12 = '# ARRESTS 12 MONTHS BEFORE: OTHER OFFENSES'
   MC18    = 'ILLEGAL ACTIVITY TO OBTAIN MONEY FOR DRUGS'
   MC19    = 'THOUGHT O/SUICIDE IN 12MONTHS BEFORE ADMISSION'
   MC20    = 'ATTEMPT SUICIDE IN 12 MONTHS BEFORE ADMISSION'
   MC21    = 'REGULAR MEDICATIONS FOR MENTAL PROBLEMS'
   MC22    = 'PREGNANT AT TIME ENTERED TREATMENT'
   MC22A   = 'PREGNANCY AFFECTED DECISION TO ENTER TREATMENT'
   MD5     = 'GET PLACES NOT WITHIN WALKING DISTANCE'
   MD6     = 'EVER HAD A DRIVER''S LICENSE'
   MD6A    = 'HAVE A CURRENT DRIVER''S LICENSE'
   MD6B    = 'HAD DRIVER''S LICENSE IN PAST 12 MONTHS'
   MD6D    = 'STATUS OF LICENSE WHEN LICENSE NOT VALID'
   MD7     = 'HAVE VEHICLE AVAILABLE DURING PAST 12 MONTHS'
   MD8     = 'HIGHEST GRADE/YEAR OF SCHOOL ATTENDED'
   MD8A    = 'COMPLETE THAT GRADE/YEAR'
   MD9     = 'PAST 12 MONTHS ENROLLED SCHOOLS/COLLEGES'
   MD9A    = '#MONTHS/PAST 12 MONTHS/ENROLLED IN SCHOOLS'
   MD9B1   = 'ENROLLED IN MIDDLE SCHOOL'
   MD9B2   = 'ENROLLED IN ADULT BASIC EDUCATION'
   MD9B3   = 'ENROLLED IN GED OR HIGH SCHOOL EQUIVALENCY'
   MD9B4   = 'ENROLLED IN HIGH SCHOOL PROGRAM'
   MD9B5   = 'ENROLLED IN JUNIOR COLLEGE'
   MD9B6   = 'ENROLLED IN 4 YR DEGREE PROGRAM'
   MD9B7   = 'ENROLLED IN GRADUATE DEGREE PROGRAM'
   MD9B8   = 'ENROLLED IN TECH/TRADE/VOC SCHOOL'
   MD9B9   = 'ENROLLED IN JOB CORPS PROGRAM'
   MD9B10  = 'ENROLLED IN SPECIAL EDUCATION PROGRAM'
   MD9B11  = 'ENROLLED IN OTHER PROGRAM'
   MD9C    = 'PAST 12 MONTHS/SPECIAL EDUCATION CLASSES'
   MD9D    = 'TYPE OF SPECIAL ED PROGRAMS/CLASSES'
   MD9E    = 'PAST 12 MONTHS/HOW WERE GRADES IN SCHOOL'
   MD9F    = 'PAST 12 MONTHS/HOW WELL DID IN SCHOOL'
   MD9G    = 'PAST 12 MONTHS/FREQUENTLY GET INTO TROUBLE'
   MD9H    = 'PAST 12 MONTHS/EXPELLED/SUSPENDED FROM SCHOOL'
   MD9I    = 'PAST 12 MONTHS/FAIL GRADE OR HELD BACK'
   MD9J    = 'PAST 12 MONTHS/SKIP SCHOOL'
   MD9K    = 'PAST 12 MONTHS/# OF DAYS SKIPPED SCHOOL'
   MD10_0  = 'NO DIPLOMAS RECEIVED PAST 12 MONTHS'
   MD10_1  = 'ASSOCIATE DEGREE RECEIVED PAST 12 MONTHS'
   MD10_2  = 'BACHELOR DEGREE RECEIVED PAST 12 MONTHS'
   MD10_3  = 'ADVANCED DEGREE RECEIVED PAST 12 MONTHS'
   MD10_4  = 'VOCATIONAL CERTIFICATE RECEIVED PAST 12 MONTHS'
   MD10_5  = 'TRADE LICENSE RECEIVED PAST 12 MONTHS'
   MD10_6  = 'OTHER DEGREE RECEIVED PAST 12 MONTHS'
   MD10_7  = 'HIGH SCHOOL DIPLOMA RECEIVED PAST 12 MONTHS'
   MD10_8  = 'GED RECEIVED PAST 12 MONTHS'
   MD11    = 'CURRENTLY ENROLLED IN SCHOOLS/COLLEGES'
   MD11A1  = 'PROGRAMS: MIDDLE SCHOOL'
   MD11A2  = 'PROGRAMS: ADULT BASIC EDUCATION'
   MD11A3  = 'PROGRAMS: GED'
   MD11A4  = 'PROGRAMS: HIGH SCHOOL PROGRAM'
   MD11A5  = 'PROGRAMS: ASSOCIATE DEGREE'
   MD11A6  = 'PROGRAMS: UNIVERSITY DEGREE'
   MD11A7  = 'PROGRAMS: GRADUATE DEGREE'
   MD11A8  = 'PROGRAMS: TECHNICAL/TRADE/VOCATIONAL'
   MD11A9  = 'PROGRAMS: JOB CORPS PROGRAM'
   MD11A10 = 'PROGRAMS: SPECIAL EDUCATION'
   MD11A11 = 'PROGRAMS: OTHER'
   MD11B   = 'CURRENTLY ENROLLED IN SPECIAL ED CLASSES'
   MD11C   = 'TYPE SPECIAL ED CURRENTLY ENROLLED IN'
   ME1     = 'DRINK ANY ALCOHOL DURING PAST 12 MONTHS'
   ME2     = '# WEEKS AFTER TREATMENT TOOK FIRST DRINK'
   ME3     = 'FREQUENCY OF ALCOHOL USE PAST 12 MONTHS'
   ME4     = 'NUMBER OF WEEKS AGO LAST USED ALCOHOL'
   ME5     = '# DAYS DRANK ALCOHOL PAST 30 DAYS'
   ME6     = '# DRINKS HAD EACH DAY DRANK PAST 12 MONTHS'
   ME7     = '# OF DAYS DRUNK DURING PAST 12 MONTHS'
   ME8     = 'DRUNK SEVERAL DAYS IN ROW PAST 12 MONTHS'
   ME9     = 'HAVE D.T.''S AT ANY TIME PAST 12 MONTHS'
   ME10    = 'RELAPSE OF ALCOHOL USE IN PAST 12 MONTHS'
   ME11    = 'EVER HAD PROBLEMS BECAUSE OF DRINKING'
   ME12    = 'TROUBLED BY ALCOHOL PROBLEMS PAST 12 MONTHS'
   ME13    = 'IMPORTANCE OF COUNSELING FOR ALCOHOL PROBLEM'
   ME14    = 'CURRENTLY SMOKE CIGARETTES'
   ME14A   = 'NUMBER OF CIGARETTES SMOKED PER DAY'
   ME15_0  = 'DO NOT USE TOBACCO PRODUCTS'
   ME15_1  = 'SMOKE CIGARS'
   ME15_2  = 'SMOKE A PIPE'
   ME15_3  = 'USE SMOKELESS TOBACCO OR SNUFF'
   ME16_20 = 'USED PAST 12MONTHS: MARIJUANA, HASHISH, THC'
   ME17_20 = 'FIRST USE (WEEKS POST-TREATMENT): MARIJUANA, HASHISH, THC'
   ME18_20 = 'ROUTE: MARIJUANA, HASHISH, THC'
   ME19_20 = 'FREQUENCY PAST YR: MARIJUANA, HASHISH, THC'
   ME20_20 = 'MOST RECENT USE (WEEKS): MARIJUANA, HASHISH, THC'
   ME21_20 = 'MOST RECENT FREQ: MARIJUANA, HASHISH, THC'
   ME16_30 = 'USED PAST 12MONTHS: HALLUCINOGENS'
   ME17_30 = 'FIRST USE (WEEKS POST-TREATMENT): HALLUCINOGENS'
   ME18_30 = 'ROUTE: HALLUCINOGENS'
   ME19_30 = 'FREQUENCY PAST YEAR: HALLUCINOGENS'
   ME20_30 = 'MOST RECENT USE (WEEKS): HALLUCINOGENS'
   ME21_30 = 'MOST RECENT FREQ: HALLUCINOGENS'
   ME16_31 = 'USED PAST 12 MONTHS: PCP'
   ME20_31 = 'MOST RECENT USE (WEEKS): PCP'
   ME21_31 = 'MOST RECENT FREQUENCY: PCP'
   ME16_32 = 'USED PAST 12 MONTHS: LSD'
   ME20_32 = 'MOST RECENT USE (WEEKS):  LSD'
   ME21_32 = 'MOST RECENT FREQUENCY: LSD'
   ME16_40 = 'USED PAST 12MONTHS: COCAINE'
   ME17_40 = 'FIRST USE (WEEKS POST-TREATMENT): COCAINE'
   ME18_40 = 'ROUTE: COCAINE'
   ME19_40 = 'FREQUENCY PAST YEAR: COCAINE'
   ME20_40 = 'MOST RECENT USE (WEEKS): COCAINE'
   ME21_40 = 'MOST RECENT FREQUENCY: COCAINE'
   ME16_41 = 'USED PAST 12 MONTHS: CRACK ONLY'
   ME20_41 = 'MOST RECENT USE (WEEKS): CRACK ONLY'
   ME21_41 = 'MOST RECENT FREQUENCY: CRACK'
   ME16_42 = 'USED PAST 12 MONTHS: COCAINE/NOT CRACK'
   ME20_42 = 'MOST RECENT USE (WEEKS): COCAINE/NOT CRACK'
   ME21_42 = 'MOST RECENT FREQ: COCAINE/NOT CRACK'
   ME16_50 = 'USED PAST 12MONTHS: HEROIN'
   ME17_50 = 'FIRST USE (WEEKS POST-TREATMENT): HEROIN'
   ME18_50 = 'ROUTE: HEROIN'
   ME19_50 = 'FREQUENCY PAST YEAR: HEROIN'
   ME20_50 = 'MOST RECENT USE (WEEKS): HEROIN'
   ME21_50 = 'MOST RECENT FREQUENCY: HEROIN'
   ME16_51 = 'USED PAST 12 MONTHS: HEROIN AND COCAINE'
   ME20_51 = 'MOST RECENT USE (WEEKS): HEROIN AND COCAINE'
   ME21_51 = 'MOST RECENT FREQ: HEROIN AND COCAINE'
   ME16_60 = 'USED PAST 12 MONTHS: NARCOTICS OR OPIATES'
   ME17_60 = 'FIRST USE (WEEKS POST-TREATMENT): NARCOTICS OR OPIATES'
   ME18_60 = 'ROUTE: NARCOTICS OR OPIATES'
   ME19_60 = 'FREQUENCY PAST YR: NARCOTICS OR OPIATES'
   ME20_60 = 'MOST RECENT USE (WEEKS): NARCOTICS OR OPIATES'
   ME21_60 = 'MOST RECENT FREQ: NARCOTICS OR OPIATES'
   ME16_61 = 'USED PAST 12 MONTHS: METHADONE'
   ME20_61 = 'MOST RECENT USE (WEEKS): METHADONE'
   ME21_61 = 'MOST RECENT FREQUENCY: METHADONE'
   ME16_62 = 'USED PAST 12 MONTHS: DILAUDID'
   ME20_62 = 'MOST RECENT USE (WEEKS): DILAUDID'
   ME21_62 = 'MOST RECENT FREQUENCY: DILAUDID'
   ME16_70 = 'USED PAST 12MONTHS: DOWNERS OR DEPRESSANTS'
   ME17_70 = 'FIRST USE (WEEKS POST-TREATMENT): DOWNERS OR DEPRESSANTS'
   ME18_70 = 'ROUTE: DOWNERS OR DEPRESSANTS'
   ME19_70 = 'FREQUENCY PAST YEAR: DOWNERS OR DEPRESSANTS'
   ME20_70 = 'MOST RECENT USE (WEEKS): DOWNERS OR DEPRESSANTS'
   ME21_70 = 'MOST RECENT FREQ: DOWNERS OR DEPRESSANTS'
   ME16_71 = 'USED PAST 12 MONTHS: SEDATIVES'
   ME16_72 = 'USED PAST 12MONTHS: BARBITURATES'
   ME16_73 = 'USED PAST 12 MONTHS: BENZODIAZEPINES'
   ME16_74 = 'USED PAST 12 MONTHS: OTHER TRANQUILIZERS'
   ME16_75 = 'USED PAST 12 MONTHS: ANOTHER DEPRESSANT'
   ME16_80 = 'USED PAST 12 MONTHS: AMPHETAMINES'
   ME17_80 = 'FIRST USE (WEEKS POST-TREATMENT): AMPHETAMINES'
   ME18_80 = 'ROUTE: AMPHETAMINES'
   ME19_80 = 'FREQUENCY PAST YEAR: AMPHETAMINES'
   ME20_80 = 'MOST RECENT USE (WEEKS): AMPHETAMINES'
   ME21_80 = 'MOST RECENT FREQUENCY: AMPHETAMINES'
   ME16_81 = 'USED PAST 12 MONTHS: METHAMPHETAMINES'
   ME20_81 = 'MOST RECENT USE (WEEKS): METHAMPHETAMINES'
   ME21_81 = 'MOST RECENT FREQUENCY: METHAMPHETAMINES'
   ME16_90 = 'USED PAST 12 MONTHS: OTHER DRUGS'
   ME17_90 = 'FIRST USE (WEEKS POST-TREATMENT): OTHER DRUGS'
   ME18_90 = 'ROUTE: OTHER DRUGS'
   ME19_90 = 'FREQUENCY PAST YEAR: OTHER DRUGS'
   ME20_90 = 'MOST RECENT USE (WEEKS): OTHER DRUGS'
   ME21_90 = 'MOST RECENT FREQUENCY: OTHER DRUGS'
   ME16_91 = 'USED PAST 12 MONTHS: INHALANTS'
   ME20_91 = 'MOST RECENT USE (WEEKS): INHALANTS'
   ME21_91 = 'MOST RECENT FREQUENCY: INHALANTS'
   ME16_92 = 'USED PAST 12 MONTHS: ANOTHER DRUG'
   ME20_92 = 'MOST RECENT USE (WEEKS): ANOTHER DRUG'
   ME21_92 = 'MOST RECENT FREQUENCY: ANOTHER DRUG'
   ME22_1  = 'FIRST DRUG USED DURING PAST 3 DAYS'
   ME22_2  = 'SECOND DRUG USED DURING PAST 3 DAYS'
   ME22_3  = 'THIRD DRUG USED DURING PAST 3 DAYS'
   ME22_4  = 'FOURTH DRUG USED DURING PAST 3 DAYS'
   ME23    = 'PAST 12 MONTHS DRUG WHICH CAUSED MOST PROBLEMS'
   ME24    = 'PAST 12 MONTHS HOW PROBLEM DRUG USED'
   ME25    = 'WHERE DID YOU USUALLY TAKE DRUGS?'
   ME27    = 'OTHER DRUGS CAUSE PROBLEMS PAST 12 MONTHS'
   ME27A1  = 'DRUG CAUSED 2ND MOST PROBLEMS PAST 12 MONTHS'
   ME27A2  = 'DRUG CAUSED 3RD MOST PROBLEMS PAST 12 MONTHS'
   ME27A3  = 'DRUG CAUSED 4TH MOST PROBLEMS PAST 12 MONTHS'
   ME28    = 'AMOUNT SPENT ON DRUGS PAST 12 MONTHS'
   ME29    = 'OVERDOSED ON DRUGS PAST 12 MONTHS'
   ME29A   = 'NUMBER OF TIMES OVERDOSED PAST 12 MONTHS'
   ME30    = 'USED DRUGS W/WORKS AFTER ANYONE ELSE'
   ME30A_1 = '#TIMES USED WORKS AFTER SEX PARTNER/SPOUSE'
   ME30A_2 = '#TIMES USED WORKS AFTER ANYONE HAD SEX WITH'
   ME30A_3 = '# TIMES USED WORKS AFTER A PROSTITUTE'
   ME30A_4 = '# TIMES USED WORKS AFTER SOMEONE W/AIDS'
   ME30A_5 = '#TIMES USED WORKS AFTER HOMOSEXUAL/BISEXUAL'
   ME30A_6 = '# TIMES USED WORKS AFTER STRANGERS'
   ME31    = 'CLEANED NEEDLES OTHER USED PAST 12 MONTHS'
   ME31A   = 'AFTER CLEANING USED COOKER'
   ME31B   = 'AFTER CLEANING USED COTTON'
   ME32A   = 'CLEAN NEEDLES W/ALCOHOL & RINSE W/WATER'
   ME32B   = 'CLEAN NEEDLES W/BLEACH/CLOROX & RINSE W/WATER'
   ME32C   = 'CLEAN NEEDLES BY BOILING IN WATER ONLY'
   ME32D   = 'RINSE IN PREVIOUSLY USED WATER FOR NEEDLES'
   ME32E   = 'RINSE NEEDLES IN CLEAN WATER ONLY'
   ME32F   = 'CLEAN NEEDLES BY SOME OTHER METHOD'
   ME33A   = 'WITHDRAWAL SYMPTOM: DIFFICULTY SLEEPING'
   ME33B   = 'WITHDRAWAL SYMPTOM: BECOMES DROWSY'
   ME33C   = 'WITHDRAWAL SYMPTOM: SHAKINESS IN HANDS'
   ME33D   = 'WITHDRAWAL SYMPTOM: EXTREMELY DEPRESSED'
   ME33E   = 'WITHDRAWAL SYMPTOM: INCREASED APPETITE'
   ME33F   = 'WITHDRAWAL SYMPTOM: EXCITED/DISTRACTED'
   ME33G   = 'WITHDRAWAL SYMPTOM: NERVOUS OR ANXIOUS'
   ME34    = 'CRAVE COCAINE DURING PAST 12 MONTHS'
   ME35    = 'INTENSITY OF CRAVING FOR COCAINE'
   ME36    = 'HOW LONG DID THE AVERAGE CRAVING LAST?'
   ME37    = 'HOW TROUBLED BY DRUG PROBLEM PAST 12 MONTHS'
   ME38    = 'IMPORTANCE OF TREATMENT FOR DRUG PROBLEM'
   ME39    = 'EXTENT OTHER PROBLEMS CAUSING DRUG PROBLEMS'
   ME40    = 'HOW TEMPTED TO USE DRUGS NOW'
   ME41    = 'MOST IMPORTANT REASON FOR NOT USING DRUGS'
   ME41A1  = '1ST OTHER REASON FOR NOT USING DRUGS'
   ME41A2  = '2ND OTHER REASON FOR NOT USING DRUGS'
   ME41A3  = '3RD OTHER REASON FOR NOT USING DRUGS'
   ME42A   = 'KEEP FROM USE DRUG/PEOPLE MADE YOU TENSE'
   ME42B   = 'KEEP FROM USE DRUG/REMEMBERED FEELING'
   ME42C   = 'KEEP FROM USE DRUG/YOU FELT RELAXED/SURE'
   ME42D   = 'KEEP FROM USE DRUG/FELT DROWSY/WANT AWAKE'
   ME42E   = 'KEEP FROM USE DRUG/FOUND SUPPLY OF DRUGS'
   ME42F   = 'KEEP FROM USE DRUG/PEOPLE DIDN''T LIKE YOU'
   ME42G   = 'KEEP FROM USE DRUG/NOT ABLE TO GET SLEEP'
   ME42H   = 'KEEP FROM USE DRUG/FELT NAUSEOUS'
   ME42I   = 'KEEP FROM USE DRUG/PLACE/PEOPLE USE DRUG'
   ME42J   = 'KEEP FROM USE DRUG/FELT HAPPY W/SOMETHING'
   ME42K   = 'KEEP FROM USE DRUG/FELT ANGRY ABOUT THING'
   ME42L   = 'KEEP FROM USE DRUG/THINK USE JUST ONE TIME'
   ME42M   = 'KEEP FROM USE DRUG/FELT CONFUSED'
   ME42N   = 'KEEP FROM USE DRUG/FELT SAD/DEPRESSED'
   ME42O   = 'KEEP FROM USE DRUG/ENCOURAGED TO USE IT'
   ME42P   = 'KEEP FROM USE DRUG/USE IT A FEW TIMES'
   ME42Q   = 'KEEP FROM USE DRUG/PROBLEM W/PEOPLE AT WORK'
   ME42R   = 'KEEP FROM USE DRUG/PROBLEM W/FAMILY/FRIENDS'
   ME42S   = 'KEEP FROM USE DRUG/BORED/NOTHING TO DO'
   ME42T   = 'KEEP FROM USE DRUG/IN PHYSICAL PAIN'
   ME42U   = 'KEEP FROM USE DRUG/PROBLEMS W/PEOPLE A/SCHOOL'
   ME43    = 'ARE THERE TIMES TEMPTED TO USE DRUGS'
   ME43A1  = 'WHEN MIGHT YOU BE TEMPTED/1ST SITUATION'
   ME43A1CT= 'WHEN MIGHT YOU BE TEMPTED/1ST SITUATION - CATEGORIZED'
   ME43B1  = 'CONFIDENCE IN ABILITY NOT TO USE DRGS/1ST'
   ME43A2  = 'WHEN MIGHT YOU BE TEMPTED/2ND SITUATION'
   ME43A2CT= 'WHEN MIGHT YOU BE TEMPTED/2ND SITUATION - CATEGORIZED'
   ME43B2  = 'CONFIDENCE IN ABILITY NOT TO USE DRGS/2ND'
   ME43A3  = 'WHEN MIGHT YOU BE TEMPTED/3RD SITUATION'
   ME43A3CT= 'WHEN MIGHT YOU BE TEMPTED/3RD SITUATION - CATEGORIZED'
   ME43B3  = 'CONFIDENCE IN ABILITY NOT TO USE DRGS/3RD'
   ME44    = 'DIFFICULTY STOP USING DRUGS REST OF LIFE'
   ME45    = 'CHANCES TO QUIT USING DRUGS REST OF LIFE'
   ME46    = 'HOW MUCH TREATMENT WILL HELP YOU QUIT'
   ME47    = 'DIFFICULTY CUTTING DRUG USE REST OF LIFE'
   ME48    = 'CHANCES TO CUTTING DOWN USE OF DRUGS'
   ME49    = 'HOW MUCH TREATMENT WILL HELP YOU CUT DOWN'
   ME50A   = 'TREATMENT HELPED UNDERSTAND PROBLEM'
   ME50B   = 'TREATMENT HELPED COMMUNICATIONS SKILLS'
   ME50C   = 'TREATMENT HELPED PROBLEM SOLVING'
   ME50D   = 'TREATMENT HELPED LEARN RELAPSE PREVENTION'
   ME51    = 'NEIGHBORHOOD HAS HEAVY DRUG/ALCOHOL USE'
   ME52    = 'TIME SPENT W/FRIENDS WHO USE DRUGS'
   ME53    = 'GO WHERE DRUGS ARE READILY AVAILABLE'
   MF1     = 'YOU FELT SAD/BLUE/DEPRESSED FOR 2 WEEKS'
   MF1A    = 'YOU HAD ANY OTHER PROBLEMS AT SAME TIME'
   MF1B    = '# PERIODS OF 2 WK/MORE/FELT DEPRESSED'
   MF1C1   = 'WHEN LAST PERIOD LIKE THAT ENDED'
   MF1C_WK = 'HOW MANY WEEKS AGO WAS THAT?'
   MF1D    = 'THAT PERIOD A DIRECT RESULT OF ALCO/DRUG'
   MF2     = 'YOU FELT ANXIOUS/TENSE/NERVOUS FOR 2 WKS'
   MF2A    = '# PERIODS OF 4 WKS/ANXIOUS/TENSE/NERVOUS'
   MF2B    = 'WHEN LAST PERIOD LIKE THAT ENDED'
   MF2B_WK = 'HOW MANY WEEKS AGO WAS THAT?'
   MF2C    = 'THAT PERIOD A DIRECT RESULT OF ALCO/DRUG'
   MF3     = 'HAD HALLUCINATIONS/SAW/HEARD THINGS'
   MF3A    = 'WHEN LAST PERIOD LIKE THAT ENDED'
   MF3A_WK = 'HOW MANY WEEKS AGO WAS THAT?'
   MF3B    = 'THAT PERIOD DIRECT RESULT ALCO/DRUG USE'
   MF4     = 'TROUBLE UNDERSTANDING/CONCENTRATING/REMEMBERING'
   MF4A    = 'WHEN LAST PERIOD LIKE THAT ENDED'
   MF4A_WK = 'HOW MANY WEEKS AGO WAS THAT?'
   MF4B    = 'THAT PERIOD DIRECT RESULT ALCO/DRUG USE'
   MF5     = 'TROUBLE CONTROLLING TEMPER/BEHAVIOR'
   MF5A    = 'WHEN LAST PERIOD LIKE THAT ENDED'
   MF5A_WK = 'HOW MANY WEEKS AGO WAS THAT?'
   MF5B    = 'THAT PERIOD DIRECT RESULT ALCO/DRUG USE'
   MF6     = 'THOUGHT ABOUT COMMITTING SUICIDE'
   MF6A    = 'WHEN LAST THOUGHT ABOUT ENDING LIFE'
   MF6A_WK = 'HOW MANY WEEKS AGO WAS THAT?'
   MF6B    = 'SUICIDE THOUGHTS RESULT OF ALCO/DRUG USE'
   MF7     = 'HAVE YOU ATTEMPTED SUICIDE?'
   MF7A    = 'WHEN DID YOU LAST ATTEMPT SUICIDE?'
   MF7A_WK = 'HOW MANY WEEKS AGO WAS THAT?'
   MF7B    = 'SUICIDE ATTEMPTS RESULT OF ALCO/DRUG USE'
   MF8     = 'TAKEN MEDICATIONS FOR MENTAL PROBLEMS'
   MF9     = 'MENTAL PROBLEMS NOT RESULT OF DRUGS/ALCOHOL'
   MF9A    = '#DAYS PROBLEMS NOT RESULT OF DRUGS/ALCOHOL'
   MF10    = 'RECEIVED PAYMENTS FOR PSYCHIATRIC DISABILITY'
   MF11    = 'HAD MENTAL PROBLEMS BECAUSE OF DRUG/ALCOHOL'
   MF11A   = 'HOW SERIOUS PROBLEM DUE DRUG/ALCOHOL USE'
   MF12    = 'PAST 12 MONTHS HOW TROUBLED BY EMOTIONAL PROBLEMS'
   MF12A   = 'PAST 3 MONTHS HOW TROUBLED BY EMOTIONAL PROBLEMS'
   MF12B   = 'HOW TROUBLED ARE YOU BY EMOTIONAL PROBLEMS'
   MF13    = 'ALL IN ALL, I AM SATISFIED WITH MYSELF'
   MF14    = 'AT TIMES I THINK I AM NO GOOD AT ALL'
   MF15    = 'I FEEL I HAVE A LOT OF GOOD QUALITIES'
   MF16    = 'I AM ABLE TO DO THINGS AS WELL AS OTHERS'
   MF17    = 'I FEEL I DO NOT HAVE MUCH TO BE PROUD OF'
   MF18    = 'I FEEL USELESS AT TIMES'
   MF19    = 'I FEEL THAT I AM BASICALLY NO GOOD'
   MF20    = 'I WISH I COULD HAVE MORE RESPECT FOR SELF'
   MF21    = 'ALL IN ALL, I FEEL THAT I AM A FAILURE'
   MF22    = 'I FEEL THAT I AM NOT IMPORTANT TO OTHERS'
   MG1     = 'BEEN IN JAIL/PRISON DETENTION PAST 12 MONTHS'
   MG2_1   = 'ARRESTED IN PAST 12MONTHS: USE/POSSESSION DRUGS'
   MG3_1   = '# ARRESTS PAST 12MONTHS: USE/POSSESSION DRUGS'
   MG4_1   = '# ARRESTS PAST 3 MONTHS: USE/POSSESSION DRUGS'
   MG5_1   = '# CONVICTIONS PAST 12MONTHS: USE/POSSESSION DRUGS'
   MG2_2   = 'ARRESTED IN PAST 12MONTHS: SALE/MANUFACTURE DRUGS'
   MG3_2   = '# ARRESTS PAST 12MONTHS: SALE/MANUFACTURE DRUGS'
   MG4_2   = '# ARRESTS PAST 3 MONTHS: SALE/MANUFACTURE DRUGS'
   MG5_2   = '# CONVICTIONS PAST 12MONTHS: SALE/MANUFACTURE DRUGS'
   MG2_3   = 'ARRESTED IN PAST 12 MONTHS: FORGERY/FRAUD'
   MG3_3   = '# ARRESTS PAST 12 MONTHS: FORGERY/FRAUD'
   MG4_3   = '# ARRESTS PAST 3 MONTHS: FORGERY/FRAUD'
   MG5_3   = '# CONVICTIONS PAST 12MONTHS: FORGERY/FRAUD'
   MG2_4   = 'ARRESTED IN PAST 12 MONTHS: BURGLARY'
   MG3_4   = '# ARRESTS PAST 12 MONTHS: BURGLARY'
   MG4_4   = '# ARRESTS PAST 3 MONTHS: BURGLARY'
   MG5_4   = '# CONVICTIONS PAST 12MONTHS: BURGLARY'
   MG2_5   = 'ARRESTED IN PAST 12 MONTHS: LARCENY'
   MG3_5   = '# ARRESTS PAST 12 MONTHS: LARCENY'
   MG4_5   = '# ARRESTS PAST 3 MONTHS: LARCENY'
   MG5_5   = '# CONVICTIONS PAST 12MONTHS: LARCENY'
   MG2_6   = 'ARRESTED IN PAST 12MONTHS: PIMPING/PROSTITUTION/VICE'
   MG3_6   = '# ARRESTS PAST 12MONTHS: PIMPING/PROSTITUTION/VICE'
   MG4_6   = '# ARRESTS PAST 3 MONTHS: PIMPING/PROSTITUTION/VICE'
   MG5_6   = '# CONVICTIONS PAST 12MONTHS: PIMPING/PROSTITUTION/VICE'
   MG2_7   = 'ARRESTED IN PAST 12 MONTHS: ROBBERY'
   MG3_7   = '# ARRESTS PAST 12 MONTHS: ROBBERY'
   MG4_7   = '# ARRESTS PAST 3 MONTHS: ROBBERY'
   MG5_7   = '# CONVICTIONS PAST 12MONTHS: ROBBERY'
   MG2_8   = 'ARRESTED IN PAST 12MONTHS: ATTACKS ON PERSONS'
   MG3_8   = '# ARRESTS PAST 12MONTHS: ATTACKS ON PERSONS'
   MG4_8   = '# ARRESTS PAST 3 MONTHS: ATTACKS ON PERSONS'
   MG5_8   = '# CONVICTIONS PAST 12MONTHS: ATTACKS ON PERSONS'
   MG2_9   = 'ARRESTED IN PAST 12MONTHS: OTHER PEOPLE OFFENSES'
   MG3_9   = '# ARRESTS PAST 12MONTHS: OTHER PEOPLE OFFENSES'
   MG4_9   = '# ARRESTS PAST 3 MONTHS: OTHER PEOPLE OFFENSES'
   MG5_9   = '# CONVICTIONS PAST 12MONTHS: OTHER PEOPLE OFFENSES'
   MG2_10  = 'ARRESTED IN PAST 12MONTHS: DRIVING INTOXICATED'
   MG3_10  = '# ARRESTS PAST 12MONTHS: DRIVING INTOXICATED'
   MG4_10  = '# ARRESTS PAST 3 MONTHS: DRIVING INTOXICATED'
   MG5_10  = '# CONVICTIONS PAST 12MONTHS: DRIVING INTOXICATED'
   MG2_11  = 'ARRESTED IN PAST 12MONTHS: STATUS OFFENSES'
   MG3_11  = '# ARRESTS PAST 12 MONTHS: STATUS OFFENSES'
   MG4_11  = '# ARRESTS PAST 3 MONTHS: STATUS OFFENSES'
   MG5_11  = '# CONVICTIONS PAST 12MONTHS: STATUS OFFENSES'
   MG2_12  = 'ARRESTED IN PAST 12 MONTHS: OTHER OFFENSES'
   MG3_12  = '# ARRESTS PAST 12 MONTHS: OTHER OFFENSES'
   MG4_12  = '# ARRESTS PAST 3 MONTHS: OTHER OFFENSES'
   MG5_12  = '# CONVICTIONS PAST 12 MONTHS: OTHER OFFENSES'
   MG6     = 'ILLEGAL ACTIVITY FOR DRUG MONEY PAST 12 MONTHS'
   MG6A    = 'FREQUENCY OF ACTIVITY FOR DRUG MONEY PAST 12 MONTHS'
   MG6B    = 'FREQUENCY OF ACTIVITY FOR DRUG MONEY PAST 3 MONTHS'
   MG7     = 'LEGAL PROBLEMS BECAUSE DRUG USE PAST 12 MONTHS'
   MG7A    = 'HOW SERIOUS DRUG/ALCOHOL USE PROBLEMS PAST 12MONTHS'
   MG8     = 'HOW SERIOUS LEGAL PROBLEMS PAST 12 MONTHS'
   MG8A    = 'HOW SERIOUS LEGAL PROBLEMS PAST 3 MONTHS'
   MG8B    = 'HOW SERIOUS ARE LEGAL PROBLEMS NOW'
   MG9     = 'DO YOU HAVE LEGAL SERVICES?'
   MG9A    = 'DO YOU NEED LEGAL SERVICES?'
   MH1     = 'WHAT WERE DOING MOST OF TIME LAST WEEK'
   MH2     = 'WORK IN JOB/DID NOT INVOLVE ILLEGAL ACTS'
   MH2A    = 'EARNED MONEY LEGALLY IN THAT WEEK'
   MH2B    = 'LOSE TIME FOR ANY REASON THAT WEEK'
   MH2C    = 'HOW MANY HOURS DID YOU MISS?'
   MH2D    = 'HRS WORKED FROM PAY/DIDN''T INVOLVE ILLEGAL ACTS'
   MH2E    = 'REASON WORKED <35 HRS DURING THAT WEEK'
   MH2F    = 'WORK 35HRS WK A/JOB NOT INVOLVING ILLEGAL ACT'
   MH2G    = 'WHY DID YOU WORK LESS THAN 35 HRS A WEEK'
   MH3     = 'WHAT WAS YOUR OCCUPATION?'
   MH3A    = 'TYPE OF BUSINESS OR INDUSTRY'
   MH3B    = 'WAS THIS YOUR USUAL OCCUPATION?'
   MH3B_SP = 'SPECIFY USUAL OCCUPATION'
   MH4     = 'DID YOU LOOK FOR WORK DURING LAST 3 MONTHS'
   MH4A    = 'DID YOU LOOK FOR WORK DURING LAST 12 MONTHS'
   MH4B1   = 'NO METHOD USED TO FIND WORK'
   MH4B2   = 'PUBLIC EMPLOYMENT AGENCY USED TO FIND WORK'
   MH4B3   = 'PRIVATE EMPLOYMENT AGENCY USED TO FIND WORK'
   MH4B4   = 'EMPLOYERS DIRECTLY APPROACHED TO FIND WORK'
   MH4B5   = 'TALKED W/FRIENDS/RELATIVES TO FIND WORK'
   MH4B6   = 'PLACED OR ANSWERED ADS TO FIND WORK'
   MH4B7   = 'USED OTHER METHODS TO FIND WORK'
   MH4C    = 'TROUBLE/PROBLEMS FINDING WORK A/THAT TIME'
   MH4D1   = 'PROBLEMS: NO JOBS AVAILABLE'
   MH4D2   = 'PROBLEMS: LACK EDUCATION/SKILLS/EXPERIENCE'
   MH4D3   = 'PROBLEMS: LANGUAGE PROBLEM'
   MH4D4   = 'PROBLEMS: TOO YOUNG OR TO OLD'
   MH4D5   = 'PROBLEMS: ARREST RECORD'
   MH4D6   = 'PROBLEMS: DRUG HISTORY'
   MH4D7   = 'PROBLEMS: OTHER PERSONAL HANDICAPS'
   MH4D8   = 'PROBLEMS: ILL HEALTH'
   MH4D9   = 'PROBLEMS: IMMIGRATION STATUS'
   MH4D10  = 'PROBLEMS: PERCEIVED DISCRIMINATION'
   MH4D11  = 'PROBLEMS: OTHER'
   MH5_0   = 'REASON: NO REASONS'
   MH5_1   = 'REASON: SATISFIED WITH PRESENT JOB'
   MH5_2   = 'REASON: NO JOBS AVAILABLE IN LINE OF WORK'
   MH5_3   = 'REASON: COULD NOT FIND ANY WORK'
   MH5_4   = 'REASON: LACKS NECESSARY SCHOOLING'
   MH5_5   = 'REASON: EMPLOYERS THINK TOO YOUNG/OLD'
   MH5_6   = 'REASON: OTHER PERSONAL HANDICAP'
   MH5_7   = 'REASON: FAMILY RESPONSIBILITIES'
   MH5_8   = 'REASON: IN SCHOOL OR OTHER TRAINING'
   MH5_9   = 'REASON: ILL HEALTH/PHYSICAL DISABILITY'
   MH5_10  = 'REASON: IN JAIL OR OTHER INSTITUTION'
   MH5_11  = 'REASON: DRUG ACTIVITIES/DRUG EFFECTS'
   MH5_12  = 'REASON: ILLEGAL ACTIVITIES'
   MH5_13  = 'REASON: SUPPORTED BY OTHER PERSON'
   MH5_14  = 'REASON: LANGUAGE PROBLEMS'
   MH5_15  = 'REASON: CONCERN ABOUT IMMIGRATION STATUS'
   MH5_16  = 'REASON: OTHER'
   MH6     = '# EMPLOYERS WORKED LEGITIMATE JOBS FOR'
   MH7     = 'WEEKS EMPLOYED FULL/PART-TIME JOBS (LAST 12 MONTHS)'
   MH8     = '# WEEKS WORKED 35 OR MORE HOURS A WEEK'
   MH9     = 'LONGEST PERIOD WORKED ANY 1-FULL TIME JOB'
   MH9A    = 'IS THIS YOUR CURRENT JOB?'
   MH10    = 'WHAT WAS YOUR OCCUPATION?'
   MH10A   = 'TYPE OF BUSINESS OR INDUSTRY'
   MH10B   = 'WAS THIS YOUR USUAL OCCUPATION?'
   MH10B_SP= 'SPECIFY USUAL OCCUPATION'
   MH11    = 'WAGE/SALARY/RATE OF PAY BEFORE TAXES'
   MH11R   = 'CODE FOR PAY RATE'
   MH12    = 'PAST 12MONTHS/TRBLD GETTING/HOLDING/WORKING JOB'
   MH12A   = 'PAST 3 MONTHS/TROUBLED GETTING/HOLDING/WORKING JOB'
   MH12B   = 'HOW TROUBLED NOW GETTING/HOLDING/WORKING JOB'
   MH13    = 'IMPORTANCE OF REFERRAL FOR EMPLOYMENT'
   MH14    = 'PROBLEMS GETTING/HOLDING/WORKING DUE DRUGS/ALCOHOL'
   MJ1A    = 'INCOME SOURCE/ODD JOBS/NOT ILLEGAL ACTS'
   MJ2A    = 'DOLLARS/RECEIVED BEFORE TAXES'
   MJ1B    = 'INCOME SOURCE/SSI'
   MJ2B    = 'DOLLARS/RECEIVED BEFORE TAXES'
   MJ1C    = 'INCOME SOURCE/SOCIAL SECURITY BENEFITS'
   MJ2C    = 'DOLLARS/RECEIVED BEFORE TAXES'
   MJ1D    = 'INCOME SOURCE/SPOUSE/FAMILY/ALIMONY'
   MJ2D    = 'DOLLARS/RECEIVED BEFORE TAXES'
   MJ1E    = 'INCOME SOURCE/POSSIBLY ILLEGAL'
   MJ2E    = 'DOLLARS/RECEIVED BEFORE TAXES'
   MJ1F    = 'INCOME SOURCE/ANY OTHER SOURCE'
   MJ1F_SP = 'SPECIFY OTHER INCOME SOURCE'
   MJ2F    = 'DOLLARS/RECEIVED BEFORE TAXES'
   MJ2G    = 'TOTAL DOLLARS/J2A THRU J2F'
   MJ3     = 'INCOME BEFORE TAXES PAST 12 MONTHS'
   MJ4     = 'SHARE INCOME/EXPENSES WITH ONE LIVE WITH'
   MJ4A    = '# PEOPLE YOU SHARE INCOME/EXPENSES WITH'
   MJ5     = 'HOUSEHOLD INCOME BEFORE TAXES PAST 12 MONTHS'
   MJ6     = '# MONTHS PAST 12 MONTHS COULD NOT PAY BILLS'
   MJ7     = 'MONEY PROBLEMS BECAUSE ALCOHOL/DRUG USE'
   MJ8     = 'HOW SERIOUS PROBLEMS FOR DRUG/ALCOHOL USE'
   MJ9     = 'HOW TROUBLED BY MONEY PROBLEM PAST 12 MONTHS'
   MJ9A    = 'HOW TROUBLED BY MONEY PROBLEMS PAST 3 MONTHS'
   MJ9B    = 'HOW TROUBLED BY ANY MONEY PROBLEMS'
   MJ10    = 'HOW IMPORTANT/COUNSELING FOR MONEY PROBLEM'
   MK1     = 'YOUR HEALTH NOW IS'
   MK2     = 'COMPARE YOUR HEALTH TO PEOPLE YOUR AGE'
   MK3     = 'YOUR HEALTH/COMPARE TO PAST 3 MONTHS'
   MK4     = 'NUMBER OF TIMES YOU HAVE BEEN PREGNANT'
   MK4A    = 'ARE YOU NOW PREGNANT?'
   MK4B    = 'PREGNANCY HAS BEEN VERIFIED'
   MK4C1   = 'PREGNANCY VERIFIED BY/DOCTOR'
   MK4C2   = 'PREGNANCY VERIFIED BY/PREGNANCY TEST'
   MK4C3   = 'PREGNANCY VERIFIED/HOME PREGNANCY TEST'
   MK4C4   = 'PREGNANCY VERIFIED BY/OTHER'
   MK5     = 'USED ALCOHOL WHILE PREGNANT'
   MK6     = 'USED NON MEDICAL DRUGS WHILE PREGNANT'
   MK7A    = 'HEALTH LIMITED VIGOROUS ACTIVITY'
   MK8A    = 'LIMIT VIGOROUS ACTIVITY/FOR 3 MON/MORE'
   MK7B    = 'HEALTH LIMITED MODERATE ACTIVITY'
   MK8B    = 'LIMIT MODERATE ACTIVITY/FOR 3 MON/MORE'
   MK7C    = 'HEALTH LIMITED WALK UP HILL/CLIMB STAIRS'
   MK8C    = 'LIMIT WALK UP HILL/STAIRS/FOR 3 MON/MORE'
   MK7D    = 'HEALTH PREVENTED YOU FROM BENDING/LIFTING'
   MK8D    = 'PREVENT YOU FROM BEND/LIFT/3 MON/MORE'
   MK7E    = 'HEALTH LIMITED ABILITY TO WALK 1 BLOCK'
   MK8E    = 'LIMIT YOU TO WALK 1 BLOCK/FOR 3 MON/MORE'
   MK7F    = 'HEALTH LIMITED YOU TO EAT/DRESS'
   MK8F    = 'LIMIT YOU TO EAT/DRESS/FOR 3 MON/MORE'
   MK9     = 'HEALTH KEPT YOU FROM WORK/SCHOOL'
   MK9A    = '#DAYS/HEALTH KEPT YOU FROM WORK/SCHOOL'
   MK10    = 'STAY OVERNIGHT IN HOSPITAL/HEALTH PROBLEM'
   MK11    = '#HOSPITALIZATION/PHYS HEALTH/NOT DRUG RELATED'
   MK12    = '#DAYS HOSPITALIZED FOR PHYSICAL HEALTH PROBLEM/NOT DRUG'
   MK13    = '#DAYS/INJURY/ILL KEPT YOU IN BED ALL DAY'
   MK14    = 'TESTED FOR TB IN THE PAST 12 MONTHS'
   MK14A   = 'WERE THE TEST RESULTS POSITIVE?'
   MK14B   = 'RECEIVE TREATMENT FOR THIS CONDITION'
   MK14C1  = 'FIRST MEDICATION USED'
   MK14C2  = 'SECOND MEDICATION USED'
   MK14C3  = 'THIRD MEDICATION USED'
   MK15    = 'DISABILITY PAYMENTS FOR PHYSICAL HEALTH PROBLEMS'
   MK16    = 'HOW TROUBLED BY MEDICAL PROBLEMS PAST 12MONTHS'
   MK16A   = 'HOW TROUBLED BY MEDICAL PROBLEMS PAST 3 MONTHS'
   MK16B   = 'HOW TROUBLED NOW BY MEDICAL PROBLEMS'
   MK17    = 'HOW IMPORTANT TREATMENT NOW FOR MEDICAL PROBLEMS'
   ML0     = 'EVER BEEN SEXUALLY ACTIVE'
   ML1     = '#OF DIFFERENT WOMEN HAD VAGINAL INTERCOURSE WITH'
   ML1A    = 'USED CONDOM/VAGINAL INTERCOURSE W/WOMEN'
   ML2     = '#OF DIFFERENT WOMEN HAD ANAL INTERCOURSE WITH'
   ML2A    = 'USED CONDOM/ANAL INTERCOURSE W/WOMEN'
   ML3     = '# OF WOMEN HAD ORAL INTERCOURSE WITH'
   ML3A    = 'USED LATEX BARRIER/ORAL INTERCOURSE WITH WOMEN'
   ML4     = 'INTERCOURSE W/WOMEN/TOOK MONEY/DRUG FOR SEX'
   ML5     = 'INTERCOURSE W/WOMAN/HAD SEX W/PROSTITUTE'
   ML6     = 'INTERCOURSE W/WOMAN WHO SHOOTS UP DRUGS'
   ML7     = 'ANYONE GAVE MONEY/DRUGS FOR INTERCOURSE'
   ML8     = '#OF DIFFERENT MEN HAD ANAL INTERCOURSE WITH'
   ML8A    = 'USED CONDOM FOR ANAL INTERCOURSE W/MEN'
   ML9     = '# DIFFERENT MEN HAD ORAL INTERCOURSE WITH'
   ML9A    = 'USED CONDOM/ORAL INTERCOURSE W/MEN'
   ML10    = 'INTERCOURSE W/MAN/TOOK MONEY/DRUG FOR SEX'
   ML11    = 'INTERCOURSE W/MAN/HAD SEX W/PROSTITUTE'
   ML12    = 'HAD INTERCOURSE W/MAN WHO SHOOTS UP DRUG'
   ML13    = 'HAD INTERCOURSE W/ANYONE TESTED+/FOR AIDS'
   ML13A   = 'INTERCOURSE W/#PEOPLE/WHO TEST+/AIDS'
   ML14    = '# DIFFERENT MEN/YOU HAD VAGINAL INTERCOURSE WITH'
   ML14A   = 'USED CONDOM/VAGINAL INTERCOURSE W/MEN'
   ML15    = '#DIFFERENT MEN/YOU HAD ANAL INTERCOURSE WITH'
   ML15A   = 'USED CONDOM FOR ANAL INTERCOURSE W/MEN'
   ML16    = '#OF DIFFERENT MEN HAD ORAL INTERCOURSE WITH'
   ML16A   = 'MAN USED LATEX BARRIER/ORAL INTERCOURSE'
   ML17    = 'SEX PARTNER HAD INTERCOURSE W/BOTH SEX'
   ML18    = 'MAN SEX PARTNER TOOK MONEY/DRUG FOR SEX'
   ML19    = 'INTERCOURSE W/MAN/HAD SEX W/PROSTITUTE'
   ML20    = 'INTERCOURSE W/MAN/TOOK MONEY/DRUG FOR SEX'
   ML21    = 'MAN SEX PARTNER EVER SHOOT UP DRUGS'
   ML22    = 'MAN SEX PARTNER/TESTED +/HAD AIDS'
   ML22A   = '#MEN TEST+/HAD AIDS/YOU HAD INTERCOURSE WITH'
   ML23    = 'SERVICES RECEIVED ABOUT HIV INFECTION/AIDS'
   ML23A1  = 'SERVICES/ABOUT REDUCE RISK/NEEDLE USE'
   ML23A2  = 'SERVICES/REDUCE RISK/SEXUAL TRANSMISSION'
   ML23A3  = 'SERVICES/KNOWLEDGE/HIV INFECTION/AIDS'
   ML23A4  = 'SERVICES/OTHER'
   ML23B   = 'NUMBER OF MEETINGS FOR SERVICES'
   ML23C   = 'HOW HELPFUL WAS SERVICE'
   MM1     = '# DAYS SCHEDULED TO RECEIVE SERVICES'
   MM2     = 'RECEIVED TREATMENT FOR ALCOHOL PROBLEM'
   MM2A1   = '# TIMES TREATED A/28-DAY TREATMENT UNIT'
   MM2A2   = '# TIMES TREATED A/THERAPEUTIC COMMUNITY'
   MM2A3   = '# TIMES TREATED AT A HALFWAY HOUSE'
   MM2A4   = '# TIMES TREATED A/ALCOHOL TREATMENT UNIT'
   MM2A5   = '# TIMES TREATED A/OTHER TYPE ALCOHOL TREATMENT'
   MM3A    = 'EVER TREATED: 28-DAY/SHORT TERM PROGRAM'
   MM3AA   = '# ADMISSIONS: 28-DAY/SHORT TERM PROGRAM'
   MM3BA   = '# WKS TREATMENT: 28-DAY/SHORT TERM PROGRAM'
   MM3CA_MO= 'MONTH DISCHARGE: 28-DAY/SHORT TERM PROGRAM'
   MM3CA_YR= 'YR DISCHARGE: 28-DAY/SHORT TERM PROGRAM'
   MM3DA   = 'REASON DISCHARGE: 28-DAY/SHORT TERM PROGRAM'
   MM3B    = 'EVER TREATED: THERAPEUTIC COMMUNITY PROGRAM'
   MM3AB   = '# ADMISSIONS: THERAPEUTIC COMMUNITY PROGRAM'
   MM3BB   = '# WKS TREATMENT: THERAPEUTIC COMMUNITY PROGRAM'
   MM3CB_MO= 'MONTH DISCHARGE: THERAPEUTIC COMMUNITY PROGRAM'
   MM3CB_YR= 'YR DISCHARGE: THERAPEUTIC COMMUNITY PROGRAM'
   MM3DB   = 'REASON DISCHARGE: THERAPEUTIC COMMUNITY PROGRAM'
   MM3C    = 'EVER TREATED: A METHADONE PROGRAM'
   MM3AC   = '# ADMISSIONS: A METHADONE PROGRAM'
   MM3BC   = '# WKS TREATMENT: A METHADONE PROGRAM'
   MM3CC_MO= 'MONTH DISCHARGE: A METHADONE PROGRAM'
   MM3CC_YR= 'YR DISCHARGE: A METHADONE PROGRAM'
   MM3DC   = 'REASON DISCHARGE: A METHADONE PROGRAM'
   MM3D    = 'EVER TREATED: OUTPATIENT DRUG PROGRAM'
   MM3AD   = '# ADMISSIONS: OUTPATIENT DRUG PROGRAM'
   MM3BD   = '# WKS TREATMENT: OUTPATIENT DRUG PROGRAM'
   MM3CD_MO= 'MONTH DISCHARGE: OUTPATIENT DRUG PROGRAM'
   MM3CD_YR= 'YR DISCHARGE: OUTPATIENT DRUG PROGRAM'
   MM3DD   = 'REASON DISCHARGE: OUTPATIENT DRUG PROGRAM'
   MM3E    = 'EVER TREATED: OTHER TYPE DRUG TREATMENT'
   MM3AE   = '# ADMISSIONS: OTHER TYPE DRUG TREATMENT'
   MM3BE   = '# WKS TREATMENT: OTHER TYPE DRUG TREATMENT'
   MM3CE_MO= 'MONTH DISCHARGE: OTHER TYPE DRUG TREATMENT'
   MM3CE_YR= 'YR DISCHARGE: OTHER TYPE DRUG TREATMENT'
   MM3DE   = 'REASON DISCHARGE: OTHER TYPE DRUG TREATMENT'
   MM3F    = 'EVER TREATED: SHORT-TERM DETOX PROGRAM'
   MM3AF   = '# ADMISSIONS: SHORT-TERM DETOX PROGRAM'
   MM3BF   = '# WKS TREATMENT: SHORT-TERM DETOX PROGRAM'
   MM3CF_MO= 'MONTH DISCHARGE: SHORT-TERM DETOX PROGRAM'
   MM3CF_YR= 'YR DISCHARGE: SHORT-TERM DETOX PROGRAM'
   MM3DF   = 'REASON DISCHARGE: SHORT-TERM DETOX PROGRAM'
   MM4     = 'METHADONE/NALTREXONE/TRANQUILIZERS PRESCRIBED'
   MM4A1   = 'METHADONE PRESCRIBED BY DOCTOR'
   MM4A2   = 'NALTREXONE PRESCRIBED BY DOCTOR'
   MM4A3   = 'TRANQUILIZERS PRESCRIBED BY DOCTOR'
   MM4A4   = 'ANTABUSE PRESCRIBED BY DOCTOR'
   MM4A5   = 'ANTIDEPRESSANTS PRESCRIBED BY DOCTOR'
   MM4A6   = 'CLONIDINE PRESCRIBED BY DOCTOR'
   MM5     = 'ATTENDED 12-STEP OR SELF-HELP GROUP'
   MM5A1   = 'ATTENDED ALCOHOLICS ANONYMOUS'
   MM5A2   = 'ATTENDED NARCOTICS ANONYMOUS'
   MM5A3   = 'ATTENDED COCAINE ANONYMOUS'
   MM5A4   = 'ATTENDED OTHER GROUPS'
   MM5B    = 'HAVE YOU WORKED ANY STEPS?'
   MM5C    = '# TIMES ATTENDED GROUP/GROUPS'
   MM5D    = 'WHEN DID YOU LAST ATTEND GROUP/GROUPS?'
   MM5D_WK = 'HOW MANY WEEKS AGO WAS THAT?'
   MM6A    = 'GROUP HELPED STOP/CUT DOWN DRUG USE'
   MM6B    = 'GROUP HELPED W/OTHER PROBLEMS YOU HAD'
   MM7     = 'RECEIVED SERVICES FOR MENTAL PROBLEMS PAST 12MONTHS'
   MM8_1   = 'SEEN: PRIMARY/REGULAR COUNSELOR A/PROGRAM'
   MM8_2   = 'SEEN: CASE MANAGER AT TREATMENT PROGRAM'
   MM8_11  = 'SEEN: OTHER COUNSELOR'
   MM8_12  = 'SEEN: OTHER CASE MANAGER'
   MM8_13  = 'SEEN: SOCIAL WORKER'
   MM8_21  = 'SEEN: PSYCHOLOGIST'
   MM8_22  = 'SEEN: PSYCHIATRIST'
   MM8_23  = 'SEEN: NURSE'
   MM8_28  = 'SEEN: CERTIFIED FAMILY COUNSELOR'
   MM8_91  = 'SEEN: OTHER'
   MM9     = '#TIMES RECEIVED GROUP SERVICES/MENTAL HEALTH PROBLEMS'
   MM10    = 'OVERNIGHT STAY/MENTAL PROBLEM/ASSOCIATED W/ALCOHOL'
   MM10A   = '# OF NIGHTS STAYED OVERNIGHT'
   MM10B0  = 'REFERRED BY: SELF'
   MM10B1  = 'REFERRED BY: DRUG TREATMENT PROGRAM'
   MM10B2  = 'REFERRED BY: OTHER DRUG/ALCOHOL PROGRAM'
   MM10B3  = 'REFERRED BY: TASC PROGRAM'
   MM10B4  = 'REFERRED BY: CRIMINAL JUSTICE SYSTEM'
   MM10B5  = 'REFERRED BY: DOCTOR, HOSPITAL OR CLINIC'
   MM10B6  = 'REFERRED BY: PRIVATE THERAPIST'
   MM10B7  = 'REFERRED BY: COMMUNITY/SOCIAL SERVICE'
   MM10B8  = 'REFERRED BY: SCHOOL OR TRAINING PROGRAM'
   MM10B9  = 'REFERRED BY: EMPLOYER/UNION/E.A.P.'
   MM10B10 = 'REFERRED BY: VETERAN''S ORGANIZATION'
   MM10B11 = 'REFERRED BY: CLERGYMEN OR CHURCH'
   MM10B12 = 'REFERRED BY: FRIENDS OR RELATIVES'
   MM10B13 = 'REFERRED BY: OTHER'
   MM11    = 'CHECKUP FOR MEDICAL PROBLEMS PAST 12 MONTHS'
   MM12_1  = 'SEEN: PRIMARY/REGULAR COUNSELOR A/PROGRAM'
   MM12_2  = 'SEEN: CASE MANAGER AT TREATMENT PROGRAM'
   MM12_22 = 'SEEN: PSYCHIATRIST'
   MM12_23 = 'SEEN: NURSE'
   MM12_24 = 'SEEN: PHYSICIAN'
   MM12_25 = 'SEEN: PHYSICIAN''S ASSISTANT'
   MM12_26 = 'SEEN: DENTIST'
   MM12_91 = 'SEEN: OTHER'
   MM13    = '#TIMES RECEIVED SERVICES FOR MEDICAL PROBLEMS'
   MM14    = 'RECEIVED SERVICES FOR FAMILY PROBLEMS'
   MM15_1  = 'SEEN: PRIMARY/REGULAR COUNSELOR A/PROGRAM'
   MM15_2  = 'SEEN: CASE MANAGER AT TREATMENT PROGRAM'
   MM15_11 = 'SEEN: OTHER COUNSELOR'
   MM15_12 = 'SEEN: OTHER CASE MANAGER'
   MM15_13 = 'SEEN: SOCIAL WORKER'
   MM15_21 = 'SEEN: PSYCHOLOGIST'
   MM15_22 = 'SEEN: PSYCHIATRIST'
   MM15_23 = 'SEEN: NURSE'
   MM15_28 = 'SEEN: CERTIFIED FAMILY COUNSELOR'
   MM15_91 = 'SEEN: OTHER'
   MM16    = '#TIMES RECEIVED GROUP SERVICES/MENTAL FAMILY PROBLEMS'
   MM17    = 'HOW TROUBLED GETTING ALONG WITH FAMILY'
   MM18    = 'SERVICES/TRAIN FOR JOB/FIND JOB/TRAINING'
   MM19_1  = 'SERVICES: REGULAR PUBLIC SCHOOL'
   MM19_2  = 'SERVICES: TECHNICAL OR VOCATIONAL SCHOOL'
   MM19_3  = 'SERVICES: ADULT/CONTINUING EDUCATION'
   MM19_4  = 'SERVICES: PRIVATE PROGRAMS'
   MM19_91 = 'SERVICES: OTHER'
   MM20    = '# TIMES RECEIVED JOB TRAINING SERVICES'
   MM21    = 'TAKEN CLASSES TO IMPROVE EDUCATION'
   MM22_1  = 'SERVICES: REGULAR PUBLIC SCHOOL'
   MM22_2  = 'SERVICES: TECHNICAL OR VOCATIONAL SCHOOL'
   MM22_3  = 'SERVICES: ADULT/CONTINUING EDUCATION'
   MM22_4  = 'SERVICES: PRIVATE PROGRAMS'
   MM22_91 = 'SERVICES: OTHER'
   MM23    = '#TIMES TAKEN CLASSES TO IMPROVE EDUCATION'
   MM24    = 'RECEIVED SERVICES FOR LEGAL PROBLEMS'
   MM25_1  = 'SERVICES: PRIVATE LAWYER'
   MM25_2  = 'SERVICES: LEGAL AID'
   MM25_3  = 'SERVICES: PUBLIC DEFENDER'
   MM25_9  = 'SERVICES: OTHER LEGAL'
   MM26    = '# TIMES RECEIVED SERVICES FOR LEGAL PROBLEMS'
   MM27    = 'RECEIVED SERVICES TO HELP W/HOUSING PROBLEMS'
   MM28_1  = 'SERVICES: WELFARE OR PUBLIC ASSISTANCE'
   MM28_2  = 'SERVICES: SOCIAL SECURITY OFFICE'
   MM28_3  = 'SERVICES: UNEMPLOYMENT OFFICE'
   MM28_4  = 'SERVICES: EMPLOYER/UNION'
   MM28_9  = 'SERVICES: OTHER'
   MM29    = '#TIMES RECEIVED SERVICES/FINANCIAL/HOUSING'
   MM30    = 'COUNSELING W/PROFESSIONAL BECAUSE OF CRISIS'
   MM30A   = '# COUNSELING SESSIONS BECAUSE OF CRISIS'
   MM30B   = 'HOW HELPFUL WAS THIS SERVICE?'
   MM31    = 'MOST HELPFUL SERVICE PAST 12 MONTHS'
   MM32    = 'LEAST HELPFUL SERVICE PAST 12 MONTHS'
   MM33    = 'TREATMENT HELPED STOP/CUT DOWN DRUG USE'
   MM33A   = 'TREATMENT HAS HELPED'
   MM34    = 'HOW MUCH HAS TREATMENT HELPED W/OTHER PROBLEMS'
   MM35    = 'NOTICED CHANGES IN YOUR THOUGHTS/FEELING'
   MM35A1  = 'FIRST CHANGE'
   MM35A1CT= 'FIRST CHANGE - CATEGORIZED'
   MM35B1  = 'FIRST CAUSE FOR CHANGE'
   MM35B1CT= 'FIRST CAUSE FOR CHANGE - CATEGORIZED'
   MM35A2  = 'SECOND CHANGE'
   MM35A2CT= 'SECOND CHANGE - CATEGORIZED'
   MM35B2  = 'SECOND CAUSE FOR CHANGE'
   MM35B2CT= 'SECOND CAUSE FOR CHANGE - CATEGORIZED'
   MM35A3  = 'THIRD CHANGE'
   MM35A3CT= 'THIRD CHANGE - CATEGORIZED'
   MM35B3  = 'THIRD CAUSE FOR CHANGE'
   MM35B3CT= 'THIRD CAUSE FOR CHANGE - CATEGORIZED'
   MM35A4  = 'FOURTH CHANGE'
   MM35A4CT= 'FOURTH CHANGE - CATEGORIZED'
   MM35B4  = 'FOURTH CAUSE FOR CHANGE'
   MM35B4CT= 'FOURTH CAUSE FOR CHANGE - CATEGORIZED'
   MM35A5  = 'FIFTH CHANGE'
   MM35A5CT= 'FIFTH CHANGE - CATEGORIZED'
   MM35B5  = 'FIFTH CAUSE FOR CHANGE'
   MM35B5CT= 'FIFTH CAUSE FOR CHANGE - CATEGORIZED'
   MMD_MO  = 'DATE: MONTH'
   MMT_HH  = 'TIME: HOUR'
   MMT_MM  = 'TIME: MINUTE'
   MMAMPM  = 'TIME RECORDED AS AM OR PM'
   MN1     = 'WERE ALL APPLICABLE QUESTIONS ANSWERED?'
   MN2     = 'RESPONDENT UNDERSTOOD ALL QUESTION ASKED'
   MN2A    = '# OF QUESTIONS RESPONDENT DIDN''T UNDERSTAND'
   MN3_1_1 = 'NOT UNDERSTOOD: INTELLECTUALLY UNABLE'
   MN3_1_2 = 'SEVERITY OF INTELLECTUAL DIFFICULTY'
   MN3_2_1 = 'NOT UNDERSTOOD: LANGUAGE BARRIER'
   MN3_2_2 = 'SEVERITY OF LANGUAGE BARRIER'
   MN3_3_1 = 'NOT UNDERSTOOD: PHYSICALLY UNABLE'
   MN3_3_2 = 'SEVERITY OF PHYSICAL DIFFICULTY'
   MN3_4_1 = 'NOT UNDERSTOOD: OTHER'
   MN3_4_2 = 'SEVERITY OF OTHER PROBLEM'
   MN4     = 'WAS THE INTERVIEW A BREAK-OFF?'
   MN4A1   = 'BREAK-OFF: INTERVIEWER EMERGENCY'
   MN4A2   = 'BREAK-OFF: RESPONDENT EMERGENCY'
   MN4A3   = 'BREAK-OFF: RESPONDENT TIRED, BORED'
   MN4A4   = 'BREAK-OFF: RESPONDENT ANGRY ABOUT QUESTIONS'
   MN4A5   = 'BREAK-OFF: RESPONDENT UPSET ABOUT QUESTIONS'
   MN4A6   = 'BREAK-OFF: OTHER REASON'
   MN5     = 'RESPONSE TO POSSIBLE FUTURE INTERVIEW'
   MN6     = 'WAS INTERVIEW GIVEN IN MORE THAN 1 SESSION'
   MN6A1   = 'HOURS OF INTERVIEW BEFORE INTERRUPTED 1ST TIME'
   MN6A2   = 'MINUTES OF INTERVIEW BEFORE INTERRUPTED 1ST TIME'
   MP1     = 'EVER TALKED TO DOCTOR/MEMORY PROBLEM?'
   MP2     = 'WHAT IS THE YEAR?'
   MP3     = 'WHAT SEASON OF THE YEAR?'
   MP4     = 'WHAT IS THE DATE?'
   MP5     = 'WHAT IS THE DAY OF THE WEEK?'
   MP6     = 'WHAT IS THE MONTH?'
   MP7     = 'CAN YOU TELL WHERE WE ARE NOW?'
   MP8     = 'WHAT COUNTY ARE WE IN?'
   MP9     = 'WHAT CITY/TOWN ARE WE IN?'
   MP10A   = 'WHAT FLOOR OF BUILDING ARE WE ON?'
   MP10B   = 'WHAT IS THE NAME OF THIS PLACE?'
   MP11A   = 'APPLE/3 OBJECTS/REMEMBER OBJECTS'
   MP11B   = 'TABLE/3 OBJECTS/REMEMBER OBJECTS'
   MP11C   = 'PENNY/3 OBJECTS/ REMEMBER OBJECTS'
   MP12A   = 'WOULD YOU SUBTRACT 7 FROM 100'
   MP12B   = 'WOULD YOU SUBTRACT 7 FROM 93'
   MP12C   = 'WOULD YOU SUBTRACT 7 FROM 86'
   MP12D   = 'WOULD YOU SUBTRACT 7 FROM 79'
   MP12E   = 'WOULD YOU SUBTRACT 7 FROM 72'
   MP13    = 'CIRCLE NUMBER OF ERRORS/REFUSED'
   MP14A   = 'APPLE/3 OBJECTS/REMEMBER OBJECTS'
   MP14B   = 'TABLE/3 OBJECTS/REMEMBER OBJECTS'
   MP14C   = 'PENNY/3 OBJECTS/ REMEMBER OBJECTS'
   MP15A   = 'SHOW WRIST WATCH/ASK/WHAT IS THIS?'
   MP15B   = 'SHOW PENCIL/ASK/WHAT IS THIS?'
   MP16    = 'REPEAT A PHRASE AFTER ME'
   MP17    = 'HAND ''CLOSE YOUR EYES'' CARD TO RESPONDENT'
   MP18A   = 'TAKE PAPER IN YOUR RIGHT HAND'
   MP18B   = 'FOLD PAPER IN HALF'
   MP18C   = 'PUT PAPER DOWN ON YOUR LAP'
   MP19    = 'WRITE COMPLETE SENTENCE ON PAPER'
   MP20    = 'COPY THE DRAWING ON SAME PAPER'
   MP21    = '12/>12 05S CODED IN M2-M11/M14-M20?'
   MPDM    = 'DATE: MONTH'
   MPTH    = 'TIME: HOUR'
   MPTM    = 'TIME: MINUTE'
   MPAMPM  = 'TIME RECORDED AS AM OR PM'
   MD6C    = 'DAYS W/VALID DRIVERS LICENSE'
   ME26    = 'LONGEST # DAYS W/O USING PROBLEM DRUG'
   MG1A    = 'DAYS IN JAIL, PRISON OR DETENTION'
        ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (CASEID <= -1) THEN CASEID = .;
   IF (MAV_MST <= -1) THEN MAV_MST = .;
   IF (MAV_RACE <= -1) THEN MAV_RACE = .;
   IF (MAV_CJS <= -1) THEN MAV_CJS = .;
   IF (MBV_TERM <= -1) THEN MBV_TERM = .;
   IF (MCV_HALC <= -1) THEN MCV_HALC = .;
   IF (MCV_SUIC <= -1) THEN MCV_SUIC = .;
   IF (MCV_PDT <= -1) THEN MCV_PDT = .;
   IF (MCV_CJS <= -1) THEN MCV_CJS = .;
   IF (MCV_DR <= -1) THEN MCV_DR = .;
   IF (MCV_DWI <= -1) THEN MCV_DWI = .;
   IF (MCV_NDR <= -1) THEN MCV_NDR = .;
   IF (MCV_EMP <= -1) THEN MCV_EMP = .;
   IF (MCV_ALC <= -1) THEN MCV_ALC = .;
   IF (MCV_HAL <= -1) THEN MCV_HAL = .;
   IF (MCV_MRJ <= -1) THEN MCV_MRJ = .;
   IF (MCV_COC <= -1) THEN MCV_COC = .;
   IF (MCV_CRK <= -1) THEN MCV_CRK = .;
   IF (MCV_HER <= -1) THEN MCV_HER = .;
   IF (MCV_NAR <= -1) THEN MCV_NAR = .;
   IF (MCV_SED <= -1) THEN MCV_SED = .;
   IF (MCV_AMP <= -1) THEN MCV_AMP = .;
   IF (MCV_SUI <= -1) THEN MCV_SUI = .;
   IF (MDV_EDYR <= -1) THEN MDV_EDYR = .;
   IF (MEV_HALC <= -1) THEN MEV_HALC = .;
   IF (MEV_ALC <= -1) THEN MEV_ALC = .;
   IF (MEV_MRJ <= -1) THEN MEV_MRJ = .;
   IF (MEV_HAL <= -1) THEN MEV_HAL = .;
   IF (MEV_COC <= -1) THEN MEV_COC = .;
   IF (MEV_HER <= -1) THEN MEV_HER = .;
   IF (MEV_NAR <= -1) THEN MEV_NAR = .;
   IF (MEV_SED <= -1) THEN MEV_SED = .;
   IF (MEV_AMP <= -1) THEN MEV_AMP = .;
   IF (MEV_PDRG <= -1) THEN MEV_PDRG = .;
   IF (MFV_SUIC <= -1) THEN MFV_SUIC = .;
   IF (MGV_DR <= -1) THEN MGV_DR = .;
   IF (MGV_DWI <= -1) THEN MGV_DWI = .;
   IF (MGV_NDR <= -1) THEN MGV_NDR = .;
   IF (MGV_JAIL <= -1) THEN MGV_JAIL = .;
   IF (MHV_FTWK <= -1) THEN MHV_FTWK = .;
   IF (MHV_EMP <= -1) THEN MHV_EMP = .;
   IF (MLV_SEXB <= -1) THEN MLV_SEXB = .;
   IF (MLV_RSK5 <= -1) THEN MLV_RSK5 = .;
   IF (MMV_DT <= -1) THEN MMV_DT = .;
   IF (MGV_SIA <= -1) THEN MGV_SIA = .;
   IF (AGE <= -1) THEN AGE = .;
   IF (HLTHINS <= -1) THEN HLTHINS = .;
   IF (FTWORK <= -1) THEN FTWORK = .;
   IF (MSTAT <= -1) THEN MSTAT = .;
   IF (INSCHOOL <= -1) THEN INSCHOOL = .;
   IF (EDLEV <= -1) THEN EDLEV = .;
   IF (HVY_ALC <= -1) THEN HVY_ALC = .;
   IF (ALCR <= -1) THEN ALCR = .;
   IF (MRJR <= -1) THEN MRJR = .;
   IF (COCR <= -1) THEN COCR = .;
   IF (HERR <= -1) THEN HERR = .;
   IF (NARR <= -1) THEN NARR = .;
   IF (SEDR <= -1) THEN SEDR = .;
   IF (AMPR <= -1) THEN AMPR = .;
   IF (HALR <= -1) THEN HALR = .;
   IF (INHR <= -1) THEN INHR = .;
   IF (ALCWK <= -1) THEN ALCWK = .;
   IF (MRJWK <= -1) THEN MRJWK = .;
   IF (COCWK <= -1) THEN COCWK = .;
   IF (HERWK <= -1) THEN HERWK = .;
   IF (NARWK <= -1) THEN NARWK = .;
   IF (SEDWK <= -1) THEN SEDWK = .;
   IF (AMPWK <= -1) THEN AMPWK = .;
   IF (HALWK <= -1) THEN HALWK = .;
   IF (INHWK <= -1) THEN INHWK = .;
   IF (COC_EV <= -1) THEN COC_EV = .;
   IF (HER_EV <= -1) THEN HER_EV = .;
   IF (NAR_EV <= -1) THEN NAR_EV = .;
   IF (SED_EV <= -1) THEN SED_EV = .;
   IF (AMP_EV <= -1) THEN AMP_EV = .;
   IF (HAL_EV <= -1) THEN HAL_EV = .;
   IF (INH_EV <= -1) THEN INH_EV = .;
   IF (CJ_STAT <= -1) THEN CJ_STAT = .;
   IF (IAY_SIA <= -1) THEN IAY_SIA = .;
   IF (MAJSRC <= -1) THEN MAJSRC = .;
   IF (REFER <= -1) THEN REFER = .;
   IF (RESTRICT <= -1) THEN RESTRICT = .;
   IF (DRUGTX <= -1) THEN DRUGTX = .;
   IF (SCHOOL <= -1) THEN SCHOOL = .;
   IF (IAPY <= -1) THEN IAPY = .;
   IF (PDT <= -1) THEN PDT = .;
   IF (CRKR <= -1) THEN CRKR = .;
   IF (CRKWK <= -1) THEN CRKWK = .;
   IF (MIA1_1 <= -1) THEN MIA1_1 = .;
   IF (MIA1_2 <= -1) THEN MIA1_2 = .;
   IF (MIA2_1 <= -1) THEN MIA2_1 = .;
   IF (MIA2_2 <= -1) THEN MIA2_2 = .;
   IF (MIA3_1 <= -1) THEN MIA3_1 = .;
   IF (MIA3_2 <= -1) THEN MIA3_2 = .;
   IF (MIA4_1 <= -1) THEN MIA4_1 = .;
   IF (MIA4_2 <= -1) THEN MIA4_2 = .;
   IF (MIA5_1 <= -1) THEN MIA5_1 = .;
   IF (MIA5_2 <= -1) THEN MIA5_2 = .;
   IF (MIA6_1 <= -1) THEN MIA6_1 = .;
   IF (MIA6_2 <= -1) THEN MIA6_2 = .;
   IF (MIA7_1 <= -1) THEN MIA7_1 = .;
   IF (MIA7_2 <= -1) THEN MIA7_2 = .;
   IF (MIA8_1 <= -1) THEN MIA8_1 = .;
   IF (MIA8_2 <= -1) THEN MIA8_2 = .;
   IF (MIA9_1 <= -1) THEN MIA9_1 = .;
   IF (MIA9_2 <= -1) THEN MIA9_2 = .;
   IF (MIA10_1 <= -1) THEN MIA10_1 = .;
   IF (MIA10_2 <= -1) THEN MIA10_2 = .;
   IF (MDA_YR <= -1) THEN MDA_YR = .;
   IF (MFIRE <= -1) THEN MFIRE = .;
   IF (MTOLE <= -1) THEN MTOLE = .;
   IF (MA2 <= -1) THEN MA2 = .;
   IF (MA5 <= -1) THEN MA5 = .;
   IF (MA6 <= -1) THEN MA6 = .;
   IF (MA7 <= -1) THEN MA7 = .;
   IF (MA8 <= -1) THEN MA8 = .;
   IF (MA9_0 <= -1) THEN MA9_0 = .;
   IF (MA9_1 <= -1) THEN MA9_1 = .;
   IF (MA9A_1 <= -1) THEN MA9A_1 = .;
   IF (MA9B_1 <= -1) THEN MA9B_1 = .;
   IF (MA9C_1 <= -1) THEN MA9C_1 = .;
   IF (MA9D_1 <= -1) THEN MA9D_1 = .;
   IF (MA9_2 <= -1) THEN MA9_2 = .;
   IF (MA9A_2 <= -1) THEN MA9A_2 = .;
   IF (MA9B_2 <= -1) THEN MA9B_2 = .;
   IF (MA9C_2 <= -1) THEN MA9C_2 = .;
   IF (MA9D_2 <= -1) THEN MA9D_2 = .;
   IF (MA9_3 <= -1) THEN MA9_3 = .;
   IF (MA9A_3 <= -1) THEN MA9A_3 = .;
   IF (MA9B_3 <= -1) THEN MA9B_3 = .;
   IF (MA9C_3 <= -1) THEN MA9C_3 = .;
   IF (MA9D_3 <= -1) THEN MA9D_3 = .;
   IF (MA9_4 <= -1) THEN MA9_4 = .;
   IF (MA9A_4 <= -1) THEN MA9A_4 = .;
   IF (MA9B_4 <= -1) THEN MA9B_4 = .;
   IF (MA9C_4 <= -1) THEN MA9C_4 = .;
   IF (MA9D_4 <= -1) THEN MA9D_4 = .;
   IF (MA9_5 <= -1) THEN MA9_5 = .;
   IF (MA9A_5 <= -1) THEN MA9A_5 = .;
   IF (MA9B_5 <= -1) THEN MA9B_5 = .;
   IF (MA9C_5 <= -1) THEN MA9C_5 = .;
   IF (MA9D_5 <= -1) THEN MA9D_5 = .;
   IF (MA10 <= -1) THEN MA10 = .;
   IF (MA11A <= -1) THEN MA11A = .;
   IF (MA11B <= -1) THEN MA11B = .;
   IF (MA11C <= -1) THEN MA11C = .;
   IF (MA12A <= -1) THEN MA12A = .;
   IF (MA12B <= -1) THEN MA12B = .;
   IF (MA12C <= -1) THEN MA12C = .;
   IF (MA12D <= -1) THEN MA12D = .;
   IF (MA12E <= -1) THEN MA12E = .;
   IF (MA12F <= -1) THEN MA12F = .;
   IF (MA12G <= -1) THEN MA12G = .;
   IF (MA13 <= -1) THEN MA13 = .;
   IF (MA14_0 <= -1) THEN MA14_0 = .;
   IF (MA14_1 <= -1) THEN MA14_1 = .;
   IF (MA14_2 <= -1) THEN MA14_2 = .;
   IF (MA14_3 <= -1) THEN MA14_3 = .;
   IF (MA14_4 <= -1) THEN MA14_4 = .;
   IF (MA14_5 <= -1) THEN MA14_5 = .;
   IF (MA14_6 <= -1) THEN MA14_6 = .;
   IF (MA14_7 <= -1) THEN MA14_7 = .;
   IF (MA14_8 <= -1) THEN MA14_8 = .;
   IF (MA14_9 <= -1) THEN MA14_9 = .;
   IF (MA15 <= -1) THEN MA15 = .;
   IF (MA15A <= -1) THEN MA15A = .;
   IF (MA16 <= -1) THEN MA16 = .;
   IF (MA16A <= -1) THEN MA16A = .;
   IF (MA16B <= -1) THEN MA16B = .;
   IF (MA16C <= -1) THEN MA16C = .;
   IF (MA16D <= -1) THEN MA16D = .;
   IF (MA17 <= -1) THEN MA17 = .;
   IF (MA17A <= -1) THEN MA17A = .;
   IF (MA18 <= -1) THEN MA18 = .;
   IF (MA19 <= -1) THEN MA19 = .;
   IF (MA20 <= -1) THEN MA20 = .;
   IF (MA21 <= -1) THEN MA21 = .;
   IF (MA22 <= -1) THEN MA22 = .;
   IF (MA23 <= -1) THEN MA23 = .;
   IF (MA24 <= -1) THEN MA24 = .;
   IF (MA25 <= -1) THEN MA25 = .;
   IF (MA26 <= -1) THEN MA26 = .;
   IF (MA27 <= -1) THEN MA27 = .;
   IF (MA28 <= -1) THEN MA28 = .;
   IF (MA28A <= -1) THEN MA28A = .;
   IF (MA28B <= -1) THEN MA28B = .;
   IF (MA29A <= -1) THEN MA29A = .;
   IF (MA29B <= -1) THEN MA29B = .;
   IF (MA29C <= -1) THEN MA29C = .;
   IF (MA29D <= -1) THEN MA29D = .;
   IF (MA29E <= -1) THEN MA29E = .;
   IF (MA29F <= -1) THEN MA29F = .;
   IF (MA29G <= -1) THEN MA29G = .;
   IF (MA29H <= -1) THEN MA29H = .;
   IF (MA29I <= -1) THEN MA29I = .;
   IF (MA29J <= -1) THEN MA29J = .;
   IF (MA30 <= -1) THEN MA30 = .;
   IF (MA31A <= -1) THEN MA31A = .;
   IF (MA31B <= -1) THEN MA31B = .;
   IF (MA31C <= -1) THEN MA31C = .;
   IF (MA31D <= -1) THEN MA31D = .;
   IF (MA31E <= -1) THEN MA31E = .;
   IF (MA31F <= -1) THEN MA31F = .;
   IF (MA31G <= -1) THEN MA31G = .;
   IF (MA31H <= -1) THEN MA31H = .;
   IF (MA31I <= -1) THEN MA31I = .;
   IF (MA31J <= -1) THEN MA31J = .;
   IF (MA31K <= -1) THEN MA31K = .;
   IF (MA31L <= -1) THEN MA31L = .;
   IF (MA31M <= -1) THEN MA31M = .;
   IF (MA31N <= -1) THEN MA31N = .;
   IF (MA32 <= -1) THEN MA32 = .;
   IF (MA33A <= -1) THEN MA33A = .;
   IF (MA33B <= -1) THEN MA33B = .;
   IF (MA33C <= -1) THEN MA33C = .;
   IF (MA33D <= -1) THEN MA33D = .;
   IF (MA33E <= -1) THEN MA33E = .;
   IF (MA33F <= -1) THEN MA33F = .;
   IF (MA34 <= -1) THEN MA34 = .;
   IF (MA35A <= -1) THEN MA35A = .;
   IF (MA35B <= -1) THEN MA35B = .;
   IF (MA35C <= -1) THEN MA35C = .;
   IF (MA35D <= -1) THEN MA35D = .;
   IF (MA35E <= -1) THEN MA35E = .;
   IF (MA35F <= -1) THEN MA35F = .;
   IF (MA35G <= -1) THEN MA35G = .;
   IF (MA35H <= -1) THEN MA35H = .;
   IF (MA35I <= -1) THEN MA35I = .;
   IF (MA35J <= -1) THEN MA35J = .;
   IF (MA35K <= -1) THEN MA35K = .;
   IF (MA35L <= -1) THEN MA35L = .;
   IF (MA35M <= -1) THEN MA35M = .;
   IF (MA35N <= -1) THEN MA35N = .;
   IF (MA36A <= -1) THEN MA36A = .;
   IF (MA37A <= -1) THEN MA37A = .;
   IF (MA36B <= -1) THEN MA36B = .;
   IF (MA37B <= -1) THEN MA37B = .;
   IF (MA36C <= -1) THEN MA36C = .;
   IF (MA37C <= -1) THEN MA37C = .;
   IF (MA36D <= -1) THEN MA36D = .;
   IF (MA37D <= -1) THEN MA37D = .;
   IF (MA36E <= -1) THEN MA36E = .;
   IF (MA37E <= -1) THEN MA37E = .;
   IF (MA36F <= -1) THEN MA36F = .;
   IF (MA37F <= -1) THEN MA37F = .;
   IF (MA36G <= -1) THEN MA36G = .;
   IF (MA37G <= -1) THEN MA37G = .;
   IF (MA36H <= -1) THEN MA36H = .;
   IF (MA37H <= -1) THEN MA37H = .;
   IF (MA36I <= -1) THEN MA36I = .;
   IF (MA37I <= -1) THEN MA37I = .;
   IF (MA36J <= -1) THEN MA36J = .;
   IF (MA37J <= -1) THEN MA37J = .;
   IF (MA38 <= -1) THEN MA38 = .;
   IF (MA39 <= -1) THEN MA39 = .;
   IF (MA40 <= -1) THEN MA40 = .;
   IF (MA41 <= -1) THEN MA41 = .;
   IF (MA42 <= -1) THEN MA42 = .;
   IF (MA43 <= -1) THEN MA43 = .;
   IF (MA44 <= -1) THEN MA44 = .;
   IF (MA45 <= -1) THEN MA45 = .;
   IF (MA46 <= -1) THEN MA46 = .;
   IF (MA47 <= -1) THEN MA47 = .;
   IF (MA48 <= -1) THEN MA48 = .;
   IF (MA49 <= -1) THEN MA49 = .;
   IF (MA50 <= -1) THEN MA50 = .;
   IF (MB1 <= -1) THEN MB1 = .;
   IF (MB1A_MO <= -1) THEN MB1A_MO = .;
   IF (MB1A_YR <= -1) THEN MB1A_YR = .;
   IF (MB2 <= -1) THEN MB2 = .;
   IF (MB2A <= -1) THEN MB2A = .;
   IF (MB2B <= -1) THEN MB2B = .;
   IF (MB2C <= -1) THEN MB2C = .;
   IF (MB3 <= -1) THEN MB3 = .;
   IF (MB3A <= -1) THEN MB3A = .;
   IF (MB3B <= -1) THEN MB3B = .;
   IF (MB3C_1 <= -1) THEN MB3C_1 = .;
   IF (MB3C_2 <= -1) THEN MB3C_2 = .;
   IF (MB3C_3 <= -1) THEN MB3C_3 = .;
   IF (MB3C_4 <= -1) THEN MB3C_4 = .;
   IF (MB3C_5 <= -1) THEN MB3C_5 = .;
   IF (MB3C_6 <= -1) THEN MB3C_6 = .;
   IF (MB3C_7 <= -1) THEN MB3C_7 = .;
   IF (MB3C_8 <= -1) THEN MB3C_8 = .;
   IF (MB4_0 <= -1) THEN MB4_0 = .;
   IF (MB4_1 <= -1) THEN MB4_1 = .;
   IF (MB4_2 <= -1) THEN MB4_2 = .;
   IF (MB4_3 <= -1) THEN MB4_3 = .;
   IF (MB4_4 <= -1) THEN MB4_4 = .;
   IF (MB4_5 <= -1) THEN MB4_5 = .;
   IF (MB4_6 <= -1) THEN MB4_6 = .;
   IF (MB4_7 <= -1) THEN MB4_7 = .;
   IF (MB4_8 <= -1) THEN MB4_8 = .;
   IF (MB4_9 <= -1) THEN MB4_9 = .;
   IF (MB5 <= -1) THEN MB5 = .;
   IF (MB6 <= -1) THEN MB6 = .;
   IF (MB7 <= -1) THEN MB7 = .;
   IF (MB8 <= -1) THEN MB8 = .;
   IF (MB9 <= -1) THEN MB9 = .;
   IF (MB10 <= -1) THEN MB10 = .;
   IF (MB11 <= -1) THEN MB11 = .;
   IF (MB11A_1 <= -1) THEN MB11A_1 = .;
   IF (MB11A_2 <= -1) THEN MB11A_2 = .;
   IF (MB11A_3 <= -1) THEN MB11A_3 = .;
   IF (MB11A_4 <= -1) THEN MB11A_4 = .;
   IF (MB11A_5 <= -1) THEN MB11A_5 = .;
   IF (MB11A_6 <= -1) THEN MB11A_6 = .;
   IF (MB11A_7 <= -1) THEN MB11A_7 = .;
   IF (MB11A_8 <= -1) THEN MB11A_8 = .;
   IF (MB11A_8S <= -1) THEN MB11A_8S = .;
   IF (MB12 <= -1) THEN MB12 = .;
   IF (MB13 <= -1) THEN MB13 = .;
   IF (MB14_10 <= -1) THEN MB14_10 = .;
   IF (MB14_20 <= -1) THEN MB14_20 = .;
   IF (MB14_30 <= -1) THEN MB14_30 = .;
   IF (MB14_40 <= -1) THEN MB14_40 = .;
   IF (MB14_41 <= -1) THEN MB14_41 = .;
   IF (MB14_42 <= -1) THEN MB14_42 = .;
   IF (MB14_50 <= -1) THEN MB14_50 = .;
   IF (MB14_60 <= -1) THEN MB14_60 = .;
   IF (MB14_70 <= -1) THEN MB14_70 = .;
   IF (MB14_80 <= -1) THEN MB14_80 = .;
   IF (MB14_90 <= -1) THEN MB14_90 = .;
   IF (MB15 <= -1) THEN MB15 = .;
   IF (MB16 <= -1) THEN MB16 = .;
   IF (MB17 <= -1) THEN MB17 = .;
   IF (MB18 <= -1) THEN MB18 = .;
   IF (MB18A <= -1) THEN MB18A = .;
   IF (MB19 <= -1) THEN MB19 = .;
   IF (MB19A <= -1) THEN MB19A = .;
   IF (MB19B <= -1) THEN MB19B = .;
   IF (MB20 <= -1) THEN MB20 = .;
   IF (MB21 <= -1) THEN MB21 = .;
   IF (MB22 <= -1) THEN MB22 = .;
   IF (MB23 <= -1) THEN MB23 = .;
   IF (MB23_1 <= -1) THEN MB23_1 = .;
   IF (MB24 <= -1) THEN MB24 = .;
   IF (MB25 <= -1) THEN MB25 = .;
   IF (MB26 <= -1) THEN MB26 = .;
   IF (MB26A <= -1) THEN MB26A = .;
   IF (MC1 <= -1) THEN MC1 = .;
   IF (MC2_0 <= -1) THEN MC2_0 = .;
   IF (MC2_1 <= -1) THEN MC2_1 = .;
   IF (MC2_2 <= -1) THEN MC2_2 = .;
   IF (MC2_3 <= -1) THEN MC2_3 = .;
   IF (MC2_4 <= -1) THEN MC2_4 = .;
   IF (MC2_5 <= -1) THEN MC2_5 = .;
   IF (MC2_6 <= -1) THEN MC2_6 = .;
   IF (MC2_7 <= -1) THEN MC2_7 = .;
   IF (MC2_8 <= -1) THEN MC2_8 = .;
   IF (MC2_9 <= -1) THEN MC2_9 = .;
   IF (MC3 <= -1) THEN MC3 = .;
   IF (MC4 <= -1) THEN MC4 = .;
   IF (MC4_1 <= -1) THEN MC4_1 = .;
   IF (MC5 <= -1) THEN MC5 = .;
   IF (MC6 <= -1) THEN MC6 = .;
   IF (MC6A <= -1) THEN MC6A = .;
   IF (MC7 <= -1) THEN MC7 = .;
   IF (MC8 <= -1) THEN MC8 = .;
   IF (MC9_20 <= -1) THEN MC9_20 = .;
   IF (MC9_30 <= -1) THEN MC9_30 = .;
   IF (MC9_40 <= -1) THEN MC9_40 = .;
   IF (MC9_41 <= -1) THEN MC9_41 = .;
   IF (MC9_42 <= -1) THEN MC9_42 = .;
   IF (MC9_50 <= -1) THEN MC9_50 = .;
   IF (MC9_60 <= -1) THEN MC9_60 = .;
   IF (MC9_70 <= -1) THEN MC9_70 = .;
   IF (MC9_80 <= -1) THEN MC9_80 = .;
   IF (MC9_90 <= -1) THEN MC9_90 = .;
   IF (MC10 <= -1) THEN MC10 = .;
   IF (MC11 <= -1) THEN MC11 = .;
   IF (MC12 <= -1) THEN MC12 = .;
   IF (MC13 <= -1) THEN MC13 = .;
   IF (MC14A <= -1) THEN MC14A = .;
   IF (MC14AA <= -1) THEN MC14AA = .;
   IF (MC14BA <= -1) THEN MC14BA = .;
   IF (MC14B <= -1) THEN MC14B = .;
   IF (MC14AB <= -1) THEN MC14AB = .;
   IF (MC14BB <= -1) THEN MC14BB = .;
   IF (MC14C <= -1) THEN MC14C = .;
   IF (MC14AC <= -1) THEN MC14AC = .;
   IF (MC14BC <= -1) THEN MC14BC = .;
   IF (MC14D <= -1) THEN MC14D = .;
   IF (MC14AD <= -1) THEN MC14AD = .;
   IF (MC14BD <= -1) THEN MC14BD = .;
   IF (MC14E <= -1) THEN MC14E = .;
   IF (MC14AE <= -1) THEN MC14AE = .;
   IF (MC14BE <= -1) THEN MC14BE = .;
   IF (MC14F <= -1) THEN MC14F = .;
   IF (MC14AF <= -1) THEN MC14AF = .;
   IF (MC14BF <= -1) THEN MC14BF = .;
   IF (MC15_1 <= -1) THEN MC15_1 = .;
   IF (MC16_1 <= -1) THEN MC16_1 = .;
   IF (MC17_1 <= -1) THEN MC17_1 = .;
   IF (MC15_2 <= -1) THEN MC15_2 = .;
   IF (MC16_2 <= -1) THEN MC16_2 = .;
   IF (MC17_2 <= -1) THEN MC17_2 = .;
   IF (MC15_3 <= -1) THEN MC15_3 = .;
   IF (MC16_3 <= -1) THEN MC16_3 = .;
   IF (MC17_3 <= -1) THEN MC17_3 = .;
   IF (MC15_4 <= -1) THEN MC15_4 = .;
   IF (MC16_4 <= -1) THEN MC16_4 = .;
   IF (MC17_4 <= -1) THEN MC17_4 = .;
   IF (MC15_5 <= -1) THEN MC15_5 = .;
   IF (MC16_5 <= -1) THEN MC16_5 = .;
   IF (MC17_5 <= -1) THEN MC17_5 = .;
   IF (MC15_7 <= -1) THEN MC15_7 = .;
   IF (MC16_7 <= -1) THEN MC16_7 = .;
   IF (MC17_7 <= -1) THEN MC17_7 = .;
   IF (MC15_8 <= -1) THEN MC15_8 = .;
   IF (MC16_8 <= -1) THEN MC16_8 = .;
   IF (MC17_8 <= -1) THEN MC17_8 = .;
   IF (MC15_9 <= -1) THEN MC15_9 = .;
   IF (MC16_9 <= -1) THEN MC16_9 = .;
   IF (MC17_9 <= -1) THEN MC17_9 = .;
   IF (MC15_10 <= -1) THEN MC15_10 = .;
   IF (MC16_10 <= -1) THEN MC16_10 = .;
   IF (MC17_10 <= -1) THEN MC17_10 = .;
   IF (MC15_11 <= -1) THEN MC15_11 = .;
   IF (MC16_11 <= -1) THEN MC16_11 = .;
   IF (MC17_11 <= -1) THEN MC17_11 = .;
   IF (MC15_12 <= -1) THEN MC15_12 = .;
   IF (MC16_12 <= -1) THEN MC16_12 = .;
   IF (MC17_12 <= -1) THEN MC17_12 = .;
   IF (MC18 <= -1) THEN MC18 = .;
   IF (MC19 <= -1) THEN MC19 = .;
   IF (MC20 <= -1) THEN MC20 = .;
   IF (MC21 <= -1) THEN MC21 = .;
   IF (MC22 <= -1) THEN MC22 = .;
   IF (MC22A <= -1) THEN MC22A = .;
   IF (MD5 <= -1) THEN MD5 = .;
   IF (MD6 <= -1) THEN MD6 = .;
   IF (MD6A <= -1) THEN MD6A = .;
   IF (MD6B <= -1) THEN MD6B = .;
   IF (MD6D <= -1) THEN MD6D = .;
   IF (MD7 <= -1) THEN MD7 = .;
   IF (MD8 <= -1) THEN MD8 = .;
   IF (MD8A <= -1) THEN MD8A = .;
   IF (MD9 <= -1) THEN MD9 = .;
   IF (MD9A <= -1) THEN MD9A = .;
   IF (MD9B1 <= -1) THEN MD9B1 = .;
   IF (MD9B2 <= -1) THEN MD9B2 = .;
   IF (MD9B3 <= -1) THEN MD9B3 = .;
   IF (MD9B4 <= -1) THEN MD9B4 = .;
   IF (MD9B5 <= -1) THEN MD9B5 = .;
   IF (MD9B6 <= -1) THEN MD9B6 = .;
   IF (MD9B7 <= -1) THEN MD9B7 = .;
   IF (MD9B8 <= -1) THEN MD9B8 = .;
   IF (MD9B9 <= -1) THEN MD9B9 = .;
   IF (MD9B10 <= -1) THEN MD9B10 = .;
   IF (MD9B11 <= -1) THEN MD9B11 = .;
   IF (MD9C <= -1) THEN MD9C = .;
   IF (MD9D <= -1) THEN MD9D = .;
   IF (MD9E <= -1) THEN MD9E = .;
   IF (MD9F <= -1) THEN MD9F = .;
   IF (MD9G <= -1) THEN MD9G = .;
   IF (MD9H <= -1) THEN MD9H = .;
   IF (MD9I <= -1) THEN MD9I = .;
   IF (MD9J <= -1) THEN MD9J = .;
   IF (MD9K <= -1) THEN MD9K = .;
   IF (MD10_0 <= -1) THEN MD10_0 = .;
   IF (MD10_1 <= -1) THEN MD10_1 = .;
   IF (MD10_2 <= -1) THEN MD10_2 = .;
   IF (MD10_3 <= -1) THEN MD10_3 = .;
   IF (MD10_4 <= -1) THEN MD10_4 = .;
   IF (MD10_5 <= -1) THEN MD10_5 = .;
   IF (MD10_6 <= -1) THEN MD10_6 = .;
   IF (MD10_7 <= -1) THEN MD10_7 = .;
   IF (MD10_8 <= -1) THEN MD10_8 = .;
   IF (MD11 <= -1) THEN MD11 = .;
   IF (MD11A1 <= -1) THEN MD11A1 = .;
   IF (MD11A2 <= -1) THEN MD11A2 = .;
   IF (MD11A3 <= -1) THEN MD11A3 = .;
   IF (MD11A4 <= -1) THEN MD11A4 = .;
   IF (MD11A5 <= -1) THEN MD11A5 = .;
   IF (MD11A6 <= -1) THEN MD11A6 = .;
   IF (MD11A7 <= -1) THEN MD11A7 = .;
   IF (MD11A8 <= -1) THEN MD11A8 = .;
   IF (MD11A9 <= -1) THEN MD11A9 = .;
   IF (MD11A10 <= -1) THEN MD11A10 = .;
   IF (MD11A11 <= -1) THEN MD11A11 = .;
   IF (MD11B <= -1) THEN MD11B = .;
   IF (MD11C <= -1) THEN MD11C = .;
   IF (ME1 <= -1) THEN ME1 = .;
   IF (ME2 <= -1) THEN ME2 = .;
   IF (ME3 <= -1) THEN ME3 = .;
   IF (ME4 <= -1) THEN ME4 = .;
   IF (ME5 <= -1) THEN ME5 = .;
   IF (ME6 <= -1) THEN ME6 = .;
   IF (ME7 <= -1) THEN ME7 = .;
   IF (ME8 <= -1) THEN ME8 = .;
   IF (ME9 <= -1) THEN ME9 = .;
   IF (ME10 <= -1) THEN ME10 = .;
   IF (ME11 <= -1) THEN ME11 = .;
   IF (ME12 <= -1) THEN ME12 = .;
   IF (ME13 <= -1) THEN ME13 = .;
   IF (ME14 <= -1) THEN ME14 = .;
   IF (ME14A <= -1) THEN ME14A = .;
   IF (ME15_0 <= -1) THEN ME15_0 = .;
   IF (ME15_1 <= -1) THEN ME15_1 = .;
   IF (ME15_2 <= -1) THEN ME15_2 = .;
   IF (ME15_3 <= -1) THEN ME15_3 = .;
   IF (ME16_20 <= -1) THEN ME16_20 = .;
   IF (ME17_20 <= -1) THEN ME17_20 = .;
   IF (ME18_20 <= -1) THEN ME18_20 = .;
   IF (ME19_20 <= -1) THEN ME19_20 = .;
   IF (ME20_20 <= -1) THEN ME20_20 = .;
   IF (ME21_20 <= -1) THEN ME21_20 = .;
   IF (ME16_30 <= -1) THEN ME16_30 = .;
   IF (ME17_30 <= -1) THEN ME17_30 = .;
   IF (ME18_30 <= -1) THEN ME18_30 = .;
   IF (ME19_30 <= -1) THEN ME19_30 = .;
   IF (ME20_30 <= -1) THEN ME20_30 = .;
   IF (ME21_30 <= -1) THEN ME21_30 = .;
   IF (ME16_31 <= -1) THEN ME16_31 = .;
   IF (ME20_31 <= -1) THEN ME20_31 = .;
   IF (ME21_31 <= -1) THEN ME21_31 = .;
   IF (ME16_32 <= -1) THEN ME16_32 = .;
   IF (ME20_32 <= -1) THEN ME20_32 = .;
   IF (ME21_32 <= -1) THEN ME21_32 = .;
   IF (ME16_40 <= -1) THEN ME16_40 = .;
   IF (ME17_40 <= -1) THEN ME17_40 = .;
   IF (ME18_40 <= -1) THEN ME18_40 = .;
   IF (ME19_40 <= -1) THEN ME19_40 = .;
   IF (ME20_40 <= -1) THEN ME20_40 = .;
   IF (ME21_40 <= -1) THEN ME21_40 = .;
   IF (ME16_41 <= -1) THEN ME16_41 = .;
   IF (ME20_41 <= -1) THEN ME20_41 = .;
   IF (ME21_41 <= -1) THEN ME21_41 = .;
   IF (ME16_42 <= -1) THEN ME16_42 = .;
   IF (ME20_42 <= -1) THEN ME20_42 = .;
   IF (ME21_42 <= -1) THEN ME21_42 = .;
   IF (ME16_50 <= -1) THEN ME16_50 = .;
   IF (ME17_50 <= -1) THEN ME17_50 = .;
   IF (ME18_50 <= -1) THEN ME18_50 = .;
   IF (ME19_50 <= -1) THEN ME19_50 = .;
   IF (ME20_50 <= -1) THEN ME20_50 = .;
   IF (ME21_50 <= -1) THEN ME21_50 = .;
   IF (ME16_51 <= -1) THEN ME16_51 = .;
   IF (ME20_51 <= -1) THEN ME20_51 = .;
   IF (ME21_51 <= -1) THEN ME21_51 = .;
   IF (ME16_60 <= -1) THEN ME16_60 = .;
   IF (ME17_60 <= -1) THEN ME17_60 = .;
   IF (ME18_60 <= -1) THEN ME18_60 = .;
   IF (ME19_60 <= -1) THEN ME19_60 = .;
   IF (ME20_60 <= -1) THEN ME20_60 = .;
   IF (ME21_60 <= -1) THEN ME21_60 = .;
   IF (ME16_61 <= -1) THEN ME16_61 = .;
   IF (ME20_61 <= -1) THEN ME20_61 = .;
   IF (ME21_61 <= -1) THEN ME21_61 = .;
   IF (ME16_62 <= -1) THEN ME16_62 = .;
   IF (ME20_62 <= -1) THEN ME20_62 = .;
   IF (ME21_62 <= -1) THEN ME21_62 = .;
   IF (ME16_70 <= -1) THEN ME16_70 = .;
   IF (ME17_70 <= -1) THEN ME17_70 = .;
   IF (ME18_70 <= -1) THEN ME18_70 = .;
   IF (ME19_70 <= -1) THEN ME19_70 = .;
   IF (ME20_70 <= -1) THEN ME20_70 = .;
   IF (ME21_70 <= -1) THEN ME21_70 = .;
   IF (ME16_71 <= -1) THEN ME16_71 = .;
   IF (ME16_72 <= -1) THEN ME16_72 = .;
   IF (ME16_73 <= -1) THEN ME16_73 = .;
   IF (ME16_74 <= -1) THEN ME16_74 = .;
   IF (ME16_75 <= -1) THEN ME16_75 = .;
   IF (ME16_80 <= -1) THEN ME16_80 = .;
   IF (ME17_80 <= -1) THEN ME17_80 = .;
   IF (ME18_80 <= -1) THEN ME18_80 = .;
   IF (ME19_80 <= -1) THEN ME19_80 = .;
   IF (ME20_80 <= -1) THEN ME20_80 = .;
   IF (ME21_80 <= -1) THEN ME21_80 = .;
   IF (ME16_81 <= -1) THEN ME16_81 = .;
   IF (ME20_81 <= -1) THEN ME20_81 = .;
   IF (ME21_81 <= -1) THEN ME21_81 = .;
   IF (ME16_90 <= -1) THEN ME16_90 = .;
   IF (ME17_90 <= -1) THEN ME17_90 = .;
   IF (ME18_90 <= -1) THEN ME18_90 = .;
   IF (ME19_90 <= -1) THEN ME19_90 = .;
   IF (ME20_90 <= -1) THEN ME20_90 = .;
   IF (ME21_90 <= -1) THEN ME21_90 = .;
   IF (ME16_91 <= -1) THEN ME16_91 = .;
   IF (ME20_91 <= -1) THEN ME20_91 = .;
   IF (ME21_91 <= -1) THEN ME21_91 = .;
   IF (ME16_92 <= -1) THEN ME16_92 = .;
   IF (ME20_92 <= -1) THEN ME20_92 = .;
   IF (ME21_92 <= -1) THEN ME21_92 = .;
   IF (ME22_1 <= -1) THEN ME22_1 = .;
   IF (ME22_2 <= -1) THEN ME22_2 = .;
   IF (ME22_3 <= -1) THEN ME22_3 = .;
   IF (ME22_4 <= -1) THEN ME22_4 = .;
   IF (ME23 <= -1) THEN ME23 = .;
   IF (ME24 <= -1) THEN ME24 = .;
   IF (ME25 <= -1) THEN ME25 = .;
   IF (ME27 <= -1) THEN ME27 = .;
   IF (ME27A1 <= -1) THEN ME27A1 = .;
   IF (ME27A2 <= -1) THEN ME27A2 = .;
   IF (ME27A3 <= -1) THEN ME27A3 = .;
   IF (ME28 <= -1) THEN ME28 = .;
   IF (ME29 <= -1) THEN ME29 = .;
   IF (ME29A <= -1) THEN ME29A = .;
   IF (ME30 <= -1) THEN ME30 = .;
   IF (ME30A_1 <= -1) THEN ME30A_1 = .;
   IF (ME30A_2 <= -1) THEN ME30A_2 = .;
   IF (ME30A_3 <= -1) THEN ME30A_3 = .;
   IF (ME30A_4 <= -1) THEN ME30A_4 = .;
   IF (ME30A_5 <= -1) THEN ME30A_5 = .;
   IF (ME30A_6 <= -1) THEN ME30A_6 = .;
   IF (ME31 <= -1) THEN ME31 = .;
   IF (ME31A <= -1) THEN ME31A = .;
   IF (ME31B <= -1) THEN ME31B = .;
   IF (ME32A <= -1) THEN ME32A = .;
   IF (ME32B <= -1) THEN ME32B = .;
   IF (ME32C <= -1) THEN ME32C = .;
   IF (ME32D <= -1) THEN ME32D = .;
   IF (ME32E <= -1) THEN ME32E = .;
   IF (ME32F <= -1) THEN ME32F = .;
   IF (ME33A <= -1) THEN ME33A = .;
   IF (ME33B <= -1) THEN ME33B = .;
   IF (ME33C <= -1) THEN ME33C = .;
   IF (ME33D <= -1) THEN ME33D = .;
   IF (ME33E <= -1) THEN ME33E = .;
   IF (ME33F <= -1) THEN ME33F = .;
   IF (ME33G <= -1) THEN ME33G = .;
   IF (ME34 <= -1) THEN ME34 = .;
   IF (ME35 <= -1) THEN ME35 = .;
   IF (ME36 <= -1) THEN ME36 = .;
   IF (ME37 <= -1) THEN ME37 = .;
   IF (ME38 <= -1) THEN ME38 = .;
   IF (ME39 <= -1) THEN ME39 = .;
   IF (ME40 <= -1) THEN ME40 = .;
   IF (ME41 <= -1) THEN ME41 = .;
   IF (ME41A1 <= -1) THEN ME41A1 = .;
   IF (ME41A2 <= -1) THEN ME41A2 = .;
   IF (ME41A3 <= -1) THEN ME41A3 = .;
   IF (ME42A <= -1) THEN ME42A = .;
   IF (ME42B <= -1) THEN ME42B = .;
   IF (ME42C <= -1) THEN ME42C = .;
   IF (ME42D <= -1) THEN ME42D = .;
   IF (ME42E <= -1) THEN ME42E = .;
   IF (ME42F <= -1) THEN ME42F = .;
   IF (ME42G <= -1) THEN ME42G = .;
   IF (ME42H <= -1) THEN ME42H = .;
   IF (ME42I <= -1) THEN ME42I = .;
   IF (ME42J <= -1) THEN ME42J = .;
   IF (ME42K <= -1) THEN ME42K = .;
   IF (ME42L <= -1) THEN ME42L = .;
   IF (ME42M <= -1) THEN ME42M = .;
   IF (ME42N <= -1) THEN ME42N = .;
   IF (ME42O <= -1) THEN ME42O = .;
   IF (ME42P <= -1) THEN ME42P = .;
   IF (ME42Q <= -1) THEN ME42Q = .;
   IF (ME42R <= -1) THEN ME42R = .;
   IF (ME42S <= -1) THEN ME42S = .;
   IF (ME42T <= -1) THEN ME42T = .;
   IF (ME42U <= -1) THEN ME42U = .;
   IF (ME43 <= -1) THEN ME43 = .;
   IF (ME43A1 <= -1) THEN ME43A1 = .;
   IF (ME43A1CT <= -1) THEN ME43A1CT = .;
   IF (ME43B1 <= -1) THEN ME43B1 = .;
   IF (ME43A2 <= -1) THEN ME43A2 = .;
   IF (ME43A2CT <= -1) THEN ME43A2CT = .;
   IF (ME43B2 <= -1) THEN ME43B2 = .;
   IF (ME43A3 <= -1) THEN ME43A3 = .;
   IF (ME43A3CT <= -1) THEN ME43A3CT = .;
   IF (ME43B3 <= -1) THEN ME43B3 = .;
   IF (ME44 <= -1) THEN ME44 = .;
   IF (ME45 <= -1) THEN ME45 = .;
   IF (ME46 <= -1) THEN ME46 = .;
   IF (ME47 <= -1) THEN ME47 = .;
   IF (ME48 <= -1) THEN ME48 = .;
   IF (ME49 <= -1) THEN ME49 = .;
   IF (ME50A <= -1) THEN ME50A = .;
   IF (ME50B <= -1) THEN ME50B = .;
   IF (ME50C <= -1) THEN ME50C = .;
   IF (ME50D <= -1) THEN ME50D = .;
   IF (ME51 <= -1) THEN ME51 = .;
   IF (ME52 <= -1) THEN ME52 = .;
   IF (ME53 <= -1) THEN ME53 = .;
   IF (MF1 <= -1) THEN MF1 = .;
   IF (MF1A <= -1) THEN MF1A = .;
   IF (MF1B <= -1) THEN MF1B = .;
   IF (MF1C1 <= -1) THEN MF1C1 = .;
   IF (MF1C_WK <= -1) THEN MF1C_WK = .;
   IF (MF1D <= -1) THEN MF1D = .;
   IF (MF2 <= -1) THEN MF2 = .;
   IF (MF2A <= -1) THEN MF2A = .;
   IF (MF2B <= -1) THEN MF2B = .;
   IF (MF2B_WK <= -1) THEN MF2B_WK = .;
   IF (MF2C <= -1) THEN MF2C = .;
   IF (MF3 <= -1) THEN MF3 = .;
   IF (MF3A <= -1) THEN MF3A = .;
   IF (MF3A_WK <= -1) THEN MF3A_WK = .;
   IF (MF3B <= -1) THEN MF3B = .;
   IF (MF4 <= -1) THEN MF4 = .;
   IF (MF4A <= -1) THEN MF4A = .;
   IF (MF4A_WK <= -1) THEN MF4A_WK = .;
   IF (MF4B <= -1) THEN MF4B = .;
   IF (MF5 <= -1) THEN MF5 = .;
   IF (MF5A <= -1) THEN MF5A = .;
   IF (MF5A_WK <= -1) THEN MF5A_WK = .;
   IF (MF5B <= -1) THEN MF5B = .;
   IF (MF6 <= -1) THEN MF6 = .;
   IF (MF6A <= -1) THEN MF6A = .;
   IF (MF6A_WK <= -1) THEN MF6A_WK = .;
   IF (MF6B <= -1) THEN MF6B = .;
   IF (MF7 <= -1) THEN MF7 = .;
   IF (MF7A <= -1) THEN MF7A = .;
   IF (MF7A_WK <= -1) THEN MF7A_WK = .;
   IF (MF7B <= -1) THEN MF7B = .;
   IF (MF8 <= -1) THEN MF8 = .;
   IF (MF9 <= -1) THEN MF9 = .;
   IF (MF9A <= -1) THEN MF9A = .;
   IF (MF10 <= -1) THEN MF10 = .;
   IF (MF11 <= -1) THEN MF11 = .;
   IF (MF11A <= -1) THEN MF11A = .;
   IF (MF12 <= -1) THEN MF12 = .;
   IF (MF12A <= -1) THEN MF12A = .;
   IF (MF12B <= -1) THEN MF12B = .;
   IF (MF13 <= -1) THEN MF13 = .;
   IF (MF14 <= -1) THEN MF14 = .;
   IF (MF15 <= -1) THEN MF15 = .;
   IF (MF16 <= -1) THEN MF16 = .;
   IF (MF17 <= -1) THEN MF17 = .;
   IF (MF18 <= -1) THEN MF18 = .;
   IF (MF19 <= -1) THEN MF19 = .;
   IF (MF20 <= -1) THEN MF20 = .;
   IF (MF21 <= -1) THEN MF21 = .;
   IF (MF22 <= -1) THEN MF22 = .;
   IF (MG1 <= -1) THEN MG1 = .;
   IF (MG2_1 <= -1) THEN MG2_1 = .;
   IF (MG3_1 <= -1) THEN MG3_1 = .;
   IF (MG4_1 <= -1) THEN MG4_1 = .;
   IF (MG5_1 <= -1) THEN MG5_1 = .;
   IF (MG2_2 <= -1) THEN MG2_2 = .;
   IF (MG3_2 <= -1) THEN MG3_2 = .;
   IF (MG4_2 <= -1) THEN MG4_2 = .;
   IF (MG5_2 <= -1) THEN MG5_2 = .;
   IF (MG2_3 <= -1) THEN MG2_3 = .;
   IF (MG3_3 <= -1) THEN MG3_3 = .;
   IF (MG4_3 <= -1) THEN MG4_3 = .;
   IF (MG5_3 <= -1) THEN MG5_3 = .;
   IF (MG2_4 <= -1) THEN MG2_4 = .;
   IF (MG3_4 <= -1) THEN MG3_4 = .;
   IF (MG4_4 <= -1) THEN MG4_4 = .;
   IF (MG5_4 <= -1) THEN MG5_4 = .;
   IF (MG2_5 <= -1) THEN MG2_5 = .;
   IF (MG3_5 <= -1) THEN MG3_5 = .;
   IF (MG4_5 <= -1) THEN MG4_5 = .;
   IF (MG5_5 <= -1) THEN MG5_5 = .;
   IF (MG2_6 <= -1) THEN MG2_6 = .;
   IF (MG3_6 <= -1) THEN MG3_6 = .;
   IF (MG4_6 <= -1) THEN MG4_6 = .;
   IF (MG5_6 <= -1) THEN MG5_6 = .;
   IF (MG2_7 <= -1) THEN MG2_7 = .;
   IF (MG3_7 <= -1) THEN MG3_7 = .;
   IF (MG4_7 <= -1) THEN MG4_7 = .;
   IF (MG5_7 <= -1) THEN MG5_7 = .;
   IF (MG2_8 <= -1) THEN MG2_8 = .;
   IF (MG3_8 <= -1) THEN MG3_8 = .;
   IF (MG4_8 <= -1) THEN MG4_8 = .;
   IF (MG5_8 <= -1) THEN MG5_8 = .;
   IF (MG2_9 <= -1) THEN MG2_9 = .;
   IF (MG3_9 <= -1) THEN MG3_9 = .;
   IF (MG4_9 <= -1) THEN MG4_9 = .;
   IF (MG5_9 <= -1) THEN MG5_9 = .;
   IF (MG2_10 <= -1) THEN MG2_10 = .;
   IF (MG3_10 <= -1) THEN MG3_10 = .;
   IF (MG4_10 <= -1) THEN MG4_10 = .;
   IF (MG5_10 <= -1) THEN MG5_10 = .;
   IF (MG2_11 <= -1) THEN MG2_11 = .;
   IF (MG3_11 <= -1) THEN MG3_11 = .;
   IF (MG4_11 <= -1) THEN MG4_11 = .;
   IF (MG5_11 <= -1) THEN MG5_11 = .;
   IF (MG2_12 <= -1) THEN MG2_12 = .;
   IF (MG3_12 <= -1) THEN MG3_12 = .;
   IF (MG4_12 <= -1) THEN MG4_12 = .;
   IF (MG5_12 <= -1) THEN MG5_12 = .;
   IF (MG6 <= -1) THEN MG6 = .;
   IF (MG6A <= -1) THEN MG6A = .;
   IF (MG6B <= -1) THEN MG6B = .;
   IF (MG7 <= -1) THEN MG7 = .;
   IF (MG7A <= -1) THEN MG7A = .;
   IF (MG8 <= -1) THEN MG8 = .;
   IF (MG8A <= -1) THEN MG8A = .;
   IF (MG8B <= -1) THEN MG8B = .;
   IF (MG9 <= -1) THEN MG9 = .;
   IF (MG9A <= -1) THEN MG9A = .;
   IF (MH1 <= -1) THEN MH1 = .;
   IF (MH2 <= -1) THEN MH2 = .;
   IF (MH2A <= -1) THEN MH2A = .;
   IF (MH2B <= -1) THEN MH2B = .;
   IF (MH2C <= -1) THEN MH2C = .;
   IF (MH2D <= -1) THEN MH2D = .;
   IF (MH2E <= -1) THEN MH2E = .;
   IF (MH2F <= -1) THEN MH2F = .;
   IF (MH2G <= -1) THEN MH2G = .;
   IF (MH3 <= -1) THEN MH3 = .;
   IF (MH3A <= -1) THEN MH3A = .;
   IF (MH3B <= -1) THEN MH3B = .;
   IF (MH3B_SP <= -1) THEN MH3B_SP = .;
   IF (MH4 <= -1) THEN MH4 = .;
   IF (MH4A <= -1) THEN MH4A = .;
   IF (MH4B1 <= -1) THEN MH4B1 = .;
   IF (MH4B2 <= -1) THEN MH4B2 = .;
   IF (MH4B3 <= -1) THEN MH4B3 = .;
   IF (MH4B4 <= -1) THEN MH4B4 = .;
   IF (MH4B5 <= -1) THEN MH4B5 = .;
   IF (MH4B6 <= -1) THEN MH4B6 = .;
   IF (MH4B7 <= -1) THEN MH4B7 = .;
   IF (MH4C <= -1) THEN MH4C = .;
   IF (MH4D1 <= -1) THEN MH4D1 = .;
   IF (MH4D2 <= -1) THEN MH4D2 = .;
   IF (MH4D3 <= -1) THEN MH4D3 = .;
   IF (MH4D4 <= -1) THEN MH4D4 = .;
   IF (MH4D5 <= -1) THEN MH4D5 = .;
   IF (MH4D6 <= -1) THEN MH4D6 = .;
   IF (MH4D7 <= -1) THEN MH4D7 = .;
   IF (MH4D8 <= -1) THEN MH4D8 = .;
   IF (MH4D9 <= -1) THEN MH4D9 = .;
   IF (MH4D10 <= -1) THEN MH4D10 = .;
   IF (MH4D11 <= -1) THEN MH4D11 = .;
   IF (MH5_0 <= -1) THEN MH5_0 = .;
   IF (MH5_1 <= -1) THEN MH5_1 = .;
   IF (MH5_2 <= -1) THEN MH5_2 = .;
   IF (MH5_3 <= -1) THEN MH5_3 = .;
   IF (MH5_4 <= -1) THEN MH5_4 = .;
   IF (MH5_5 <= -1) THEN MH5_5 = .;
   IF (MH5_6 <= -1) THEN MH5_6 = .;
   IF (MH5_7 <= -1) THEN MH5_7 = .;
   IF (MH5_8 <= -1) THEN MH5_8 = .;
   IF (MH5_9 <= -1) THEN MH5_9 = .;
   IF (MH5_10 <= -1) THEN MH5_10 = .;
   IF (MH5_11 <= -1) THEN MH5_11 = .;
   IF (MH5_12 <= -1) THEN MH5_12 = .;
   IF (MH5_13 <= -1) THEN MH5_13 = .;
   IF (MH5_14 <= -1) THEN MH5_14 = .;
   IF (MH5_15 <= -1) THEN MH5_15 = .;
   IF (MH5_16 <= -1) THEN MH5_16 = .;
   IF (MH6 <= -1) THEN MH6 = .;
   IF (MH7 <= -1) THEN MH7 = .;
   IF (MH8 <= -1) THEN MH8 = .;
   IF (MH9 <= -1) THEN MH9 = .;
   IF (MH9A <= -1) THEN MH9A = .;
   IF (MH10 <= -1) THEN MH10 = .;
   IF (MH10A <= -1) THEN MH10A = .;
   IF (MH10B <= -1) THEN MH10B = .;
   IF (MH10B_SP <= -1) THEN MH10B_SP = .;
   IF (MH11 <= -1.0000) THEN MH11 = .;
   IF (MH11R <= -1) THEN MH11R = .;
   IF (MH12 <= -1) THEN MH12 = .;
   IF (MH12A <= -1) THEN MH12A = .;
   IF (MH12B <= -1) THEN MH12B = .;
   IF (MH13 <= -1) THEN MH13 = .;
   IF (MH14 <= -1) THEN MH14 = .;
   IF (MJ1A <= -1) THEN MJ1A = .;
   IF (MJ2A <= -1) THEN MJ2A = .;
   IF (MJ1B <= -1) THEN MJ1B = .;
   IF (MJ2B <= -1) THEN MJ2B = .;
   IF (MJ1C <= -1) THEN MJ1C = .;
   IF (MJ2C <= -1) THEN MJ2C = .;
   IF (MJ1D <= -1) THEN MJ1D = .;
   IF (MJ2D <= -1) THEN MJ2D = .;
   IF (MJ1E <= -1) THEN MJ1E = .;
   IF (MJ2E <= -1) THEN MJ2E = .;
   IF (MJ1F <= -1) THEN MJ1F = .;
   IF (MJ1F_SP <= -1) THEN MJ1F_SP = .;
   IF (MJ2F <= -1) THEN MJ2F = .;
   IF (MJ2G <= -1) THEN MJ2G = .;
   IF (MJ3 <= -1) THEN MJ3 = .;
   IF (MJ4 <= -1) THEN MJ4 = .;
   IF (MJ4A <= -1) THEN MJ4A = .;
   IF (MJ5 <= -1) THEN MJ5 = .;
   IF (MJ6 <= -1) THEN MJ6 = .;
   IF (MJ7 <= -1) THEN MJ7 = .;
   IF (MJ8 <= -1) THEN MJ8 = .;
   IF (MJ9 <= -1) THEN MJ9 = .;
   IF (MJ9A <= -1) THEN MJ9A = .;
   IF (MJ9B <= -1) THEN MJ9B = .;
   IF (MJ10 <= -1) THEN MJ10 = .;
   IF (MK1 <= -1) THEN MK1 = .;
   IF (MK2 <= -1) THEN MK2 = .;
   IF (MK3 <= -1) THEN MK3 = .;
   IF (MK4 <= -1) THEN MK4 = .;
   IF (MK4A <= -1) THEN MK4A = .;
   IF (MK4B <= -1) THEN MK4B = .;
   IF (MK4C1 <= -1) THEN MK4C1 = .;
   IF (MK4C2 <= -1) THEN MK4C2 = .;
   IF (MK4C3 <= -1) THEN MK4C3 = .;
   IF (MK4C4 <= -1) THEN MK4C4 = .;
   IF (MK5 <= -1) THEN MK5 = .;
   IF (MK6 <= -1) THEN MK6 = .;
   IF (MK7A <= -1) THEN MK7A = .;
   IF (MK8A <= -1) THEN MK8A = .;
   IF (MK7B <= -1) THEN MK7B = .;
   IF (MK8B <= -1) THEN MK8B = .;
   IF (MK7C <= -1) THEN MK7C = .;
   IF (MK8C <= -1) THEN MK8C = .;
   IF (MK7D <= -1) THEN MK7D = .;
   IF (MK8D <= -1) THEN MK8D = .;
   IF (MK7E <= -1) THEN MK7E = .;
   IF (MK8E <= -1) THEN MK8E = .;
   IF (MK7F <= -1) THEN MK7F = .;
   IF (MK8F <= -1) THEN MK8F = .;
   IF (MK9 <= -1) THEN MK9 = .;
   IF (MK9A <= -1) THEN MK9A = .;
   IF (MK10 <= -1) THEN MK10 = .;
   IF (MK11 <= -1) THEN MK11 = .;
   IF (MK12 <= -1) THEN MK12 = .;
   IF (MK13 <= -1) THEN MK13 = .;
   IF (MK14 <= -1) THEN MK14 = .;
   IF (MK14A <= -1) THEN MK14A = .;
   IF (MK14B <= -1) THEN MK14B = .;
   IF (MK14C1 <= -1) THEN MK14C1 = .;
   IF (MK14C2 <= -1) THEN MK14C2 = .;
   IF (MK14C3 <= -1) THEN MK14C3 = .;
   IF (MK15 <= -1) THEN MK15 = .;
   IF (MK16 <= -1) THEN MK16 = .;
   IF (MK16A <= -1) THEN MK16A = .;
   IF (MK16B <= -1) THEN MK16B = .;
   IF (MK17 <= -1) THEN MK17 = .;
   IF (ML0 <= -1) THEN ML0 = .;
   IF (ML1 <= -1) THEN ML1 = .;
   IF (ML1A <= -1) THEN ML1A = .;
   IF (ML2 <= -1) THEN ML2 = .;
   IF (ML2A <= -1) THEN ML2A = .;
   IF (ML3 <= -1) THEN ML3 = .;
   IF (ML3A <= -1) THEN ML3A = .;
   IF (ML4 <= -1) THEN ML4 = .;
   IF (ML5 <= -1) THEN ML5 = .;
   IF (ML6 <= -1) THEN ML6 = .;
   IF (ML7 <= -1) THEN ML7 = .;
   IF (ML8 <= -1) THEN ML8 = .;
   IF (ML8A <= -1) THEN ML8A = .;
   IF (ML9 <= -1) THEN ML9 = .;
   IF (ML9A <= -1) THEN ML9A = .;
   IF (ML10 <= -1) THEN ML10 = .;
   IF (ML11 <= -1) THEN ML11 = .;
   IF (ML12 <= -1) THEN ML12 = .;
   IF (ML13 <= -1) THEN ML13 = .;
   IF (ML13A <= -1) THEN ML13A = .;
   IF (ML14 <= -1) THEN ML14 = .;
   IF (ML14A <= -1) THEN ML14A = .;
   IF (ML15 <= -1) THEN ML15 = .;
   IF (ML15A <= -1) THEN ML15A = .;
   IF (ML16 <= -1) THEN ML16 = .;
   IF (ML16A <= -1) THEN ML16A = .;
   IF (ML17 <= -1) THEN ML17 = .;
   IF (ML18 <= -1) THEN ML18 = .;
   IF (ML19 <= -1) THEN ML19 = .;
   IF (ML20 <= -1) THEN ML20 = .;
   IF (ML21 <= -1) THEN ML21 = .;
   IF (ML22 <= -1) THEN ML22 = .;
   IF (ML22A <= -1) THEN ML22A = .;
   IF (ML23 <= -1) THEN ML23 = .;
   IF (ML23A1 <= -1) THEN ML23A1 = .;
   IF (ML23A2 <= -1) THEN ML23A2 = .;
   IF (ML23A3 <= -1) THEN ML23A3 = .;
   IF (ML23A4 <= -1) THEN ML23A4 = .;
   IF (ML23B <= -1) THEN ML23B = .;
   IF (ML23C <= -1) THEN ML23C = .;
   IF (MM1 <= -1) THEN MM1 = .;
   IF (MM2 <= -1) THEN MM2 = .;
   IF (MM2A1 <= -1) THEN MM2A1 = .;
   IF (MM2A2 <= -1) THEN MM2A2 = .;
   IF (MM2A3 <= -1) THEN MM2A3 = .;
   IF (MM2A4 <= -1) THEN MM2A4 = .;
   IF (MM2A5 <= -1) THEN MM2A5 = .;
   IF (MM3A <= -1) THEN MM3A = .;
   IF (MM3AA <= -1) THEN MM3AA = .;
   IF (MM3BA <= -1) THEN MM3BA = .;
   IF (MM3CA_MO <= -1) THEN MM3CA_MO = .;
   IF (MM3CA_YR <= -1) THEN MM3CA_YR = .;
   IF (MM3DA <= -1) THEN MM3DA = .;
   IF (MM3B <= -1) THEN MM3B = .;
   IF (MM3AB <= -1) THEN MM3AB = .;
   IF (MM3BB <= -1) THEN MM3BB = .;
   IF (MM3CB_MO <= -1) THEN MM3CB_MO = .;
   IF (MM3CB_YR <= -1) THEN MM3CB_YR = .;
   IF (MM3DB <= -1) THEN MM3DB = .;
   IF (MM3C <= -1) THEN MM3C = .;
   IF (MM3AC <= -1) THEN MM3AC = .;
   IF (MM3BC <= -1) THEN MM3BC = .;
   IF (MM3CC_MO <= -1) THEN MM3CC_MO = .;
   IF (MM3CC_YR <= -1) THEN MM3CC_YR = .;
   IF (MM3DC <= -1) THEN MM3DC = .;
   IF (MM3D <= -1) THEN MM3D = .;
   IF (MM3AD <= -1) THEN MM3AD = .;
   IF (MM3BD <= -1) THEN MM3BD = .;
   IF (MM3CD_MO <= -1) THEN MM3CD_MO = .;
   IF (MM3CD_YR <= -1) THEN MM3CD_YR = .;
   IF (MM3DD <= -1) THEN MM3DD = .;
   IF (MM3E <= -1) THEN MM3E = .;
   IF (MM3AE <= -1) THEN MM3AE = .;
   IF (MM3BE <= -1) THEN MM3BE = .;
   IF (MM3CE_MO <= -1) THEN MM3CE_MO = .;
   IF (MM3CE_YR <= -1) THEN MM3CE_YR = .;
   IF (MM3DE <= -1) THEN MM3DE = .;
   IF (MM3F <= -1) THEN MM3F = .;
   IF (MM3AF <= -1) THEN MM3AF = .;
   IF (MM3BF <= -1) THEN MM3BF = .;
   IF (MM3CF_MO <= -1) THEN MM3CF_MO = .;
   IF (MM3CF_YR <= -1) THEN MM3CF_YR = .;
   IF (MM3DF <= -1) THEN MM3DF = .;
   IF (MM4 <= -1) THEN MM4 = .;
   IF (MM4A1 <= -1) THEN MM4A1 = .;
   IF (MM4A2 <= -1) THEN MM4A2 = .;
   IF (MM4A3 <= -1) THEN MM4A3 = .;
   IF (MM4A4 <= -1) THEN MM4A4 = .;
   IF (MM4A5 <= -1) THEN MM4A5 = .;
   IF (MM4A6 <= -1) THEN MM4A6 = .;
   IF (MM5 <= -1) THEN MM5 = .;
   IF (MM5A1 <= -1) THEN MM5A1 = .;
   IF (MM5A2 <= -1) THEN MM5A2 = .;
   IF (MM5A3 <= -1) THEN MM5A3 = .;
   IF (MM5A4 <= -1) THEN MM5A4 = .;
   IF (MM5B <= -1) THEN MM5B = .;
   IF (MM5C <= -1) THEN MM5C = .;
   IF (MM5D <= -1) THEN MM5D = .;
   IF (MM5D_WK <= -1) THEN MM5D_WK = .;
   IF (MM6A <= -1) THEN MM6A = .;
   IF (MM6B <= -1) THEN MM6B = .;
   IF (MM7 <= -1) THEN MM7 = .;
   IF (MM8_1 <= -1) THEN MM8_1 = .;
   IF (MM8_2 <= -1) THEN MM8_2 = .;
   IF (MM8_11 <= -1) THEN MM8_11 = .;
   IF (MM8_12 <= -1) THEN MM8_12 = .;
   IF (MM8_13 <= -1) THEN MM8_13 = .;
   IF (MM8_21 <= -1) THEN MM8_21 = .;
   IF (MM8_22 <= -1) THEN MM8_22 = .;
   IF (MM8_23 <= -1) THEN MM8_23 = .;
   IF (MM8_28 <= -1) THEN MM8_28 = .;
   IF (MM8_91 <= -1) THEN MM8_91 = .;
   IF (MM9 <= -1) THEN MM9 = .;
   IF (MM10 <= -1) THEN MM10 = .;
   IF (MM10A <= -1) THEN MM10A = .;
   IF (MM10B0 <= -1) THEN MM10B0 = .;
   IF (MM10B1 <= -1) THEN MM10B1 = .;
   IF (MM10B2 <= -1) THEN MM10B2 = .;
   IF (MM10B3 <= -1) THEN MM10B3 = .;
   IF (MM10B4 <= -1) THEN MM10B4 = .;
   IF (MM10B5 <= -1) THEN MM10B5 = .;
   IF (MM10B6 <= -1) THEN MM10B6 = .;
   IF (MM10B7 <= -1) THEN MM10B7 = .;
   IF (MM10B8 <= -1) THEN MM10B8 = .;
   IF (MM10B9 <= -1) THEN MM10B9 = .;
   IF (MM10B10 <= -1) THEN MM10B10 = .;
   IF (MM10B11 <= -1) THEN MM10B11 = .;
   IF (MM10B12 <= -1) THEN MM10B12 = .;
   IF (MM10B13 <= -1) THEN MM10B13 = .;
   IF (MM11 <= -1) THEN MM11 = .;
   IF (MM12_1 <= -1) THEN MM12_1 = .;
   IF (MM12_2 <= -1) THEN MM12_2 = .;
   IF (MM12_22 <= -1) THEN MM12_22 = .;
   IF (MM12_23 <= -1) THEN MM12_23 = .;
   IF (MM12_24 <= -1) THEN MM12_24 = .;
   IF (MM12_25 <= -1) THEN MM12_25 = .;
   IF (MM12_26 <= -1) THEN MM12_26 = .;
   IF (MM12_91 <= -1) THEN MM12_91 = .;
   IF (MM13 <= -1) THEN MM13 = .;
   IF (MM14 <= -1) THEN MM14 = .;
   IF (MM15_1 <= -1) THEN MM15_1 = .;
   IF (MM15_2 <= -1) THEN MM15_2 = .;
   IF (MM15_11 <= -1) THEN MM15_11 = .;
   IF (MM15_12 <= -1) THEN MM15_12 = .;
   IF (MM15_13 <= -1) THEN MM15_13 = .;
   IF (MM15_21 <= -1) THEN MM15_21 = .;
   IF (MM15_22 <= -1) THEN MM15_22 = .;
   IF (MM15_23 <= -1) THEN MM15_23 = .;
   IF (MM15_28 <= -1) THEN MM15_28 = .;
   IF (MM15_91 <= -1) THEN MM15_91 = .;
   IF (MM16 <= -1) THEN MM16 = .;
   IF (MM17 <= -1) THEN MM17 = .;
   IF (MM18 <= -1) THEN MM18 = .;
   IF (MM19_1 <= -1) THEN MM19_1 = .;
   IF (MM19_2 <= -1) THEN MM19_2 = .;
   IF (MM19_3 <= -1) THEN MM19_3 = .;
   IF (MM19_4 <= -1) THEN MM19_4 = .;
   IF (MM19_91 <= -1) THEN MM19_91 = .;
   IF (MM20 <= -1) THEN MM20 = .;
   IF (MM21 <= -1) THEN MM21 = .;
   IF (MM22_1 <= -1) THEN MM22_1 = .;
   IF (MM22_2 <= -1) THEN MM22_2 = .;
   IF (MM22_3 <= -1) THEN MM22_3 = .;
   IF (MM22_4 <= -1) THEN MM22_4 = .;
   IF (MM22_91 <= -1) THEN MM22_91 = .;
   IF (MM23 <= -1) THEN MM23 = .;
   IF (MM24 <= -1) THEN MM24 = .;
   IF (MM25_1 <= -1) THEN MM25_1 = .;
   IF (MM25_2 <= -1) THEN MM25_2 = .;
   IF (MM25_3 <= -1) THEN MM25_3 = .;
   IF (MM25_9 <= -1) THEN MM25_9 = .;
   IF (MM26 <= -1) THEN MM26 = .;
   IF (MM27 <= -1) THEN MM27 = .;
   IF (MM28_1 <= -1) THEN MM28_1 = .;
   IF (MM28_2 <= -1) THEN MM28_2 = .;
   IF (MM28_3 <= -1) THEN MM28_3 = .;
   IF (MM28_4 <= -1) THEN MM28_4 = .;
   IF (MM28_9 <= -1) THEN MM28_9 = .;
   IF (MM29 <= -1) THEN MM29 = .;
   IF (MM30 <= -1) THEN MM30 = .;
   IF (MM30A <= -1) THEN MM30A = .;
   IF (MM30B <= -1) THEN MM30B = .;
   IF (MM31 <= -1) THEN MM31 = .;
   IF (MM32 <= -1) THEN MM32 = .;
   IF (MM33 <= -1) THEN MM33 = .;
   IF (MM33A <= -1) THEN MM33A = .;
   IF (MM34 <= -1) THEN MM34 = .;
   IF (MM35 <= -1) THEN MM35 = .;
   IF (MM35A1 <= -1) THEN MM35A1 = .;
   IF (MM35A1CT <= -1) THEN MM35A1CT = .;
   IF (MM35B1 <= -1) THEN MM35B1 = .;
   IF (MM35B1CT <= -1) THEN MM35B1CT = .;
   IF (MM35A2 <= -1) THEN MM35A2 = .;
   IF (MM35A2CT <= -1) THEN MM35A2CT = .;
   IF (MM35B2 <= -1) THEN MM35B2 = .;
   IF (MM35B2CT <= -1) THEN MM35B2CT = .;
   IF (MM35A3 <= -1) THEN MM35A3 = .;
   IF (MM35A3CT <= -1) THEN MM35A3CT = .;
   IF (MM35B3 <= -1) THEN MM35B3 = .;
   IF (MM35B3CT <= -1) THEN MM35B3CT = .;
   IF (MM35A4 <= -1) THEN MM35A4 = .;
   IF (MM35A4CT <= -1) THEN MM35A4CT = .;
   IF (MM35B4 <= -1) THEN MM35B4 = .;
   IF (MM35B4CT <= -1) THEN MM35B4CT = .;
   IF (MM35A5 <= -1) THEN MM35A5 = .;
   IF (MM35A5CT <= -1) THEN MM35A5CT = .;
   IF (MM35B5 <= -1) THEN MM35B5 = .;
   IF (MM35B5CT <= -1) THEN MM35B5CT = .;
   IF (MMD_MO <= -1) THEN MMD_MO = .;
   IF (MMT_HH <= -1) THEN MMT_HH = .;
   IF (MMT_MM <= -1) THEN MMT_MM = .;
   IF (MMAMPM <= -1) THEN MMAMPM = .;
   IF (MN1 <= -1) THEN MN1 = .;
   IF (MN2 <= -1) THEN MN2 = .;
   IF (MN2A <= -1) THEN MN2A = .;
   IF (MN3_1_1 <= -1) THEN MN3_1_1 = .;
   IF (MN3_1_2 <= -1) THEN MN3_1_2 = .;
   IF (MN3_2_1 <= -1) THEN MN3_2_1 = .;
   IF (MN3_2_2 <= -1) THEN MN3_2_2 = .;
   IF (MN3_3_1 <= -1) THEN MN3_3_1 = .;
   IF (MN3_3_2 <= -1) THEN MN3_3_2 = .;
   IF (MN3_4_1 <= -1) THEN MN3_4_1 = .;
   IF (MN3_4_2 <= -1) THEN MN3_4_2 = .;
   IF (MN4 <= -1) THEN MN4 = .;
   IF (MN4A1 <= -1) THEN MN4A1 = .;
   IF (MN4A2 <= -1) THEN MN4A2 = .;
   IF (MN4A3 <= -1) THEN MN4A3 = .;
   IF (MN4A4 <= -1) THEN MN4A4 = .;
   IF (MN4A5 <= -1) THEN MN4A5 = .;
   IF (MN4A6 <= -1) THEN MN4A6 = .;
   IF (MN5 <= -1) THEN MN5 = .;
   IF (MN6 <= -1) THEN MN6 = .;
   IF (MN6A1 <= -1) THEN MN6A1 = .;
   IF (MN6A2 <= -1) THEN MN6A2 = .;
   IF (MP1 <= -1) THEN MP1 = .;
   IF (MP2 <= -1) THEN MP2 = .;
   IF (MP3 <= -1) THEN MP3 = .;
   IF (MP4 <= -1) THEN MP4 = .;
   IF (MP5 <= -1) THEN MP5 = .;
   IF (MP6 <= -1) THEN MP6 = .;
   IF (MP7 <= -1) THEN MP7 = .;
   IF (MP8 <= -1) THEN MP8 = .;
   IF (MP9 <= -1) THEN MP9 = .;
   IF (MP10A <= -1) THEN MP10A = .;
   IF (MP10B <= -1) THEN MP10B = .;
   IF (MP11A <= -1) THEN MP11A = .;
   IF (MP11B <= -1) THEN MP11B = .;
   IF (MP11C <= -1) THEN MP11C = .;
   IF (MP12A <= -1) THEN MP12A = .;
   IF (MP12B <= -1) THEN MP12B = .;
   IF (MP12C <= -1) THEN MP12C = .;
   IF (MP12D <= -1) THEN MP12D = .;
   IF (MP12E <= -1) THEN MP12E = .;
   IF (MP13 <= -1) THEN MP13 = .;
   IF (MP14A <= -1) THEN MP14A = .;
   IF (MP14B <= -1) THEN MP14B = .;
   IF (MP14C <= -1) THEN MP14C = .;
   IF (MP15A <= -1) THEN MP15A = .;
   IF (MP15B <= -1) THEN MP15B = .;
   IF (MP16 <= -1) THEN MP16 = .;
   IF (MP17 <= -1) THEN MP17 = .;
   IF (MP18A <= -1) THEN MP18A = .;
   IF (MP18B <= -1) THEN MP18B = .;
   IF (MP18C <= -1) THEN MP18C = .;
   IF (MP19 <= -1) THEN MP19 = .;
   IF (MP20 <= -1) THEN MP20 = .;
   IF (MP21 <= -1) THEN MP21 = .;
   IF (MPDM <= -1) THEN MPDM = .;
   IF (MPTH <= -1) THEN MPTH = .;
   IF (MPTM <= -1) THEN MPTM = .;
   IF (MPAMPM <= -1) THEN MPAMPM = .;
   IF (MD6C <= -1) THEN MD6C = .;
   IF (ME26 <= -1) THEN ME26 = .;
   IF (MG1A <= -1) THEN MG1A = .;
*/


* SAS FORMAT STATEMENT;

/*
  FORMAT CASEID caseid. MAV_MST mav_mst. MAV_RACE mav_race.
         MAV_CJS mav_cjs. MBV_TERM mbv_term. MCV_HALC mcv_halc.
         MCV_SUIC mcv_suic. MCV_PDT mcv_pdt. MCV_CJS mcv_cjs.
         MCV_DR mcv_dr. MCV_DWI mcv_dwi. MCV_NDR mcv_ndr.
         MCV_EMP mcv_emp. MCV_ALC mcv_alc. MCV_HAL mcv_hal.
         MCV_MRJ mcv_mrj. MCV_COC mcv_coc. MCV_CRK mcv_crk.
         MCV_HER mcv_her. MCV_NAR mcv_nar. MCV_SED mcv_sed.
         MCV_AMP mcv_amp. MCV_SUI mcv_sui. MDV_EDYR mdv_edyr.
         MDV_DEG mdv_deg. MDV_ENRL mdv_enrl. MEV_HALC mev_halc.
         MEV_INJ mev_inj. MEV_ALC mev_alc. MEV_MRJ mev_mrj.
         MEV_HAL mev_hal. MEV_COC mev_coc. MEV_CRK mev_crk.
         MEV_HER mev_her. MEV_NAR mev_nar. MEV_SED mev_sed.
         MEV_AMP mev_amp. MEV_PAT mev_pat. MEV_PDRG mev_pdrg.
         MFV_SUIC mfv_suic. MGV_DR mgv_dr. MGV_DWI mgv_dwi.
         MGV_NDR mgv_ndr. MGV_JAIL mgv_jail. MHV_FTWK mhv_ftwk.
         MHV_EMP mhv_emp. MJV_SRC mjv_src. MLV_RSK1 mlv_rskf.
         MLV_RSK2 mlv_rs0f. MLV_RSK3 mlv_rs1f. MLV_RSK4 mlv_rs2f.
         MLV_RSK6 mlv_rs3f. MLV_SEXB mlv_sexb. MLV_RSK5 mlv_rs4f.
         MMV_DT mmv_dt. MGV_SIA mgv_sia. MODALITY modality.
         SEX sex. AGE age. HLTHINS hlthins.
         FTWORK ftwork. MSTAT mstat. INSCHOOL inschool.
         RACE race. EDLEV edlev. RACESEX racesex.
         HVY_ALC hvy_alc. ALCR alcr. MRJR mrjr.
         COCR cocr. HERR herr. NARR narr.
         SEDR sedr. AMPR ampr. HALR halr.
         INHR inhr. ALCWK alcwk. MRJWK mrjwk.
         COCWK cocwk. HERWK herwk. NARWK narwk.
         SEDWK sedwk. AMPWK ampwk. HALWK halwk.
         INHWK inhwk. MRJ_EV mrj_ev. COC_EV coc_ev.
         HER_EV her_ev. NAR_EV nar_ev. SED_EV sed_ev.
         AMP_EV amp_ev. HAL_EV hal_ev. INH_EV inh_ev.
         CJ_STAT cj_stat. IAY_SIA iay_sia. MAJSRC majsrc.
         REFER refer. RESTRICT restrict. DRUGTX drugtx.
         SCHOOL school. DEP_YR dep_yr. EMPSTAT empstat.
         IAPY iapy. PDT pdt. CRKR crkr.
         CRKWK crkwk. MIA1_1 mia1_1ff. MIA1_2 mia1_2ff.
         MIA2_1 mia2_1ff. MIA2_2 mia2_2ff. MIA3_1 mia3_1ff.
         MIA3_2 mia3_2ff. MIA4_1 mia4_1ff. MIA4_2 mia4_2ff.
         MIA5_1 mia5_1ff. MIA5_2 mia5_2ff. MIA6_1 mia6_1ff.
         MIA6_2 mia6_2ff. MIA7_1 mia7_1ff. MIA7_2 mia7_2ff.
         MIA8_1 mia8_1ff. MIA8_2 mia8_2ff. MIA9_1 mia9_1ff.
         MIA9_2 mia9_2ff. MIA10_1 mia10_1f. MIA10_2 mia10_2f.
         MUSA musa. MDA_MO mda_mo. MDA_YR mda_yr.
         MFIRE mfire. MTOLE mtole. MA2 ma2fffff.
         MA5 ma5fffff. MA6 ma6fffff. MA7 ma7fffff.
         MA8 ma8fffff. MA9_0 ma9_0fff. MA9_1 ma9_1fff.
         MA9A_1 ma9a_1ff. MA9B_1 ma9b_1ff. MA9C_1 ma9c_1ff.
         MA9D_1 ma9d_1ff. MA9_2 ma9_2fff. MA9A_2 ma9a_2ff.
         MA9B_2 ma9b_2ff. MA9C_2 ma9c_2ff. MA9D_2 ma9d_2ff.
         MA9_3 ma9_3fff. MA9A_3 ma9a_3ff. MA9B_3 ma9b_3ff.
         MA9C_3 ma9c_3ff. MA9D_3 ma9d_3ff. MA9_4 ma9_4fff.
         MA9A_4 ma9a_4ff. MA9B_4 ma9b_4ff. MA9C_4 ma9c_4ff.
         MA9D_4 ma9d_4ff. MA9_5 ma9_5fff. MA9A_5 ma9a_5ff.
         MA9B_5 ma9b_5ff. MA9C_5 ma9c_5ff. MA9D_5 ma9d_5ff.
         MA10 ma10ffff. MA11A ma11a. MA11B ma11b.
         MA11C ma11c. MA12A ma12a. MA12B ma12b.
         MA12C ma12c. MA12D ma12d. MA12E ma12e.
         MA12F ma12f. MA12G ma12g. MA13 ma13ffff.
         MA14_0 ma14_0ff. MA14_1 ma14_1ff. MA14_2 ma14_2ff.
         MA14_3 ma14_3ff. MA14_4 ma14_4ff. MA14_5 ma14_5ff.
         MA14_6 ma14_6ff. MA14_7 ma14_7ff. MA14_8 ma14_8ff.
         MA14_9 ma14_9ff. MA15 ma15ffff. MA15A ma15a.
         MA16 ma16ffff. MA16A ma16a. MA16B ma16b.
         MA16C ma16c. MA16D ma16d. MA17 ma17ffff.
         MA17A ma17a. MA18 ma18ffff. MA19 ma19ffff.
         MA20 ma20ffff. MA21 ma21ffff. MA22 ma22ffff.
         MA23 ma23ffff. MA24 ma24ffff. MA25 ma25ffff.
         MA26 ma26ffff. MA27 ma27ffff. MA28 ma28ffff.
         MA28A ma28a. MA28B ma28b. MA29A ma29a.
         MA29B ma29b. MA29C ma29c. MA29D ma29d.
         MA29E ma29e. MA29F ma29f. MA29G ma29g.
         MA29H ma29h. MA29I ma29i. MA29J ma29j.
         MA30 ma30ffff. MA31A ma31a. MA31B ma31b.
         MA31C ma31c. MA31D ma31d. MA31E ma31e.
         MA31F ma31f. MA31G ma31g. MA31H ma31h.
         MA31I ma31i. MA31J ma31j. MA31K ma31k.
         MA31L ma31l. MA31M ma31m. MA31N ma31n.
         MA32 ma32ffff. MA33A ma33a. MA33B ma33b.
         MA33C ma33c. MA33D ma33d. MA33E ma33e.
         MA33F ma33f. MA34 ma34ffff. MA35A ma35a.
         MA35B ma35b. MA35C ma35c. MA35D ma35d.
         MA35E ma35e. MA35F ma35f. MA35G ma35g.
         MA35H ma35h. MA35I ma35i. MA35J ma35j.
         MA35K ma35k. MA35L ma35l. MA35M ma35m.
         MA35N ma35n. MA36A ma36a. MA37A ma37a.
         MA36B ma36b. MA37B ma37b. MA36C ma36c.
         MA37C ma37c. MA36D ma36d. MA37D ma37d.
         MA36E ma36e. MA37E ma37e. MA36F ma36f.
         MA37F ma37f. MA36G ma36g. MA37G ma37g.
         MA36H ma36h. MA37H ma37h. MA36I ma36i.
         MA37I ma37i. MA36J ma36j. MA37J ma37j.
         MA38 ma38ffff. MA39 ma39ffff. MA40 ma40ffff.
         MA41 ma41ffff. MA42 ma42ffff. MA43 ma43ffff.
         MA44 ma44ffff. MA45 ma45ffff. MA46 ma46ffff.
         MA47 ma47ffff. MA48 ma48ffff. MA49 ma49ffff.
         MA50 ma50ffff. MB1 mb1fffff. MB1A_MO mb1a_mo.
         MB1A_YR mb1a_yr. MB2 mb2fffff. MB2A mb2a.
         MB2B mb2b. MB2C mb2c. MB3 mb3fffff.
         MB3A mb3a. MB3B mb3b. MB3C_1 mb3c_1ff.
         MB3C_2 mb3c_2ff. MB3C_3 mb3c_3ff. MB3C_4 mb3c_4ff.
         MB3C_5 mb3c_5ff. MB3C_6 mb3c_6ff. MB3C_7 mb3c_7ff.
         MB3C_8 mb3c_8ff. MB4_0 mb4_0fff. MB4_1 mb4_1fff.
         MB4_2 mb4_2fff. MB4_3 mb4_3fff. MB4_4 mb4_4fff.
         MB4_5 mb4_5fff. MB4_6 mb4_6fff. MB4_7 mb4_7fff.
         MB4_8 mb4_8fff. MB4_9 mb4_9fff. MB5 mb5fffff.
         MB6 mb6fffff. MB7 mb7fffff. MB8 mb8fffff.
         MB9 mb9fffff. MB10 mb10ffff. MB11 mb11ffff.
         MB11A_1 mb11a_1f. MB11A_2 mb11a_2f. MB11A_3 mb11a_3f.
         MB11A_4 mb11a_4f. MB11A_5 mb11a_5f. MB11A_6 mb11a_6f.
         MB11A_7 mb11a_7f. MB11A_8 mb11a_8f. MB11A_8S mb11a_8s.
         MB12 mb12ffff. MB13 mb13ffff. MB14_10 mb14_10f.
         MB14_20 mb14_20f. MB14_30 mb14_30f. MB14_40 mb14_40f.
         MB14_41 mb14_41f. MB14_42 mb14_42f. MB14_50 mb14_50f.
         MB14_60 mb14_60f. MB14_70 mb14_70f. MB14_80 mb14_80f.
         MB14_90 mb14_90f. MB15 mb15ffff. MB16 mb16ffff.
         MB17 mb17ffff. MB18 mb18ffff. MB18A mb18a.
         MB19 mb19ffff. MB19A mb19a. MB19B mb19b.
         MB20 mb20ffff. MB21 mb21ffff. MB22 mb22ffff.
         MB23 mb23ffff. MB23_1 mb23_1ff. MB24 mb24ffff.
         MB25 mb25ffff. MB26 mb26ffff. MB26A mb26a.
         MC1 mc1fffff. MC2_0 mc2_0fff. MC2_1 mc2_1fff.
         MC2_2 mc2_2fff. MC2_3 mc2_3fff. MC2_4 mc2_4fff.
         MC2_5 mc2_5fff. MC2_6 mc2_6fff. MC2_7 mc2_7fff.
         MC2_8 mc2_8fff. MC2_9 mc2_9fff. MC3 mc3fffff.
         MC4 mc4fffff. MC4_1 mc4_1fff. MC5 mc5fffff.
         MC6 mc6fffff. MC6A mc6a. MC7 mc7fffff.
         MC8 mc8fffff. MC9_20 mc9_20ff. MC9_30 mc9_30ff.
         MC9_40 mc9_40ff. MC9_41 mc9_41ff. MC9_42 mc9_42ff.
         MC9_50 mc9_50ff. MC9_60 mc9_60ff. MC9_70 mc9_70ff.
         MC9_80 mc9_80ff. MC9_90 mc9_90ff. MC10 mc10ffff.
         MC11 mc11ffff. MC12 mc12ffff. MC13 mc13ffff.
         MC14A mc14a. MC14AA mc14aa. MC14BA mc14ba.
         MC14B mc14b. MC14AB mc14ab. MC14BB mc14bb.
         MC14C mc14c. MC14AC mc14ac. MC14BC mc14bc.
         MC14D mc14d. MC14AD mc14ad. MC14BD mc14bd.
         MC14E mc14e. MC14AE mc14ae. MC14BE mc14be.
         MC14F mc14f. MC14AF mc14af. MC14BF mc14bf.
         MC15_1 mc15_1ff. MC16_1 mc16_1ff. MC17_1 mc17_1ff.
         MC15_2 mc15_2ff. MC16_2 mc16_2ff. MC17_2 mc17_2ff.
         MC15_3 mc15_3ff. MC16_3 mc16_3ff. MC17_3 mc17_3ff.
         MC15_4 mc15_4ff. MC16_4 mc16_4ff. MC17_4 mc17_4ff.
         MC15_5 mc15_5ff. MC16_5 mc16_5ff. MC17_5 mc17_5ff.
         MC15_7 mc15_7ff. MC16_7 mc16_7ff. MC17_7 mc17_7ff.
         MC15_8 mc15_8ff. MC16_8 mc16_8ff. MC17_8 mc17_8ff.
         MC15_9 mc15_9ff. MC16_9 mc16_9ff. MC17_9 mc17_9ff.
         MC15_10 mc15_10f. MC16_10 mc16_10f. MC17_10 mc17_10f.
         MC15_11 mc15_11f. MC16_11 mc16_11f. MC17_11 mc17_11f.
         MC15_12 mc15_12f. MC16_12 mc16_12f. MC17_12 mc17_12f.
         MC18 mc18ffff. MC19 mc19ffff. MC20 mc20ffff.
         MC21 mc21ffff. MC22 mc22ffff. MC22A mc22a.
         MD5 md5fffff. MD6 md6fffff. MD6A md6a.
         MD6B md6b. MD6D md6d. MD7 md7fffff.
         MD8 md8fffff. MD8A md8a. MD9 md9fffff.
         MD9A md9a. MD9B1 md9b1fff. MD9B2 md9b2fff.
         MD9B3 md9b3fff. MD9B4 md9b4fff. MD9B5 md9b5fff.
         MD9B6 md9b6fff. MD9B7 md9b7fff. MD9B8 md9b8fff.
         MD9B9 md9b9fff. MD9B10 md9b10ff. MD9B11 md9b11ff.
         MD9C md9c. MD9D md9d. MD9E md9e.
         MD9F md9f. MD9G md9g. MD9H md9h.
         MD9I md9i. MD9J md9j. MD9K md9k.
         MD10_0 md10_0ff. MD10_1 md10_1ff. MD10_2 md10_2ff.
         MD10_3 md10_3ff. MD10_4 md10_4ff. MD10_5 md10_5ff.
         MD10_6 md10_6ff. MD10_7 md10_7ff. MD10_8 md10_8ff.
         MD11 md11ffff. MD11A1 md11a1ff. MD11A2 md11a2ff.
         MD11A3 md11a3ff. MD11A4 md11a4ff. MD11A5 md11a5ff.
         MD11A6 md11a6ff. MD11A7 md11a7ff. MD11A8 md11a8ff.
         MD11A9 md11a9ff. MD11A10 md11a10f. MD11A11 md11a11f.
         MD11B md11b. MD11C md11c. ME1 me1fffff.
         ME2 me2fffff. ME3 me3fffff. ME4 me4fffff.
         ME5 me5fffff. ME6 me6fffff. ME7 me7fffff.
         ME8 me8fffff. ME9 me9fffff. ME10 me10ffff.
         ME11 me11ffff. ME12 me12ffff. ME13 me13ffff.
         ME14 me14ffff. ME14A me14a. ME15_0 me15_0ff.
         ME15_1 me15_1ff. ME15_2 me15_2ff. ME15_3 me15_3ff.
         ME16_20 me16_20f. ME17_20 me17_20f. ME18_20 me18_20f.
         ME19_20 me19_20f. ME20_20 me20_20f. ME21_20 me21_20f.
         ME16_30 me16_30f. ME17_30 me17_30f. ME18_30 me18_30f.
         ME19_30 me19_30f. ME20_30 me20_30f. ME21_30 me21_30f.
         ME16_31 me16_31f. ME20_31 me20_31f. ME21_31 me21_31f.
         ME16_32 me16_32f. ME20_32 me20_32f. ME21_32 me21_32f.
         ME16_40 me16_40f. ME17_40 me17_40f. ME18_40 me18_40f.
         ME19_40 me19_40f. ME20_40 me20_40f. ME21_40 me21_40f.
         ME16_41 me16_41f. ME20_41 me20_41f. ME21_41 me21_41f.
         ME16_42 me16_42f. ME20_42 me20_42f. ME21_42 me21_42f.
         ME16_50 me16_50f. ME17_50 me17_50f. ME18_50 me18_50f.
         ME19_50 me19_50f. ME20_50 me20_50f. ME21_50 me21_50f.
         ME16_51 me16_51f. ME20_51 me20_51f. ME21_51 me21_51f.
         ME16_60 me16_60f. ME17_60 me17_60f. ME18_60 me18_60f.
         ME19_60 me19_60f. ME20_60 me20_60f. ME21_60 me21_60f.
         ME16_61 me16_61f. ME20_61 me20_61f. ME21_61 me21_61f.
         ME16_62 me16_62f. ME20_62 me20_62f. ME21_62 me21_62f.
         ME16_70 me16_70f. ME17_70 me17_70f. ME18_70 me18_70f.
         ME19_70 me19_70f. ME20_70 me20_70f. ME21_70 me21_70f.
         ME16_71 me16_71f. ME16_72 me16_72f. ME16_73 me16_73f.
         ME16_74 me16_74f. ME16_75 me16_75f. ME16_80 me16_80f.
         ME17_80 me17_80f. ME18_80 me18_80f. ME19_80 me19_80f.
         ME20_80 me20_80f. ME21_80 me21_80f. ME16_81 me16_81f.
         ME20_81 me20_81f. ME21_81 me21_81f. ME16_90 me16_90f.
         ME17_90 me17_90f. ME18_90 me18_90f. ME19_90 me19_90f.
         ME20_90 me20_90f. ME21_90 me21_90f. ME16_91 me16_91f.
         ME20_91 me20_91f. ME21_91 me21_91f. ME16_92 me16_92f.
         ME20_92 me20_92f. ME21_92 me21_92f. ME22_1 me22_1ff.
         ME22_2 me22_2ff. ME22_3 me22_3ff. ME22_4 me22_4ff.
         ME23 me23ffff. ME24 me24ffff. ME25 me25ffff.
         ME27 me27ffff. ME27A1 me27a1ff. ME27A2 me27a2ff.
         ME27A3 me27a3ff. ME28 me28ffff. ME29 me29ffff.
         ME29A me29a. ME30 me30ffff. ME30A_1 me30a_1f.
         ME30A_2 me30a_2f. ME30A_3 me30a_3f. ME30A_4 me30a_4f.
         ME30A_5 me30a_5f. ME30A_6 me30a_6f. ME31 me31ffff.
         ME31A me31a. ME31B me31b. ME32A me32a.
         ME32B me32b. ME32C me32c. ME32D me32d.
         ME32E me32e. ME32F me32f. ME33A me33a.
         ME33B me33b. ME33C me33c. ME33D me33d.
         ME33E me33e. ME33F me33f. ME33G me33g.
         ME34 me34ffff. ME35 me35ffff. ME36 me36ffff.
         ME37 me37ffff. ME38 me38ffff. ME39 me39ffff.
         ME40 me40ffff. ME41 me41ffff. ME41A1 me41a1ff.
         ME41A2 me41a2ff. ME41A3 me41a3ff. ME42A me42a.
         ME42B me42b. ME42C me42c. ME42D me42d.
         ME42E me42e. ME42F me42f. ME42G me42g.
         ME42H me42h. ME42I me42i. ME42J me42j.
         ME42K me42k. ME42L me42l. ME42M me42m.
         ME42N me42n. ME42O me42o. ME42P me42p.
         ME42Q me42q. ME42R me42r. ME42S me42s.
         ME42T me42t. ME42U me42u. ME43 me43ffff.
         ME43A1 me43a1ff. ME43A1CT me43a1ct. ME43B1 me43b1ff.
         ME43A2 me43a2ff. ME43A2CT me43a2ct. ME43B2 me43b2ff.
         ME43A3 me43a3ff. ME43A3CT me43a3ct. ME43B3 me43b3ff.
         ME44 me44ffff. ME45 me45ffff. ME46 me46ffff.
         ME47 me47ffff. ME48 me48ffff. ME49 me49ffff.
         ME50A me50a. ME50B me50b. ME50C me50c.
         ME50D me50d. ME51 me51ffff. ME52 me52ffff.
         ME53 me53ffff. MF1 mf1fffff. MF1A mf1a.
         MF1B mf1b. MF1C1 mf1c1fff. MF1C_WK mf1c_wk.
         MF1D mf1d. MF2 mf2fffff. MF2A mf2a.
         MF2B mf2b. MF2B_WK mf2b_wk. MF2C mf2c.
         MF3 mf3fffff. MF3A mf3a. MF3A_WK mf3a_wk.
         MF3B mf3b. MF4 mf4fffff. MF4A mf4a.
         MF4A_WK mf4a_wk. MF4B mf4b. MF5 mf5fffff.
         MF5A mf5a. MF5A_WK mf5a_wk. MF5B mf5b.
         MF6 mf6fffff. MF6A mf6a. MF6A_WK mf6a_wk.
         MF6B mf6b. MF7 mf7fffff. MF7A mf7a.
         MF7A_WK mf7a_wk. MF7B mf7b. MF8 mf8fffff.
         MF9 mf9fffff. MF9A mf9a. MF10 mf10ffff.
         MF11 mf11ffff. MF11A mf11a. MF12 mf12ffff.
         MF12A mf12a. MF12B mf12b. MF13 mf13ffff.
         MF14 mf14ffff. MF15 mf15ffff. MF16 mf16ffff.
         MF17 mf17ffff. MF18 mf18ffff. MF19 mf19ffff.
         MF20 mf20ffff. MF21 mf21ffff. MF22 mf22ffff.
         MG1 mg1fffff. MG2_1 mg2_1fff. MG3_1 mg3_1fff.
         MG4_1 mg4_1fff. MG5_1 mg5_1fff. MG2_2 mg2_2fff.
         MG3_2 mg3_2fff. MG4_2 mg4_2fff. MG5_2 mg5_2fff.
         MG2_3 mg2_3fff. MG3_3 mg3_3fff. MG4_3 mg4_3fff.
         MG5_3 mg5_3fff. MG2_4 mg2_4fff. MG3_4 mg3_4fff.
         MG4_4 mg4_4fff. MG5_4 mg5_4fff. MG2_5 mg2_5fff.
         MG3_5 mg3_5fff. MG4_5 mg4_5fff. MG5_5 mg5_5fff.
         MG2_6 mg2_6fff. MG3_6 mg3_6fff. MG4_6 mg4_6fff.
         MG5_6 mg5_6fff. MG2_7 mg2_7fff. MG3_7 mg3_7fff.
         MG4_7 mg4_7fff. MG5_7 mg5_7fff. MG2_8 mg2_8fff.
         MG3_8 mg3_8fff. MG4_8 mg4_8fff. MG5_8 mg5_8fff.
         MG2_9 mg2_9fff. MG3_9 mg3_9fff. MG4_9 mg4_9fff.
         MG5_9 mg5_9fff. MG2_10 mg2_10ff. MG3_10 mg3_10ff.
         MG4_10 mg4_10ff. MG5_10 mg5_10ff. MG2_11 mg2_11ff.
         MG3_11 mg3_11ff. MG4_11 mg4_11ff. MG5_11 mg5_11ff.
         MG2_12 mg2_12ff. MG3_12 mg3_12ff. MG4_12 mg4_12ff.
         MG5_12 mg5_12ff. MG6 mg6fffff. MG6A mg6a.
         MG6B mg6b. MG7 mg7fffff. MG7A mg7a.
         MG8 mg8fffff. MG8A mg8a. MG8B mg8b.
         MG9 mg9fffff. MG9A mg9a. MH1 mh1fffff.
         MH2 mh2fffff. MH2A mh2a. MH2B mh2b.
         MH2C mh2c. MH2D mh2d. MH2E mh2e.
         MH2F mh2f. MH2G mh2g. MH3 mh3fffff.
         MH3A mh3a. MH3B mh3b. MH3B_SP mh3b_sp.
         MH4 mh4fffff. MH4A mh4a. MH4B1 mh4b1fff.
         MH4B2 mh4b2fff. MH4B3 mh4b3fff. MH4B4 mh4b4fff.
         MH4B5 mh4b5fff. MH4B6 mh4b6fff. MH4B7 mh4b7fff.
         MH4C mh4c. MH4D1 mh4d1fff. MH4D2 mh4d2fff.
         MH4D3 mh4d3fff. MH4D4 mh4d4fff. MH4D5 mh4d5fff.
         MH4D6 mh4d6fff. MH4D7 mh4d7fff. MH4D8 mh4d8fff.
         MH4D9 mh4d9fff. MH4D10 mh4d10ff. MH4D11 mh4d11ff.
         MH5_0 mh5_0fff. MH5_1 mh5_1fff. MH5_2 mh5_2fff.
         MH5_3 mh5_3fff. MH5_4 mh5_4fff. MH5_5 mh5_5fff.
         MH5_6 mh5_6fff. MH5_7 mh5_7fff. MH5_8 mh5_8fff.
         MH5_9 mh5_9fff. MH5_10 mh5_10ff. MH5_11 mh5_11ff.
         MH5_12 mh5_12ff. MH5_13 mh5_13ff. MH5_14 mh5_14ff.
         MH5_15 mh5_15ff. MH5_16 mh5_16ff. MH6 mh6fffff.
         MH7 mh7fffff. MH8 mh8fffff. MH9 mh9fffff.
         MH9A mh9a. MH10 mh10ffff. MH10A mh10a.
         MH10B mh10b. MH10B_SP mh10b_sp. MH11 mh11ffff.
         MH11R mh11r. MH12 mh12ffff. MH12A mh12a.
         MH12B mh12b. MH13 mh13ffff. MH14 mh14ffff.
         MJ1A mj1a. MJ2A mj2a. MJ1B mj1b.
         MJ2B mj2b. MJ1C mj1c. MJ2C mj2c.
         MJ1D mj1d. MJ2D mj2d. MJ1E mj1e.
         MJ2E mj2e. MJ1F mj1f. MJ1F_SP mj1f_sp.
         MJ2F mj2f. MJ2G mj2g. MJ3 mj3fffff.
         MJ4 mj4fffff. MJ4A mj4a. MJ5 mj5fffff.
         MJ6 mj6fffff. MJ7 mj7fffff. MJ8 mj8fffff.
         MJ9 mj9fffff. MJ9A mj9a. MJ9B mj9b.
         MJ10 mj10ffff. MK1 mk1fffff. MK2 mk2fffff.
         MK3 mk3fffff. MK4 mk4fffff. MK4A mk4a.
         MK4B mk4b. MK4C1 mk4c1fff. MK4C2 mk4c2fff.
         MK4C3 mk4c3fff. MK4C4 mk4c4fff. MK5 mk5fffff.
         MK6 mk6fffff. MK7A mk7a. MK8A mk8a.
         MK7B mk7b. MK8B mk8b. MK7C mk7c.
         MK8C mk8c. MK7D mk7d. MK8D mk8d.
         MK7E mk7e. MK8E mk8e. MK7F mk7f.
         MK8F mk8f. MK9 mk9fffff. MK9A mk9a.
         MK10 mk10ffff. MK11 mk11ffff. MK12 mk12ffff.
         MK13 mk13ffff. MK14 mk14ffff. MK14A mk14a.
         MK14B mk14b. MK14C1 mk14c1ff. MK14C2 mk14c2ff.
         MK14C3 mk14c3ff. MK15 mk15ffff. MK16 mk16ffff.
         MK16A mk16a. MK16B mk16b. MK17 mk17ffff.
         ML0 ml0fffff. ML1 ml1fffff. ML1A ml1a.
         ML2 ml2fffff. ML2A ml2a. ML3 ml3fffff.
         ML3A ml3a. ML4 ml4fffff. ML5 ml5fffff.
         ML6 ml6fffff. ML7 ml7fffff. ML8 ml8fffff.
         ML8A ml8a. ML9 ml9fffff. ML9A ml9a.
         ML10 ml10ffff. ML11 ml11ffff. ML12 ml12ffff.
         ML13 ml13ffff. ML13A ml13a. ML14 ml14ffff.
         ML14A ml14a. ML15 ml15ffff. ML15A ml15a.
         ML16 ml16ffff. ML16A ml16a. ML17 ml17ffff.
         ML18 ml18ffff. ML19 ml19ffff. ML20 ml20ffff.
         ML21 ml21ffff. ML22 ml22ffff. ML22A ml22a.
         ML23 ml23ffff. ML23A1 ml23a1ff. ML23A2 ml23a2ff.
         ML23A3 ml23a3ff. ML23A4 ml23a4ff. ML23B ml23b.
         ML23C ml23c. MM1 mm1fffff. MM2 mm2fffff.
         MM2A1 mm2a1fff. MM2A2 mm2a2fff. MM2A3 mm2a3fff.
         MM2A4 mm2a4fff. MM2A5 mm2a5fff. MM3A mm3a.
         MM3AA mm3aa. MM3BA mm3ba. MM3CA_MO mm3ca_mo.
         MM3CA_YR mm3ca_yr. MM3DA mm3da. MM3B mm3b.
         MM3AB mm3ab. MM3BB mm3bb. MM3CB_MO mm3cb_mo.
         MM3CB_YR mm3cb_yr. MM3DB mm3db. MM3C mm3c.
         MM3AC mm3ac. MM3BC mm3bc. MM3CC_MO mm3cc_mo.
         MM3CC_YR mm3cc_yr. MM3DC mm3dc. MM3D mm3d.
         MM3AD mm3ad. MM3BD mm3bd. MM3CD_MO mm3cd_mo.
         MM3CD_YR mm3cd_yr. MM3DD mm3dd. MM3E mm3e.
         MM3AE mm3ae. MM3BE mm3be. MM3CE_MO mm3ce_mo.
         MM3CE_YR mm3ce_yr. MM3DE mm3de. MM3F mm3f.
         MM3AF mm3af. MM3BF mm3bf. MM3CF_MO mm3cf_mo.
         MM3CF_YR mm3cf_yr. MM3DF mm3df. MM4 mm4fffff.
         MM4A1 mm4a1fff. MM4A2 mm4a2fff. MM4A3 mm4a3fff.
         MM4A4 mm4a4fff. MM4A5 mm4a5fff. MM4A6 mm4a6fff.
         MM5 mm5fffff. MM5A1 mm5a1fff. MM5A2 mm5a2fff.
         MM5A3 mm5a3fff. MM5A4 mm5a4fff. MM5B mm5b.
         MM5C mm5c. MM5D mm5d. MM5D_WK mm5d_wk.
         MM6A mm6a. MM6B mm6b. MM7 mm7fffff.
         MM8_1 mm8_1fff. MM8_2 mm8_2fff. MM8_11 mm8_11ff.
         MM8_12 mm8_12ff. MM8_13 mm8_13ff. MM8_21 mm8_21ff.
         MM8_22 mm8_22ff. MM8_23 mm8_23ff. MM8_28 mm8_28ff.
         MM8_91 mm8_91ff. MM9 mm9fffff. MM10 mm10ffff.
         MM10A mm10a. MM10B0 mm10b0ff. MM10B1 mm10b1ff.
         MM10B2 mm10b2ff. MM10B3 mm10b3ff. MM10B4 mm10b4ff.
         MM10B5 mm10b5ff. MM10B6 mm10b6ff. MM10B7 mm10b7ff.
         MM10B8 mm10b8ff. MM10B9 mm10b9ff. MM10B10 mm10b10f.
         MM10B11 mm10b11f. MM10B12 mm10b12f. MM10B13 mm10b13f.
         MM11 mm11ffff. MM12_1 mm12_1ff. MM12_2 mm12_2ff.
         MM12_22 mm12_22f. MM12_23 mm12_23f. MM12_24 mm12_24f.
         MM12_25 mm12_25f. MM12_26 mm12_26f. MM12_91 mm12_91f.
         MM13 mm13ffff. MM14 mm14ffff. MM15_1 mm15_1ff.
         MM15_2 mm15_2ff. MM15_11 mm15_11f. MM15_12 mm15_12f.
         MM15_13 mm15_13f. MM15_21 mm15_21f. MM15_22 mm15_22f.
         MM15_23 mm15_23f. MM15_28 mm15_28f. MM15_91 mm15_91f.
         MM16 mm16ffff. MM17 mm17ffff. MM18 mm18ffff.
         MM19_1 mm19_1ff. MM19_2 mm19_2ff. MM19_3 mm19_3ff.
         MM19_4 mm19_4ff. MM19_91 mm19_91f. MM20 mm20ffff.
         MM21 mm21ffff. MM22_1 mm22_1ff. MM22_2 mm22_2ff.
         MM22_3 mm22_3ff. MM22_4 mm22_4ff. MM22_91 mm22_91f.
         MM23 mm23ffff. MM24 mm24ffff. MM25_1 mm25_1ff.
         MM25_2 mm25_2ff. MM25_3 mm25_3ff. MM25_9 mm25_9ff.
         MM26 mm26ffff. MM27 mm27ffff. MM28_1 mm28_1ff.
         MM28_2 mm28_2ff. MM28_3 mm28_3ff. MM28_4 mm28_4ff.
         MM28_9 mm28_9ff. MM29 mm29ffff. MM30 mm30ffff.
         MM30A mm30a. MM30B mm30b. MM31 mm31ffff.
         MM32 mm32ffff. MM33 mm33ffff. MM33A mm33a.
         MM34 mm34ffff. MM35 mm35ffff. MM35A1 mm35a1ff.
         MM35A1CT mm35a1ct. MM35B1 mm35b1ff. MM35B1CT mm35b1ct.
         MM35A2 mm35a2ff. MM35A2CT mm35a2ct. MM35B2 mm35b2ff.
         MM35B2CT mm35b2ct. MM35A3 mm35a3ff. MM35A3CT mm35a3ct.
         MM35B3 mm35b3ff. MM35B3CT mm35b3ct. MM35A4 mm35a4ff.
         MM35A4CT mm35a4ct. MM35B4 mm35b4ff. MM35B4CT mm35b4ct.
         MM35A5 mm35a5ff. MM35A5CT mm35a5ct. MM35B5 mm35b5ff.
         MM35B5CT mm35b5ct. MMD_MO mmd_mo. MMT_HH mmt_hh.
         MMT_MM mmt_mm. MMAMPM mmampm. MN1 mn1fffff.
         MN2 mn2fffff. MN2A mn2a. MN3_1_1 mn3_1_1f.
         MN3_1_2 mn3_1_2f. MN3_2_1 mn3_2_1f. MN3_2_2 mn3_2_2f.
         MN3_3_1 mn3_3_1f. MN3_3_2 mn3_3_2f. MN3_4_1 mn3_4_1f.
         MN3_4_2 mn3_4_2f. MN4 mn4fffff. MN4A1 mn4a1fff.
         MN4A2 mn4a2fff. MN4A3 mn4a3fff. MN4A4 mn4a4fff.
         MN4A5 mn4a5fff. MN4A6 mn4a6fff. MN5 mn5fffff.
         MN6 mn6fffff. MN6A1 mn6a1fff. MN6A2 mn6a2fff.
         MP1 mp1fffff. MP2 mp2fffff. MP3 mp3fffff.
         MP4 mp4fffff. MP5 mp5fffff. MP6 mp6fffff.
         MP7 mp7fffff. MP8 mp8fffff. MP9 mp9fffff.
         MP10A mp10a. MP10B mp10b. MP11A mp11a.
         MP11B mp11b. MP11C mp11c. MP12A mp12a.
         MP12B mp12b. MP12C mp12c. MP12D mp12d.
         MP12E mp12e. MP13 mp13ffff. MP14A mp14a.
         MP14B mp14b. MP14C mp14c. MP15A mp15a.
         MP15B mp15b. MP16 mp16ffff. MP17 mp17ffff.
         MP18A mp18a. MP18B mp18b. MP18C mp18c.
         MP19 mp19ffff. MP20 mp20ffff. MP21 mp21ffff.
         MPDM mpdm. MPTH mpth. MPTM mptm.
         MPAMPM mpampm. MD6C md6c. ME26 me26ffff.
         MG1A mg1a.  ;
*/

RUN ;
